<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.controllerFactory.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * The factory class in charge of creating the adequate
 * cmfController object.
 */
class cmfControllerFactory
{
    /**
     * Instantiate a cmfController.
     * @return cmfController The controller, or null
     * if specified controller name is invalid.
     */
    public static function getObject($controllerName)
    {
        $controller = null;

        if ($controllerName)
        {
            $classname = 'cmf' . ucfirst($controllerName) . 'Controller';

            if (autoloadManager::classExists($classname))
            {
                $reflection = new ReflectionClass($classname);

                if ($reflection->isInstantiable())
                {
                    // If the controller exists and can be instanciated,
                    // we create an instance of it
                    $controller = new $classname();
                }
            }
        }

        return $controller;
    }
}
