<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.facetProcessor.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * This is the interface for specific facet processors.
 * Facet processors are used to process or filter facet
 * values right after they are retrieved from the search
 * engine, before they are displayed.
 */
interface cmfFacetProcessor
{
    /**
     * This method should process or filter the provided facet
     * values and return the result.
     * @param cmfSearchResult $result The search result used to obtain the facet values.
     * @param cmfFacetDefinition $facetInfo The facet definition.
     * @param array $facetValues An array of cmfFacetValues.
     * @return array An array of cmfFacetValue.
     */
    public function processFacetValues(cmfSearchResult $result, cmfFacetDefinition $facetInfo, array $facetValues);
}