<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.facetValuesProvider.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * This is the interface for specific facet providers.
 * Facet providers are used to get custom facet values
 * (instead of getting them from the search results).
 */
interface cmfFacetValuesProvider
{
    /**
     * This method should return an array of cmfFacetValue objects. It should
     * handle obtaining the facet value count from the plugin.
     * @param cmfFacetDefinition $facet The definition of the facet.
     * @param cmfSearchResult $result The result for which the values must be provided.
     * @return array An array of cmfFacetValue.
     */
    public function getFacetValues(cmfFacetDefinition $facetInfo, cmfSearchResult $result);
}