<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.ugcContribution.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * A ugc Contributionclass
 * Can be used to handle commenting on an object
 */
class cmfUgcContribution
{
    /**
     * ugcDatabase member
     *
     * @var mysqlI Ressource
     */
    private $ugcDatabase;

    /**
     * tablename
     *
     * @var mixed
     */
    private $tablename;

    /**
     * __construct
     *
     * @param mixed $mysqli
     * @param mixed $tableName
     * @return void
     */
    public function __construct($mysqli, $tableName)
    {
        $this->ugcDatabase = $mysqli;
        $this->tableName = $tableName;
    }

    /**
     * add
     *
     * @param mixed $className
     * @param mixed $classId
     * @param mixed $params
     * @return void
     */
    public function add($className, $classId, $params)
    {
        $sql = 'INSERT INTO ' . $this->tableName . ' (`className`, `classId`, `date`, `title`, `author`, `text`) VALUES(?,?,?,?,?,?)';

        $stmt = $this->ugcDatabase->prepare($sql);
        $date = date('Y-m-d H:i:s');
        $stmt->bind_param('sissss', $className, $classId, $date, $params['title'], $params['author'], $params['text']);

        return $stmt->execute();
    }

    /**
     * getComments
     *
     * @param mixed $className
     * @param mixed $classId
     * @param mixed $number
     * @return void
     */
    public function getComments($className, $classId, $from, $to)
    {
        $result = array();

        $sql  = 'SELECT * FROM ' . $this->tableName;
        $sql .= ' WHERE className=\'' . $className . '\' AND classId=\'' . $classId . '\' ORDER BY date desc LIMIT ' . $from . ',' . $to;

        $results = array();
        if ($result = $this->ugcDatabase->query($sql))
        {
            while ($row = $result->fetch_assoc())
            {
                $results[] = $row;
            }
        }

        return $results;
    }
}
