<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.ugcRating.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * An ugc rating class
 * Can be used to handle rating
 */
class cmfUgcRating
{
    /**
     * ugcDatabase
     *
     * @var mysqlI
     */
    private $ugcDatabase;

    /**
     * tablename
     *
     * @var mixed
     */
    private $tablename;

    /**
     * __construct
     *
     * @param mixed $mysqli
     * @param mixed $tableName
     * @return void
     */
    public function __construct($mysqli, $tableName)
    {
        $this->ugcDatabase = $mysqli;
        $this->tableName = $tableName;
    }

    /**
     * add
     *
     * @param mixed $className
     * @param mixed $classId
     * @param mixed $rating
     * @return void
     */
    public function add($className, $classId, $rating)
    {
        $sql = 'INSERT INTO ' . $this->tableName . ' (`className`, `classId`, `date`, `rating`) VALUES(?,?,?,?)';

        $stmt = $this->ugcDatabase->prepare($sql);
        $date = date('Y-m-d H:i:s');
        $stmt->bind_param('sisi', $className, $classId, $date, $rating);
        return $stmt->execute();
    }

    /**
     * getAverageRating - To be tested...
     *
     * @param mixed $className
     * @param mixed $classId
     * @param mixed $date
     * @return void
     */
    public function getAverageRating($className, $classId, $date)
    {
        $sql = 'SELECT AVG(rating) FROM ' . $this->tableName  . ' WHERE className=? AND classId=? AND date>=?';

        $stmt = $this->ugcDatabase->prepare($sql);
        $stmt->bind_param('sis', $className, $classId, $date);

        $stmt->execute();
        mysqli_stmt_bind_result($stmt, $avg);
        $stmt->fetch();

        return $avg;
    }

    /**
     * getMostRated
     *
     * @param mixed $date
     * @param mixed $number
     * @param mixed $className
     * @return void
     */
    public function getMostRated($date, $number, $className)
    {
        // TODO
    }
}
