<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.wcmGenerationRestServiceClient.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * Implementation of the WCM generation service client
 * for the WCM REST API.
 */
class cmfWcmGenerationRestServiceClient 
    extends cmfWcmRestServiceClient 
    implements cmfWcmGenerationServiceClient
{
    /**
     * (non-PHPdoc)
     * @see wcm/cmfWcmGenerationServiceClient#executeGenerationContentByCode($code, $context, $previewMode, $returnOutput)
     */
    public function executeGenerationContentByCode($code, array $context = array(), $previewMode = false, $returnOutput = false)
    {
        $headers = array();
        
        $data = array();
        $data['resource'] = 'content';
        $data['extraContext'] = $context;
        $data['previewMode'] = $previewMode;
        $data['returnOutput'] = $returnOutput;
        $data['code'] = $code;
        $data['json'] = true;
        
        $body = http_build_query($data);
        
        $response = $this->client->post('/generation', null, $body, $headers);
        if (!$response->isSuccessful())
        {
            throw new Exception($response->body);
        }

        if ($returnOutput)
        {
            return json_decode($response->body, true);
        }
    }
    
    /*public function generateWidget($widgetName, $guid, $widgetMode = 4, array $context = array(), $previewMode = false)
    {
        
    }*/
}