<?php
/**
 * Project:     WCM
 * File:        $Id: query.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-mediaManager-testapp
 * @version     4.x
 */ 

/**
 * This view allows the user to query for an image
 * and have it displayed.
 */
?>
<html>
    <head>
        <title>CMF Media Manager Test Application</title>
        <script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>
        <script type="text/javascript" src="js/query.js"></script>
        <link rel="stylesheet" type="text/css" href="css/form.css" />
    </head>
    
    <body>
        <div>
            <a href="?controllerName=home">Home</a>
        </div>
    
        <h1>CMF Media Manager Test Application</h1>
        
        <h2>Query an image</h2>
        
        <?php if (isset($this['message'])): ?>
        <strong><?php echo $this['message']; ?></strong>
        <?php endif; ?>
        
        <form method="post" enctype="application/x-www-form-urlencoded">
            <input type="hidden" name="controllerName" value="query"/>
            <input type="hidden" name="action" value="query"/>
            
            <div>
                <label>
                    <input type="radio" name="mode" value="original" <?php if ('original' == cmfToolbox::getArrayParameter($this, 'queryMode', 'original')) echo 'checked="checked"'; ?>/>
                    Original
                </label>
                <div>
                    <label>ID *:</label>
                    <input type="text" name="id" value="<?php echo cmfToolbox::getArrayParameter($this, 'id'); ?>"/>
                </div>
                <p>
                    The ID of the image to display. The ID must be an integer value. This field is mandatory
                    for all 3 modes (original, cropped or resized).
                </p>
            </div>
            <div>
                <label>
                    <input type="radio" name="mode" value="cropped" <?php if ('cropped' == cmfToolbox::getArrayParameter($this, 'queryMode')) echo 'checked="checked"'; ?>/>
                    Cropped
                </label>
                <div class="sub-ctrl">
                    <label>Format:</label>
                    <input class="mode-cropped" type="text" name="format" value="<?php echo cmfToolbox::getArrayParameter($this, 'format'); ?>"/>
                </div>
                <p>
                    The WCM format name to use to crop the image.
                </p>
            </div>
            <div>
                <label>
                    <input type="radio" name="mode" value="resized" <?php if ('resized' == cmfToolbox::getArrayParameter($this, 'queryMode')) echo 'checked="checked"'; ?>/>
                    Resized
                </label>
                <div class="sub-ctrl">
                    <label>Width:</label>
                    <input class="mode-resized" type="text" name="width" value="<?php echo cmfToolbox::getArrayParameter($this, 'width'); ?>"/>
                    <label>Height:</label>
                    <input class="mode-resized" type="text" name="height" value="<?php echo cmfToolbox::getArrayParameter($this, 'height'); ?>"/>
                </div>
                <p>
                    The maximum width and/or height to resize the image.
                </p>
            </div>
            <input type="submit" name="submit" value="Submit"/>
        </form>
        
        <?php if (isset($this['url'])): ?>
        <div>
            <img src="<?php echo $this['url']; ?>"/>
        </div>
        <?php endif; ?>
    </body>
</html>