<?php
/**
 * Project:     WCM
 * File:        $Id: upload.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-mediaManager-testapp
 * @version     4.x
 */ 

/**
 * This view displays the form that allows a user
 * to add an image to the media manager.
 */
?>
<html>
    <head>
        <title>CMF Media Manager Test Application</title>
        <script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>
        <script type="text/javascript" src="js/upload.js"></script>
        <link rel="stylesheet" type="text/css" href="css/form.css" />
    </head>
    
    <body>
        <div>
            <a href="?controllerName=home">Home</a>
        </div>
    
        <h1>CMF Media Manager Test Application</h1>
        
        <h2>Add an image</h2>
        
        <?php if (isset($this['message'])): ?>
        <strong><?php echo $this['message']; ?></strong>
        <?php endif; ?>
        
        <form method="post" enctype="multipart/form-data">
            <input type="hidden" name="controllerName" value="upload"/>
            <input type="hidden" name="action" value="add"/>
        
            <div>
                <label>ID *:</label>
                <div>
                    <input type="text" name="id" value="<?php echo cmfToolbox::getArrayParameter($this, 'id'); ?>"/>
                </div>
                <p>
                    The unique ID of the image to add. If an image already exists with the same ID,
                    it will be overrided. The ID must be an integer value.
                </p>
            </div>
            <div>
                <label>Formats *: </label>
                <div>
                    <textarea name="formats"><?php echo htmlentities(cmfToolbox::getArrayParameter($this, 'formats', '{}')); ?></textarea>
                </div>
                <p>
                    The JSON encoded WCM cropping informations. You can leave the empty array to use the default 
                    cropping strategy, which will crop the image to its center. 
                    Sample value: {"Ratio 02:03":{"rx":2,"ry":3,"x1":17,"x2":157,"y1":0,"y2":"210"}}
                </p>
            </div>
            <div>
                <label><input type="radio" name="mode" value="url" <?php if ('url' == cmfToolbox::getArrayParameter($this, 'uploadMode', 'url')) echo 'checked="checked"'; ?>/>URL: </label>
                <div class="sub-ctrl">
                    <input class="mode-url" type="text" name="url" value="<?php echo htmlentities(cmfToolbox::getArrayParameter($this, 'url')); ?>"/>
                </div>
                <p>
                    The URL of the image that the media manager should import.
                </p>
            </div>
            <div>
                <label><input type="radio" name="mode" value="upload" <?php if ('upload' == cmfToolbox::getArrayParameter($this, 'uploadMode')) echo 'checked="checked"'; ?>/>Upload: </label>
                <div class="sub-ctrl">
                    <input class="mode-upload" type="file" name="photo" disabled="disabled"/>
                </div>
                <p>
                    The local file uploaded to the media manager.
                </p>
            </div>
            <input type="submit" name="submit" value="Submit"/>
        </form>
    </body>
</html>