<?php
/**
 * Nstein application framework
 *
 * @category   Nstein
 * @package    Nstein_Path
 * @copyright  Copyright (c) 2008 Nstein Technologies (http://www.nstein.com)
 * @version    1.0
 */

/**
 * This is the interface of an abstract path generator.
 * It is used to generate a relative path based on an ID,
 * to implement specific file distribution logics.
 */
interface Nstein_Path_Builder
{
	/**
	 * Generate a relative path from a given ID.
	 * @param mixed $id The ID.
	 * @return string The relative path.
	 * @exception InvalidArgumentException If the ID is invalid,
	 * or its type is not supported by the implementation.
	 */
	public function generatePath($id);
}