<?php

class cmsDebugProfile {

    public static $fullTime = 0;
    public static $breakPoint = array();

    public static function point($name)
    {
        self::$breakPoint[$name] = array(
                        'time' => xdebug_time_index(),
                        'memory' => xdebug_memory_usage(),
                        'memoryPeak' => xdebug_peak_memory_usage()
                        );
    }

    public static function getTitle() {
        self::$fullTime = xdebug_time_index();
	return '<span class="blue">'.round(self::$fullTime,2).' sec</span><br />Profile';
    }
    
    public static function display()
    {
        $fullTime = self::$fullTime;
        $memory = round(xdebug_memory_usage()/1024/1024, 6).' Mo';
        $memoryPeak = round(xdebug_peak_memory_usage()/1024/1024, 6).' Mo';
        $prevTime = 0;
        echo '<table style="min-width: 100%;"><thead><tr><td class="bgblue">Name</td><td class="bgorange">Time</td><td class="bgred">Mem</td><td class="bggreen">Peak</td></tr></thead>';
        foreach(self::$breakPoint as $key => $point)
        {
            $time = $point['time']-$prevTime;
            $prevTime = $point['time'];
            echo '<tr><td>'.$key.'</td><td>'. round($time,5) .'s ('.round($time*100/$fullTime,2).'%)</td><td>'.round($point['memory']/1024/1024,6).' Mo</td><td>'.round($point['memoryPeak']/1024/1024,6).' Mo</td><tr>';
        }
        echo '<tr style="font-weight: bold"><td>Total</td><td>'. round($fullTime,5).'s (100%)</td><td>'.$memory.'</td><td>'.$memoryPeak.'</td><tr>';
        echo '</table>';
    }
}


