<?php
/**
 * Project:     WCM
 * File:        $Id: test.restController.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-restws
 * @version     4.x
 */

// load WCM API
require_once(dirname(__FILE__) . '/../../initApi.php');

final class testRestController extends wcmRestController
{
    /**
     * Constructor
     *
     * @return void
     */
    public function __construct()
    {
        $config = wcmConfig::getInstance();
        $this->baseURL = $config['wcm.backOffice.url'] . '/tests/rest/test.restController.php';
    }

    /**
     * Handle 'get' method and send the corresponding HTTP response
     *
     * @return wcmRestResponse HTTP response to return to the caller
     */
    protected function get()
    {
        if (getArrayParameter($_REQUEST, 'code') == wcmRestResponse::S_NOT_FOUND)
        {
            $response = new wcmRestResponse(wcmRestResponse::S_NOT_FOUND);
            $response->headers[wcmRestResponse::H_CONTENT_TYPE] = wcmRestResponse::H_CTCS_TEXT_HTML;
            $response->body = '<h1> 404 Not found! </h1>';
        }
        else
        {
            $response = new wcmRestResponse(wcmRestResponse::S_OK);
            $response->headers[wcmRestResponse::H_CONTENT_TYPE] = wcmRestResponse::H_CTCS_TEXT_XML;
            $response->body = '<?xml version="1.0"?><test>GET</test>';
        }

        return $response;
    }

    /**
     * Handle 'put' method and send the corresponding HTTP response
     *
     * @return wcmRestResponse HTTP response to return to the caller
     */
    protected function put()
    {
        // returns a 'content-created' response
        $response = new wcmRestResponse(wcmRestResponse::S_CREATED);
        $response->headers[wcmRestResponse::H_LOCATION] = $this->baseURL . '?code=' . wcmRestResponse::S_OK;

        return $response;
    }

    /**
     * Handle 'post' method and send the corresponding HTTP response
     *
     * @return wcmRestResponse HTTP response to return to the caller
     */
    protected function post()
    {
        // returns a 'content-created' response
        $response = new wcmRestResponse(wcmRestResponse::S_CREATED);
        $response->headers[wcmRestResponse::H_LOCATION] = $this->baseURL . '?code=' . wcmRestResponse::S_OK;

        return $response;
    }

    /**
     * Handle 'delete' method and send the corresponding HTTP response
     *
     * @return wcmRestResponse HTTP response to return to the caller
     */
    protected function delete()
    {
        if (getArrayParameter($_REQUEST, 'id') == '404')
        {
            return new wcmRestResponse(wcmRestResponse::S_NOT_FOUND, '404 Not Found!');
        }

        // returns a 'no-content' response
        return new wcmRestResponse(wcmRestResponse::S_NO_CONTENT);
    }
}


// test REST controller implementation
$ctl = new testRestController;
$ctl->processRequest();
