<?php

require_once(dirname(__FILE__) . '/includes/WcmTest.php');

class CreateTest extends WcmTest
{

    function testCreateModifyDeleteArticle()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[3]//a[contains(@href,'/business/article')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Dates
        $this->click('id=tabButton_article_tabs.properties.article');
        $this->waitForAjax();
        $this->type('publicationDate', '2010-08-03');
        $this->type('expirationDate', '2010-08-02');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->assertTextPresent('Publication date must be before expiration date');
        $this->click('id=sysmessage');
        $this->type('expirationDate', '');

        // Save
        $this->click('tabButton_article_tabs.content.article');
        $this->waitForAjax();
        $this->type('title', 'My test');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test');

        // Modify
        $this->type('title', 'My test modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

    function testCreateModifyDeleteNewsitem()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[3]//a[contains(@href,'/business/newsitem')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Dates
        $this->click('id=tabButton_newsitem_tabs.properties.newsitem');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("releaseDateTime")!=null');
        $this->type('releaseDateTime', 'Garbage');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->assertTextPresent('Invalid or missing fields');
        $this->click('id=sysmessage');
        $this->type('releaseDateTime', '2010-01-04 15:28');

        // Save
        $this->click('tabButton_newsitem_tabs.content.newsitem');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("title")!=null');
        $this->type('title', 'My test');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test');

        // Modify
        $this->type('title', 'My test modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

    function testCreateModifyDeletePhoto()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[3]//a[contains(@href,'/business/photo')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Dates
        $this->click('id=tabButton_photo_tabs.properties.photo');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("publicationDate")!=null');
        $this->type('publicationDate', '2010-08-03');
        $this->type('expirationDate', '2010-08-02');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('Publication date must be before expiration date');
        $this->click('id=sysmessage');
        $this->type('expirationDate', '');

        // Save
        $this->click('tabButton_photo_tabs.content.photo');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("title")!=null');
        $this->type('title', 'My test');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test');

        // Modify
        $this->type('title', 'My test modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

    function testCreateModifyDeleteCollection()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[3]//a[contains(@href,'/business/collection')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Dates
        $this->click('id=tabButton_collection_tabs.properties.collection');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("publicationDate")!=null');
        $this->type('publicationDate', '2010-08-03');
        $this->type('expirationDate', '2010-08-02');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('Publication date must be before expiration date');
        $this->click('id=sysmessage');
        $this->type('expirationDate', '');

        // Save
        $this->click('tabButton_collection_tabs.content.collection');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("title")!=null');
        $this->type('title', 'My test');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test');

        // Modify
        $this->type('title', 'My test modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

    function testCreateModifyDeleteNewsletter()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[3]//a[contains(@href,'/business/newsletter')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        $this->click('id=tabButton_newsletter_tabs.properties.newsletter');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("code")!=null');

        // Configuration
        $this->click('id=tabButton_newsletter_tabs.properties.newsletter');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("code")!=null');
        $this->type('code', 'code');
        $this->type('sender', 'sender');
        $this->type('from', 'from@from.com');

        // Save
        $this->click('tabButton_newsletter_tabs.content.newsletter');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("title")!=null');
        $this->type('title', 'My test');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test');

        // Modify
        $this->type('title', 'My test modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

    function testCreateModifyDeleteSlideshow()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[3]//a[contains(@href,'/business/slideshow')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Dates
        $this->click('id=tabButton_slideshow_tabs.properties.slideshow');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("publicationDate")!=null');
        $this->type('publicationDate', '2010-08-03');
        $this->type('expirationDate', '2010-08-02');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('Publication date must be before expiration date');
        $this->click('id=sysmessage');
        $this->type('expirationDate', '');

        // Save
        $this->click('tabButton_slideshow_tabs.content.slideshow');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("title")!=null');
        $this->type('title', 'My test');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test');

        // Modify
        $this->type('title', 'My test modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }


    function testCreateModifyDeletePoll()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[3]//a[contains(@href,'/business/poll')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Dates
        $this->click('id=tabButton_poll_tabs.properties.poll');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("publicationDate")!=null');
        $this->type('publicationDate', '2010-08-03');
        $this->type('expirationDate', '2010-08-02');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('Publication date must be before expiration date');
        $this->click('id=sysmessage');
        $this->type('expirationDate', '');

        // Save
        $this->click('tabButton_poll_tabs.content.poll');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("title")!=null');
        $this->type('title', 'My test');
        $this->type('text', 'Question');
        $this->type('//input[starts-with(@id,"pollChoice_text_")]', 'Answer');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test');

        // Modify
        $this->type('title', 'My test modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

    function testCreateModifyDeleteForum()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[3]//a[contains(@href,'/business/forum')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Save
        $this->click('tabButton_forum_tabs.properties.forum');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("title")!=null');
        $this->type('title', 'My test');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test');

        // Modify
        $this->type('title', 'My test modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

    function testCreateModifyDeleteItem()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[3]//a[contains(@href,'/business/item')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Dates
        $this->click('id=tabButton_item_tabs.properties.item');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("publicationDate")!=null');
        $this->type('publicationDate', '2010-08-03');
        $this->type('expirationDate', '2010-08-02');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('Publication date must be before expiration date');
        $this->click('id=sysmessage');
        $this->type('expirationDate', '');

        // Save
        $this->click('tabButton_item_tabs.content.item');
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("title")!=null');
        $this->type('title', 'My test');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test');

        // Modify
        $this->type('title', 'My test modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('My test modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

}