<?php

require_once(dirname(__FILE__) . '/includes/WcmTest.php');

class LoginTest extends WcmTest
{

    function testEmptyUsernameAndPassword()
    {
        $this->open('?_wcmLanguage=en');
        $this->click('login');
        $this->waitForWcmToLoad();
        $this->assertTrue((bool)preg_match('/Sign in$/', $this->getTitle()));
    }

    function testEmptyPassword()
    {
        $this->open('?_wcmLanguage=en');
        $this->type('username', 'admin');
        $this->click('login');
        $this->waitForWcmToLoad();
        $this->assertTrue((bool)preg_match('/Sign in$/', $this->getTitle()));
    }

    function testEmptyUsername()
    {
        $this->open('?_wcmLanguage=en');
        $this->type('username', '');
        $this->type('password', 'admin');
        $this->click('login');
        $this->waitForWcmToLoad();
        $this->assertTrue((bool)preg_match('/Sign in$/', $this->getTitle()));
    }

    function testInvalidUsernameAndPassword()
    {
        $this->open('?_wcmLanguage=en');
        $this->type('username', 'fake');
        $this->type('password', 'user');
        $this->click('login');
        $this->waitForWcmToLoad();
        $this->assertTrue((bool)preg_match('/Sign in$/', $this->getTitle()));
    }

    function testInvalidPassword()
    {
        $this->open('?_wcmLanguage=en');
        $this->type('username', 'admin');
        $this->type('password', 'garbage!@#$');
        $this->click('login');
        $this->waitForWcmToLoad();
        $this->assertTrue((bool)preg_match('/Sign in$/', $this->getTitle()));
    }


    function testValidUser()
    {
        $this->open('?_wcmLanguage=en');
        $this->type('username', $GLOBALS['CONFIG']['USERNAME']);
        $this->type('password', $GLOBALS['CONFIG']['PASSWORD']);
        $this->click('login');
        $this->waitForWcmToLoad();
        $this->assertFalse((bool)preg_match('/Sign in$/', $this->getTitle()));
        // Logout
        $this->click('link=Sign out');
        $this->waitForWcmToLoad();
    }

}
