<?php
/**
 * Project:     WCM
 * File:        $Id: siteConfig.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
 * Site configurtion class
 */
class siteConfig implements ArrayAccess
{
    /**
     * Configuration array
     * @var Array
     */
    private $config = null;

    /**
     * Constructor
     * @param $xml string XML File to load
     * @param $siteConfig siteConfig Configuration file to extend
     */
    public function __construct($config)
    {
        $this->config = $config;
    }

    /**
     * Offset Get implementation of the ArrayAccess interface
     *
     * @param $key String offset to retrieve
     * @return mixed value at given offset
     */
    public function offsetGet($key)
    {
        $array = $this->config;
        foreach (explode('.', $key) as $elem)
        {
            if (!array_key_exists($elem, $array))
            {
                return null;
            }
            else
            {
                $array = $array[$elem];
            }
        }
        return $array;
    }

    /**
     * Offset Exists implementation of the ArrayAccess interface
     *
     * @param $key String offset to check
     * @return Boolean wether the offset exists
     */
    public function offsetExists($key)
    {
        return null !== $this->offsetGet($key);
    }

    /**
     * Offset Set implementation of the ArrayAccess interface
     *
     * @param $key String offset to modify
     * @param $value String new value
     */
    public function offsetSet($key, $value)
    {
        throw new Exception('Can not set');
    }

    /**
     * Offset unset implementation of the ArrayAccess interface
     *
     * @param $key String offset to delete
     */
    public function offsetUnset($key)
    {
        throw new Exception('Can not unset');
    }

    /**
     * Get Assoc Array expose the configuration class to the template engine
     *
     * @return Configuration array
     */
    public function getAssocArray()
    {
        return $this->config;
    }
}
