<?php
/**
 * Project:     WCM
 * File:        $Id: generate.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

// check rule
$rule = getArrayParameter($parameters, 'rule');
if (!$rule)
    {
        $logger->logWarning(_INVALID_GENERATION_RULE);
        exit;
    }

    // instanciate generator with task's logger
    $generator = new wcmTemplateGenerator($logger);
    $startTime = microtime(true);
    //
    // find out what is the rule to generate as the expected format
    // is "generationSetId[:generationId[:generationContentId]]"
    //
    $parts = explode(':', $rule);
switch (count($parts))
{
    case 3:
        $id = intval($parts[2]);
        $logger->logMessage(_EXECUTING_GENERATION_CONTENT . ' ' . $id);
        $generationContent = new wcmGenerationContent();
        if ($generationContent->refresh($id))
        {
            $generator->executeGenerationContent($generationContent);
        }
        break;

    case 2:
        $id = intval($parts[1]);
        $logger->logMessage(_EXECUTING_GENERATION . ' ' . $id);
        $generation = new wcmGeneration();
        if ($generation->refresh($id))
        {
            $generator->executeGeneration($generation);
        }
        break;

    case 1:
        $id = intval($parts[0]);
        $logger->logMessage(_EXECUTING_GENERATION_SET . ' ' . $id);

        $generationSet = new wcmGenerationSet();
        if ($generationSet->refresh($id))
        {
            $generator->executeGenerationSet($generationSet);
        }
        break;

    default:
        $logger->logWarning(_INVALID_GENERATION_RULE . ' : ' . $rule);
        break;
}

// display duration
$duration = microtime(true) - $startTime;
$logger->logMessage(sprintf(_GENERATION_COMPLETED_IN_X_SECONDS, $duration));

unset($generator);
