<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.iAuthPlugin.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

/**
 * Interface for all WCM Authentication Plugins
 *
 */
interface wcmIAuthPlugin
{
    /**
     * Authenticate credentials
     *
     * @param array $argCredentials Credentials
     * @return bool True on success, false on failure
     */
    public function authenticate(array $argCredentials);

    /**
     * Get a WCM User ID
     *
     * @return int User ID
     */
    public function getWcmUser();

    /**
     * Get last reported error message
     *
     * @return string Error message
     */
    public function getErrorMsg();

    /**
     * Print HTML Login Form
     *
     * This method should be pushing the HTML straight
     * to the output buffer.
     *
     */
    static public function loginForm();
}
