<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.objectFactory.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

/**
 * The wcmObjectFactory class is in charge of instantiating objects
 */
class wcmObjectFactory
{
    /**
     * Factory create method
     *
     * @param String $class Classname
     * @param Integer $id Optional id
     *
     * @return wcmObject
     */
    public static function create($class, $id = null)
    {
        if (!autoloadManager::classExists($class))
        {
            throw new exception (__CLASS__ . ' :: Couldn\'t build object "' . print_r($class, true) . '". It is not a valid class name.');
        }

        $object = new $class();

        if ($object instanceof wcmObject)
        {
            $object = new $class();

            if ($id !== null)
            {
                $object->refresh($id);
            }

            return $object;
        }

        throw new exception(__CLASS__ . ' :: Coudln\'t build object "' . print_r($class, true) . '". It is not a wcmObject.');
    }
}
