<?php
/**
 * Project:     WCM
 * File:        wcm-settings.php
 *
 * @copyright   (c)2008 Nstein Technologies
 * @package     WCM
 * @version     4.x
 *
 */

// ######################## SET PHP ENVIRONMENT ###########################
set_time_limit(0);

// ##################### DEFINE IMPORTANT CONSTANTS #######################
/**
 * CVS revision number
 */
define('CVS_REVISION', '$RCSfile$ - $Revision: 7486 $');

// ########################## REQUIRE BACK-END ############################
require_once(' ./global.php');

$cwd = dirname(__FILE__);

// Require files for WCM plugin
require_once($cwd . '/../wcmPlugin/wcm.restForPlugins.php');
require_once($cwd . '/../wcmPlugin/wcm.vbulletin.php');
require_once($cwd . '/../wcmPlugin/wcm.vbulletin-toolbox.php');


$wcmGlobalOptions = wcm_getConfig();

global $vbulletin, $wcmGlobalOptions;

print_cp_header('WCM Plugin');

switch ($_REQUEST['do'])
{
    case 'saveMaps':

        $db->query('TRUNCATE wcm_maps');

        foreach ($_POST as $key => $value)
        {
            if ('siteid_' == substr($key, 0, 7))
            {
                $forumId = array_pop(explode('_', $key));
                $indexing = (isset($_POST['forum_' . $forumId])) ? 1 : 0;
                $siteId = $_POST['siteid_' . $forumId];

                $query = 'INSERT INTO wcm_maps (forum_id,site_id,indexing) VALUES (' . $forumId . ', ' . $siteId . ', ' . $indexing . ')';
                $db->query($query);
            }
        }
        print_cp_redirect('wcm-settings.php?do=maps');
        break;

    case 'saveSettings':



        // First see if these settings are any good...
        $wcm = new wcmRestForPlugins($_POST['wcm-url'], $_POST['wcm-username'], $_POST['wcm-password']);
        $wcm->authenticate('print_cb_message');

        reset($wcmGlobalOptions);

        while (list($opt_name, ) = each($wcmGlobalOptions))
        {
            $query = 'UPDATE wcm_setup SET opt_value="' . $_POST[$opt_name] . '" WHERE opt_name="' . $opt_name . '"';
            $db->query($query);
        }
        print_cp_message('WCM Plugin settings saved...');
        break;
    case 'saveUserMaps':
        $db->query('TRUNCATE wcm_groups');
        foreach ($_POST['groups'] as $gid => $flagged)
        {
            if ($flagged)
            {
                $db->query('INSERT INTO wcm_groups VALUES (\'\', ' . $gid . ')');
            }
        }
        print_cp_redirect('wcm-settings.php?do=users');
        break;
    case 'users':

        if (!wcm_setupComplete())
        {
            print_table_header('Finish Setup');
            print_description_row('You need to finish setting all the options in the Global Settings page of the WCM Plugin');
            break;
        }

        print_form_header('wcm-settings', 'saveUserMaps', false, true, 'wcmform2', '90%', '', true, 'post', 0);
        print_table_header('Add Usergroup Mapping');
        print_description_row('If you add a user group here, then only threads started by users in these groups will be indexed by WCM. If there are no usergroups listed here, then ALL new threads will be sent to WCM.');

        // Quickly list all groups and denote whether they've been flagged or not.
        $query = 'SELECT (
                    SELECT IF(id>0,1,0) FROM wcm_groups, ' . TABLE_PREFIX . 'usergroup usergroup
                    WHERE wcm_groups.group_id=usergroup.usergroupid AND usergroup.usergroupid=g.usergroupid
                  ) AS flagged, g.usergroupid AS gid, g.title AS gtitle
                  FROM ' . TABLE_PREFIX . 'usergroup g';

        $res = $db->query($query);

        while ($row = $db->fetch_array($res))
        {
            print_checkbox_row($row['gtitle'], 'groups[' . $row['gid'] . ']', $row['flagged'], 1, ' ', null);
        }

        print_submit_row();
        break;




    case 'maps':

        ?>
        <script type="text/javascript">
        function massToggle(argToggle)
        {

            var domList = document.wcmlistform.getElementsByTagName('input');
            for (i in domList)
            {
                if (domList[i].type == "checkbox")
                {
                    if (domList[i].name.substr(0,6) == 'forum_')
                        domList[i].checked = (argToggle.checked)? true : false;
                }
            }

        }
        </script>
        <?php

        if (!wcm_setupComplete())
        {
            print_table_header('Finish Setup');
            print_description_row('You need to finish setting all the options in the Global Settings page of the WCM Plugin');
            break;
        }

        print_form_header('wcm-settings', 'saveMaps', false, true, 'wcmlistform', '90%', '', true, 'post', 0);
        print_table_header('Forum Filter Control', 3);

        if (is_array($vbulletin->forumcache))
        {
            $cell = array();
            $cell[] = '<input type="checkbox" name="toggleAll" onclick="massToggle(this)" /> Toggle Selection';
            $cell[] = 'Forum Name';
            $cell[] = 'Site Map';
            print_cells_row($cell, true, false, -1);

            $siteList = wcm_getSiteList();
            $siteList[0] = 'Global Setting (' . $siteList[$wcmGlobalOptions['wcm-site-id']] . ')';
            ksort($siteList);


            foreach ($vbulletin->forumcache as $key => $forum)
            {
                $query = 'SELECT site_id,indexing FROM wcm_maps WHERE forum_id=' . $forum['forumid'];

                $result = $db->query($query);
                $row = $db->fetch_array($result);

                $siteId = (!$row['site_id']) ? 0 : $row['site_id'];
                $checked = (!$row['indexing']) ? '' : 'checked="checked"';



                $cell = array();
                $cell[] = '<input type="checkbox" name="forum_' . $forum['forumid'] . '" ' . $checked . ' />';
                $cell[] = construct_depth_mark($forum['depth'], '- - ') . $forum['title'];
                $cell[] = '<select name="siteid_' . $forum['forumid'] . '">' . construct_select_options($siteList, $siteId, true) . '</select>';


                print_cells_row($cell, false, false, -1);
            }


        }

        /*
        $query = 'SELECT wcm.id AS id, wcm.site_id AS site_id, wcm.site_name AS site_name, forum.title AS forum_name, forum.forumid AS forum_id FROM wcm_maps wcm, ' .TABLE_PREFIX.'forum AS forum WHERE wcm.forum_id=forum.forumid';
        $result = $db->query($query);

        print_cells_row(Array('', 'Forum Name', 'Site'),true,false,1);
        while ($row = $db->fetch_array($result))
        {
            $toggle = '<input type="checkbox" name="toggle_' . $row['forum_id'].'" />';
            print_cells_row(array($toggle, $row['forum_name'], $row['site_name']),false,false,3);
        }

        print_table_footer();

        print_form_header('wcm-settings', 'saveMaps',false,true, 'wcmform', '90%', '',true, 'post',0);
        print_table_header('Forum to Site Maps');
        print_description_row('Here you can map differenet forums/categories to different sites on your WCM Installation');

        $sites = wcm_getSiteList();
        $siteList = serialize($sites);
        echo '<input type="hidden" name="wcm-siteList" value="' .htmlspecialchars($siteList).'" />';
        */
        print_submit_row('Save Settings', 'Reset', 3);
        print_table_footer();
        break;
    case 'global':

        // Fetch config optiosn for this page.

        print_form_header('wcm-settings', 'saveSettings', false, true, 'wcmform', '90%', '', true, 'post', 0);
        print_table_header('WCM Plugin Global Settings');
        print_description_row('Set up global settings for WCM. For more control over this plugin, refer to the options on the navigation bar to the left');
        print_input_row('WCM Backoffice URL', 'wcm-url', $wcmGlobalOptions['wcm-url'], false, 35);
        print_input_row('Username', 'wcm-username', $wcmGlobalOptions['wcm-username'], false, 35);
        print_password_row('Password', 'wcm-password', $wcmGlobalOptions['wcm-password'], 0, 35);

        if (wcm_setupComplete())
        {
            print_select_row('WCM Site:<dfn>Site that all indexex objects will be associated with. For more control, refer to the left naviation bar.</dfn>', 'wcm-site-id', wcm_getSiteList(), $wcmGlobalsOptions['wcm-site-id']);
            print_input_row('Source Name', 'wcm-sourceName', $wcmGlobalOptions['wcm-sourceName'], false, 35);
        }
        else
        {
            print_description_row('The WCM Plugin is not fully setup yet. To see more configuration options, first complete the above configuration and save it.');
        }
        print_submit_row($vbphrase['save']);
        print_table_footer();

        break;

}

print_cp_footer();
