<?php
/**
 * Project:     WCM
 * File:        wcm.controller.php
 *
 * @copyright   (c)2008 Nstein Technologies
 * @package     WCM
 * @version     4.x
 *
 */

include('wcm.restForPlugins.php');
include('wcm.vbulletin-toolbox.php');
include('wcm.vbulletin.php');

switch ($_HOOK)
{
    case 'newthread_post_complete':

        $db = $vbulletin->db;

        // First, check to see if this thread is started in the appropriate forum
        // If no forum filters are enabled, then the thread event can continue.
        if (!wcm_threadPassesFiltered($threadinfo))
        {
            break;
        }

        $siteId = wcm_getSiteIdForForum($threadinfo['forumid']);
        $config = wcm_getConfig();


        $data['title'] = $_POST['subject'];
        $data['text'] = strip_tags($_POST['message']);

        $url = 'http://' . $_SERVER['SERVER_NAME'] . '/';
        $loc = dirname($vbulletin->session->vars['location']);
        $url .= 'showthread.php?t=' . $threadinfo['threadid'];

        $data['location'] = $url;

        $data['source'] = $config['wcm-sourceName'];
        $data['sourceId'] = $threadinfo['threadid'];
        $data['siteId'] = $siteId;

        $xml = '<forum>';
        foreach ($data as $key => $value)
        {
            $xml .= '<' . $key . '>' . $value . '</' . $key . '>';
        }
        $xml .= '</forum>';

        $wcm = new wcmVB;
        $rest = $wcm->getSomeRest();

        $result = $rest->sendMessage('/content/forum', 'post', array('content' => $xml), true);
        break;
    case 'threaddata_delete':
        $config = wcm_getConfig();

        $data = 'source="' . $config['wcm-sourceName'] . '" AND sourceId="' . $threadid . '"';

        $wcm = new wcmVB;
        $rest = $wcm->getSomeRest();
        $result = $rest->sendMessage('/content/forum', 'delete', array('where' => $data), false);
        break;

}
