<?php
/**
 * Project:     WCM
 * File:        $Id: biz.addsubscription.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This page is called by an Ajax call, It returns a the update content for the channel select
 *
 */

// Init system
require_once dirname(__FILE__) . '/../../../../system/private/initWebApp.php';


// Get current project
$project = wcmProject::getInstance();

// Retrieve (some) parameters
$newsletter_id = getArrayParameter($_REQUEST, 'newsletter_id', null);
$subscriptionStart = getArrayParameter($_REQUEST, 'subscriptionStart', null);
$subscriptionEnd = getArrayParameter($_REQUEST, 'subscriptionEnd', null);
$webuser_id = getArrayParameter($_REQUEST, 'webuser_id', null);

$subscription = wcmObjectFactory::create('subscription');
$subscription->webuserId = $webuser_id;
$subscription->subscribedId = $newsletter_id;
$subscription->subscribedClass = 'newsletter';
$subscription->subscriptionEnd = $subscriptionEnd;
$subscription->subscriptionStart = $subscriptionStart;

// No browser cache
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

if (!$subscription->save())
{
    // Error saving the subscription: return a 500 status code, with the error message.
    header($_SERVER['SERVER_PROTOCOL'] . ' 500 Internal Server Error');
    header('Content-Type: text/plain');
    echo $subscription->getErrorMsg();
    
    return;
}

// Return the new subscription list.
header('Content-Type: text/html');
wcmModule(
    'business/ugc/webuser/subscriptionList',
    array(
        'webuserId' => $webuser_id
    )
);