<?php
/**
 * Project:     WCM
 * File:        $Id: chapter.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();

// This uniq id will be use for the tinyMCE editor and the addPage after js function
$uniqid = uniqid('chapter_text_');
$page = getArrayParameter($params, 'page', wcmObjectFactory::create('chapter'));

$menus = array(
    getConst(_ADD_PAGE_AFTER) => '\'' . wcmModuleURL('business/editorial/article/chapter') . '\', null, this',
    getConst(_DELETE_PAGE)    => 'removeChapter'
);

$info = '<ul>';
foreach ($menus as $title => $action)
{
    if ($title == getConst(_DELETE_PAGE))
    {
        $info .= '<li><a href="#" onclick="' . $action . '(this, \'' . $uniqid . '\'); return false;">' . $title . '</a></li>';
    }
    else
    {
        $info .= '<li><a href="#" onclick="addPage(' . $action . '); return false;">' . $title . '</a></li>';
    }
}
$info .= '</ul>';

// Cut title to 50 chars max
$title = (isset($page->title)) ? _BIZ_CHAPTER . ' ' . $page->rank . ' :: ' . $page->title : _BIZ_NEW_CHAPTER;
if (strlen($title) > 50)
{
    $title = substr($title, 0, 50) . '...';
}

wcmGUI::openCollapsablePane($title, true, $info);
wcmGUI::openFieldset('', array('id' => 'pageFieldset' . $page->id));
wcmGUI::renderTextField('chapter_title[]', $page->title, _BIZ_PAGE_TITLE);
// @todo :: Auto suggest summary (Nsummarizer call)
// wcmGUI::renderEditableField('meta_description', $page->title, _BIZ_META_DESCRIPTION);
wcmGUI::renderEditableField('chapter_text[]', $page->text, _BIZ_PAGE_CONTENT, array('id' => $uniqid));
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
