<?php
/**
 * Project:     WCM
 * File:        $Id: files.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// retrieve plugin className
$plugin = getArrayParameter($params, 'plugin');
switch ($plugin)
{
    case 'wcmImportAFP':
        $xslDir = 'AFP/';
        break;
    case 'wcmImportXML':
    default:
        $xslDir = '';
        break;
}
$config = wcmConfig::getInstance();
$siteId = wcmSession::getInstance()->getSiteId();
// prepare start button
$start = '<ul><li><a href="#"  id="'.$plugin.'_startImport">' . _START_IMPORT . '</a></li></ul>';
echo '<div class="zone">';
wcmGUI::openForm($plugin . '_importForm', $config['wcm.backOffice.url'] . 'ajax/controller.php?view=dialogs/import', '', array('target'=>'importLog', 'class' => 'mainForm'));
wcmGUI::renderHiddenField('plugin', $plugin);
wcmGUI::renderHiddenField('siteId', $siteId);
wcmGUI::openCollapsablePane($params['description'], true, $start);

wcmGUI::openFieldset(_BIZ_IMPORT_FILE_LOCATION);
wcmGUI::renderTextField($plugin . '_sourceFolder', WCM_DIR . '/business/import/xml/', _BIZ_IMPORT_SOURCE_FOLDER. " *", array("class"=>"type-req"));
wcmGUI::closeFieldset();

wcmGUI::openFieldset(_BIZ_IMPORT_TRANSFORMATION_SETTINGS);
wcmGUI::renderTextField($plugin . '_xslFolder', WCM_DIR . '/business/import/xsl/' . $xslDir, _BIZ_IMPORT_XSL_TEMPLATE_LOCATION. ' *', array('class' => 'type-req'));
wcmGUI::closeFieldset();

wcmGUI::openFieldset(_BIZ_IMPORT_MEDIA_SETTINGS);
?>

<script language="javascript" type="text/javascript">
function on_<?php echo $plugin;?>StartImport(){

	var frmValidator = new WCM.FormValidator("<?php echo $plugin;?>_importForm");
	if (!frmValidator.checkFields()){
		wcmMessage.error($I18N.INVALID_OR_MISSING_FIELDS);
		frmValidator.stopObserving();
		return false;
	}

	window.open('', 'importLog',
	'resizable=disallow,scrollbars=1,location=0,status=1,toolbar=0,width=800,height=400');
	document.<?php echo $plugin;?>_importForm.submit();
	return true;
}

$('<?php echo $plugin;?>_startImport').observe('click', on_<?php echo $plugin;?>StartImport);
</script>

<li><label><?php echo _BIZ_IMPORT_EMBEDDED_PHOTOS; ?></label>
<input type="radio" name="<?php echo $plugin;?>_embeddedPhotosLocation" value="local" checked="checked" onclick="if (this.checked == true) $('<?php echo $plugin; ?>_embeddedPhotos').disable()" /> <?php echo _SAME_AS_SOURCE_FOLDER; ?>
<input type="radio" name="<?php echo $plugin;?>_embeddedPhotosLocation" value="remote" onclick="if (this.checked == true) $('<?php echo $plugin; ?>_embeddedPhotos').enable()" /> <?php echo _DIFFERENT_DIRECTORY; ?>
</li>
<li><label><?php echo _DATA_SOURCE; ?></label> <input type="radio" name="<?php echo $plugin;?>_mediaData" value="iptc" checked="checked" /> <?php echo _JPEG_IPTC; ?> <input type="radio" name="<?php echo $plugin;?>_mediaData" value="xml" /> <?php echo _XML_DOCUMENTS; ?></li>
<li><label><?php echo _BIZ_IMPORT_EMBEDDED_PHOTOS; ?></label> <input type="text" name="<?php echo $plugin; ?>_embeddedPhotos" id="<?php echo $plugin; ?>_embeddedPhotos" size="80" value="<?php echo WCM_DIR; ?>/business/import/media/" disabled="disabled" /></li>
</ul>
</fieldset>
<?php
wcmGUI::closeForm();
echo '</div>';
