<?php
/**
 * Project:     WCM
 * File:        $Id: tme_suggest.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$kind       = getArrayParameter($_REQUEST, 'kind', null);
$targetid   = getArrayParameter($_REQUEST, 'targetid', null);
$data       = getArrayParameter($_REQUEST, 'data', null);

$context    = wcmMVC_Action::getContext();

$content = '';
//transform to assoc array
$data = get_object_vars(json_decode($data));

foreach ($data as $key => $value)
{
    if (is_array($value))
    {
        foreach ($value as $subkey => $subvalue)
        {
            $content .= trim($subvalue, " \t\n\r\0\x0B.") . ".\n";
        }
    }
    else
    {
        $content .= trim($value, " \t\n\r\0\x0B.") . ".\n";
    }
}

$method = '';
$type = '';

switch ($kind)
{
    case 'abstract':
        wcmModule(
            'business/modalbox/tme_abstract',
            array(
                'input' => $input,
                'targetid' => $targetid,
                'language' => $context->getLanguage()
            )
        );
    break;
    case '_sentiment':
        $method = 'NSentiment';
    break;
    case '_semanticData[ON]':
        $method = 'NFinder';
        $type = 'ON';
    break;
    case '_semanticData[PN]':
        $method = 'NFinder';
        $type = 'PN';
    break;
    case '_semanticData[GL]':
        $method = 'NFinder';
        $type = 'GL';
    break;
    case '_semanticData[concepts]':
        $method = 'NConceptExtractor';
        $type = 'concepts';
    break;
    case '_semanticData[categories]':
        $method = 'NCategorizer';
        $type = 'categories';
    break;
    case '_xmlTags[tags]':
        $method = 'NCategorizer';
        $type = 'categories';
    break;
    case '_similars':
        $method = 'NLikeThis_Compare';
        $type = 'similars';
    break;
}

if (property_exists($context, 'siteId'))
{
    // load object related site
    $config = wcmConfig::getInstance();
    $tme = new wcmSemanticServer($config['tme.server'], $config['tme.port']);
    $methods = array($method);
    $sdata = $tme->mineText($content, $context->getClass() . '_' . $context->id, $context->getLanguage(), $methods);
}

if (null === $sdata)
{
	$errorMsg = _BIZ_TME_PROCESSING_FAILED;
	if ($tme)
		$errorMsg .= ': ' . $tme->getErrorMessage();
	echo '<script>wcmModal.showOk(wcmModal.title,\'' . addslashes($errorMsg) . '\');</script>';
}
else
{
    echo '<form id="_formTmeSuggestions">';
    echo '<table>';
    echo '<tr>';
    echo '<th><a href="javascript:toggleInputs($(\'_formTmeSuggestions\'));">' . _BIZ_TOGGLE . '</a></th>';
    echo '<th>' . (('similars' == $type) ? _BIZ_NAME : _BIZ_FREQUENCY) . '</th>';
    echo '<th>' . _BIZ_RELEVANCY . '</th>';
    echo '</tr>';
    $count = 0;
    foreach ($sdata->$type as $key =>$value)
    {
        if ($type == 'similars')
        {
            echo '<tr>';
            echo '<td><input type="checkbox" value="' . $key . '" id="name' . $key . '"></td>';
            echo '<td><label for="name' . $key . '">' . $value['title'] . ' (' . $value['className'] . ')</label><td>';
            echo '<td>' . $value['score'] . '%</td>';
            echo '</tr>';
        }
        else
        {
            echo '<tr>';
            echo '<td><input type="checkbox" checked="checked" value="' . $key . '" id="name' . $key . '">';
            echo '    <label for="name' . $key . '">' . $key . '</label></td>';
            echo '<td class="frequencyColumn">' . (isset($value['frequency']) ? $value['frequency'] : '' ) . '</td>';
            echo '<td class="relevancyColumn">' . (isset($value['relevancy']) ? $value['relevancy'] . '%' : '') . '</td>';
            echo '</tr>';
        }

        $count++;
    }
    echo '</table>';
    echo '</form>';

    if ($count == 0)
    {
        echo '<script>wcmModal.showOk(wcmModal.title,\'' . addslashes(_BIZ_NO_SUGGESTION) . '\');</script>';
    }
}
