<?php
/**
 * Project:     WCM
 * File:        $Id: abstract.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$options = $params;          // from wcmModule() call

$id           = getArrayParameter($options, 'id', null);
$title        = getArrayParameter($options, 'title', null);
$facets       = getArrayParameter($options, 'facets', null);
$filter       = getArrayParameter($options, 'filter', null);
$searchId     = getArrayParameter($options, 'searchId', null);
$searchEngine = getArrayParameter($options, 'searchEngine', null);
$sort         = getArrayParameter($options, 'sort', true);

$inputType    = getArrayParameter($options, 'inputType', 'checkbox');
$inputName    = getArrayParameter($options, 'inputName', null);

$buttonId = $id . '_button';
$panelId = $id . '_panel';
$displayStyle = $filter->open ? '' : 'style="display:none"';
?>
<h5>
    <a id="<?php echo $buttonId; ?>" href="#"
      	onclick="toggleSearchFilter('<?php echo $id; ?>');"
<?php
if ($filter->open)
{
    echo ' class="openFilter"';
}
?>>
       <?php echo $title; ?>
    </a>
</h5>
<ul id="<?php echo $panelId; ?>" class="selection" <?php echo $displayStyle; ?> >
<?php
if ($facets && $searchId && $filter->open)
{
    $maxValues = 10; // TODO make configurable
    $search = wcmSearch::getInstance($searchEngine);
    $values = $search->getFacetValues($facets, $searchId, $maxValues, $sort);
    $checkedValues = array();
    $unckeckedValues = array();

    // TODO keep checked values in $_SESSION since sometimes they
    // disappear from the top-N facet values

    if ($values)
    {
        $checkedItems = $filter->checkedItems;
        foreach ($values as $rawValue => $value)
        {
            if ($value->count > 0)
            {
                $itemId = $id . '_item__' . preg_replace('/[^A-Za-z0-9_-]/', '_', $value->text);
                if (isset($checkedItems->$itemId))
                {
                    $value->checked = true;
                    $checkedValues[] = $value;
                }
                else
                {
                    $value->checked = false;
                    $unckeckedValues[] = $value;
                }
            }
        }
    }

    if ($checkedValues || $unckeckedValues)
    {
        foreach (array_merge($checkedValues, $unckeckedValues) as $value)
        {
            $itemId = $id . '_item__' . preg_replace('/[^A-Za-z0-9_-]/', '_', $value->text);
            $checked = $value->checked ? 'checked="checked"' : '';
            $rawValue = addslashes(wcmSearch::escapeQuery($value->value));
            $shortValue = (strlen($value->text) > 18) ? substr($value->text, 0, 17) . '...' : $value->text;
            ?>
            <li>
                <label><input style="float: left; display: inline; margin: 0; padding: 0;" type="<?php echo $inputType; ?>" name="<?php echo $inputName; ?>" id="<?php echo $itemId; ?>" <?php echo $checked; ?>
                       onclick="refineSearch('<?php echo $id; ?>',
                                             '<?php echo $itemId; ?>',
                                             this.checked,
                                             '<?php echo $value->searchIndex; ?>',
                                             '<?php echo $rawValue; ?>')" />
                <span title="<?php echo $value->text; ?>"><?php echo $shortValue; ?> (<?php echo $value->count; ?>)</span>
                </label>
            </li>
            <?php
        }
    }
    else
    {
        echo '<li>' . _RESULT_NO_ITEM_FOUND . '</li>';
    }
}
    ?>
</ul>
