<?php
/**
 * Project:     WCM
 * File:        $Id: collection.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/collection', array('class' => 'collection'));
$bizobject = wcmMVC_Action::getContext();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{	
    $tabs = new wcmAjaxTabs('navcollection', true);
    $tabs->addTab('tabs.tree.collection', _BIZ_COLLECTIONS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.browse.collection', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.collection', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';


echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('collection', true);
    $tabs->addTab('tabs.overview.collection', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.collection', _PROPERTIES, false, null, wcmModuleURL('business/editorial/collection/properties'));
    $tabs->addTab('tabs.content.collection', _CONTENT, true, null, wcmModuleURL('business/editorial/collection/content'));
    //
    // @todo: solve issues when referencing and content are both loaded (drag'n drop crashed)
    // $tabs->addTab('t4', _BIZ_REFERENCING, false, null, wcmModuleURL('business/shared/referencing'));
    //
    $tabs->addTab('tabs.categorization.collection', _BIZ_CATEGORIZATION, false, null, wcmModuleURL('business/shared/categorization'));
    $tabs->addTab('tabs.footprint.collection', _BIZ_TME, false, null, wcmModuleURL('business/tme/footprint'));
    $tabs->addTab('tabs.design.collection', _BIZ_DESIGN, false, null, wcmModuleURL('business/shared/design'));
    $tabs->render($bizobject->id === 0, array('tabs.content.collection', 'tabs.categorization.collection', 'tabs.footprint.collection'));
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
