<?php
/**
 * Project:     WCM
 * File:        $Id: contribution.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/contribution', array('class' => 'contribution'));
$bizobject = wcmMVC_Action::getContext();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu(true);

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navcontribution', true);
    $tabs->addTab('tabs.tree.contribution', _BIZ_CONTRIBUTIONS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.browse.contribution', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.contribution', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';


echo '<div id="content">';

wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('contribution', true);
    $tabs->addTab('tabs.overview.contribution', _BIZ_OVERVIEW, true, null, wcmModuleURL('business/shared/overview'));
    wcmFormGui::renderHiddenField('text', $bizobject->text);
    $tabs->addTab('tabs.categorization.contribution', _BIZ_CATEGORIZATION, false, null, wcmModuleURL('business/shared/categorization'));
    $tabs->addTab('tabs.footprint.contribution', _BIZ_TME, false, null, wcmModuleURL('business/tme/footprint'));
    $tabs->render($bizobject->id === 0, array('tabs.overview.contribution','tabs.categorization.contribution','tabs.footprint.contribution'));
    wcmGUI::closeForm();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
