<?php
/**
 * Project:     WCM
 * File:        $Id: forum.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/forum', array('class' => 'forum'));
$bizobject = wcmMVC_Action::getContext();
$config = wcmConfig::getInstance();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
$disabled = array('mine');
wcmGUI::renderObjectMenu(true, $disabled);

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navforum', true);
    $tabs->addTab('tabs.tree.forum', _BIZ_FORUMS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.browse.forum', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.forum', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('forum', true);
    $tabs->addTab('tabs.overview.forum', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.forum', _PROPERTIES, true, null, wcmModuleURL('business/ugc/forum/properties'));
    $tabs->addTab('tabs.content.forum', _BIZ_CONTENT, false, null, wcmModuleURL('business/ugc/forum/content'));
    $tabs->addTab(
        'tabs.photo.forum',
        _BIZ_PHOTOS,
        false,
        null,
        wcmModuleURL(
            'business/relationship/main',
            array(
                'kind' => bizrelation::IS_COMPOSED_OF,
                'destinationClass' => 'photo',
                'classFilter' => 'photo',
                'prefix' => '_wcm_rel_photos_',
                'createTab' => true,
                'createModule' => 'business/subForms/uploadPhoto',
                'uid' => 'forumSearchId'
            )
        )
    );
    $tabs->addTab('tabs.referencing.forum', _BIZ_REFERENCING, false, null, wcmModuleURL('business/shared/referencing'));
    $tabs->render($bizobject->id === 0);
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
