<?php
/**
 * Project:     WCM
 * File:        $Id: import.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderAssetBar(_MENU_IMPORT, _MENU_IMPORT_FROM_FILES);

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('tabs.navigation.import', true);
    $tabs->addTab('tabs.history.import', _HISTORY, true, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
try
{
    $tabs = new wcmAjaxTabs('import', true);

    $plugins = wcmImport::getPluginCache();

    foreach ($plugins->plugin as $plugin)
    {
        if (isset($plugin->module))
        {
            $description = $plugin->description;
            $tabs->addTab(
                'tabs.import.' . $plugin->className,
                $plugin->name,
                false,
                null,
                wcmModuleURL(
                    $plugin->module . '/main',
                    array(
                        'description' => (string)getConst($plugin->description),
                        'name' => (string)$plugin->name,
                        'plugin' => (string)$plugin->className
                    )
                )
            );
        }
    }
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
