<?php
/**
 * Project:     WCM
 * File:        $Id: item.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/item', array('class' => 'item'));
$bizobject = wcmMVC_Action::getContext();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
$disabled = array('mine');
wcmGUI::renderObjectMenu(true, $disabled);

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navitem', true);
    $tabs->addTab('tabs.tree.item', _BIZ_ITEMS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.browse.item', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.item', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('item', true);
    $tabs->addTab('tabs.overview.item', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.item', _PROPERTIES, false, null, wcmModuleURL('business/editorial/item/properties'));
    $tabs->addTab('tabs.content.item', _CONTENT, true, null, wcmModuleURL('business/editorial/item/content'));
    $tabs->addTab('tabs.referencing.item', _BIZ_REFERENCING, false, null, wcmModuleURL('business/shared/referencing'));
    $tabs->render($bizobject->id === 0);
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
