<?php
/**
 * Project:     WCM
 * File:        $Id: newsitem.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/newsitem', array('class' => 'newsitem'));
$bizobject = wcmMVC_Action::getContext();
$config = wcmConfig::getInstance();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navnewsitem', true);
    $tabs->addTab('tabs.tree.newsitem', _BIZ_ITEMS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.browse.newsitem', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.newsitem', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';


echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('newsitem', true);
    $tabs->addTab('tabs.overview.newsitem', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.newsitem', _PROPERTIES, false, null, wcmModuleURL('business/editorial/newsitem/properties'));
    $tabs->addTab('tabs.content.newsitem', _CONTENT, true, null, wcmModuleURL('business/editorial/newsitem/content'));
    //$tabs->addTab('t4', _BIZ_MEDIA, false, null, wcmModuleURL('business/shared/media'));

    $tabs->addTab(
        'tabs.media.newsitem',
        _BIZ_MEDIA,
        false,
        null,
        wcmModuleURL(
            'business/relationship/main',
            array(
                'kind' => bizrelation::IS_COMPOSED_OF,
                'destinationClass' => 'photo',
                'classFilter' => 'photo',
                'prefix' => '_wcm_rel_photos_',
                'createTab' => true,
                'createModule' => 'business/subForms/uploadPhoto',
                'uid' => 'newsItemSearchId'
            )
        )
    );

    $tabs->addTab('tabs.referencing.newsitem', _BIZ_REFERENCING, false, null, wcmModuleURL('business/shared/referencing'));
    $tabs->addTab('tabs.categorization.newsitem', _BIZ_CATEGORIZATION, false, null, wcmModuleURL('business/shared/categorization'));
    $tabs->addTab('tabs.footprint.newsitem', _BIZ_TME, false, null, wcmModuleURL('business/tme/footprint'));
    $tabs->render($bizobject->id === 0, array('tabs.content.newsitem','tabs.categorization.newsitem','tabs.footprint.newsitem'));
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
