<?php
/**
 * Project:     WCM
 * File:        $Id: newsletter.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/newsletter', array('class' => 'newsletter'));
$bizobject = wcmMVC_Action::getContext();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
$disabled = array('mine');
wcmGUI::renderObjectMenu(true, $disabled);

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navnewsletter', true);
    $tabs->addTab('tabs.tree.newsletter', _BIZ_NEWSLETTERS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.browse.newsletter', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.newsletter', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';


echo '<div id="content">';

wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('newsletter', true);
    $tabs->addTab('tabs.overview.newsletter', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.newsletter', _PROPERTIES, false, null, wcmModuleURL('business/editorial/newsletter/properties'));
    $tabs->addTab('tabs.content.newsletter', _CONTENT, true, null, wcmModuleURL('business/editorial/newsletter/content'));
    $tabs->addTab('tabs.subscribers.newsletter', _BIZ_NEWSLETTER_SUBSCRIBERS, false, null, wcmModuleURL('business/editorial/newsletter/subscribers'));
    $tabs->addTab('tabs.design.newsletter', _DESIGN, false, null, wcmModuleURL('business/editorial/newsletter/design'));
    $tabs->render($bizobject->id === 0);
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();

echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
