<?php
/**
 * Project:     WCM
 * File:        $Id: cleanupInstall.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
class wcmInstallInstructions_cleanupInstall extends wcmInstall_instruction
{
    /**
     * Constructor
     */
    public function __construct()
    {
        $this->description = 'Cleaning-up installation';
    }

    /**
     * Process the instruction.
     * @return bool True on success.
     */
    public function processInstruction()
    {
        $session = wcmInstall_session::getInstance();

        $path = dirname(__FILE__) . '/../../';

        $this->tryDelete($path . 'conf/backoffice/widgets.xml');
        $this->tryDelete($path . 'conf/backoffice/search/searchPlugins.xml');

        //create the cache directory
        $cache_directory = $session->getWcmConfigValue('config_wcm_cache_path');
        if (!file_exists($cache_directory))
        {
            mkdir($cache_directory, 0777, true);
        }
        return true;
    }

    /**
     * Try to delete a file only if it exists.
     * @param string $path The file path.
     */
    private function tryDelete($path)
    {
        if (file_exists($path))
        {
            unlink($path);
        }
    }
}
