<?php
/**
 * Project:     WCM
 * File:        $Id: stepFour.class.php 9349 2010-03-29 20:24:13Z berejeba $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
class wcmInstallSteps_stepFour extends wcmInstall_step
{
    /**
     * The socket used to communicate with TME.
     * @var resource
     */
    private $tmeSocket = null;

    /**
     * Constructor
     */
    public function __construct()
    {
        $this->title = 'Step Four';
        $this->desc = '<u>Setting up services</u>: This screens is customized according to your previous selections.';
        $session = wcmInstall_session::getInstance();
        if (!empty($_POST['process']))
        {
            $this->process();
        }
        if (!empty($_POST))
        {
            $options = $_POST;
        }
        else
        {
            // If we have a DSN, grab it, break it apart, populate form
            // If you're reading this, then I'm already dead or kidnapped by
            // bizarre forces the likes of which you've never seen!

            $options['db_prefix'] = '';

            $dsn = $session->getWcmConfigValue('config_wcm_systemDB_connectionString');
            if ($dsn)
            {
                $dsnParts = parse_url($dsn);
                $options['db_host'] = !empty($dsnParts['host']) ? $dsnParts['host'] : 'localhost';
                $options['db_port'] = !empty($dsnParts['port']) ? $dsnParts['port'] : '3306';
                $options['db_username'] = !empty($dsnParts['user']) ? $dsnParts['user'] : 'root';

                if (!empty($dsnParts['path']))
                {
                    $options['db_prefix'] = str_replace('/', '', array_shift(explode('_', $dsnParts['path'])));
                }
            }
            else
            {
                $options['db_host'] = 'localhost';
                $options['db_port'] = '3306';
                $options['db_username'] = 'root';
            }
            $options['db_password'] = '';
            $options['config_use_3S'] = $this->getDefaultValue('config_use_3S', $session->getWcmConfigValue('config_use_3S'));
            $options['config_wcm_webSite_SSS_URL'] = $this->getDefaultValue('config_wcm_webSite_SSS_URL', $session->getWcmConfigValue('config_wcm_webSite_SSS_URL'));
            $options['config_wcm_webSite_SSS_config'] = $this->getDefaultValue('config_wcm_webSite_SSS_config', $session->getWcmConfigValue('config_wcm_webSite_SSS_config'));
            $options['config_wcm_webSite_SSS_index'] = $this->getDefaultValue('config_wcm_webSite_SSS_index', $session->getWcmConfigValue('config_wcm_webSite_SSS_index'));

            $options = array_merge($options, $session->getWcmConfigValues());
            //$options['config_tme_server'] = $session->getWcmConfigValue('config_tme_server');
            //$options['config_tme_port'] = ($tmePort = $session->getWcmConfigValue('config_tme_port'))? $tmePort : 40000;
            //$options['config_solr_service'] = $session->getWcmConfigValue('config_solr_service');
            //$options['config_dam_webServices'] = $session->getWcmConfigValue('config_dam_webServices');
        }
        $this->loadTemplate('templates/stepFour.php', $options);
    }

    /**
     * Process the step
     */
    public function process()
    {

        // First test db
        $host = $_POST['db_host'];
        $session = wcmInstall_session::getInstance();

        if (isset($_POST['db_port']))
        {
            $host .= ':' . $_POST['db_port'];
        }

        // I know I complain about this, but it does actually throw a PHP warning
        // under obscure circumstances.
        if (!@mysql_connect($host, $_POST['db_username'], $_POST['db_password']))
        {
            $this->error('Could not connect to database.');

            $session->log(mysql_error());

            $this->errorFields['db_host'] = true;
            $this->errorFields['db_username'] = true;
            $this->errorFields['db_password'] = true;
            $this->errorFields['db_port'] = true;
            $this->errorFields['db_prefix'] = true;
            return;
        }

        if (empty($_POST['db_prefix']))
        {
            $this->error('A database prefix name must be supplied');
            $this->errorFields['db_prefix'] = true;
            return;
        }

        $sysdb = $_POST['db_prefix'] . '_sys';
        $bizdb = $_POST['db_prefix'] . '_biz';

        if (!mysql_select_db($sysdb))
        {
            if (!mysql_query('CREATE DATABASE ' . $sysdb))
            {
                $this->error('Could not create system database!');
                $session->log(mysql_error());
                $this->errorFields['db_prefix'] = true;
                $this->errorFields['db_host'] = true;
                $this->errorFields['db_username'] = true;
                $this->errorFields['db_password'] = true;
                $this->errorFields['db_port'] = true;
                return;
            }
        }
        else
        {
            $session->log('Database ' . $sysdb . ' already exists');
        }

        if (!mysql_select_db($bizdb))
        {
            if (!mysql_query('CREATE DATABASE ' . $bizdb))
            {
                $this->error('Could not create business database!');
                $session->log(mysql_error());
                $this->errorFields['db_prefix'] = true;
                $this->errorFields['db_host'] = true;
                $this->errorFields['db_username'] = true;
                $this->errorFields['db_password'] = true;
                $this->errorFields['db_port'] = true;
                return;
            }
        }
        else
        {
            $session->log('Database ' . $bizdb . ' already exists');
        }

        // Sweet, db setup is done
        $dsn = 'mysql://' . $_POST['db_username'] . ':' . $_POST['db_password'] . '@' . $host . '/' . $sysdb;

        $session->addWcmConfigVar('config_wcm_systemDB_connectionString', $dsn);

        if (isset($_POST['test_solr']))
        {
            if (!isset($_POST['config_solr_service']))
            {
                $this->error('You must enter in your Solr service location');
                $this->errorFields['config_solr_service'] = true;
                return;
            }
            else
            {
                if (empty($_POST['config_solr_service']))
                {
                    $this->error('You must enter in your SOLR webservice location');
                    $this->errorFields['config_solr_service'] = true;
                    return;
                }
                elseif (!$this->testSolr($_POST['config_solr_service']))
                {
                    $this->error('There is a problem with the <strong>Embedded Solr search</strong> configuration');
                    $this->errorFields['config_solr_service'] = true;
                    return;
                }
            }

            $session->addWcmConfigVar('config_wcm_plugins_search_default', 'solr', '/');
            $session->addWcmConfigVar('config_solr_service', rtrim($_POST['config_solr_service'], '/'));
        }

        if (isset($_POST['test_tme']))
        {
            if (!isset($_POST['config_tme_server']) || !isset($_POST['config_tme_port']))
            {
                $this->error('You must fill in your TME information');
                $this->errorFields['config_tme_server'] = true;
                $this->errorFields['config_tme_port'] = true;
                return;
            }

            if (!$this->testTME($_POST['config_tme_server'], $_POST['config_tme_port']))
            {
                $this->error('The TME test failed. Please check your TME configuration and try again.');
                $this->errorFields['config_tme_server'] = true;
                $this->errorFields['config_tme_port'] = true;
                return;
            }

            $session->addWcmConfigVar('config_tme_enabled', 1);
            $session->addWcmConfigVar('config_tme_server', $_POST['config_tme_server']);
            $session->addWcmConfigVar('config_tme_port', $_POST['config_tme_port']);
        }

        if (isset($_POST['test_dam']))
        {
            if (empty($_POST['config_dam_webServices']))
            {
                $this->error('You must fill in your DAM WebService information');
                $this->errorFields['config_dam_webServices'] = true;
                return;
            }

            if (!$this->testDamWS($_POST['config_dam_webServices']))
            {
                $this->error('There was a problem testing the DAM Webservice. Please verify your information');
                $this->errorFields['config_dam_webServices'] = true;
                return;
            }

            $session->addWcmConfigVar('config_dam_enabled', 1);
            $session->addWcmConfigVar('config_dam_webServices', $_POST['config_dam_webServices']);
        }

        if (isset($_POST['test_msg']))
        {
            ini_set('include_path', ini_get('include_path') . ':' . realpath(dirname(__FILE__) . '/../../includes/stomp'));

            if (!$_POST['config_stomp_broker_uri'] || !$_POST['config_wcm_messaging_destinations_logging'])
            {
                $this->error('You must fill in the broker URI and specificy the activity logging queue name');
                if (!$_POST['config_stomp_broker_uri'])
                {
                    $this->errorFields['config_stomp_broker_uri'] = true;
                }
                if (!$_POST['config_wcm_messaging_destinations_logging'])
                {
                    $this->errorFields['config_wcm_messaging_destinations_logging'] = true;
                }
                return;
            }

            if (isset($_POST['config_stomp_broker_username']) && empty($_POST['config_stomp_broker_password']))
            {
                $this->error('If supplying a username, you must also supply a password');
                $this->errorFields['config_stomp_broker_username'] = true;
                $this->errorFields['config_stomp_broker_password'] = true;
                return;
            }

            try
            {
                $stomp = new Stomp($_POST['config_stomp_broker_uri']);
                $stomp->connect($_POST['config_stomp_broker_username'], $_POST['config_stomp_broker_password']);
            }
            catch (Exception $e)
            {
                $this->error('Could not connect to ActiveMQ. Reason: ' . $e->getMessage());
                $this->errorFields['config_stomp_broker_username'] = true;
                $this->errorFields['config_stomp_broker_password'] = true;
                $this->errorFields['config_stomp_broker_uri'] = true;
                return;
            }

            // Test the connection
            $uriParts = parse_url($_POST['config_stomp_broker_uri']);
            $uriParts['user'] = $_POST['config_stomp_broker_username'];
            $uriParts['pass'] = $_POST['config_stomp_broker_password'];

            $uri = $uriParts['scheme'] . '://' . $uriParts['user'] . ':' . $uriParts['pass'] . '@' . $uriParts['host'] . ':' . $uriParts['port'];
            $session->addWcmConfigVar('config_stomp_broker_uri', $uri);
            $session->addWcmConfigVar('config_wcm_messaging_destinations_logging', $_POST['config_wcm_messaging_destinations_logging']);
        }
        else
        {
            $session->addWcmConfigVar('config_wcm_messaging_destinations_logging', '');
        }
        if (isset($_POST['config_use_3S']) && 'yes' == $_POST['config_use_3S'])
        {
            if (empty($_POST['config_wcm_webSite_SSS_URL']))
            {
                $this->error('3S URL is empty');
                $this->errorFields['config_wcm_webSite_SSS_URL'] = true;
                return;
            }
            if (empty($_POST['config_wcm_webSite_SSS_params_config']))
            {
                $this->error('3S config is empty');
                $this->errorFields['config_wcm_webSite_SSS_params_config'] = true;
                return;
            }
            if (empty($_POST['config_wcm_webSite_SSS_params_index']))
            {
                $this->error('3S index is empty');
                $this->errorFields['config_wcm_webSite_SSS_params_index'] = true;
                return;
            }
          
            if (!$this->test3S($_POST['config_wcm_webSite_SSS_URL']))
            {
                return;
            }

            $session->addWcmConfigVar('config_use_3S', 1);
            $enable3S = (isset($_POST['config_use_3S']) && $_POST['config_use_3S'] == 'yes') ? '1' : '0';
            $session->addWcmConfigVar('config_wcm_webSite_SSS_enabled', $enable3S);
            $session->addWcmConfigVar('config_wcm_webSite_SSS_URL', $_POST['config_wcm_webSite_SSS_URL']);
            $session->addWcmConfigVar('config_wcm_webSite_SSS_params_config', $_POST['config_wcm_webSite_SSS_params_config']);
            $session->addWcmConfigVar('config_wcm_webSite_SSS_params_index', $_POST['config_wcm_webSite_SSS_params_index']);
        }



        $this->redirect = '?step=stepFive';
        return true;
    }

    /**
     * Test if solr is working
     * @param string $argSolr Solr host
     * @return bool TRUE on success
     */
    public function testSolr($argSolr)
    {
        $session = wcmInstall_session::getInstance();
        $solrhost = $argSolr;
        $session->log('Testing Solr search service at: ' . $solrhost);
        if ('/' != $solrhost{strlen($solrhost) - 1})
        {
            $solrhost .= '/';
        }
        $curl = curl_init();
        curl_setopt($curl, CURLOPT_FAILONERROR, true);
        curl_setopt($curl, CURLOPT_URL, $solrhost . 'select?q=classname:article&fl=solrDocumentId');
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

        $result = curl_exec($curl);
        if (false !== $result)
        {
            $info = curl_getinfo($curl);
            curl_close($curl);

            if (200 == $info['http_code'])
            {
                $domDoc = new DOMDocument();
                if (!$domDoc->loadXML(trim($result)))
                {
                    $session->log('Solr Search Service Error: Service returned invalid XML');
                    return false;
                }
                else
                {
                    $session->log('Solr Search Service: Connection successful');
                    return true;
                }
            }
            else
            {
                $session->log('Solr Search Service Error: HTTP Code was not 200, instead it was:' . $info['http_code']);
                return false;
            }
        }
        else
        {
            $session->log('Solr Search Service Error: CURL failed: ' . curl_error($curl));
            curl_close($curl);
            return false;
        }
    }


    public function test3S($SSSURL)
    {
        $url = rtrim($SSSURL, '/') . '/index.php?action=status';
        $session = wcmInstall_session::getInstance();
        $session->log('Testing 3S service at: ' . $url);
        $curl = curl_init();
        curl_setopt($curl, CURLOPT_FAILONERROR, true);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        $result = curl_exec($curl);
        if (false !== $result)
        {
            $info = curl_getinfo($curl);
            curl_close($curl);

            if (200 == $info['http_code'])
            {
                $domDoc = new DOMDocument();
                if (!$domDoc->loadXML(trim($result)))
                {
                    $this->error('3S Service Error: Service returned invalid XML');
                    $this->errorFields['config_wcm_webSite_SSS_URL'] = true;
                    $session->log('3S Service Error: Service returned invalid XML');
                    return false;
                }
                else
                {
                    $this->errorFields['config_wcm_webSite_SSS_URL'] = false;
                    $session->log('3S Service: Connection successful');
                    return true;
                }
            }
            else
            {
                $this->error('3S Service Error: HTTP Code was not 200, instead it was:' . $info['http_code']);
                $this->errorFields['config_wcm_webSite_SSS_URL'] = true;
                $session->log('3S Service Error: HTTP Code was not 200, instead it was:' . $info['http_code']);
                return false;
            }
        }
        else
        {
            $this->error('3S Service Error: CURL failed: ' . curl_error($curl));
            $this->errorFields['config_wcm_webSite_SSS_URL'] = true;
            $session->log('3S Service Error: CURL failed: ' . curl_error($curl));
            curl_close($curl);
            return false;
        }

        return true;
    }

    /**
     * Test if TME is working
     * @param string $argHost TME host
     * @param int $argPort TME port
     * @return bool TRUE on success
     */
    public function testTME($argHost, $argPort)
    {
        $session = wcmInstall_session::getInstance();

        if ($this->tmeConnect($argHost, $argPort))
        {
            $nCommands[] = 'ping';

            foreach ($nCommands as $cmd)
            {
                $doc = new DOMDocument();
                $doc->load('nServerXMLtests/' . $cmd . '.xml');
                if ($this->tmeSend($doc->saveXML()))
                {
                    $res = $this->tmeRecv();
                    if (false !== $res)
                    {
                        $dom = new DOMDocument;
                        $dom->loadXML($res);

                        // Returns the error code or 0 for success.
                        $error = (int)$dom->getElementsByTagName('ErrorID')->item(0)->textContent;
                        if (0 === $error)
                        {
                            $session->log('TME Test [' . $cmd . ']: Success');
                        }
                        elseif (7 == $error)
                        {
                            $session->log('TME Test [' . $cmd . ']: Failed - Invalid license');
                            return false;
                        }
                        else
                        {
                            $session->log('TME Test [' . $cmd . ']: Failed');
                            return false;
                        }

                    }
                    else
                    {
                        $session->log('TME Test[' . $cmd . ']: Received nothing back!');
                        return false;
                    }
                }
                else
                {
                    $session->log('TME: Could not send XML command to TME.');
                    return false;
                }
            }
        }
        else
        {
            $session->log('TME: Could not connect.');
            return false;
        }

        // If the code gets there, that is good
        return true;
    }

    /**
     * Test DAM
     * @param string $argWs DAM webservice location
     * @return bool TRUE on success
     */
    public function testDamWS($argWs)
    {
        $session = wcmInstall_session::getInstance();

        if ('' == $argWs)
        {
            $session->log('Dam Webservice not specified.');
            return true;
        }
        $Wshost = $argWs;
        if ('/' != $Wshost{strlen($Wshost)-1})
        {
            $Wshost .= '/';
        }
        $curl = curl_init();
        curl_setopt($curl, CURLOPT_FAILONERROR, true);
        curl_setopt($curl, CURLOPT_URL, $Wshost . 'BizObjectManagementService.asmx?WSDL');
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

        $result = curl_exec($curl);
        if (false !== $result)
        {
            $info = curl_getinfo($curl);
            curl_close($curl);

            if (200 == $info['http_code'] || 302 == $info['http_code'])
            {
                $xmlProps = new DOMDocument();
                $xmlProps->loadXML(trim($result));
                $root = $xmlProps->getElementsByTagName('error');
                if ($root->length > 0)
                {
                    $session->log('DAM Web Service Error: Web Service returned an error');
                    return false;
                }
                else
                {
                    $this->DamWS = $Wshost;
                    $session->log('DAM Web Service: Connection successful');
                    return true;
                }
            }
            else
            {
                $session->log('DAM Web Service Error: HTTP Code was not 200 or 302, instead it was:' . $info['http_code']);
                return false;
            }
        }
        else
        {
            $session->log('DAM Web Service Error: CURL failed: ' . curl_error($curl));
            curl_close($curl);
            return false;
        }
    }

    /**
     * Connect to Nserver
     * @param string $argHost Nserver host
     * @param int $argPort Nserver port
     * @return bool TRUE on success
     */
    private function tmeConnect($argHost, $argPort)
    {
        $session = wcmInstall_session::getInstance();

        $this->tmeSocket = @socket_create(AF_INET, SOCK_STREAM, SOL_TCP);
        if (false === $this->tmeSocket)
        {
            $session->log('TME Connection: Error: ' . socket_strerror(socket_last_error()));
            return false;
        }

        if (false === @socket_connect($this->tmeSocket, $argHost, $argPort))
        {
            $session->log('TME Connection: Error: ' . socket_strerror(socket_last_error($this->tmeSocket)));
            return false;
        }

        $session->log('TME Connection: Good');
        return true;
    }

    /**
     * Sends data over the connection to NServer.
     *
     * @param string $data The data to send
     *
     * @return bool True on success, false on failure
     */
    private function tmeSend($data)
    {
        $session = wcmInstall_session::getInstance();

        // Pack the data length in 'Little Endian' binary format
        $binaryLength = pack('V', mb_strlen($data, 'ISO-8859-1'));

        // Send the binary data length to NServer
        if (false === @socket_write($this->tmeSocket, $binaryLength))
        {
            $session->log('TME Send Failed: ' . socket_strerror(socket_last_error($this->tmeSocket)));
            return false;
        }

        // Send the data to NServer
        if (false === @socket_write($this->tmeSocket, $data))
        {
            $session->log('TME Send Failed: ' . socket_strerror(socket_last_error($this->tmeSocket)));
            return false;
        }

        $session->log('TME Send: Success');
        return true;
    }

    /**
     * Receives data over the connection from NServer.
     *
     * @return string The received data, or false on failure
     */
    private function tmeRecv()
    {

        $session = wcmInstall_session::getInstance();

        // Receive the binary data length from NServer
        $binaryLength = socket_read($this->tmeSocket, 4, PHP_BINARY_READ);

        // Check for error
        if (false === $binaryLength)
        {
            $session->log('nStein Receive: Error: ' . socket_strerror(socket_last_error($this->tmeSocket)));
            return null;
        }

        // Unpack the binary data length assumed to be in 'Little Endian' binary format
        $unpackedBinaryLength = unpack('V', $binaryLength);
        $dataLength = (int)$unpackedBinaryLength[1];

        // Recover the result as a string
        $result = '';
        $chunk  = '';

        while ($dataLength > 0)
        {
            // Sleep a little to work around network latency problems
            usleep(10);

            // We will read large responses in chunks
            $bytesToRead = $dataLength > 1024 ? 1024 : $dataLength;

            // Read chunk
            $chunk = socket_read($this->tmeSocket, $bytesToRead, PHP_BINARY_READ);
            if (false === $chunk)
            {
                // Error
                $dataLength = 0;
            }
            else
            {
                $result .= (string)$chunk;
                $dataLength -= $bytesToRead;
            }
        }

        // Check for error
        if (false === $chunk)
        {
            $session->log('nStein Receive: Error: ' . socket_strerror(socket_last_error($this->tmeSocket)));
            return false;
        }

        $session->log('TME Receive: Success');
        return $result;
    }
}
