<?php
/**
 * Project:     WCM
 * File:        $Id: stepTwo.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

class wcmInstallSteps_stepTwo extends wcmInstall_step
{
    /**
     * Constructor
     */
    public function __construct()
    {
        $session = wcmInstall_session::getInstance();
        $session->initConfiguration();

        $this->title = 'Step Two';
        $this->desc = '<u>Package selection</u>: This screen allows you to install optional components';

        if (isset($_GET['process']))
        {
            $this->process();
        }

        $session = wcmInstall_session::getInstance();
        $tplVars = array();

        /**
         * No demo site for the moment
         * Classes wcmInstallInstructions_sampleContent and wcmInstallInstructions_demoPage are not removed
         * but content of the sql scripts are cleaned also.

        if ($session->isRegisteredInstruction('wcmInstallInstructions_sampleContent'))
        {
            $tplVars['install_sample_content'] = true;
        }
        if ($session->isRegisteredInstruction('wcmInstallInstructions_demoPage'))
        {
            $tplVars['install_demo_site'] = true;
        }
        */
        if (1 === $session->getWcmConfigValue('wcmConfig_enableTme'))
        {
            $tplVars['activate_tme'] = true;
        }
        if (1 === $session->getWcmConfigValue('wcmConfig_enableDam'))
        {
            $tplVars['activate_dam'] = true;
        }

        $this->loadTemplate('templates/stepTwo.php', $tplVars);
    }

    /**
     * Process the step
     */
    private function process()
    {
        $session = wcmInstall_session::getInstance();

        if (!empty($_GET['install_sample_content']))
        {
            $session->registerInstruction(new wcmInstallInstructions_sampleContent());
        }
        else
        {
            $session->unregisterInstruction('wcmInstallInstructions_sampleContent');
        }

        if (!empty($_GET['install_demo_site']))
        {
            $session->registerInstruction(new wcmInstallInstructions_demoPage());
        }
        else
        {
            $session->unregisterInstruction('wcmInstallInstructions_demoPage');
        }

        if (!empty($_GET['activate_tme']))
        {
            $session->addWcmConfigVar('wcmConfig_enableTme', 1);
        }
        else
        {
            $session->addWcmConfigVar('wcmConfig_enableTme', 0);
        }

        if (!empty($_GET['activate_msg']))
        {
            $session->addWcmConfigVar('wcmConfig_enableMsg', 1);
        }
        else
        {
            $session->addWcmConfigVar('wcmConfig_enableMsg', 0);
        }

        $this->redirect = '?step=stepThree';
    }
}
