<IfModule mod_rewrite.c>
RewriteEngine on

RewriteBase <?php echo $rewriteBase; ?>
#handle preview page for channels
RewriteRule ^preview.php$ preview.php [L]

# in-context editing
RewriteRule ^nstein-ice/([0-9a-zA-Z]+)*$ cache/ice.php?mode=$1 [QSA,L]

# channels and home page(s)
# if no file name or index.* is entered, redirect to home page and exit
RewriteRule ^$ cache/cache.php?className=channel&id=1 [L]
RewriteRule ^index\..*$ cache/cache.php?className=channel&id=1 [L]
RewriteRule ^([a-zA-Z]+)\..*$ cache/cache.php?className=channel&title=$1 [L]

# RSS
RewriteRule ^rss/([0-9]+)/([a-zA-Z]+)\..*$ cache/rss/$1.php [L]
RewriteRule ^rss/([a-zA-Z-]+)\..*$ cache/rss/$1.php [L]

# Search page
RewriteRule ^search/(.*)$ cache/search.php?search_fulltext=$1 [QSA,L]
RewriteRule ^search\..*?([a-zA-Z]+)$ cache/search.php?$1 [QSA,L]

# articles and slideshows
# Expected format is bizobjectName/bizobjectId[any letter]bizsubobjectId .* (matches any extension)
# will redirect to cache/bizobjectId/bizsubobjectId/bizobjectId.php and exit
RewriteRule ^([a-zA-Z]+)/([0-9]+)c([0-9]+)/.*$ cache/cache.php?className=$1&id=$2&subId=$3 [L]

# Expected format is bizobjectName/bizobjectId .* (matches any extension)
# will redirect to cache/bizobjectId/bizsubobjectId/1.php and exit
RewriteRule ^([a-zA-Z]+)/([0-9]+)/.*$ cache/cache.php?className=$1&id=$2 [QSA,L]
</IfModule>