<?php
/**
 * Project:     WCM
 * File:        $Id: menu.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */


/**
 * This class implements the action controller for the menu page
 */
class wcmMenuAction extends wcmMVC_SysAction
{
    /**
     * Instanciate context (usually a wcmObject)
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function setContext($session, $project)
    {
        parent::setContext($session, $project);

        // Set default parentId if given in $_REQUEST
        if ($this->context->id == 0)
        {
            $this->context->parentId = getArrayParameter($_REQUEST, 'parentId', null);
        }
    }

    /**
     * beforeSave is called by onCheckin and onSave before storing the sysobject
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function beforeSave($session, $project)
    {
        // Believe it or not, 'action' cannot be assigned to an input in a form
        // or else you won't be able to update the form's action in javascript!!!!
        if (isset($_REQUEST['_action']))
        {
            $this->context->action = $_REQUEST['_action'];
        }
    }

    /**
     * afterSave is called by onCheckin and onSave after storing the sysobject
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function afterSave($session, $project)
    {
        $config = wcmConfig::getInstance();
        $key = $config['wcm.project.guid'] . 'htmlmenu';
        unset($_SESSION[$key]);
        wcmCacheRegistry::get()->delete('wcmMenu');
        wcmMVC_Action::refreshTree();
    }

    /**
     * afterDelete is called by onDelete after deleting the sysobject
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function afterDelete($session, $project)
    {
        $config = wcmConfig::getInstance();
        $key = $config['wcm.project.guid'] . 'htmlmenu';
        unset($_SESSION[$key]);
        wcmCacheRegistry::get()->delete('wcmMenu');
        wcmMVC_Action::refreshTree();
    }
}
