<?php
/**
 * Project:     WCM
 * File:        $Id: preferences.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */


/**
 * This class implements the action controller for the preferences page
 */
class wcmPreferencesAction extends wcmMVC_SysAction
{
    /**
     * Instanciate context (usually a wcmObject)
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function setContext($session, $project)
    {
        // Instanciate user
        $this->context = new wcmUser();
        $this->context->refresh($session->getUser()->id);
    }

    /**
     * onSave event
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function onSave($session, $project)
    {
        // we need to refresh the user from the DB
        // This way, we are ensured that we do check with the latest inserted
        // password - not the one in the session
        $user = new wcmUser();
        $user->refresh($session->getUser()->id);
        if ((isset($_REQUEST['passwordOld']) && !empty($_REQUEST['passwordOld'])) &&
                md5($_REQUEST['passwordOld']) != $user->password)
        {
            wcmMVC_Action::setError(_BIZ_ERROR . ' ' . _ERROR_OLD_PASSWORD);
            return;
        }

        $_REQUEST['optionalEmails'] = explode('|', $_REQUEST['optionalEmails']);
        if (!$user->save($_REQUEST))
        {
            wcmMVC_Action::setError(_BIZ_ERROR . $user->getErrorMsg());
            return;
        }
        // @todo : Add statistics?
        // $session->addStat(wcmSession::STAT_SAVE_OBJECT, $this->context);

        // Redirect to 'view' URL
        $this->redirect(self::computeURL('preferences'));
    }

    /**
    * afterSave event
    *
    * @param wcmSession $session Current session
    * @param wcmProject $project Current project
    */
    protected function afterSave($session, $project)
    {
        // refresh user object stored in session
        $user = $session->getUser();

        $user->refresh();
        $session->userName = $user->name;
        $session->login = $user->login;
    }
}
