<?php
/**
 * Project:     WCM
 * File:        $Id: template.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */


/**
 * This class implements the action controller for the templates
 */
class wcmTemplateAction extends wcmMVC_SysAction
{

    /**
     * afterSave is called by onCheckin and onSave after storing the sysobject
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function afterSave($session, $project)
    {
        wcmMVC_Action::refreshTree();
    }	

    /**
     * afterDelete is called by onDelete after deleting the sysobject
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function afterDelete($session, $project)
    {
        wcmMVC_Action::refreshTree();
    }

    /**
     * Instanciate context
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function setContext($session, $project)
    {
        $this->id = getArrayParameter($_REQUEST, 'id', null);
        return parent::setContext($session, $project);
    }
}
