<?php
/**
 * Project:     WCM
 * File:        $Id: properties.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$project = wcmProject::getInstance();
$config  = wcmConfig::getInstance();
$sysobject = wcmMVC_Action::getContext();

$tables = array('' => '(' . _NONE . ')');
$connectors = array('' => '(' . _NONE . ')');
$workflows = array('' => '(' . _NONE . ')');

// Get connectors and tables
foreach ($project->datalayer->getConnectors() as $connector)
{
    $connectors[$connector->id] = getConst($connector->name);

    // Add connector's tables
    if ($connector->id == $sysobject->connectorId)
    {
        $systemTables = wcmDatalayer::getSystemDBTables();

        $tables = $connector->getBusinessDatabase()->getDatabaseTables();
        foreach ($tables as $table)
        {
            $name = $table;
            if (!(strpos($name, $connector->tablePrefix) === 0) || !in_array($name, $systemTables))
            {
                $tables[$name] = $name;
            }
        }
    }
}

// Get workflows
foreach ($project->workflowManager->getWorkflows() as $workflow)
{
    $workflows[$workflow->id] = getConst($workflow->name);
}

// Retrieve workflow scripts
$scripts = array('0' => '(' . _NONE . ')');
foreach ($project->workflowManager->getWorkflowScripts() as $script)
{
    $scripts[$script] = $script;
}


$info  = '';
$vm = new wcmVersionManager();
if(false == $vm->tableExists($sysobject->className))
{
    $info  = '<ul class="actions">';
    $info .= '<li><a href="';
    $info .= '?_wcmTodo=createTable&_wcmAction=bizclass&id=' . $sysobject->id;
    $info .= '">' . _CREATE_VERSION_TABLE . '</a></li>';
    $info .= '</ul>';
}

echo '<div class="zone">';
wcmGUI::openCollapsablePane(_PROPERTIES, true, $info);
echo '<p class="warning">' . _BIZCLASS_WARNING . '</p>';
wcmGUI::openFieldset(_GENERAL);
wcmGUI::renderTextField('name', $sysobject->name, _NAME . ' *', array('class' => 'type-req'));
wcmGUI::renderTextField('className', $sysobject->className, _CLASSNAME . ' *', array('class' => 'type-req'));

wcmGUI::renderDropdownField(
    'connectorId',
    $connectors,
    $sysobject->connectorId,
    _CONNECTOR,
    array('onChange' => 'updateConnectorTables("' . $config['wcm.backOffice.url'] . 'ajax/", this.value)')
);

wcmGUI::renderDropdownField(
    'connectorTable',
    $tables,
    $sysobject->connectorTable,
    _CONNECTOR_TABLE,
    array('id' => 'connectorTable')
);

wcmGUI::renderBooleanField('allowOptimisticLock', $sysobject->allowOptimisticLock, _ALLOW_OPTIMISTIC);

wcmGUI::renderDropdownField(
    'workflowId',
    $workflows,
    $sysobject->workflowId,
    _WORKFLOW
);

wcmGUI::renderDropdownField(
    'workflowScript', 
    $scripts, 
    $sysobject->workflowScript,
    _WORKFLOW_SCRIPT
);

wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();

echo '</div>';
