<?php
/**
 * Project:     WCM
 * File:        $Id: user.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('user', array('class' => 'wcmUser', 'tree' => 'membership'));
$sysobject = wcmMVC_Action::getContext();
$session = wcmSession::getInstance();

// Include header and menu
include('includes/header.php');
$disabled = ($sysobject->id == $session->userId) ? array('delete') : array();
wcmGUI::renderObjectMenu(true, $disabled);

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', true);
    $tabs->addTab('tabs.tree.user', _BROWSE, true, wcmMVC_Action::getTree()->renderHTML());
    $tabs->addTab('tabs.history.user', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($sysobject);

try
{
    $tabs = new wcmAjaxTabs('user', true);
    $tabs->addTab('tabs.properties.user', _PROPERTIES, true, null, wcmModuleURL('system/membership/user/properties', array('groupId' => (isset($_REQUEST['groupId'])) ? $_REQUEST['groupId'] : null)));

    $pluginManager = new wcmPluginManager();
    $pluginManager->initConfig('authenticate');
    $list = $pluginManager->getPluginsList('authenticate');

    if (isset($list['openid']))
    {
        $tabs->addTab('tabs.openid.user', 'OpenID', false, null, wcmModuleURL('system/membership/user/openid'));
    }

    $tabs->render($sysobject->id === 0, array('tabs.properties.user'));
}
catch (Exception $e)
{
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include('includes/footer.php');
