<?php
/**
 * Project:     WCM
 * File:        $Id: workflow.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('workflow', array('class' => 'wcmWorkflow', 'tree' => 'workflow'));
$sysobject = wcmMVC_Action::getContext();

// Include header and menu
include('includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', false);
    $tabs->addTab('tabs.tree.workflow', _BROWSE, true, wcmMVC_Action::getTree()->renderHTML());
    $tabs->addTab('tabs.history.workflow', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($sysobject);
try
{
    $tabs = new wcmAjaxTabs('workflow', true);
    $tabs->addTab('tabs.properties.workflow', _PROPERTIES, true, null, wcmModuleURL('system/workflow/workflow/properties'));
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include('includes/footer.php');
