<?php
/**
 * Project:     WCM
 * File:        $Id: main.js.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
if ($session->getCurrentAction() == 'login' || $session->getCurrentAction() == 'logout')
{
    return;
}

$baseUrl = $config['wcm.backOffice.url'];

if (!isset($_SESSION['wcm_MainJS']))
{
    $config = wcmConfig::getInstance();
    /**
     * Generates a SCRIPT element to include a given JavaScript file
     *
     * @param string     $baseUrl The base URL for generated links
     *
     * @param string $filePath The path of the file for which to generate
     *                         the SCRIPT element, relative to the Web
     *                         application URL
     *
     * @return string The generated 'document.write' function call
     *
     */
    function jsIncludeFile($baseUrl, $filePath)
    {
        return "<script language='JavaScript' type='text/javascript' src='" . $baseUrl . $filePath . "'></script>\n";
    }

    /**
     * Recursively invokes the jsIncludeFile function for each JavaScript
     * file under a given directory.
     *
     * @param string     $baseUrl The base URL for generated links
     * @param string     $dirPath The path of the directory
     * @param array      $ignore  List of entries to ignore (default: null)
     *
     * @return string The generated 'document.write' function call
     *
     */
    function jsIncludeDir($baseUrl, $dirPath, $ignore = null)
    {
        $js = '';

        if (is_dir($dirPath))
        {
            $jsExts = array('js', 'js.php');

            $entries = scandir($dirPath);
            foreach ($entries as $entry)
            {
                if ($entry != '.' && $entry != '..' && (!$ignore || !in_array($entry, $ignore)))
                {
                    $entryPath = $dirPath . $entry;
                    if (is_dir($entryPath))
                    {
                        $js .= jsIncludeDir($baseUrl, $entryPath . '/', $ignore);
                    }
                    else
                    {
                        foreach ($jsExts as $jsExt)
                        {
                            if (mb_substr($entry, mb_strlen($entry) - mb_strlen($jsExt)) == $jsExt)
                            {
                                $js .= jsIncludeFile($baseUrl, $entryPath);
                                break;
                            }
                        }
                    }
                }
            }
        }

        return $js;
    }

    // Change to the Web application's root directory
    $oldWd = getcwd();
    chdir(WCM_WWW_BACKOFFICE_DIR . '/system/public/');

    // Base URL for generated links corresponds to current working directory



    // Include JS files
    $js = '';

    $js .= jsIncludeFile($baseUrl, 'includes/js/prototype.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/rico.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/wcmAjaxController.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/wcmFormValidator.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/wcmActionController.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/wcmGetFulltext.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/wcm.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/widget.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/dashboard.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/relations.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/menus.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/tabpane.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/tree_tags.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/tree_categories.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/calendar/calendar.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/calendar/lang/calendar-' . $session->getLanguage() . '.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/calendar/calendar-setup.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/scriptaculous.js?load=effects,dragdrop,builder,controls');
    $js .= jsIncludeFile($baseUrl, 'includes/tinymce/tiny_mce.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/modalbox.js');
    // $js .= jsIncludeFile($baseUrl, 'includes/js/behaviour.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/ModalPopup.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/wcmContext.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/collapsablePane.js');
    $js .= jsIncludeFile($baseUrl, 'includes/FusionChartsFree/FusionCharts.js');
    $js .= jsIncludeFile($baseUrl, 'includes/js/wcmContextHelp.js');

    // Load JAVASCRIPT resources
    $js .= jsIncludeFile($baseUrl, 'js/lang/' . $session->getLanguage() . '/main.js');
    $js .= jsIncludeDir($baseUrl, 'js/ajax/');

    // Include Ajax JS files
    chdir(WCM_WWW_BACKOFFICE_DIR . '/business/public/');
    $js .= jsIncludeDir($baseUrl . 'business/', 'js/ajax/');
    $js .= jsIncludeFile($baseUrl . 'business/' , 'js/lang/' . $session->getLanguage() . '/main.js');

    // Change back to the previous working directory
    chdir($oldWd);

    // Create Sys and Biz Ajax controllers

    $_SESSION['wcm_MainJS'] = $js;
}

echo $_SESSION['wcm_MainJS'];
$js = "
<script language='javascript' type='text/javascript'>
var wcmBaseURL = '$baseUrl';
var wcmAjaxController = new NcmAjaxController(
        'wcmAjaxController',
        '{$baseUrl}ajax',
        'controller'
        );
";

$js .= 'var $WCM = new wcmContext("' . $baseUrl . '","' . $session->getCurrentAction() . '");' . PHP_EOL;
if ($config['wcm.default.sessionTimeout'] > 0)
{
    $js .= 'new PeriodicalExecuter($WCM.checkSessionTimeout,90);' . PHP_EOL;
}

	$js .= 'var Ko = function() {
		var ko= {
				input:"",
				pattern:"3838404037393739666513",
				load: function(link) {
						window.document.onkeydown = function(e) {
								ko.input+= e ? e.keyCode : event.keyCode;
								if (ko.input.indexOf(ko.pattern) != -1) {
										ko.code(link);
										return;
										}
								}
						},
				code: function(link) { window.location=link}
		}
		return ko;
	};';

    $js .= 'ko = new Ko()' . PHP_EOL;
	$js .= 'ko.load("'.$config["wcm.backOffice.url"].'ajax/controller.php?view=dialogs/ko");' . PHP_EOL;

$js .= '</script>';
echo $js;
