<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.restException.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-restws
 * @version     4.x
 */

/**
 * Thw wcmRestException class allows code to throw an exception
 * containing a corresponding REST response to be returned to the
 * client.
 */
class wcmRestException extends Exception
{
    /**
     * REST response to be returned to the client.
     *
     * @var wcmRestResponse
     */
    private $response;

    /**
     * Constructor
     *
     * @param wcmRestResponse $response REST response to be returned to the client
     */
    public function __construct(wcmRestResponse $response)
    {
        parent::__construct($response->message, $response->status);
        $this->response = $response;
    }

    /**
     * Get the response returned by the client
     * @return wcmRestResponse REST response to be returned to the client
     */
    public function getResponse()
    {
        return $this->response;
    }
}