<?php
/**
 * Project:     WCM
 * File:        $Id: index.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-restws
 * @version     4.x
 */
try
{
    ob_start();
    // Initialize API
    require_once(dirname(__FILE__) . '/../../initWcmApi.php');

    autoloadManager::addFolder(dirname(__FILE__) . '/../private/');

    // Retrieve mode and instanciate corresponding REST controller
    $restMode = getArrayParameter($_REQUEST, '_restMode', 'content');
    $className = 'wcmRest' . ucfirst($restMode) . 'Controller';

    if (class_exists($className))
    {
        $controller = new $className;
        $controller->processRequest();
        unset($controller);
    }
    else
    {
        // the rest sub-controller was not found
        wcmSession::getInstance()->loadLanguageFiles();
        $response = new wcmRestResponse(
            wcmRestResponse::S_NOT_FOUND,
            _REST_INVALID_CONTROLLER . ': ' . $restMode
        );
        $response->send();
    }
    ob_flush();
}
catch (Exception $e)
{
    return new wcmRestResponse(wcmRestResponse::S_INTERNAL_SERVER_ERROR, $e->getMessage());
}