<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.apcCache.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * Cache implementation using APC.
 */
class cmfApcCache implements cmfCache
{
    /**
     * (non-PHPdoc)
     * @see cache/cmfCache#set($key, $value, $ttl)
     */
    public function set($key, $content, $ttl = null)
    {
        if ((!is_string($key) || '' == $key) || !is_numeric($key))
        {
            throw new InvalidArgumentException();
        }
        
        return apc_add(md5($key), $content, $ttl);
    }

    /**
     * (non-PHPdoc)
     * @see cache/cmfCache#get($key)
     */
    public function get($key, $ttl = null)
    {
        return apc_fetch(md5($key));
    }

    /**
     * (non-PHPdoc)
     * @see cache/cmfCache#delete($key)
     */
    public function delete($key)
    {
        return apc_delete(md5($key));
    }

    /**
     * (non-PHPdoc)
     * @see cache/cmfCache#clear()
     */
    public function clear()
    {
        return apc_clear_cache();
    }
}
