<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.cache.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * The interface for CMF cache mechanisms.
 */
interface cmfCache
{
    /**
     * Retrieve an entry from the cache system.
     * @param string $key The key of the entry to obtain.
     * @return mixed The data cached at the provided key.
     */
    public function get($key);

    /**
     * Set an entry in the cache system.
     * @param string $key The key of the entry.
     * @param mixed $value The value of the entry.
     * @param int $ttl The time to live of the entry.
     */
    public function set($key, $value, $ttl = 0);

    /**
     * Delete an entry from the cache system.
     * @param string $key The key of an entry.
     * @return void
     */
    public function delete($key);

    /**
     * Clear all entries in the cache system.
     * @return void
     */
    public function clear();
}