<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.indexDefinition.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * The definition of an index.
 */
class cmfIndexDefinition
{
    /**
     * The type constant for string indexes.
     * @var string
     */
    const STRING = 'string';
    
    /**
     * The type constant for number indexes.
     * @var string
     */
    const NUMBER = 'number';
    
    /**
     * The type constant for date indexes.
     * @var string
     */
    const DATE = 'date';
    
    /**
     * The type constant for word indexes.
     * @var string
     */
    const WORD = 'word';
    
    /**
     * The name of the index.
     * @var string
     */
    public $name;
    
    /**
     * The type of index.
     * @var string
     */
    public $type;
    
    /**
     * Indicate if the index can have multiple values for a single object.
     * @var boolean
     */
    public $isMultiValued;
    
    /**
     * The aliases for the index (an array of strings).
     * @var array
     */
    public $aliases;
    
    /**
     * Construct an index definition.
     * @param string $name The name of the index.
     * @param string $type The type of index.
     * @param boolean $isMultiValued Indicate if the index can have 
     * multiple values for a single object.
     * @param array $aliases The aliases for the index (an array of strings).
     */
    public function __construct($name, $type, $isMultiValued, array $aliases = array())
    {
        $this->name = $name;
        $this->type = $type;
        $this->isMultiValued = $isMultiValued;
        $this->aliases = $aliases;
    }
}