<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.captcha.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/*
 * A Captcha toolbox.
 * TODO implemented by a client; needs some serious refactoring.
 */
class cmfCaptcha extends cmfToolBox
{
    private $bg;
    private $image;
    private $font;    // Located in fonts folder.
    private $fontsize;
    private $colour;    // Colour of text;
    private $strLength;    // Length of random Text
    private $text = '';
    private $num_dots;                    // Num of noise dots to add
    private $chars = array(
        'a', 'A', 'b', 'B', 'c', 'C', 'd', 'D', 'e', 'E',
        'f', 'F', 'g', 'G', 'h', 'H', 'i', 'I', 'j', 'J',
        'k', 'K', 'l', 'L', 'm', 'M', 'n', 'N', 'p', 'P',
        'q', 'Q', 'r', 'R', 's', 'S', 't', 'T', 'u', 'U',
        'v', 'V', 'w', 'W', 'x', 'X', 'y', 'Y', 'z', 'Z',
        '1', '2', '3', '4', '5', '6', '7', '8', '9'
    );
    
    public function __construct()
    {
        $this->num_dots = 300; // How much Noise to add.
        $this->strLength = 5;
        $this->fontsize = 18;
        
        $this->selectFont(); // Decide which Font to use.

           //Now lets use md5 to generate a totally random string
        $md5 = md5(microtime() * mktime());
        
        /*
        We dont need a 32 character long string so we trim it down to 5
        */
        $string = substr($md5, 0, 5);
        /*
        Now for the GD stuff, for ease of use lets create
         the image from a background image.
        */
        $img = CMF_WWW . '/img/captcha/' . mt_rand(1, 7) . '.png';
        $this->image = imagecreatefrompng($img);
        $this->colour = ImageColorAllocate($this->image, 0, 0, 0); // Black
        
        $this->show();
        
        $_SESSION['cap'] = md5(strtolower($this->text));
        
    }
    
    public function show()
    {
        header('Content-type: image/png');
        //header('Cache-Control: no-cache');
        $this->text = $this->genString();
        
        /**
         * write each letter to image
         */
        for ($i = 0; $i < $this->strLength; $i++)
        {
            $this->writeLetter($this->text[$i], (20 + $i * 25));
        }
        
        $this->addNoise();
        
        imagepng($this->image);
        imagedestroy($this->image);        
        
    }
    
    public function genString()
    {
        for ($i = 0; $i < $this->strLength; $i++)
        {
               $this->text .= $this->chars[mt_rand(0, count($this->chars) - 1)];
        }
        
        return $this->text;
    }
    
    public function writeLetter($letter, $xvalue)
    {
        $yvalue = 30 - mt_rand(0, 10); // Randomly adjust y position.
        $angle = mt_rand(-30, 30);// Give text a slight random angle.
        
        imagettftext($this->image, $this->fontsize, $angle, $xvalue, $yvalue, $this->colour, $this->font, $letter);
    }
    
    public function addNoise()
    {
        $width = imagesx($this->image);
        $height = imagesy($this->image);

        //random dots.
        for ($i = 0; $i < $this->num_dots; $i++)
        {
            imagefilledellipse($this->image, mt_rand(0, $width), mt_rand(0, $height), 1, 1, $this->colour);
        }
    }
    
    public function selectFont()
    {
        switch (mt_rand(1, 3))
        {
            case 1:
                $this->font = CMF_WWW . '/fonts/Acidic.TTF';
                break;

            case 2:
                $this->font = CMF_WWW . '/fonts/arial.ttf';
                break;

            case 3:
                $this->font = CMF_WWW . '/fonts/frizzed.ttf';
                break;
        }
    }
}