<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.ugcToolbox.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * The base ugc toolbox
 *
 * This is just a wrapper to the ugc classes, that will allow
 * to easily use the UGC features
 */
class cmfUgcToolbox
{
    private static $db = null;

    /**
     * getUgcDatabase
     *
     * @return void
     */
    public static function getUgcDatabase()
    {
        if (null === self::$db)
        {
            self::$db = new mysqli(UGC_DB_HOST, UGC_DB_USERNAME, UGC_DB_PASSWORD, UGC_DB_NAME);
        }

        return self::$db;
    }

    /**
     * addRating
     *
     * @param mixed $className
     * @param mixed $classId
     * @return void
     */
    public static function addRating($className, $classId, $rating)
    {
        $db = self::getUgcDatabase();
        $hit = new cmfUgcRating($db, UGC_RATING_TABLE);

        return $hit->add($className, $classId, $rating);
    }

    public static function getAverageRating($className, $classId, $date)
    {
        $db = self::getUgcDatabase();
        $hit = new cmfUgcRating($db, UGC_RATING_TABLE);

        return $hit->getAverageRating($className, $classId, $date);
    }

    public static function getComments($className, $classId, $from=0, $to=10)
    {
        $db = self::getUgcDatabase();
        $hit = new cmfUgcContribution($db, UGC_CONTRIBUTION_TABLE);

        return $hit->getComments($className, $classId, $from, $to);
    }

    /**
     * addContribution
     *
     * @param mixed $className
     * @param mixed $classId
     * @param mixed $values
     * @return void
     */
    public static function addContribution($className, $classId, $values)
    {
        $db = self::getUgcDatabase();
        $hit = new cmfUgcContribution($db, UGC_CONTRIBUTION_TABLE);

        return $hit->add($className, $classId, $values);
    }

    /**
     * addEmail
     *
     * @param mixed $className
     * @param mixed $classId
     * @return void
     */
    public static function addEmail($className, $classId)
    {
        $db = self::getUgcDatabase();
        $hit = new cmfUgcHit($db, UGC_EMAIL_TABLE);
        return $res = $hit->add($className, $classId);
    }

    public static function getEmail($className, $classId, $date)
    {
        $db = self::getUgcDatabase();
        $hit = new cmfUgcHit($db, UGC_EMAIL_TABLE);
        return $res = $hit->get($className, $classId, $date);
    }

    /**
     * addHit
     *
     * @param mixed $className
     * @param mixed $classId
     * @return void
     */
    public static function addHit($className, $classId)
    {
        $db = self::getUgcDatabase();
        $hit = new cmfUgcHit($db, UGC_HIT_TABLE);
        return $res = $hit->add($className, $classId);
    }

    public static function getHit($className, $classId, $date)
    {
        $db = self::getUgcDatabase();
        $hit = new cmfUgcHit($db, UGC_HIT_TABLE);
        return $res = $hit->get($className, $classId, $date);
    }
}

