<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.wcmServiceClient.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * The interface for a base WCM service client.
 */
interface cmfWcmServiceClient
{
    /**
     * Set the credentials for the next login() call.
     * @param string $username The user name.
     * @param string $password The password.
     * @return void
     */
    public function setCredentials($username, $password);
    
    /**
     * Login to WCM, using the credentials set via
     * the last setCredentials() call.
     * @return boolean True if logging was successfull,
     * false otherwise.
     * @exception Exception If an error occurs during
     * logging.
     */
    public function login();
    
    /**
     * Check if the current client is logged in to WCM.
     * @return boolean True if the client is logged in to
     * WCM, false otherwise.
     */
    public function isLoggedIn();
    
    /**
     * Get the name of the user account under which
     * the client is logged in to WCM.
     * @return string The username if logged in,
     * null if the client is not logged in.
     */
    public function getUsername();
    
    /**
     * Logout of WCM.
     * @return void
     */
    public function logout();
}