<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.wcmRestServiceClient.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * Implementation of the WCM base service client
 * for the WCM REST API.
 */
class cmfWcmRestServiceClient implements cmfWcmServiceClient
{
    /**
     * The WCM REST client. (comes from WCM REST API codebase).
     * @var Nstein_REST_Client
     */
    protected $client;
    
    /**
     * Public constructor.
     * @param wcmRestClient $restClient The WCM REST client
     * used internal to make REST calls to WCM.
     */
    public function __construct(Nstein_REST_Client $restClient)
    {
        $this->client = $restClient;
    }
    
    /**
     * (non-PHPdoc)
     * @see wcm/cmfWcmServiceClient#setCredentials($username, $password)
     */
    public function setCredentials($username, $password)
    {
        $this->client->setCredentials($username, $password);
    }
    
    /**
     * (non-PHPdoc)
     * @see wcm/cmfWcmServiceClient#login()
     */
    public function login()
    {
        $response = $this->client->login();
        return $response->isSuccessful();
    }
    
    /**
     * (non-PHPdoc)
     * @see wcm/cmfWcmServiceClient#isLoggedIn()
     */
    public function isLoggedIn()
    {
        return $this->client->getSessionId() !== null;
    }
    
    /**
     * (non-PHPdoc)
     * @see wcm/cmfWcmServiceClient#getUsername()
     */
    public function getUsername()
    {
        return $this->client->getUsername();
    }
    
    /**
     * (non-PHPdoc)
     * @see wcm/cmfWcmServiceClient#logout()
     */
    public function logout()
    {
        $this->client->logout();
    }
}