<?php
/**
 * Project:     WCM
 * File:        $Id: ice.php 7503 2010-01-25 20:07:02Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-sampleapp
 * @version     4.1.5
 */

define('APP_DIR', dirname(__FILE__) . '/../');

require(APP_DIR . 'initApi.php');

$cmfIce = new cmfIce();
$mode = cmfToolbox::getArrayParameter($_REQUEST, 'mode', null);
$username = cmfToolbox::getArrayParameter($_REQUEST, 'username', null);
$password = cmfToolbox::getArrayParameter($_REQUEST, 'password', null);

$errorMessage ='';
$iceMessage = '';

// If not loggedIn or the current action is to login
switch($mode)
{
    case 'logout':
        $cmfIce->logout();
    break;

    case 'login':
        if(!$cmfIce->login($username, $password, CURRENT_SITE_CODE))
        {
            $errorMessage = 'Login failed, please check your username / password.';
        }
        else
        {
            $iceMessage = 'Login successful!';
        }
    break;

	// Save all widgets in the pageLayout
    case 'save':
		if($cmfIce->isLoggedIn())
		{
			$cmfIce->save($_REQUEST);
		    $iceMessage = 'Page saved!';
		}
    break;

    default:
    break;
}

// Display site in ICE mode, if user is logged in
if($cmfIce->isLoggedIn())
{
    $dispatcher = cmfFrontDispatcher::getInstance();
    $dispatcher->setRequest($_REQUEST);

    // Set the mode to ICE
    $dispatcher->setMode(cmfFrontDispatcher::MODE_ICE);

    // We have to do this in order to inject / modify
	ob_start();
    $dispatcher->dispatch();
	$mainContent = ob_get_contents();
	ob_end_clean();

	// Display ice box
    echo '<div style="-moz-border-radius-bottomleft:6px;z-index:10000;position:fixed;font-family:arial;';
    echo 'top:0px;right:0px;background:#000;color:#FFF;font-size:9px;font-weight:bold;';
    echo 'width:144px;height:80px;border:solid 3px #000;">';
    echo '<div style="background:#636363;"><img src="/img/wcm_header.gif"/></div>';
    echo '<div style="margin:5px;">';
	echo '<style>';
	echo '.ice_a{z-index:10000;color:#FFF;background:#333; width:58px; float:left; margin:0px; padding:3px; cursor:pointer;';
	echo '-moz-border-radius-bottomleft:6px;-moz-border-radius-bottomright:6px;';
	echo '-moz-border-radius-topleft:6px;-moz-border-radius-topright:6px;text-align:center;}';
	echo '.ice_a:hover{background:#CCC;color:#000;}';
    echo '</style>';

	// TEMP : Just to test
    echo '<div class="ice_a" onClick="mainSave();"><img src="/img/save.gif" border="0"/>Save</div>';
    echo '<div class="ice_a" style="float:right;" onClick="location.href=\'' . $_SERVER['PHP_SELF'] . '?mode=logout\'"><img src="/img/logout.gif" border="0"/>&nbsp;Logout</div>';
    echo '</div>';
	echo '<form name="frmIce" action="?" method="post"><input type="hidden" name="mode" value="save" />';
    echo '<input type="hidden" name="bizclass" value="pageLayout" />';
    echo '<input type="hidden" name="bizid" value="1" />';
    echo '<input type="hidden" name="iceHashValues" id="iceHashValues" value="" />';

   	if($iceMessage)
 		echo '<hr size="1"/>' . $iceMessage;

	echo '</form></div>';

	ob_start();	
?>
	<!-- This is part of the javascript / css needed in order to make ICE work -->

	<!-- Need to load this CSS for ice mode -->
	<link href="/css/ice/main.css" rel="stylesheet" type="text/css" />

	<!-- Need to load those Javascript for ice mode -->
	<script type='text/javascript' src='/js/ice/main.js'></script>	
    <script type='text/javascript' src='/js/ice/prototype.js'></script>	
	<script type='text/javascript' src='/js/ice/scriptaculous.js?load=effects,dragdrop'></script>
	<script type='text/javascript' src='/js/ice/rico.js'></script>
    <script type='text/javascript' src='<?php echo WCM_BASE_URL; ?>includes/js/wcmAjaxController.js'></script>
    <script type='text/javascript'>
	    var wcmAjaxController = new NcmAjaxController('wcmAjaxController', '/ajax', 'controller');
	    var wcmBaseURL = '<?php echo WCM_BASE_URL; ?>';
	</script>

    <script type='text/javascript' src='/js/ice/widget.js'></script>
	<script type='text/javascript' src='/js/ice/widgetControls/mainControl.js'></script>
	<script type='text/javascript' src='/js/ice/widgetControls/nserver.js'></script>
	<script type='text/javascript' src='/js/ice/widgetControls/singleLineControl.js'></script>
	<script type='text/javascript' src='/js/ice/widgetControls/sortableControl.js'></script>
	<script type='text/javascript' src='/js/ice/widgetControls/basicTextEditor.js'></script>
	<script type='text/javascript' src='/js/ice/widgetControls/photoSelector.js'></script>
	<script type='text/javascript' src='/js/ice/tinymce/tiny_mce.js'></script>
	
    <!-- Need to add the following js snipped code for ICE -->
	<script type="text/javascript">
	window.onload = function()
	{
		portal = new ZoneSet('<?php echo 'pageLayout'; ?>', 1, {autoUpdate:true});
		portal.update();
	}
	</script>
<?php

	$header = ob_get_contents();
	ob_end_clean();
	
    // Inject js / css code into page header (Page must a have a head tag)
    echo str_replace('</head>', $header . '</head>', $mainContent);

    // Display debug bar
    cmsDebugBar::display(array('cmsDebugProfile','cmsDebugIncludeFile','cmsDebugInfos','cmsDebugQuery','cmsDebugBlocks'));

    die();
}
/** This is the ICE Login page View */  ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title> .:: Nstein ICE : in-context editing ::. </title>
    <link href="/css/ice/main.css" rel="stylesheet" type="text/css" />
  </head>
<body>
<div id="wrapper">
    <div id="header">
        <div style="float:left;margin-bottom:0px;"><img src="/css/ice/clientLogo.jpg" /></div>
        <div style="float:right;margin-bottom:10px;"><img src="/css/ice/nstein.gif" /></div>
    </div>
    <div id="login">
        <div id="signon">
            <ul class="message">
                <li<?php if ($errorMessage) echo ' class="error"'; ?>> <?php echo $errorMessage; ?>&nbsp;</li>
            </ul>
            <form name="login" method="post" action="?">
                <input type="hidden" name="mode" id="mode" value="login"/>
                <fieldset>
                    <ul>
                        <li><label>Username</label><input type="text" name="username" value="<?php echo $username; ?>" /></li>
                        <li><label>Password</label><input type="password" name="password" value="<?php echo $password; ?>" /></li>
                    </ul>
                    <input type="submit" name="login" value="Sign in" class="submit" />
                </fieldset>
            </form>
        </div>
    </div>
</div>
</body>
</html>

