<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.deleteController.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-mediaManager-testapp
 * @version     4.x
 */

/**
 * This controller handles request to delete
 * images from the media manager.
 */
class cmfDeleteController extends cmfBaseController
{
    /**
     * Handles a DELETE action.
     * @return void
     */
    public function onDelete()
    {
        if (!$this->validate())
        {
            // Invalid request arguments.
            return;
        }
        
        try
        {
            $this->client->deleteImage($this['id']);
            
            $this['message'] = 'Image #' . $this['id'] . ' was successfully deleted.';
            $this['id'] = null;
        }
        catch (Exception $e)
        {
            $this['message'] = 'Error: ' . $e->getMessage();
        }
    }
    
    /**
     * Validate the request arguments.
     * @return boolean True if the request arguments
     * are valid, false otherwise.
     */
    private function validate()
    {
        // Extract arguments from request.
        $request = $this->getRequest();
        $this['id'] = cmfToolbox::getArrayParameter($request, 'id');

        if (!$this['id'])
        {
            // No ID.
            $this['message'] = 'ID is required.';
            return false;
        }
        if (!is_numeric($this['id']))
        {
            // Invalid ID.
            $this['message'] = 'ID must be an integer.';
            return false;
        }
        
        return true;
    }
}