<?php

class cmfAppContainer extends cmfContainer
{
    public function buildMvcViewDirectory()
    {
        return CMF_VIEW_DIR;
    }
    
    public function buildMvcBlockDirectory()
    {
        return CMF_BLOCK_DIR;
    }
    
    public function buildMvcCmfBlockCache()
    {
        return new cmfFileCache(CACHE_SAVE_PATH);
    }
    
    public function buildMvcRestClient()
    {
        return new Nstein_REST_Client(WCM_REST_URL);
    }
    
    public function buildMvcGenerationService()
    {
        $generationService = new cmfWcmGenerationRestServiceClient(
            $this['mvcRestClient']
        );
        $generationService->setCredentials(WCM_WS_LOGIN, WCM_WS_PASSWORD);
        return $generationService;
    }
    
    public function buildMvcPathBuilder()
    {
        return new Nstein_Path_DefaultBuilder(10, 10);
    }
    
    public function buildSampleMediaManagerClient()
    {
        return new Nstein_Cmf_Mediamanager_Client(MEDIA_MANAGER_REST_URL);
    }
    
    public function buildSampleMediaManagerPreviewClient()
    {
        return new Nstein_Cmf_Mediamanager_Client(PREVIEW_MEDIA_MANAGER_REST_URL);
    }
}