<?php
/**
 * Project:     WCM
 * File:        $Id: test.restClient.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-restws
 * @version     4.x
 */

// load WCM API
require_once(dirname(__FILE__) . '/../../initApi.php');

// instanciate a REST client on the REST controller
$config = wcmConfig::getInstance();
$uri = $config['wcm.backOffice.url'] . 'tests/rest/';
$client = new wcmRestClient($uri);

// test get without error
$response = $client->get('test.restController.php');
echo '<h1> GET 200 </h1>' . $response->toHTML();

// test get with error
$response = $client->get('test.restController.php', 'code=' . wcmRestResponse::S_NOT_FOUND);
echo '<h1> GET 404 </h1>' . $response->toHTML();

// test put
$response = $client->put('test.restController.php', array('x' => 1, 'y' => 2));
echo '<h1> PUT x=1, y=2 </h1>' . $response->toHTML();

// test post
$response = $client->post('test.restController.php', array('x' => 1, 'y' => 2));
echo '<h1> POST x=1, y=2 </h1>' . $response->toHTML();

if ($response->status == 201)
{
    echo '<ul>';
    echo '<li> => Content created (201) </li>';
    echo '<li> => Retrieve content from location: ' . $response->headers['Location'];
    echo '<li> => Response detail: ' . $client->get('test.restController.php', $response->headers['Location'])->toHTML();
    echo '</ul>';
}

// test delete without error
$response = $client->delete('test.restController.php', 'id=1');
echo '<h1> DELETE id=1 </h1>' . $response->toHTML();
if ($response->status == 204)
{
    echo '<ul><li> => Content has been deleted</li></ul>';
}
else
{
    echo '<ul><li> => Content deletion has failed</li></ul>';
}
// test delete wit error
$response = $client->delete('test.restController.php', 'id=404');
echo '<h1> DELETE id=404 </h1>' . $response->toHTML();
if ($response->status == 204)
{
    echo '<ul><li> => Content has been deleted</li></ul>';
}
else
{
    echo '<ul><li> => Content deletion has failed</li></ul>';
}
