<?php

require_once(dirname(__FILE__) . '/includes/WcmTest.php');

class HelpTest extends WcmTest
{

    function testHelpMenu()
    {
        $this->login();

        // About
        $this->click("//div[@id='navMenu']/ul[@class='system']/li[2]//span[contains(@class, 'about this version...')]");
        $this->waitForPopUp('dialog');
        $this->selectPopUp();
        $this->assertNoPhpErrors();
        $this->assertTextPresent('About WCM');
        $this->close();
        $this->deselectPopUp();

        // Copyright
        $this->click("//div[@id='navMenu']/ul[@class='system']/li[2]//span[contains(@class, 'copyright notice...')]");
        $this->waitForPopUp('dialog');
        $this->selectPopUp();
        $this->assertNoPhpErrors();
        $this->assertTextPresent('Copyright Notice');
        $this->close();
        $this->deselectPopUp();

        // Documentation
        $this->click("//div[@id='navMenu']/ul[@class='system']/li[2]//span[contains(@class, 'documentation and support')]");
        $this->waitForPopUp('dialog');
        $this->selectPopUp();
        $this->assertNoPhpErrors();
        $this->assertTextPresent('Documentation and support');
        $this->close();
        $this->deselectPopUp();
    }

    function testContextualHelp()
    {
        $this->login();

        // Dashboards text
        $this->click('id=nstein');
        $this->waitForAjax();
        $this->waitForFrameToLoad('helpIframe');
        $this->selectFrame('helpIframe');
        $this->assertNoPhpErrors();
        $this->assertTextPresent('The WCM dashboard is the space on the home page below the menu bar');

        // System text
        $this->selectFrame('relative=up');
        $this->click("//div[@id='help_foreground']//a[contains(text(),'System') and @target='helpIframe']");
        $this->waitForAjax();
        // TODO: Not sure why the next line doesn't work on the QA server?
        $this->waitForFrameToLoad('helpIframe');
        $this->selectFrame('helpIframe');
        $this->assertNoPhpErrors();
        $this->assertTextPresent('WCM architecture is divided in two major parts');

        // WCM text
        $this->selectFrame('relative=up');
        $this->click("//div[@id='help_foreground']//a[contains(text(),'WCM') and @target='helpIframe']");
        $this->waitForAjax();

        // $this->waitForFrameToLoad('helpIframe');
        $this->selectFrame('helpIframe');
        $this->assertNoPhpErrors();
        $this->assertTextPresent('About WCM');

        // Refresh
        $this->selectFrame('relative=up');
        $this->click("//div[@id='help_foreground']//button[@class='refresh-panel']");
        $this->waitForAjax();
        $this->waitForFrameToLoad('helpIframe');
        $this->selectFrame('helpIframe');
        $this->assertNoPhpErrors();
        $this->assertTextPresent('The WCM dashboard is the space on the home page below the menu bar');

        // Popup
        $this->selectFrame('relative=up');
        $this->click("//div[@id='help_foreground']//button[@class='popup-panel']");
        $this->waitForPopUp('wcmContextHelp');
        $this->waitForAjax();
        $this->selectWindow('wcmContextHelp');
        $this->selectFrame('helpIframe');
        $this->assertNoPhpErrors();
        $this->assertTextPresent('The WCM dashboard is the space on the home page below the menu bar');
        $this->selectFrame('relative=up');
        $this->click("//button[@class='remove-panel']");
        $this->deselectPopUp();

    }

}