<?php

require_once(dirname(__FILE__) . '/includes/WcmTest.php');

class SearchTest extends WcmTest
{

    function testSearchAll()
    {
        // Goto form
        $this->login();
        $this->click('link=Editorial');
        $this->waitForWcmToLoad();

        $this->submit('wcmBizSearchPageForm');
        $this->waitForWcmToLoad();
        $this->assertTrue($this->isTextPresent('Toggle') || $this->isTextPresent('No result returned'));
    }

    function testSearchClassname()
    {
        // Goto form
        $this->login();
        $this->click('link=Editorial');
        $this->waitForWcmToLoad();

        $this->select('search_className', 'value=article');
        $this->submit('wcmBizSearchPageForm');
        $this->waitForWcmToLoad();
        $this->assertEquals('classname:article', $this->getValue('search_query'));
    }

    function testSearchFulltext()
    {
        // Goto form
        $this->login();
        $this->click('link=Editorial');
        $this->waitForWcmToLoad();

        $this->type('search_fulltext', 'austin');
        $this->submit('wcmBizSearchPageForm');
        $this->waitForWcmToLoad();
        $this->assertEquals('fulltext:austin', $this->getValue('search_query'));
    }

    function testCreateModifyDeleteBin()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/article')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='bins']//a[@title='Save' and contains(text(), 'Create')]");
        $this->waitForAjax();
        $this->click("link=Save");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->assertTextPresent('Invalid or missing fields');
        $this->click('id=sysmessage');

        // Save
        $uniq = md5(time() . uniqid());
        $this->type("bin_name", $uniq);
        $this->click("link=Save");
        $this->waitForAjax();
        $this->assertElementPresent("//select[@id='selectBin']/option[contains(text(),'$uniq')]");

        // Modify
        $uniq .= ' modified';
        $this->click("//div[@id='bins']//a[@title='Edit' and contains(text(), 'Edit')]");
        $this->waitForAjax();
        $this->type("bin_name", $uniq);
        $this->click("link=Save");
        $this->waitForAjax();
        $this->assertElementPresent("//select[@id='selectBin']/option[contains(text(),'$uniq')]");

        // Delete
        $this->click("//div[@id='bins']//ul[@class='menu']/li[3]/a[contains(text(), 'Remove')]");
        $this->waitForAjax();
        $this->assertElementNotPresent("//select[@id='selectBin']/option[contains(text(),'$uniq')]");

    }

    function testDisallowDuplicateBin()
    {

        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[4]//a[contains(@href,'/browse/article')]");
        $this->waitForWcmToLoad();

        // Disallow duplicates
        $this->click("//div[@id='bins']//a[@title='Save' and contains(text(), 'Create')]");
        $this->waitForAjax();
        $this->type("bin_name", 'My bin');
        $this->click("link=Save");
        $this->waitForAjax();
        $this->assertAlert('This object already exists');
        $this->click("link=Cancel");

    }

}
