<?php

require_once(dirname(__FILE__) . '/../config/config.php');
require_once('PHPUnit/Extensions/SeleniumTestCase.php');

abstract class WcmTest extends PHPUnit_Extensions_SeleniumTestCase
{

    function setUp()
    {
        $this->setBrowser($GLOBALS['CONFIG']['BROWSER']);
        $this->setBrowserUrl($GLOBALS['CONFIG']['BROWSER_URL']);
        $this->setHost($GLOBALS['CONFIG']['SELENIUM_SERVER']);
        $this->setPort($GLOBALS['CONFIG']['SELENIUM_PORT']);
    }

    function login()
    {
        $this->open('?_wcmLanguage=en');
        $this->type('username', $GLOBALS['CONFIG']['USERNAME']);
        $this->type('password', $GLOBALS['CONFIG']['PASSWORD']);
        $this->click('login');
        $this->waitForPageToLoad();
        $this->assertFalse((bool)preg_match('/Sign in$/', $this->getTitle()));
    }

    function waitForWcmToLoad($timeout = 30000)
    {
        $this->waitForPageToLoad($timeout);
        $this->waitForAjax($timeout);
        $this->assertNoPhpErrors();
    }

    function waitForAjax($timeout = 30000)
    {
        // Depending on the Ajax framework you are using,
        // Change $js_condition to one of the following:
        //
        // Prototype: Ajax.activeRequestCount
        // jQuery:    jQuery.active
        // Dojo:      dojo.io.XMLHTTPTransport.inFlight.length

        $js_condition = 'selenium.browserbot.getCurrentWindow().Ajax.activeRequestCount <= 0';
        $this->waitForCondition($js_condition, $timeout);
    }

    function assertNoPhpErrors()
    {
        $php_errors = array(
            'regexp:Notice:(.+)(on line \d+)',
            'regexp:Warning:(.+)(on line \d+)',
            'regexp:Parse error:(.+)(on line \d+)',
            'regexp:Fatal error:(.+)(on line \d+)',
            );
        foreach ($php_errors as $regexp)
        {
            $this->assertFalse($this->isTextPresent($regexp), 'PHP Errors were found on the rendered page.');
        }
    }

}

