<?php
/**
 * Project:     WCM
 * File:        $Id: biz.bizobjectOptionsProvider.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
 * Business object options data provider
 */
class bizobjectOptionsProvider extends dataProvider
{
    /**
     * Gets and saves the options data.
     *
     * @param array $parameters Request parameters
     * @param array $options    Request options
     */
    function getData($parameters, $options)
    {
        $options = array();
        $options['_'] = '(' . _BIZ_ALL . ')';

        $bizClasses = wcmProject::getInstance()->bizlogic->getBizclasses();
        if ($bizClasses)
        {
            $session = wcmSession::getInstance();
            $excludedBizClassNames = array('chapter', 'pollChoice');

            foreach ($bizClasses as $bizClass)
            {
                $className = $bizClass->className;
                if (!in_array($className, $excludedBizClassNames)
                    && $session->isAllowed($bizClass, wcmPermission::P_READ))
                {
                    $value = textH8(getConst($className));
                    $caption = textH8(getConst($bizClass->name)) . ' (id:' . $bizClass->id . ')';

                    $options[$value] = $caption;
                }
            }
        }

        $this->data['options'] = $options;
    }

    /**
     * Renders the options data by populating the given parent and/or
     * children nodes.
     *
     * @param SimpleXMLElement &$parent   The parent node
     * @param SimpleXMLElement &$children The children nodes
     */
    function renderData(&$parent, &$children)
    {
        $options = $this->data['options'];
        if ($options)
        {
            foreach ($options as $value => $caption)
            {
                $child = $parent->addChild('option', $caption);
                $child->addattribute('value', $value);
                $child->addattribute('style', 'cursor: pointer;');
            }
        }
    }
}