<?php
/**
 * Project:     WCM
 * File:        $Id: biz.channelOptionsProvider.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
 * Channel options data provider
 */
class channelOptionsProvider extends dataProvider
{
    /**
     * Gets and saves the channel options data.
     *
     * @param array $parameters Request parameters
     * @param array $options    Request options
     */
    function getData($parameters, $options)
    {
        $options = array();
        $options['_'] = '(' . _BIZ_ALL . ')';
        
        $where = '(parentId is null OR parentId = 0)';
        if (!getArrayParameter($options, 'multisite'))
        {
            $where = 'siteId = ' . $_SESSION['siteId'] . ' AND ' . $where;
        }

        $channels = bizobject::getObjects('channel', $where, 'rank');
        if ($channels)
        {
            $excludeId  = getArrayParameter($options, 'excludeId');

            foreach ($channels as $channel)
            {
                if ($channel->id != $excludeId)
                {
                    $caption = textH8($channel->title) . ' (id:' . $channel->id . ')';
                    $options[$channel->id] = $caption;
                }
            }
        }

        $this->data['options'] = $options;
    }

    /**
     * Renders the options data by populating the given parent and/or
     * children nodes.
     *
     * @param SimpleXMLElement &$parent   The parent node
     * @param SimpleXMLElement &$children The children nodes
     */
    function renderData(&$parent, &$children)
    {
        $options = $this->data['options'];
        if ($options)
        {
            foreach ($options as $value => $caption)
            {
                $child = $parent->addChild('option', $caption);
                $child->addattribute('value', $value);
                $child->addattribute('style', 'cursor: pointer;');
            }
        }
    }
}