<?php
/**
 * Project:     WCM
 * File:        $Id: import.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

    // retrieve class of plug-in to instanciate
    $plugin = getArrayParameter($parameters, 'plugin');
if ($plugin == null)
    {
        $logger->logError(_MISSING_PLUGIN_PARAMETER);
        exit;
    }

    // instanciate import plug-in
if (!class_exists($plugin))
    {
        $logger->logError(_INVALID_PLUGIN_PARAMETER . $plugin);
        exit;
    }

    // compute start time
    $startTime = microtime(true);
    $logger->logMessage(_IMPORT_STARTING);

    $parameters['logger'] = $logger;

    // execute import
    $import = new $plugin($parameters);
    $import->process();

    // display duration
    $duration = microtime(true) - $startTime;
    $logger->logMessage(sprintf(_IMPORT_COMPLETED_IN_X_SECONDS, $duration));
