<?php

class wcmWidgetMeisterOrganizationsMentioned extends wcmWidgetMeister
{

    /**
     * Get the label
     * @return string Label
     */
    public function getLabel()
    {
        if($this->context)
        {
            return _BIZ_MENTIONS . ' in ' . get_class($this->context);
        }
        else
        {
            return _BIZ_MENTIONS;
        }
    }

    public function displaySettings()
    {
        return captureOutput(array($this, 'renderSettings'));
    }

    public function renderSettings()
    {
        echo '<ul>';
        wcmFormGUI::renderDropdownField
        (
            'type',
            array
            (
                'org' => _BIZ_ORGNANIZATIONS_NAMES,
                'person' => _BIZ_PERSON_NAMES,
                'geo' => _BIZ_GEOGRAPHIC_LOCATIONS
            ),
            getArrayParameter($this->settings, 'type'),
            'Type'
        );
        echo '</ul>';
    }

    /**
     *  Function to set up view variables for the widget template.
     *      NOTE: Please remember to call this parent function!
     *
     *  @return     Array of required and additional template variables
     */
    public function setupViewVars() {
        $viewVarsArray = array('contextType' => null, 'semDataArray' => null);
        switch($this->settings['type'])
        {
            case 'org':
                $viewVarsArray['semDataArray'] = $this->context->semanticData->ON;
                $viewVarsArray['contextType'] = _BIZ_ORGNANIZATIONS_NAMES;
                break;
            case 'person':
                $viewVarsArray['semDataArray'] = $this->context->semanticData->PN;
                $viewVarsArray['contextType'] = _BIZ_PERSON_NAMES;
                break;
            case 'geo':
                $viewVarsArray['semDataArray'] = $this->context->semanticData->GL;
                $viewVarsArray['contextType'] = _BIZ_GEOGRAPHIC_LOCATIONS;
                break;
        }
        return parent::setupViewVars($viewVarsArray);
    }
}