<?php

abstract class wcmWidgetMeister extends wcmWidget {

    /**
     *  Function to set up view variables for the widget template.
     *      NOTE: Please remember to call this parent function!
     *
     *  @return     Array of required template variables
     */
    public function setupViewVars($extraViewVarsArray = null)
    {
        $requiredTplArray = array('owidget' => $this, 'widget' => $this->getAssocArray(false));
        return is_array($extraViewVarsArray) ? array_merge($requiredTplArray, $extraViewVarsArray) : $requiredTplArray;
    }

    /**
     *  Function which render the widget
     *
     *  @params string|null     $templateFile   Path to the template file, if null the default template will be take
     *  @return     HTML string of the widget
     */
    public function render($templateFile = null)
    {
        if ($templateFile == null)
        {
            $templateFile = self::getPath(get_class($this)) . 'widget.tpl';
        }
        $generator = ($this->smarty!=null) ? $this->smarty : new wcmTemplateGenerator(null, false, $this->mode);

        $template = new wcmTemplate();
        $template->refresh($templateFile);
        return $generator->executeTemplate($template, $this->setupViewVars());
    }

}