<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.role.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

/*
 * The wcmRole class represents a generic PnW wcmRole
 *
 */
class wcmRole extends wcmSysobject
{
    /**
     * Role name
     * @var string
     */
    public $name;

    /**
     * Unique role code
     * @var string
     */
    public $code;

    /**
     * Role category id
     * @var int
     */
    public $categoryId;

     /**
     * Refresh role from code
     *
     * @param string $roleCode string Role code to be refresh
     *
     * @return true on success, false otherwise
     */
    public function refreshFromCode($roleCode)
    {
        $query = 'SELECT id FROM #__role WHERE code=\'' . $roleCode . '\'';
        $this->_project->_database->setQuery($query);
        $id = $this->_project->_database->loadResult();
        return $this->refresh($id);
    }

    /**
     * Returns the category associated to current role
     *
     * @return wcmRoleCategory The category associated to current role
     */
    public function getCategory()
    {
        $category = new wcmRoleCategory($this->getProject());
        $category->refresh($this->categoryId);
        return $category;
    }
}
