<?php
/**
 * Project:     WCM
 * File:        $Id: biz.tme_suggest.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This page is called by an Ajax call, It returns the suggested results from tme
 *
 */

$method = getArrayParameter($_REQUEST, 'method', null);
$type = getArrayParameter($_REQUEST, 'type', null);
$targetid = getArrayParameter($_REQUEST, 'targetid', null);
$score = getArrayParameter($_REQUEST, 'score', null);
$nbElements = getArrayParameter($_REQUEST, 'nbElements', $config['tme.suggestedElements']);

$config = wcmConfig::getInstance();
$tme = new wcmSemanticServer($config['tme.server'], $config['tme.port']);

$methods = array($method);

$context = $_SESSION['wcm']['footprint']['context'];

$sdata = null;
if (property_exists($context, 'siteId'))
{
    // load object related site
    $site = new site(null, $context->siteId);
    $tme = new wcmSemanticServer($site->getConfig('tme.connectionString'));
    $methods = array($method);
    $sdata = $tme->mineObject($context, $methods);
}

if (null === $sdata)
{
    echo '<ul><li>' . _BIZ_TME_PROCESSING_FAILED . '</li></ul>';
    echo '<ul class="toolbar"><li><a href="#" onclick="closemodal(); return false;" class="ok">' . _BIZ_OK . '</a></li></ul>';
}
else
{
    echo '<div id="tmeSuggestions">';
    $count = 0;
    foreach ($sdata->$type as $key =>$value)
    {
        print '<label><input type="checkbox" value="' . $key . '"> ' . $key . '</label>';

        // limit to the n first first elements
        if (++$count >= $nbElements))
        {
            break;
        }
    }
    echo '</div>';

    if (0 == $count)
    {
        echo '<ul><li>' . _BIZ_NO_SUGGESTION . '</li></ul>';
        echo '<ul class="toolbar"><li><a href="#" onclick="closemodal(); return false;" class="ok">' . _BIZ_OK . '</a></li></ul>';
    }
    else
    {
        ?>
        <ul class="toolbar">
            <li><a href="#" onclick="closemodal(); return false;" class="cancel"><?php echo _BIZ_CANCEL; ?></a></li>
            <li><a href= "#" onclick="elem = $('tmeSuggestions').down(); if(elem.down().checked) _wcmAddElementText($('<?php echo $targetid;?>'),elem.down().value, '<?php echo $targetid; ?>', null); while(elem = elem.next()){if(elem.down().checked) _wcmAddElementText($('<?php echo $targetid; ?>'),elem.down().value, '<?php echo $targetid; ?>', null);}; closemodal(); return false;" class="replace"><?php echo _BIZ_ADD; ?></a></li>
            <li><a href= "#" onclick="_wcmDeleteAllElement($('<?php echo $targetid; ?>'), '<?php echo $targetid; ?>'); elem = $('tmeSuggestions').down(); if(elem.down().checked) _wcmAddElementText($('<?php echo $targetid; ?>'),elem.down().value, '<?php echo $targetid; ?>', null); while(elem = elem.next()){ if(elem.down().checked) _wcmAddElementText($('<?php echo $targetid; ?>'),elem.down().value, '<?php echo $targetid; ?>', null);}; closemodal(); return false;" class="save"><?php echo _BIZ_REPLACE; ?></a></li>
        </ul>
        <?php
    }
}
