<?php
/**
 * Project:     WCM
 * File:        $Id: biz.updateChannel.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This page is called by an Ajax call, It returns a the update content for the channel select
 *
 */

// Get current project
$project = wcmProject::getInstance();

// Retrieve (some) parameters
$siteId = getArrayParameter($_REQUEST, 'siteId', null);

// The site id will have been passed as '_' if the user chose the '(all)' option (as
// set in biz.siteOptionsProvider.php). In this case, use the current site from the session.
if ($siteId == '_')
	$siteId = $_SESSION['siteId'];
	
$divName = getArrayParameter($_REQUEST, 'divName', null);
$selectName = getArrayParameter($_REQUEST, 'selectName', null);

$site = wcmObjectFactory::create('site', $siteId);

// No browser cache
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

// XML output
header('Content-Type: text/xml');
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";

// Write ajax response
echo "<ajax-response>\n";
echo '<response type="item" id="' . $divName . '"><![CDATA[';

echo '<select name="' . $selectName . '" id="' . $selectName . '">';
echo '<option value="">(' . _BIZ_ALL . ')</option>';
$where = '(parentId is null OR parentId = 0)';
if ('' != $siteId)
{
    $where .= ' AND siteId =' . $siteId;
}
renderHtmlChannelOptions($project, null, $where);
echo '</select>';

echo ']]></response>';
echo '</ajax-response>';
