<?php
/**
 * Project:     WCM
 * File:        $Id: channel.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This class implements the action controller for the channel
 */
class channelAction extends mvcAction
{
    /**
     * Save query from content tab
     */
    private function saveQuery()
    {
        //if the content tab was loaded
        if (isset($_REQUEST['newquery']) && isset($_REQUEST['orderBy']) && isset($_REQUEST['limit']))
        {
            if ($_REQUEST['id'] == 0 && $_REQUEST['newquery'] == '')
            {
                $config = wcmConfig::getInstance();
                $_REQUEST['newquery'] = $config['wcm.channel.query'];
            }

            $search_query = array('query' => $_REQUEST['newquery'], 'orderBy' => $_REQUEST['orderBy'], 'limit' => $_REQUEST['limit']);
            $_REQUEST['request'] = $search_query;
        }
    }

    /**
     * is called on checkin and on save before the store
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function beforeSave($session, $project)
    {
        //processing for the forced contents by date
        $destinationId_array = array();
        $destinationClass_array = array();
        $title_array = array();
        $validityDate_array = array();
        $rank_array = array();

        if (isset($_REQUEST['forcedcontents']))
        {
            //forcedcontents looks like
            //[{"date" : date1 , "value" : json repr of relations}, {"date" : date2 , "value" : json repr of relations}, etc... ]
            //where json repr of relations looks like: [{"rank": "1", "value":"rel-newsletter-1", "title":"Weekly newsletter"}]
            $forcedcontents = json_decode($_REQUEST['forcedcontents']);

            if (is_array($forcedcontents))
             {
                foreach ($forcedcontents as $forcedcontent_date_list)
                {
                    $validity_date = $forcedcontent_date_list->date;

                    foreach ($forcedcontent_date_list->value as $forcedcontent)
                    {
                        $rel = explode('-', $forcedcontent->value);
                        if (count($rel) == 3)
                        {
                            $validityDate_array[] = $validity_date;
                            $title_array[] = $forcedcontent->title;

                            $destinationId_array[] = $rel[2];
                            $destinationClass_array[] = $rel[1];
                            $rank_array[] = $forcedcontent->rank;
                        }
                    }
                }
             }
            //now we are ready to set $_REQUEST['_list_br_3']
            $_REQUEST['_list_br_3'] = array();
            $_REQUEST['_list_br_3']['destinationId'] = $destinationId_array;
            $_REQUEST['_list_br_3']['destinationClass'] = $destinationClass_array;
            $_REQUEST['_list_br_3']['title'] = $title_array;
            $_REQUEST['_list_br_3']['rank'] = $rank_array;
            $_REQUEST['_list_br_3']['validityDate'] = $validityDate_array;
            //updateBizRelations will be called in parent::beforeSave
            //$this->context->updateBizRelations('_br_3', $_REQUEST['_list_br_3']);
        }

        parent::beforeSave($session, $project);

        $this->saveQuery();
    }
}
