<?php
/**
 * Project:     WCM
 * File:        $Id: change_photo.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$session = wcmSession::getInstance();
$config = wcmConfig::getInstance();

// get Ajax tab id
$guid = getArrayParameter($_REQUEST, 'guid', null);

wcmGUI::openFieldset('');
?>

<script type="text/javascript">

// if true, when user click 'save and add more'
var addMoreUploadPhoto = false;

/******************************************
* call by iframe after the save is completed
* if addMoreUploadPhoto -> reset form and enable the form
* if not -> reload last upload photo ajax tab and
*	and hide the modal
******************************************/
_finishUploadPhoto = function(){
	if (addMoreUploadPhoto) {
		$('uploadPhotoForm').reset();
		_clearPhoto();
		$('uploadPhotoForm').enable();
	}
	else
    {
		<?php
        if (isset($guid) && !empty($guid))
        { ?>
		    $WCM.reloadtab('wcmTabs_<?php echo $guid?>');
		<?php
        }
        ?>
		parent.wcmModal.hide();
	}
}

/******************************************
*  clear the photo and photo title
******************************************/
_clearPhoto = function(){
	$('lblPhotoTitle').innerHTML = "&nbsp;";
	$('imgPhoto').innerHTML = "";

}

/******************************************
* Upload photo file
* Submit form in hidden iframe to upload it
* on the server
******************************************/
_autoUploadPhoto = function(){
	$('fileName').value = "";
	$('sourcePath').value = '';
	$('actionPhoto').value = "step2";
	$('imgPhoto').innerHTML = '<div class="waiting"></div>';
	// subtract only the file name in the input file path
	$('lblPhotoTitle').innerHTML = $('photo').value.substring($('photo').value.lastIndexOf('\\')+1, $('photo').value.length);
	$('uploadPhotoForm').submit();
}

/******************************************
*  Cancel the upload photo
*  if user has click on 'save and add more',
*  before cancel, the ajax tab refreshes.
*  The StepCancel action deletes the tmp files.
******************************************/
_cancelPhoto = function(){
	<?php if (isset($guid) && !empty($guid)){ ?>
		if (addMoreUploadPhoto)
		$WCM.reloadtab('wcmTabs_<?php echo $guid?>');
	<?php } ?>
	$('actionPhoto').value = "stepCancel";
	$('uploadPhotoForm').submit();
}

/******************************************
*  Validate fields and save the photo
*
******************************************/
_savePhoto = function(addMore){
	// user has clicked on 'save and add more'
	addMoreUploadPhoto = addMore;
	// validate fields
	var formValidator = new WCM.FormValidator('uploadPhotoForm');
  	if (formValidator.checkFields()) {
  		$('actionPhoto').value = "step3";
  		// don't upload photo against, disable it
  		$('photo').disable();
		$('uploadPhotoForm').submit();
		// disable form during system do the save
		$('uploadPhotoForm').disable();
   	}
   	else parent.wcmMessage.error($I18N.INVALID_OR_MISSING_FIELDS);
	
}
</script>
<?php
wcmGUI::openForm('uploadPhotoForm', $config['wcm.backOffice.url'] . 'ajax/controller.php?module=business/modalbox/uploadPhoto', null, array('id' => 'uploadPhotoForm', 'target' => 'uploadSubForm', 'class' => 'uploadPhotoForm', 'enctype' => 'multipart/form-data'));
wcmGUI::renderHiddenField('actionPhoto', '');
wcmGUI::renderHiddenField('fileName', '');
wcmGUI::renderHiddenField('sourcePath', '');
wcmGUI::renderHiddenField('width', '');
wcmGUI::renderHiddenField('height', '');?>
<ul id="ulContainerUploadPhoto">
	<li id="imgPhoto"></li>
	<li id="inputPhoto"><?php wcmGUI::renderFileField('photo', null, array('id' => 'photo', 'onchange' => '_autoUploadPhoto();', 'class' => 'type-req'))?>
	</li>
	<li id="liPhotoTitle"><label id="lblPhotoTitle">&nbsp;</label></li>
</ul>
<ul id="ulContainerFieldsPhoto">
<?php wcmGUI::renderTextField('title', getArrayParameter($_POST, 'title', null), _BIZ_TITLE . ' *', array('class' => 'type-req'));
      wcmGUI::renderTextArea('caption', getArrayParameter($_POST, 'caption', null), _BIZ_CAPTION);
?>
</ul>
<?php
wcmGUI::closeForm();
?>
<!-- hidden iframe -->
<iframe id="uploadSubForm" name="uploadSubForm" src="<?php echo $config['wcm.backOffice.url']; ?>ajax/controller.php?module=business/modalbox/uploadPhoto" class="iFrameUploadPhoto"></iframe>
<?php
wcmGUI::closeFieldset();
