<?php
/**
 * Project:     WCM
 * File:        $Id: wcmSearch.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$config = wcmConfig::getInstance();
$prefix = getArrayParameter($params, 'prefix', '_wcm_rel_');
$pk     = getArrayParameter($params, 'kind', bizrelation::IS_RELATED_TO);
$style  = getArrayParameter($params, 'resultStyle', 'list');

// retrieve class filter
$classFilter = getArrayParameter($params, 'classFilter', null);

if (is_array($classFilter))
{
    if (count($classFilter) > 0)
    {
        $filter = 'className:(' . join(' OR ', $classFilter) . ')';
    }
    else
    {
        $filter = null;
    }
}
elseif (!empty($classFilter))
{
    $filter = 'className:' . $classFilter;
}
else
{
    $filter = null;
}

$pluginFilter = getArrayParameter($params, 'searchEngine', $config['wcm.plugins.search.default']);
echo '<input type="hidden" id="' . $prefix . 'engine" value="' . $pluginFilter . '"/>';
?>
<script type="text/javascript">

relationSearch.prepareSearch({
    filter: '<?php echo $filter; ?>',
    idPrefix: '<?php echo $prefix; ?>',
    resultSet: '<?php echo $prefix; ?>resultsetBox',
    style: '<?php echo $style; ?>',
    pk: '_br_<?php echo $pk; ?>',
    uid: '<?php echo $params['uid']; ?>',
    <?php // TODO : This value defines how many item will be displayed in the result, it should not be hardcoded here. ?>
    pageSize: 9
});

<?php echo $prefix;?>_performSearch = function()
{
    $('<?php echo $prefix; ?>sortCtrl').show();
    $('<?php echo $prefix; ?>sablier').show();

    relationSearch.search('<?php echo $params['uid']; ?>', $('<?php echo $prefix;?>query').value, {
        engine: $('<?php echo $prefix; ?>engine').value,
        style: '<?php echo $style; ?>'
    });
}

</script>

<div class="query">
<ul class="queryBar">
<?php

wcmGUI::renderTextField($prefix . 'query', null, null, array('style' => 'width: 200px;'));
wcmGUI::renderButton('searchRel', _SEARCH, array('onclick' => $prefix . '_performSearch(); return false;', 'class' => 'list-builder'));
wcmGUI::renderButton('suggest', _BIZ_SUGGEST, array('onclick' => 'var data = wcmgetformdata(); if(data != -1) {wcmModal.showAddReplaceCancel(\'' . _BIZ_SUGGEST . '\', {url: wcmBaseURL + \'ajax/controller.php?module=business/modalbox/tme_suggest\', parameters : {kind:\'_similars\', uid: \'' . $params['uid'] . '\', data: data, _wcmClass: $F(\'_wcmClass\'), _wcmId: $F(\'id\')}}, tmeSimilarsCallback);} return false;', 'class' => 'list-builder nstein'));
?>
</ul>
</div>
<div id="<?php echo $prefix; ?>sortCtrl" class="sortActionCtrl" style="display: none;">
<p><?php echo _BIZ_ORDER_BY; ?>:</p>
<ul class="sortCtrl">
<li>
<a href="javascript:relationSearch.orderBy('<?php echo $params['uid']; ?>', 'createdAt desc')"><?php echo ucfirst(_BIZ_DATE); ?></a>
</li>
<li>
<a href="javascript:relationSearch.orderBy('<?php echo $params['uid']; ?>', 'title_sort asc')"><?php echo ucfirst(_TITLE); ?></a>
</li>
</ul>
<ul class="actionsCtrl">
<li>
<a href="javascript:relationSearch.toggleAll('chk');"><?php echo _BIZ_TOGGLE; ?></a>
</li>
<li>
<a  href="javascript:relationSearch.addElementSelect('<?php echo $params['uid']; ?>');"><?php echo _BIZ_ADD?></a>
</li>
<li>
<a  href="javascript:relationSearch.clearAll('chk');"><?php echo _BIZ_EMPTY_LIST; ?></a>
</li>
<li id="<?php echo $prefix; ?>sablier" class="wait" style="display: none;">&nbsp;</li>
</ul>

</div>
<div id="<?php echo $prefix; ?>resultsetBox"></div>
