<script type="text/javascript">
/**
 * Move selected search result objects to a channel
 */
 _wcmMoveToChannel = function()
 {
    if (!_wcmGetItem())
    {
        _wcmNoItemsSelected();
        return false;
    }
    wcmModal.showOkCancel(
        $I18N.MOVE_TO_CHANNEL,
        {
            url: wcmBaseURL + 'ajax/controller.php?ajaxHandler=export/channel',
            parameters : null
        },
        function(response) {
            if (response == 'CANCEL')
            {
                return true;
            }
            // start again if nothing was selected
            if ($F('_wcmChannelId') == 0)
            {
               alert($I18N.CHOOSE_SECTION);
               _wcmMoveToChannel();
               return false;
            }
            wcmModal.showOk(
                $I18N.EXPORT_BIZOBJECT,
                {
                    url: wcmBaseURL + 'ajax/controller.php?ajaxHandler=business/export/channel',
                    parameters: {
                        response: response,
                        channelId: $F('_wcmChannelId')
                    }
                }
            );
            return true;
        }
    );
 }
/**
 * export selected search result objects to a channel, a collection or a slideshow
 */
_wcmExport = function()
{
    var exportUrl = wcmBaseURL + 'ajax/controller.php?ajaxHandler=business/export/export';
    if (!_wcmGetItem())
    {
        _wcmNoItemsSelected();
        return false;
    }

    // display first modal (select type of object)
    wcmModal.showOkCancel(
        $I18N.EXPORT_BIZOBJECT,
        {
            url: exportUrl,
            parameters : null
        },
        function(response) {
            if (response == 'CANCEL')
            {
                return true;
            }
            var isNew     = $F('_wcmNewObject');
            var className = $F('_wcmClassName');

            if (isNew == '1')
            {
                // display second modal. We create a new object
                wcmModal.showOkCancel(
                    $I18N.EXPORT_BIZOBJECT,
                    {
                        url: exportUrl,
                        parameters: {
                            response: response,
                            className: className,
                            isNew: isNew
                        }
                    },
                    function (response) {
                        // stop when canceled
                        if (response == 'CANCEL')
                        {
                            return true;
                        }
                        // do not allow empty name fields. Start again
                        if ($F('_wcmObjectName') == '')
                        {
                            alert($I18N.OBJECT_NAME_IS_MANDATORY);
                            _wcmExport();
                            return false;
                        }
                        var parentChannel = null;
                        // displays last modal : importing was done
                        if ($('_wcmParent'))
                        {
                            parentChannel = $F('_wcmParent');
                        }
                        wcmModal.showOk(
                            $I18N.EXPORT_BIZOBJECT,
                            {
                                url: exportUrl,
                                parameters: {
                                    response: response,
                                    className: className,
                                    bizobjectName : $F('_wcmObjectName'),
                                    parentChannel : parentChannel,
                                    bizobjectDescription : $F('_wcmObjectDescription')
                                }
                            }
                        );
                        // refresh UI to update bin Selected item(s) No, and checked boxes
                        _wcmResetSelection();
                    }
                );
                return false;
            }
            else
            {
                // displays second modal. Adding or replacing to existing object
                wcmModal.showAddReplaceCancel(
                    $I18N.EXPORT_BIZOBJECT,
                    {
                        url: exportUrl,
                        parameters: {
                            response: response,
                            className: className,
                            isNew: isNew
                        }
                    },
                    function (response) {
                        if (response == 'CANCEL')
                        {
                            return;
                        }
                        if ($F('_wcmBizobjectId') == 0)
                        {
                            alert($I18N.OBJECT_SELECT_IS_MANDATORY);
                            _wcmExport();
                            return false;
                        }
                        else
                        {
                            // displays last modal : importing was done
                            wcmModal.showOk(
                                $I18N.EXPORT_BIZOBJECT,
                                {
                                    url: exportUrl,
                                    parameters: {
                                        response: response,
                                        className: className,
                                        bizobjectId: $F('_wcmBizobjectId')
                                    }
                                }
                            );
                            // refresh UI to update bin Selected Item(s) No, and checked boxes
                            _wcmResetSelection();
                        }
                    }
                );
                return false;
            }
            return true;
        }
    );
}

_wcmResetSelection = function()
{
    // toggle all chekboxes to unchecked status
    var inputOptions;
    inputOptions=document.getElementsByTagName("input");
    for(i=0; i < inputOptions.length; i++)
    {
        if(inputOptions[i].type=="checkbox")
        {
            inputOptions[i].checked=false;
        }
    }

    // reset Selected Items label to 0
    var spanCompteur;
    spanCompteur=document.getElementById("compteur");
    if (spanCompteur)
    {
        var arrSpan;
        arrSpan=spanCompteur.getElementsByTagName("span");
        if (arrSpan && arrSpan.length>1)
        {
            arrSpan[1].innerHTML="0";
        }
    }
}

_wcmGetItem = function ()
{
    if (document.getElementById('resultset') == null)
    {
        return false;
    }

    var inputOptions;
    inputOptions = document.getElementById('resultset').getElementsByTagName("input");
    for(i=0; i < inputOptions.length; i++)
    {
        if(inputOptions[i].type=="checkbox")
        {
            if (inputOptions[i].checked == true)
            {
                return true;
            }
        }
    }
    return false;
}

/**
 * check if any items where selected
 */
_wcmNoItemsSelected = function() {
    wcmModal.showOk($I18N.NO_ITEMS_SELECTED, $I18N.NO_ITEMS_SELECTED);
    return true;
}

_wcmCreateBinSession = function(title){
    wcmModal.showAjaxButtons(title, wcmBaseURL + 'ajax/controller.php?module=business/modalbox/create_bin_session',
        null,
        function(response)
        {
            if (response == 'SAVE')
            {
                if (false === _validateForm('sessionBin'))
                {
                    return false;
                }

                if (false === manageBin('createBinFromSession',document.getElementById('bin_name').value,
                    document.getElementById('bin_description').value,
                    '', '', 'bins', false))
                {
                    return false;
                }
            }
            return true;
        },
        [wcmModal.getButtonByName("CANCEL", true),
         wcmModal.getButtonByName("SAVE", true)]
        );
}

_wcmUpdateBin = function(title,id){
    wcmModal.showAjaxButtons(title, wcmBaseURL + 'ajax/controller.php?module=business/modalbox/update_bin',
        {id:id},
        function(response)
        {
            if (response == 'SAVE')
            {
                if (false === _validateForm('emptyBin'))
                {
                    return false;
                }

                if (false === manageBin('updateBin',document.getElementById('bin_name').value,
                        document.getElementById('bin_description').value, '',
                        document.getElementById('idBin').value,
                        'bins', false))
                {
                    return false;
                }
            }
            return true;
        },
        [wcmModal.getButtonByName("CANCEL", true),
         wcmModal.getButtonByName("SAVE", true)]
        );
}

_wcmCreateBin = function(title){
    wcmModal.showAjaxButtons(title, wcmBaseURL+'ajax/controller.php?module=business/modalbox/create_empty_bin',
        null,
        function(response) {
            if (response == 'SAVE') {
                if (false === _validateForm('emptyBin'))
                {
                    return false;
                }

                if (false === manageBin('createEmpty',document.getElementById('bin_name').value,
                     document.getElementById('bin_description').value,
                     '', '', 'bins', false))
                {
                    return false;
                }
            }
            return true;
        },
        [wcmModal.getButtonByName("CANCEL", true),
         wcmModal.getButtonByName("SAVE", true)]
         );
}

_wcmSaveSearch = function(title){
    wcmModal.showAjaxButtons(title, wcmBaseURL+'ajax/controller.php?module=business/modalbox/create_saved_search',
        null,
        function(response) {
            if (response == 'SAVE') {
                if (false === _validateForm('savedSearch'))
                {
                    return false;
                }

                var query = '';
                if ($('search_basequery') != null)
                {
                    query = $('search_basequery').value;
                }

                if ($('search_query').value != ''){
                    if (query != '')
                    {
                        query = query += ' AND ';
                    }
                    query+=$('search_query').value;
                }

                var response =  manageSaveSearch('create',$('saved_name').value,
                    $('saved_description').value,
                    query,
                    getSearchForm().serialize(),
                     '', 'searches', $('dashboard').checked, $('shared').checked);

                if (false === response)
                {
                    return false;
                }
            }
            return true;
        },
        [wcmModal.getButtonByName("CANCEL", true),
         wcmModal.getButtonByName("SAVE", true)]
        );
}

</script>
