<?php
/**
 * Project:     WCM
 * File:        $Id: metacontent.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();

/* @todo :: Auto suggest summary (Nsummarizer call)
 * loads modal, accept and refuse (cancel) buttons
 */

//special actions
$info = isset($params['info']) ? $params['info'] : '';

wcmGUI::openCollapsablePane(_META_CONTENT, true, $info);
wcmGUI::openFieldset();

if (get_class($bizobject) == 'channel')
{
    wcmGUI::renderDropdownField('parentId', channel::getChannelHierarchy(), $bizobject->parentId, _BIZ_CHANNEL);
}

if (property_exists($bizobject, 'channelId'))
{
    wcmGUI::renderDropdownField('channelId', channel::getChannelHierarchy(), $bizobject->channelId, _BIZ_CHANNEL);
}

if (property_exists($bizobject, 'eyebrow'))
{
    wcmGUI::renderTextField('eyebrow', $bizobject->eyebrow, _BIZ_ARTICLE_EYEBROW);
}

if (property_exists($bizobject, 'title'))
{
    switch ($bizobject->getType())
    {
        case 'article':
            wcmGUI::renderTextField('title', $bizobject->title, _BIZ_HEADLINE . ' *', array('class' => 'type-req'));
            break;

        default:
            wcmGUI::renderTextField('title', $bizobject->title, _BIZ_TITLE . ' *', array('class' => 'type-req'));
            break;
    }
}

if (property_exists($bizobject, 'tabhead'))
{
    wcmGUI::renderTextField('tabhead', $bizobject->tabhead, _BIZ_ARTICLE_TABHEAD);
}

if (property_exists($bizobject, 'subtitle'))
{
    wcmGUI::renderEditableField('subtitle', $bizobject->subtitle, _BIZ_ARTICLE_SUBHEADLINE);
}

if (property_exists($bizobject, 'teaser'))
{
    wcmGUI::renderEditableField('teaser', $bizobject->teaser, _BIZ_ARTICLE_TEASER);
}

if (property_exists($bizobject, 'abstract'))
{
    wcmGUI::renderEditableField('abstract', $bizobject->abstract, _BIZ_ABSTRACT, null, null, _BIZ_SUGGEST);
}

if (property_exists($bizobject, 'caption'))
{
    wcmGUI::renderEditableField('caption', $bizobject->caption, _BIZ_CAPTION);
}

if (property_exists($bizobject, 'description'))
{
    wcmGUI::renderEditableField('description', $bizobject->description, _BIZ_DESCRIPTION);
}

if (property_exists($bizobject, 'articlebio'))
{
    wcmGUI::renderEditableField('articlebio', $bizobject->articlebio, _BIZ_ARTICLE_BIO);
}

if (property_exists($bizobject, 'keywords'))
{
    wcmGUI::renderTextField('keywords', $bizobject->keywords, "Keywords");
}

if (property_exists($bizobject, 'author'))
{
    wcmGUI::renderTextField('author', $bizobject->author, _BIZ_AUTHOR);
}

if (property_exists($bizobject, 'credits'))
{
    wcmGUI::renderTextField('credits', $bizobject->credits, _BIZ_CREDITS);
}

if (property_exists($bizobject, 'copyrightsnotice'))
{
    wcmGUI::renderTextField('copyrightsnotice', $bizobject->copyrightsnotice, _BIZ_ARTICLE_COPYRIGHTS_NOTICE);
}

if (property_exists($bizobject, 'rights'))
{
	$rights = array("Yes" => "Yes","No" => "No","MMW" => "MMW");
    wcmGUI::renderDropdownField('rights', $rights, $bizobject->rights, "Rights");
}

wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
