<?php
/**
 * Project:     WCM
 * File:        $Id: uploadedList.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$config = wcmConfig::getInstance();
$session = wcmSession::getInstance();

$limit          = getArrayParameter($params, 'limit', 8);
$style          = getArrayParameter($params, 'resultSetStyle', 'grid');
$searchEngine   = getArrayParameter($params, 'searchEngine', $config['wcm.plugins.search.default']);
$query          = getArrayParameter($params, 'query', ' createdBy:' . $session->userId);
$filter         = getArrayParameter($params, 'filter', '');
$orderBy        = getArrayParameter($params, 'orderBy', 'createdAt desc');
$classFilter    = getArrayParameter($params, 'classFilter', null);
$prefix         = getArrayParameter($params, 'prefix', '_wcm_rel_');
$pk             = getArrayParameter($params, 'kind', bizrelation::IS_RELATED_TO);

if (is_array($classFilter))
{
    if (count($classFilter) > 0)
    {
        $filter = 'className:(' . join(' OR ', $classFilter) . ')';
    }
    else
    {
        $filter = null;
    }
}
elseif (!empty($classFilter))
{
    $filter = 'className:' . $classFilter;
}
else
{
    $filter = null;
}

if ($filter && $query)
{
    $query = $filter . ' AND (' . $query . ')';
}
elseif ($filter)
{
    $query = $filter;
}
// the default search is get the last 9 photos uploaded
$search = wcmSearch::getInstance($searchEngine);
$total = $search->search(uniqid() . 'latestuploaded', $query, $orderBy);

$html = null;
if ($total)
{
    // get the last 9 photos
    $result = $search->getSearchResults(0, $limit, false);

    // generate the template
    $tpl = new wcmTemplateGenerator();
    $tpl->assign('resultSet', $result);
    $tpl->assign('idPrefix', $prefix);
    $tplFile = $config['wcm.templates.path'] . 'results/' . $style . '/bo.tpl';
    $html = $tpl->fetch($tplFile);
}

?>

<script type="text/javascript">
// Active drag and drop
var jsRe = new jsRelationManager({
pk: '_br_<?php echo $pk; ?>',
sourceElem: '<?php echo $prefix; ?>resultset',
destBox: '<?php echo $prefix; ?>relations',
relationList: '<?php echo $prefix; ?>list'});

</script>

<div class="query">
    <a href="#" onclick="_wcmUploadPhoto('<?php echo _BIZ_UPLOAD_PHOTO; ?>','<?php echo $params['guid']?>');return false;"><?php echo _UPLOAD_MEDIA ?></a>
</div>

<div id="<?php echo $prefix; ?>resultsetBox">
    <?php echo $html;?>
</div>

