<?php
/**
 * Project:     WCM
 * File:        $Id: article.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/article', array('class' => 'article'));
$bizobject = wcmMVC_Action::getContext();
$config = wcmConfig::getInstance();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navarticle', true, null);

    $tabs->addTab('tabs.tree.article', _BIZ_ARTICLES, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.browse.article', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.article', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('article', true, null);
    $tabs->addTab('tabs.overview.article', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.article', _BIZ_PROPERTIES, false, null, wcmModuleURL('business/editorial/article/properties'));
    $tabs->addTab('tabs.content.article', _BIZ_CONTENT, true, null, wcmModuleURL('business/editorial/article/content'));
    $tabs->addTab('tabs.media.article', _BIZ_MEDIA, false, null, wcmModuleURL('business/shared/media'));
    $tabs->addTab('tabs.referencing.article', _BIZ_REFERENCING, false, null, wcmModuleURL('business/shared/referencing'));
    $tabs->addTab('tabs.categorization.article', _BIZ_CATEGORIZATION, false, null, wcmModuleURL('business/shared/categorization'));
    $tabs->addTab('tabs.footprint.article', _BIZ_TME, false, null, wcmModuleURL('business/tme/footprint'));
    $tabs->addTab('tabs.presentation.article', _BIZ_DESIGN, false, null, wcmModuleURL('business/shared/design'));
    $tabs->addTab('tabs.versioning.article', _BIZ_VERSIONS, false, null, wcmModuleURL('business/shared/versioning'));
    $tabs->addTab('tabs.contributions.article', _BIZ_CONTRIBUTIONS, false, null, wcmModuleURL('business/shared/contributions'));

    $tabs->render($bizobject->id === 0, array('tabs.content.article','tabs.categorization.article','tabs.footprint.article'));
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
