<?php
/**
 * Project:     WCM
 * File:        $Id: channel.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/channel', array('class' => 'channel'));
$bizobject = wcmMVC_Action::getContext();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navchannel', true);
    $tabs->addTab('tabs.tree.channel', _BIZ_CHANNELS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType() . ' AND siteId:' . $bizobject->siteId, 'quickSearch', 10, 'quickSearch', 1));
    $tabs->addTab('tabs.browse.channel', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.channel', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
try
{
    wcmGUI::openObjectForm($bizobject);
    $tabs = new wcmAjaxTabs('channel', true);
    $tabs->addTab('tabs.overview.channel', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.channel', _BIZ_PROPERTIES, true, null, wcmModuleURL('business/website/channel/properties'));
    $tabs->addTab('tabs.content.channel', _BIZ_CONTENT, false, null, wcmModuleURL('business/website/channel/content'));
    $tabs->addTab('tabs.referencing.channel', _BIZ_REFERENCING, false, null, wcmModuleURL('business/shared/referencing'));
    $tabs->addTab('tabs.design.channel', _BIZ_DESIGN, false, null, wcmModuleURL('business/shared/design'));
    $tabs->render($bizobject->id === 0);
    wcmGUI::closeForm();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';	

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
