<?php
/**
 * Project:     WCM
 * File:        $Id: poll.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/poll', array('class' => 'poll'));
$bizobject = wcmMVC_Action::getContext();
$config = wcmConfig::getInstance();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
$disabled = array('mine');
wcmGUI::renderObjectMenu(true, $disabled);

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navpoll', true);
    $tabs->addTab('tabs.tree.poll', _BIZ_POLLS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.browse.poll', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.poll', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';


echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('poll', true);
    $tabs->addTab('tabs.overview.poll', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.poll', _PROPERTIES, false, null, wcmModuleURL('business/ugc/poll/properties'));
    $tabs->addTab('tabs.content.poll', _BIZ_CONTENT, true, null, wcmModuleURL('business/ugc/poll/content'));
    $tabs->render($bizobject->id === 0);
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
