<?php
/**
 * Project:     WCM
 * File:        $Id: site.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/site', array('class' => 'site'));
$bizobject = wcmMVC_Action::getContext();

// Include header and menu
/**
 * TODO : Change the way this work
 */
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navsite', true);
    $tabs->addTab('tabs.tree.site', _BIZ_SITES, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType(), 'quickSearch', 10, 'quickSearch', 1));
    $tabs->addTab('tabs.browse.site', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.site', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('site', true);
    $tabs->addTab('tabs.properties.site', _PROPERTIES, true, null, wcmModuleURL('business/website/site/properties'));
    $tabs->addTab('tabs.permissions.site', _PERMISSIONS, false, null, wcmModuleURL('system/permissions/properties', array('targetKind' => 'site')));
    $tabs->addTab('tabs.properties.config', _CONFIG, false, null, wcmModuleURL('business/website/site/config'));
    $tabs->render();
}
catch (Exception $e)
{
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
