<?php
/**
 * Project:     WCM
 * File:        $Id: slideshow.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/slideshow', array('class' => 'slideshow'));
$bizobject = wcmMVC_Action::getContext();
$config = wcmConfig::getInstance();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navslideshow', true);
    $tabs->addTab('tabs.tree.slideshow', _BIZ_SLIDESHOWS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.browse.slideshow', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.slideshow', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('slideshow', true);
    $tabs->addTab('tabs.overview.slideshow', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.slideshow', _PROPERTIES, false, null, wcmModuleURL('business/editorial/slideshow/properties'));
    $tabs->addTab('tabs.content.slideshow', _CONTENT, true, null, wcmModuleURL('business/editorial/slideshow/content'));
    $tabs->addTab('tabs.referencing.slideshow', _BIZ_REFERENCING, false, null, wcmModuleURL('business/shared/referencing'));
    $tabs->addTab('tabs.categorization.slideshow', _BIZ_CATEGORIZATION, false, null, wcmModuleURL('business/shared/categorization'));
    $tabs->addTab('tabs.footprint.slideshow', _BIZ_TME, false, null, wcmModuleURL('business/tme/footprint'));
    $tabs->addTab('tabs.design.slideshow', _BIZ_DESIGN, false, null, wcmModuleURL('business/shared/design'));
    $tabs->render($bizobject->id === 0, array('tabs.content.slideshow', 'tabs.categorization.slideshow', 'tabs.footprint.slideshow'));
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
