<?php
/**
 * Project:     WCM
 * File:        $Id: video.php 7493 2010-01-25 19:39:28Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.1.5
 */

// Execute action
wcmMVC_Action::execute('business/video', array('class' => 'video'));
$bizobject = wcmMVC_Action::getContext();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
$disabled = array('mine');
wcmGUI::renderObjectMenu(true, $disabled);

echo '<div id="treeview">';
try
{
	$tabs = new wcmAjaxTabs('navvideo', true);
	$tabs->addTab('tabs.tree.video', _BIZ_VIDEO, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
	$tabs->addTab('tabs.browse.video', _BROWSE, false, wcmGUI::renderBrowsePanel());
	$tabs->addTab('tabs.history.video', _HISTORY, false, wcmGUI::renderObjectHistory());
	$tabs->render();
}
catch (Exception $e)
{
	echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
	$tabs = new wcmAjaxTabs('video', true);
	$tabs->addTab('tabs.overview.video', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
	$tabs->addTab('tabs.content.video', _CONTENT, true, null, wcmModuleURL('business/editorial/video/content'));
//	$tabs->addTab('tabs.referencing.video', _BIZ_REFERENCING, false, null, wcmModuleURL('business/shared/referencing'));
	$tabs->addTab('tabs.media.video', _BIZ_MEDIA, false, null, wcmModuleURL('business/shared/media'));
	$tabs->addTab('tabs.design.video', _BIZ_DESIGN, false, null, wcmModuleURL('business/shared/design'));

	$tabs->render($bizobject->id === 0);
}
catch (Exception $e)
{
	echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
