<?php
/**
 * Project:     WCM
 * File:        $Id: webuser.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/webuser', array('class' => 'webuser'));
$bizobject = wcmMVC_Action::getContext();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navwebuser', true);
    $tabs->addTab('tabs.tree.webuser', _BIZ_WEBUSERS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType(), 'quickSearch', 10, 'quickSearch', 1, 'createdAt DESC'));
    $tabs->addTab('tabs.browse.webuser', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.webuser', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('webuser', true);
    $tabs->addTab('tabs.properties.webuser', _PROPERTIES, true, null, wcmModuleURL('business/ugc/webuser/properties'));
    if ($bizobject->id)
    {
        $tabs->addTab('tabs.subscriptions.webuser', _BIZ_SUBSCRIPTIONS, false, null, wcmModuleURL('business/ugc/webuser/subscriptions'));
    }
    // @todo : contributions
    //$tabs->addTab('t3', _BIZ_WEBUSER_CONTRIBUTIONS, true, null, wcmModuleURL('business/show_contributions'));
    $tabs->render($bizobject->id === 0);
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
