<?php
/**
 * Project:     WCM
 * File:        $Id: dbSetup.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * Database setup
 */
class wcmInstallInstructions_dbSetup extends wcmInstall_instruction
{
    /**
     * Constructor
     */
    public function __construct()
    {
        $this->description = 'Setting up system database';
    }

    /**
     * Execute the instruction.
     * @return bool True on success.
     */
    public function processInstruction()
    {
        $session = wcmInstall_session::getInstance();
        $insConf = $session->getConfig();

        // $creolePath = realpath($insConf['creole'].'../');
        // $session->log('Assumed creole path at '.$creolePath);
        // ini_set('include_path',ini_get('include_path').PATH_SEPARATOR.$creolePath);

        try
        {
            $dsn = $session->getWcmConfigValue('config_wcm_systemDB_connectionString');
            $session->log('Connecting to: ' . $dsn);

            $dsnParts = parse_url($dsn);

            $host = empty($dsnParts['port']) ? $dsnParts['host'] : $dsnParts['host'] . ':' . $dsnParts['port'];
            $pass = isset($dsnParts['pass']) ? $dsnParts['pass'] : '';

            $conn = mysql_connect($host, $dsnParts['user'], $pass);
            if (!$conn)
            {
                throw new Exception(mysql_error($conn));
            }

            $sysDbName = str_replace('/', '', $dsnParts['path']);
            $bizDbName = str_replace('_sys', '_biz', $sysDbName);
            $dbPrefix = str_replace('_sys', '', $sysDbName);

            if (!mysql_select_db($sysDbName, $conn))
            {
                throw new Exception(mysql_error($conn));
            }

            $sql = SQLStatementExtractor::extractFile('./sql/mysql/wcmSysInstall.sql');
            $session->log('Installing system tables');
            foreach ($sql as $query)
            {
                if (!mysql_query(str_replace('##DB_PREFIX##', $dbPrefix, $query), $conn))
                {
                    echo(str_replace('##DB_PREFIX##', $dbPrefix, $query));
                    var_dump(mysql_error($conn));
                    throw new Exception(mysql_error($conn));
                }
            }

            if (!mysql_select_db($bizDbName, $conn))
            {
                throw new Exception(mysql_error($conn));
            }

            $sql = SQLStatementExtractor::extractFile('./sql/mysql/wcmBizInstall.sql');
            $session->log('Installing business tables');
            foreach ($sql as $query)
            {
                if (!mysql_query(str_replace('##DB_PREFIX##', $dbPrefix, $query), $conn))
                {
                    echo(str_replace('##DB_PREFIX##', $dbPrefix, $query));
                    var_dump(mysql_error($conn));
                    throw new Exception(mysql_error($conn));
                }
            }

            $bizDsn = str_replace('_sys', '_biz', $dsn);
            $bizdb = str_replace('_sys', '_biz', $session->getWcmConfigValue('config_wcm_systemDB_connectionString'));

            $query = "UPDATE wcm_connector SET connectionString='" . $bizDsn . "' WHERE id=1";

            mysql_close($conn);
            unset($conn);

            $dsnParts = parse_url($session->getWcmConfigValue('config_wcm_systemDB_connectionString'));
            $pass = isset($dsnParts['pass']) ? $dsnParts['pass'] : '';
            $host = empty($dsnParts['port']) ? $dsnParts['host'] : $dsnParts['host'] . ':' . $dsnParts['port'];
            $conn = mysql_connect($host, $dsnParts['user'], $pass);
            if (!$conn)
            {
                throw new Exception(mysql_error($conn));
            }

            if (!mysql_select_db(str_replace('/', '', $dsnParts['path']), $conn))
            {
                throw new Exception(mysql_error($conn));
            }

            $session->log('query: ' . $query);
            if (!mysql_query($query, $conn))
            {
                throw new Exception(mysql_error($conn));
            }
            mysql_close($conn);
            unset($conn);
            return true;
        }
        catch (Exception $e)
        {
            $session->log('Error creating tables: ' . $e->getMessage());
            return false;
        }
    }
}
