<form method="POST" action="index.php?step=stepThree&amp;process=true">
    <fieldset>
        <legend>Default settings</legend>

        <ul>
            <li>
                <label>Name your CMS <span>(This is the name that will be displayed in the titlebar of the browser when using the back-office)</span></label>
                <input type="text" id="" name="config_wcm_project_title" <?php $this->htmlError('config_wcm_project_title'); ?> value="<?php echo $options['config_wcm_project_title']; ?>" size="55" />
            </li>
            <li>
                <label>Select the time zone <span>(Set this to the timezone of the server)</span></label>
                <select name="config_wcm_default_timezone">
                    <?php
                    $tz = timezone_identifiers_list();
                    foreach ($tz as $tzName)
                    {
                        echo '<option id="' . $tzName . '" value="' . $tzName . '"';
                        if ($tzName == $options['config_wcm_default_timezone'])
                        {
                            echo ' selected="selected"';
                        }
                        echo '>' . $tzName . '</option>';
                    }
                    ?>
                </select>
            </li>
            <li>
                <label>Back-office URL <span>(Ex: http://www.mywebsite.com/wcm/)</span></label>
                <input type="text" id="" size="55" name="config_wcm_backOffice_url"  value="<?php echo $options['config_wcm_backOffice_url']; ?>" <?php $this->htmlError('config_wcm_backOffice_url'); ?> />
            </li>
            <li>
                <label>WCM directory <span>(Ex: /etc/apache/htdocs/wcm/)</span></label>
                <input type="text" id="" size="55" name="config_wcm_path" value="<?php echo $options['config_wcm_path'];?>" <?php $this->htmlError('config_wcm_path'); ?> />
            </li>
            <li>
                <label>Administrative password <span>(Make your you note down this password)</span></label>
                <input type="password" id="" size="55" name="admin_pw1" <?php $this->htmlError('admin_pw1'); ?> />
            </li>
            <li>
                <label>Retype Administrative password</label>
                <input type="password" id="" size="55" name="admin_pw2" <?php echo $this->htmlError('admin_pw2'); ?>/>
            </li>
            <li>
                <label>Media manager URL</label>
                <input type="text" id="" size="55" name="config_wcm_default_media-manager_url" value="<?php echo $options['config_wcm_default_media-manager_url'];?>" <?php $this->htmlError('config_wcm_default_media-manager_url'); ?> />
            </li>
            <li>
                <label>Media manager login</label>
                <input type="text" id="" size="55" name="config_wcm_default_media-manager_login" value="<?php echo $options['config_wcm_default_media-manager_login'];?>" <?php $this->htmlError('config_wcm_default_media-manager_login'); ?> />
            </li>
            <li>
                <label>Media manager password</label>
                <input type="text" id="" size="55" name="config_wcm_default_media-manager_password" value="<?php echo $options['config_wcm_default_media-manager_password'];?>" <?php $this->htmlError('config_wcm_default_media-manager_password'); ?> />
            </li>
        </ul>
    </fieldset>

    <fieldset>
        <legend>PHP settings</legend>

        <ul>
            <li><label>PHP interpreter Path <span>(LINUX: e.g. /usr/bin/php. Windows: e.g. c:\php\php.exe)</span></label> <input type="text" id="" size="55" name="config_php_exe" value="<?php echo $options['config_php_exe']; ?>" <?php $this->htmlError('config_php_exe'); ?> /></li>
            <li><label>Path to php.ini (should end with php.ini)</label> <input type="text" id="" size="55" name="config_php_ini" value="<?php echo $options['config_php_ini']; ?>" <?php $this->htmlError('config_php_ini'); ?>  /></li>
        </ul>
    </fieldset>

    <fieldset>
        <legend>System and business data storage</legend>

        <p>The following databases are availalbe with this PHP installation</p>

        <ul class="radio">
            <?php
            foreach ($options['db']['avail'] as $mod => $name)
            {
                ?>
                <li>
                    <label>
                        <input type="radio" id="" name="wcmConfig_db" value="<?php echo $mod; ?>" checked="checked"/>
                        <?php echo $name; ?>
                    </label>
                </li>
                <?php
            }
            ?>
        </ul>

        <?php
        if (isset($options['db']['notAvail']))
        {
            ?>
            <p>The following databases are supported by WCM but are not available with this PHP installation.</p>

    		<ul class="radio">
        		<?php
                foreach ($options['db']['notAvail'] as $mod => $name)
                {
                    ?>
                    <li>
                        <label><?php echo $name; ?></label>
                    </li>
                    <?php
                }
                ?>
            </ul>
            <?php
        }
        ?>
    </fieldset>

    <fieldset>
        <legend>Back-office search</legend>

        <ul class="radio">
            <?php
            foreach ($options['indexers'] as $instruction => $name)
            {
                echo '<li><label>';
                echo '<input type="radio" id="" name="config_wcm_search_engine" value="';
                echo $instruction;
                echo '"';
                if ($instruction == $options['config_wcm_search_engine'])
                {
                    echo ' checked="checked"';
                }
                echo ' />';
                echo $name;
                echo '</label></li>';
            }
            ?>
        </ul>
    </fieldset>

    <fieldset>
        <legend>Connector to 3S</legend>
        <ul class="checkbox">
                <li><label>
                <input type="checkbox"  name="check_3S" id="check_3S" <?php echo isset($options['config_wcm_webSite_SSS_enabled']) ? 'checked="checked" value="on"' : ''; ?>/>&nbsp;&nbsp;Enable connector</label></li></ul>
    </fieldset>
    <input type="hidden" name="config_use_3S" id="config_use_3S" value="<?php echo isset($options['config_use_3S']) ? '1' : '0'; ?>"/>
    <input type="button" value="<< Previous" onclick="window.location='?step=stepTwo'" class="previous" />
    <input type="submit" value="Step 4 >>" onclick="submitStepThree();" class="next" />
</form>
<script type="text/javascript">
    /**
     * TODO: short description.
     * 
     * @return TODO
     */
    function submitStepThree()
    {
        if ($('#check_3S').is(':checked'))
        {
            $('#config_use_3S').val('yes');
        }
        else
        {
            $('#config_use_3S').val('no');
        }
    }

</script>
