--
-- Move workflow script relations from workflow to bizclass.
--
ALTER TABLE `wcm_bizclass`
ADD `workflowScript` VARCHAR( 255 ) NULL DEFAULT NULL AFTER `workflowId`;

UPDATE `wcm_bizclass`, `wcm_workflow`
SET `wcm_bizclass`.`workflowScript` = `wcm_workflow`.`script`
WHERE `wcm_bizclass`.`workflowId` = `wcm_workflow`.`id`;
DROP `script`;

-- ADD A CODE COLUMN TO BIZ_SITE
ALTER TABLE `biz_site` ADD COLUMN `code` VARCHAR(16) NOT NULL;
ALTER TABLE `biz_site` ADD UNIQUE INDEX `biz_site_code` (`code`);
-- UPDATE THE VALUE FOR THE DEFAULT SITE TO wcmSampleSite (ASSUME id=3 - refer to the creation script)
UPDATE `biz_site` SET `code`='wcmSampeSite' WHERE id=3;


--
-- Enrich new publication workflow.
--
INSERT INTO `wcm_workflow_state` (`id`, `revisionNumber`, `versionNumber`, `createdAt`, `createdBy`, `modifiedAt`, `modifiedBy`, `properties`, `name`, `code`) VALUES
(9, 1, 0, '2008-01-01 12:00:00', 1, '2008-01-01 12:00:00', 1, '', '_PUBLISHED_MODIFIED', 'publishedModified'),
(10, 1, 0, '2008-01-01 12:00:00', 1, '2008-01-01 12:00:00', 1, '', '_PUBLISHED_SUBMITTED', 'publishedSubmitted'),
(11, 1, 0, '2008-01-01 12:00:00', 1, '2008-01-01 12:00:00', 1, '', '_PUBLISHED_REJECTED', 'publishedRejected');

INSERT INTO `wcm_workflow_transition` (`id`, `revisionNumber`, `versionNumber`, `createdAt`, `createdBy`, `modifiedAt`, `modifiedBy`, `properties`, `name`, `code`, `workflowId`, `fromState`, `toState`) VALUES
(12, 1, 0, '2008-01-01 12:00:00', 1, '2008-01-01 12:00:00', 1, '', '_WT_UNAPPROVE', 'Unapprove', 1, 'approved', 'submitted'),
(13, 1, 0, '2008-01-01 12:00:00', 1, '2008-01-01 12:00:00', 1, '', '_WT_SUBMIT_PUBLISHED', 'Submit', 1, 'publishedModified', 'publishedSubmitted'),
(14, 1, 0, '2008-01-01 12:00:00', 1, '2008-01-01 12:00:00', 1, '', '_WT_REJECT_PUBLISHED', 'Submit', 1, 'publishedSubmitted', 'publishedRejected'),
(15, 1, 0, '2008-01-01 12:00:00', 1, '2008-01-01 12:00:00', 1, '', '_WT_RESUBMIT_PUBLISHED', 'Resubmit', 1, 'publishedRejected', 'publishedSubmitted'),
(16, 1, 0, '2008-01-01 12:00:00', 1, '2008-01-01 12:00:00', 1, '', '_WT_REPUBLISH', 'Republish', 1, 'publishedSubmitted', 'published');>>>>>>> .r7617
