<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.ajaxConnector.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$Project        = wcmProject::getInstance();
$connectorId    = getArrayParameter($_REQUEST, 'connectorId', null);
$command        = getArrayParameter($_REQUEST, 'command', null);
$tableReference = getArrayParameter($_REQUEST, 'tableReference', null);

$html = null;

try
{
    $connector = $project->datalayer->getConnectorById($connectorId);
    if (!$connector)
    {
        $html = '<span class="error">Invalid connector id ' . $connectorId . '</span>';
    }
    else
    {
        switch ($command)
        {
            case 'remove_dbtable':
                if ($connector->removeDBTable($tableReference))
                {
                    $html = '<span class="success">Table ' . $tableReference . ' retir&eacute;e</span>';
                }
                else
                {
                    $html = '<span class="error">' . $connector->getErrorMsg() . '<br/>';
                }
                break;

            case 'import_dbtable':
                if ($connector->importDBTable($tableReference))
                {
                    $html = '<span class="success">Table ' . $tableReference . ' import&eacute;e</span>';
                }
                else
                {
                    $html = '<span class="error">' . $connector->getErrorMsg() . '<br/>';
                }
                break;

            case 'alter_dbtable':
                if ($connector->alterDBTable($tableReference))
                {
                    $html = '<span class="success">Table ' . $tableReference . ' modifi&eacute;e</span>';
                }
                else
                {
                    $html = '<span class="error">' . $connector->getErrorMsg() . '<br/>';
                }
                break;

            case 'drop_dbtable':
                if ($connector->dropDBTable($tableReference))
                {
                    $html = '<span class="success">Table supprim&eacute;e</span>';
                }
                else
                {
                    $html = '<span class="error">' . $connector->getErrorMsg() . '<br/>';
                }
                break;

            default:
                $html = '<span class="error">Unexpected command ' . $command . '</span>';
                break;
        }
    }
}
catch (Exception $e)
{
    $html = 'Error : ' . $e->getMessage();
}

// No browser cache
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

// Xml output
header('Content-Type: text/xml');
echo '<?xml version="1.0" encoding="UTF-8"?>' . PHP_EOL;

// Write ajax response
echo '<ajax-response>' . PHP_EOL;
echo '<response type="item" id="connectorCommandResult_' . $tableReference . '">';
echo '<![CDATA[';

// Return command result
echo $html;
echo ']]>';
echo '</response>' . PHP_EOL;
echo '</ajax-response>' . PHP_EOL;
