<?php
/**
 * Project:     WCM
 * File:        $Id: bizclass.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This class implements the action controller for the membership page
 */
class wcmBizclassAction extends wcmMVC_SysAction
{

    /**
     * Save permissions based on $_REQUEST
     */
    private function savePermissions($session, $project)
    {
        $permissionTypes = getArrayParameter($_REQUEST, 'permissionTypes');
        $permissions     = getArrayParameter($_REQUEST, 'permissions');
        $this->context->updatePermissions($permissionTypes, $permissions);
    }

    /**
     * beforeSave is called by onCheckin and onSave before storing the sysobject
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    // @todo : check with Agostino if this should be in beforeSave
    //         need to do a method similar to the updateChapters of articles
    protected function beforeSave($session, $project)
    {
        parent::beforeSave($session, $project);

        $this->savePermissions($session, $project);
    }

    /**
     * Refresh the tree after saving
     */
    protected function afterSave($session, $project)
    {
        parent::afterSave($session, $project);
        wcmMVC_Action::refreshTree();
    }

    /**
     * afterDelete is called by onDelete after deleting the sysobject
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function afterDelete($session, $project)
    {
        wcmMVC_Action::refreshTree();
    }

    protected function onCreateTable($session, $project)
    {
        try
        {
            $vm = new wcmVersionManager();
            $vm->createTable($this->context->className);
        }
        catch (Exception $e)
        {
            return;
        }
    }
}
