<?php
/**
 * Project:     WCM
 * File:        $Id: generationSet.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */


/**
 * This class implements the action controller for the membership page
 */
class wcmGenerationSetAction extends wcmMVC_SysAction
{

    /**
     * Saves the permissions
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    private function savePermissions($session, $project)
    {
        $permissions = (isset($_REQUEST['permissions'])) ? $_REQUEST['permissions'] : null;
        $this->context->updatePermissions(array('wcmGenerationSet'), $permissions);
    }

    /**
     * beforeSave is called by onCheckin and onSave before storing the sysobject
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    // @todo : check with Agostino if this should be in beforeSave
    //         need to do a method similar to the updateChapters of articles
    protected function beforeSave($session, $project)
    {
        parent::beforeSave($session, $project);
        $this->savePermissions($session, $project);
    }

    /**
     * onDelete
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function onDelete($session, $project)
    {
        $context = $this->context;
        $contextId = $this->context->id;

        $generations = $context->getGenerations();
        foreach ($generations as $generation)
        {
            $generation_contents = $generation->getContents();
            foreach ($generation_contents as $generation_content)
            {
                $generation_content->delete();
            }

            $generation->delete();
        }

        parent::onDelete($session, $project);
    }

    /**
     * afterSave is called by onCheckin and onSave after storing the sysobject
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function afterSave($session, $project)
    {
        wcmMVC_Action::refreshTree();
    }	

    /**
     * afterDelete is called by onDelete after deleting the sysobject
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function afterDelete($session, $project)
    {
        wcmMVC_Action::refreshTree();
    }

}
