<?php
/**
 * Project:     WCM
 * File:        $Id: log.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */


/**
 * This class implements the action controller for the log page
 */
class wcmLogAction extends wcmMVC_Action
{
    /**
     * Instanciate context
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function setContext($session, $project)
    {
        return null;
    }

    /**
     * Default action
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function on($session, $project)
    {
    }

    /**
     * Clear trace files
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function onClearTrace($session, $project)
    {
        $path = wcmGetTraceFolder();
        eraseDirectory($path);
        if (!file_exists($path))
        {
            mkdir($path, 0777, true);
        }

        wcmMVC_Action::setMessage(_TRACE_LOG_ERASED);
    }
}
