<?php
/**
 * Project:     WCM
 * File:        $Id: initWebApp.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Check configuration
// - Redirect to installation if needed


// No browser cache
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');
header('Content-Type: text/html;charset=UTF-8');

/** TODO : Change this */
require_once(dirname(__FILE__) . '/../../../initWcmApi.php');
autoloadManager::addFolder(dirname(__FILE__));
autoloadManager::addFolder(dirname(__FILE__) . '/../private');
autoloadManager::addFolder(dirname(__FILE__) . '/../../business/private');

// Initialize API and retrieve project, session and configuration
$config  = wcmConfig::getInstance();
$project = wcmProject::getInstance();
$session = wcmSession::getInstance();

// Set error reporting level
error_reporting($config['wcm.errorHandling.reportLevel']);

// Set session language (check for change request)
$language = getArrayParameter($_REQUEST, '_wcmLanguage', $_SESSION['wcmSession']->getLanguage());
$session->setLanguage($language);

// Include back-office constants.
require_once(dirname(__FILE__) . '/const.php');

// Change session action?
if (isset($_REQUEST['_wcmAction']))
{
    $session->setCurrentAction($_REQUEST['_wcmAction']);
}

// Change session working site?
if (isset($_REQUEST['_wcmSiteId']))
{
    $session->setSiteId($_REQUEST['_wcmSiteId']);
}
elseif (!isset($_SESSION['siteId']))
{
    $session->setSiteId($config['wcm.default.siteId']);
}

if ($session->hasTimedOut())
{
    // keep the siteID to redirect the user on his next login
    $sessionTimedOut  = array('_wcmSiteId' => $session->getSiteId());
    $session->logout();
}
