<?php
/**
 * Project:     WCM
 * File:        $Id: tree_bizclass.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * The class is a helper to build bizclass tree
 *
 */
class tree_bizclass
{
    /**
     * Refresh current tree
     *
     * @param wcmTree  $tree       tree to refresh
     * @param bool  $recursive  True to perform recursive refresh
     * @param int   $maxDepth   Max depth (when refresh is recursive)
     *
     */
    static function refreshTree(&$tree, $recursive = false, $maxDepth = 0)
    {
        $session = wcmSession::getInstance();
        $project = wcmProject::getInstance();

        // Remove previous connectors
        $tree->caption = getConst(_BIZCLASSES);
        $tree->removeChildren();
        $tree->selectionId = null;

        // Load bizclasses
        foreach ($project->bizlogic->getBizclasses(true) as $bizclass)
        {
            $child           = new wcmNode($tree, $bizclass->id);
            $child->class    = $bizclass->className;
            $child->link     = wcmMVC_Action::computeObjectURL('wcmBizclass', $child->id);
            $child->caption  = getConst($bizclass->name);
            $child->expanded = true;
            $tree->addChild($child);
        }
    }

    /************************************************************************
     * Refresh current node
     *
     * @param node  $node       Node to refresh
     * @param bool  $recursive  True to perform recursive refresh
     * @param int   $maxDepth   Max depth (when refresh is recursive)
     *
     ************************************************************************/
    static function refreshNode(&$node, $recursive, $maxDepth = 0, $autoExpand = false)
    {
    }
}
