<?php
/**
 * Project:     WCM
 * File:        $Id: login.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Retrieve url of back-office site
$language = $session->getLanguage();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title><?php echoH8($project->title . ' :: ' . _SIGN_IN); ?></title>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <meta name="Generator" content="Nstein (2008).  All rights reserved." />
    <link rel="stylesheet" type="text/css" href="<?php echo $config['wcm.backOffice.url']?>skins/default/css/common.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo $config['wcm.backOffice.url']?>skins/default/css/header.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo $config['wcm.backOffice.url']?>skins/default/css/login.css" />
    <script type="text/javascript" src="<?php echo $config['wcm.backOffice.url']?>includes/js/prototype.js"></script>
</head>
<body>
<div id="wrapper">

    <div id="header" class="wcm">
        <div id="banner" class="wcm">
            <h1><span>Nstein WCM</span></h1>
            <h2>Powering Online Publishing</h2>
        </div>
    </div>
    <div id="login-box">
    <?php
        echo '<div id="signon">';
        if (wcmMVC_Action::getMessage())
        {
            $className = wcmMVC_Action::getMessageKind();
            $className = ($className == WCMLOG_ERROR) ? 'error' : ($className == WCMLOG_WARNING) ? 'warning' : 'info';
            echo '<ul class="message"><li class="' . $className . '">' . wcmMVC_Action::getMessage() . '</li></ul>';
        }

        $pluginManager = new wcmPluginManager();
        $pluginManager->initConfig('authenticate');
        $list = $pluginManager->getPluginsList('authenticate');

        if (!empty($list))
        {
            $pluginId = trim((isset($_REQUEST['_authPlugin'])) ? $_REQUEST['_authPlugin'] : $config['wcm.plugins.authenticate.default']);
            $plugin = $list[$pluginId];

            $callback = $plugin['general']['className'] . '::loginForm';
            wcmGUI::openForm('loginForm', '?', '');
            wcmGUI::renderHiddenField('_authPlugin', $plugin['general']['id']);
            if (count($list) > 1)
            {
            // Here is the list of available plugins
                ?>
                <fieldset>
                <!-- <p><?php echo _CHOOSE_LOGIN_METHOD ?>:</p> -->
                <ul>
                    <li>
                        <label><?php echo _LOGIN_METHOD;?></label>
                        <select onchange="window.location = this.value;">
                        <!--
                        @TODO : Javascript function - reload page with correct plugin and form selected
                        @TODO : Display selected plugin in drop down menu
                        -->
                        <?php
                        foreach ($list as $plugin)
                        {
                        ?>
                            <option
                            <?php
                            if ($plugin['general']['id'] ==  getArrayParameter($_REQUEST, '_authPlugin', $pluginId))
                            {
                                echo 'selected';
                            }
                            ?> value="?_wcmAction=login&amp;_authPlugin=<?php echo $plugin['general']['id']; ?>"><?php echo getConst($plugin['general']['name']); ?></option>
                        <?php
                        }
                        ?>
                        </select>
                    </li>
                </ul>
                </fieldset>
                <?php
            }
            wcmGUI::openFieldset('');
            wcmGUI::renderDropdownField(
                    '_wcmLanguage',
                    array('en' => 'English', 'fr' => 'Français'),
                    wcmSession::getInstance()->getLanguage(),
                    _LANGUAGE,
                    array('onchange' => 'window.location.href="?_authPlugin=' . $pluginId . '&_wcmAction=login&_wcmLanguage="+this.value')
                    );
            wcmGUI::closeFieldset();
            call_user_func($callback);
            wcmGUI::renderHiddenField('_wcmAction', 'processLogin');
            wcmGUI::renderHiddenField('lastPage', empty($_REQUEST['lastPage']) ? '' : $_REQUEST['lastPage']);
            wcmGUI::renderOpenTag('div', array('id' => 'submit'));
            wcmGUI::renderSubmitButton('login', _SIGN_IN, array('class' => 'submit'));
            wcmGUI::renderCloseTag('div');
            wcmGUI::closeForm();
        }
        else
        {
            ?>
            <p class="warning">You can not login into WCM at the present. Please try again later.</p>
            <?php
        }
        ?>
        </div>
        <div id="credits">
            <?php
            wcmGUI::renderUList(
                    array('Nstein WCM version <b>' . WCM_VERSION . '</b> ',
                        _CLIENT_LICENSE . WCM_LICENSEE,
                        _NSTEIN_WARNING,
                        _NSTEIN_SUPPORT,
                        _NSTEIN_SUPPORT_NETWORK,
                        _COPYRIGHT)
                    );
            ?>
       </div>
    </div>
</div>
</body>
</html>
