<?php
/**
 * Project:     WCM
 * File:        $Id: workflowState.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('workflowState', array('class' => 'wcmWorkflowState', 'tree' => 'workflow'));
$sysobject = wcmMVC_Action::getContext();

// Include header and menu
include('includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', true);
    $tabs->addTab('tabs.tree.workflowstate', _BROWSE, true, wcmMVC_Action::getTree()->renderHTML());
    $tabs->addTab('tabs.history.workflowstate', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($sysobject);
try
{
    $tabs = new wcmAjaxTabs('workflowState', true);
    $tabs->addTab('tabs.properties.workflowstate', _PROPERTIES, true, null, wcmModuleURL('system/workflow/state/properties'));
    /* @todo : permissions tab
       $tabs->addTab('t2', _PERMISSIONS, true, null, wcmModuleURL('system/permissions/groups'));
     */
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include('includes/footer.php');
