wcmContextHelp = function(argAction, argTabs, argLastTab)
{
	/**
	 * Private properties
	 */
	var path;
	
	var idPrefix = 'help';
	
	var action = argAction;
	var targetTab = argLastTab;
	var activeTabs = argTabs;
	
	var panel;
	var helpWindow; // Holds the window object of help
	var self = this;
	
	this.getTitle = function() { return title; };
	this.getAction = function() { return action; };
	this.getTargetTab = function() { return targetTab; };
	this.getIdPrefix = function() { return idPrefix; };
	
	this.getPanel = function() 
	{ 
		if (!panel) panel = createPanel();
		return panel;
	};
	
	this.removePanel = function()
	{
		var p = this.getPanel();
		if ($(p.bg.id)) p.bg.remove();
		if ($(p.fg.id)) p.fg.remove();
	
		panel = false;
	};
	
	this.refresh = function(argAction, argTabs, argLastTab)
	{
		action = argAction;
		targetTab = $H(argLastTab);
		activeTabs = argTabs;
		
		if (this.isPanelActive())
		{
			this.removePanel();
			this.renderPanel();
		} else {
			// We have to assume the window is opened if this is being called
			// We make this assumption because if the page refreshed and the
			// popup window is still active, wcmContextHelp won't know :(
			url = this.getHelpUrl('window')
            openDialog(url,'',600,500,null,null,'wcmContextHelp');
			helpWindow = _wcm_openDialogs['wcmContextHelp'];
		}
		
	};
	
	this.popupPanel = function()
	{
		var url = self.getHelpUrl('window');
		openDialog(url,'',600,500,null,null,'wcmContextHelp');
        helpWindow = _wcm_openDialogs['wcmContextHelp']; 
		this.removePanel();		
	};
	
	this.getHelpUrl = function(argMode)
	{
		var url = '';
		url = url + 'ajax/controller.php?view=dialogs/help&_action=' + action;
		url = url + '&_activeTabs=' + activeTabs.toJSON();
		url = url + '&_currentTab=' + targetTab.toJSON();
		url = url + '&_idPrefix=' + idPrefix;
		url = url + '&_mode=' + argMode;
		
		return url;
	};
	
	// This function will create the three parts of the help pane
	// 1) Toolbar
	// 2) Transparent background
	// 3) Text
	function createPanel()
	{
		// Background
		background = new Element('div',{id: idPrefix + '_background'}).
								addClassName('help-panel').
								addClassName('help-panel-background');
		
		foreground = new Element('div',{id: idPrefix + '_foreground'}).
								addClassName('help-panel-foreground');
		
		url = $WCM.getBaseUrl() + self.getHelpUrl('panel');
		
		var panel = {
			bg: background,
			fg: foreground,
			url: url
		};
		
		return panel;
	}
};

wcmContextHelp.prototype.renderPanel = function()
{
	var panel = this.getPanel();
	document.body.appendChild(panel.bg);
	panel.bg.appendChild(panel.fg);
	
	panel.bg.appear({duration: 0.5, from: 0.0, to: 1});
	panel.fg.appear({duration: 0.5, from: 0.0, to: 1});
	
	new Ajax.Updater(panel.fg, panel.url,
	{
		evalScripts: true
	});
};

wcmContextHelp.prototype.isPanelActive = function()
{
	if ($(this.getIdPrefix() + '_background'))
	{
		return true;
	} else {
		return false;
	}
};

