<?php

class cmfAppContainer extends cmfContainer
{
    public function buildMvcViewDirectory()
    {
        return CMF_VIEW_DIR;
    }
    
    public function buildMediaImageManager()
    {
        if (!extension_loaded('mysqli'))
        {
            throw new Exception('mysqli is not installed on media manager. please contact your website administrator.');
        }
        $connection  = new mysqli(
            MEDIA_DB_HOST,
            MEDIA_DB_USERNAME,
            MEDIA_DB_PASSWORD,
            MEDIA_DB_NAME
        );
        if (mysqli_error($connection))
        {
            throw new Exception('connection problem : ' . mysqli_error($connection));
        }


        return new cmfImageManager(
            new cmfImageFileManager(
                MEDIA_IMAGE_ORIGINAL_DIR,
                MEDIA_IMAGE_THUMB_DIR,
                new Nstein_Path_DefaultBuilder(
                    MEDIA_PATH_ALGORITHM_BASE,
                    MEDIA_PATH_ALGORITHM_BLOCK_SIZE
                )
            ),
            new cmfWcmPhotoFormatUrlProvider(
                MEDIA_WCM_PHOTO_FORMAT_URL
            ),
            new cmfImageHelper(),
            new cmfImageDatabase(
                $connection,
                MEDIA_DB_TABLE
            )
        );
    }

    public function buildMediaImageLogin()
    {
        return MEDIA_LOGIN;
    }

    public function buildMediaImagePassword()
    {
        return MEDIA_PASSWORD;
    }

    public function buildMediaImageTimeToLive()
    {
        return MEDIA_IMAGE_TIME_TO_LIVE;
    }
}
