<?php
/**
 * Project:     WCM
 * File:        $Id: wcmWebServiceFacetValue.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-soapws
 * @version     4.x
 */

/**
 * A facet value that can be used in a service method parameter or
 * return value.
 */
class wcmWebServiceFacetValue
{
    /**
     * The facet name.
     *
     * @var string
     */
    public $name;

    /**
     * The facet value per se.
     *
     * @var string
     */
    public $value;

    /**
     * The human-readable representation of the facet value.
     *
     * @var string
     */
    public $title;

    /**
     * The facet value index, ie., the index from which to get the facet values.
     *
     * @var string
     */
    public $index;

    /**
     * The facet search index, ie., the index with which to perform a
     * search on a particular facet value.
     *
     * @var string
     */
    public $searchIndex;

    /**
     * The occurence count of the facet value.
     *
     * @var integer
     */
    public $count;
}