-- MySQL dump 10.13  Distrib 5.1.49, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: wcm4x_sys
-- ------------------------------------------------------
-- Server version	5.1.49-1ubuntu8.1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `wcm4x_sys`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `wcm4x_sys` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `wcm4x_sys`;

--
-- Table structure for table `wcm_bizclass`
--

DROP TABLE IF EXISTS `wcm_bizclass`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_bizclass` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `className` varchar(255) DEFAULT NULL,
  `connectorId` smallint(5) unsigned DEFAULT NULL,
  `connectorTable` varchar(255) DEFAULT NULL,
  `workflowId` smallint(5) unsigned DEFAULT NULL,
  `workflowScript` varchar(255) DEFAULT NULL,
  `allowOptimisticLock` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `className` (`className`),
  KEY `bizclass_connectorId` (`connectorId`),
  KEY `bizclass_workflowId` (`workflowId`),
  CONSTRAINT `bizclass_workflowId` FOREIGN KEY (`workflowId`) REFERENCES `wcm_workflow` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `bizclass_connectorId` FOREIGN KEY (`connectorId`) REFERENCES `wcm_connector` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_bizclass`
--

LOCK TABLES `wcm_bizclass` WRITE;
/*!40000 ALTER TABLE `wcm_bizclass` DISABLE KEYS */;
INSERT INTO `wcm_bizclass` VALUES (1,'_BIZ_ARTICLE','article',1,'biz_article',1,'articleWorkflow.php',1),(2,'_BIZ_PHOTO','photo',1,'biz_photo',1,'photoWorkflow.php',1),(3,'_BIZ_CHANNEL','channel',1,'biz_channel',1,'publicationWorkflow.php',1),(4,'_BIZ_SITE','site',1,'biz_site',NULL,NULL,1),(5,'_BIZ_POLL','poll',1,'biz_poll',1,'publicationWorkflow.php',1),(6,'_BIZ_NEWSITEM','newsitem',1,'biz_newsitem',1,'publicationWorkflow.php',1),(7,'_BIZ_SLIDESHOW','slideshow',1,'biz_slideshow',1,'publicationWorkflow.php',1),(8,'_BIZ_ITEM','item',1,'biz_item',1,'publicationWorkflow.php',1),(9,'_BIZ_CONTRIBUTION','contribution',1,'biz_contribution',2,'moderationWorkflow.php',1),(10,'_BIZ_WEBUSER','webuser',1,'biz_webuser',1,'publicationWorkflow.php',1),(11,'_BIZ_FORUM','forum',1,'biz_forum',1,'publicationWorkflow.php',1),(12,'_BIZ_NEWSLETTER','newsletter',1,'biz_newsletter',1,'publicationWorkflow.php',1),(13,'_BIZ_COLLECTION','collection',1,'biz_collection',1,'publicationWorkflow.php',1),(14,'_BIZ_PUBLICATION','publication',1,'biz_publication',1,'publicationWorkflow.php',1),(15,'_BIZ_ISSUE','issue',1,'biz_issue',1,'publicationWorkflow.php',1);
/*!40000 ALTER TABLE `wcm_bizclass` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_connector`
--

DROP TABLE IF EXISTS `wcm_connector`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_connector` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `properties` text,
  `reference` varchar(16) DEFAULT NULL,
  `connectionString` varchar(255) DEFAULT NULL,
  `tablePrefix` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `wcm_connector_reference` (`reference`),
  KEY `connector_createdBy` (`createdBy`),
  KEY `connector_modifiedBy` (`modifiedBy`),
  CONSTRAINT `connecter_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `connector_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_connector`
--

LOCK TABLES `wcm_connector` WRITE;
/*!40000 ALTER TABLE `wcm_connector` DISABLE KEYS */;
INSERT INTO `wcm_connector` VALUES (1,1,0,NULL,NULL,'2008-01-01 12:00:00',1,'Business Connector',NULL,'biz','mysql://root:lolmdr@localhost:3306/wcm4x_biz','biz_');
/*!40000 ALTER TABLE `wcm_connector` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_design_zone`
--

DROP TABLE IF EXISTS `wcm_design_zone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_design_zone` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sourceClass` varchar(255) DEFAULT NULL,
  `sourceId` int(10) unsigned NOT NULL,
  `zoneName` varchar(128) DEFAULT NULL,
  `zoneContent` text,
  PRIMARY KEY (`id`),
  KEY `Index_zoneName` (`zoneName`),
  KEY `Index_source` (`sourceClass`,`sourceId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_design_zone`
--

LOCK TABLES `wcm_design_zone` WRITE;
/*!40000 ALTER TABLE `wcm_design_zone` DISABLE KEYS */;
/*!40000 ALTER TABLE `wcm_design_zone` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_generation`
--

DROP TABLE IF EXISTS `wcm_generation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_generation` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `code` varchar(64) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `properties` text,
  `generationSetId` smallint(5) unsigned NOT NULL,
  `location` varchar(255) DEFAULT NULL,
  `context` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`),
  KEY `gen_createdBy` (`createdBy`),
  KEY `gen_modifiedBy` (`modifiedBy`),
  KEY `gen_gensetid` (`generationSetId`),
  CONSTRAINT `gen_gensetid` FOREIGN KEY (`generationSetId`) REFERENCES `wcm_generation_set` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `gen_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `gen_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_generation`
--

LOCK TABLES `wcm_generation` WRITE;
/*!40000 ALTER TABLE `wcm_generation` DISABLE KEYS */;
INSERT INTO `wcm_generation` VALUES (1,3,0,'2010-02-02 15:17:56',1,'2010-02-02 15:41:09',1,'wcmSampleSiteArticle','Article','a:0:{}',1,NULL,NULL);
/*!40000 ALTER TABLE `wcm_generation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_generation_autogen`
--

DROP TABLE IF EXISTS `wcm_generation_autogen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_generation_autogen` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `generationContentId` smallint(5) unsigned NOT NULL,
  `objectClass` varchar(50) NOT NULL,
  `priority` int(11) NOT NULL,
  PRIMARY KEY (`id`,`generationContentId`,`objectClass`,`priority`),
  KEY `autogen_gencid` (`generationContentId`),
  CONSTRAINT `autogen_gencid` FOREIGN KEY (`generationContentId`) REFERENCES `wcm_generation_content` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_generation_autogen`
--

LOCK TABLES `wcm_generation_autogen` WRITE;
/*!40000 ALTER TABLE `wcm_generation_autogen` DISABLE KEYS */;
INSERT INTO `wcm_generation_autogen` VALUES (1,1,'article',1),(2,4,'article',2);
/*!40000 ALTER TABLE `wcm_generation_autogen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_generation_content`
--

DROP TABLE IF EXISTS `wcm_generation_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_generation_content` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `code` varchar(64) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `properties` text,
  `generationId` smallint(5) unsigned NOT NULL,
  `templateId` varchar(255) NOT NULL,
  `loop` text,
  `context` varchar(255) DEFAULT NULL,
  `namingRule` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`),
  KEY `Ix_wcm_content_generation` (`generationId`),
  KEY `Ix_wcm_content_template` (`templateId`),
  KEY `genc_createdBy` (`createdBy`),
  KEY `genc_modifiedBy` (`modifiedBy`),
  CONSTRAINT `genc_gensetid` FOREIGN KEY (`generationId`) REFERENCES `wcm_generation` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `genc_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `genc_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_generation_content`
--

LOCK TABLES `wcm_generation_content` WRITE;
/*!40000 ALTER TABLE `wcm_generation_content` DISABLE KEYS */;
INSERT INTO `wcm_generation_content` VALUES (1,1,0,'2010-02-02 15:18:55',1,'2010-02-02 15:59:34',1,'wcmSampleSiteArticleDetail','Detail','a:0:{}',1,'sampleapp/pages/article.tpl','class=\"article\" of=\"id\" where=\"(workflowState=\'published\' OR {$this->mode} = 1)\"','','article/article_{$article.id}.php'),(2,1,0,'2010-02-02 16:34:15',1,'2010-02-02 16:40:57',1,'wcmSampleSiteArticleCommentForm','Comment Form','a:0:{}',1,'sampleapp/pages/commentForm.tpl',NULL,NULL,'article/commentForm.php'),(3,1,0,'2010-02-03 11:18:28',1,'2010-02-03 11:18:28',1,'wcmSampleSiteLast5Articles','Last 5 articles','a:0:{}',1,'sampleapp/block/last5articles.tpl',NULL,NULL,'last5articles.php'),(4,1,0,'2010-02-02 15:18:55',1,'2010-02-02 15:59:34',1,'wcmSampleSiteArticleComments','Comments','a:0:{}',1,'sampleapp/pages/articleComments.tpl','class=\"article\" of=\"id\" where=\"(workflowState=\'published\' OR {$this->mode} = 1)\"','','article/article_comments_{$article.id}.php'),(5,1,0,'2010-02-03 11:18:28',1,'2010-02-03 11:18:28',1,'wcmSampleSiteLast5Photos','Last 5 photos','a:0:{}',1,'sampleapp/block/last5photos.tpl',NULL,NULL,'last5photos.php');
/*!40000 ALTER TABLE `wcm_generation_content` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_generation_set`
--

DROP TABLE IF EXISTS `wcm_generation_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_generation_set` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `code` varchar(64) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `properties` text,
  `location` varchar(255) DEFAULT NULL,
  `context` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`),
  KEY `genset_createdBy` (`createdBy`),
  KEY `genset_modifiedBy` (`modifiedBy`),
  CONSTRAINT `genset_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `genset_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_generation_set`
--

LOCK TABLES `wcm_generation_set` WRITE;
/*!40000 ALTER TABLE `wcm_generation_set` DISABLE KEYS */;
INSERT INTO `wcm_generation_set` VALUES (1,1,0,'2010-02-02 15:16:31',1,'2010-02-02 15:16:31',1,'wcmSampleSite','WCM Sample Site','a:0:{}','{\'WCM_DIR\'|constant}/cmf-www-sampleapp/private/views/blocks',NULL);
/*!40000 ALTER TABLE `wcm_generation_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_group`
--

DROP TABLE IF EXISTS `wcm_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_group` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `properties` text,
  PRIMARY KEY (`id`),
  KEY `group_createdBy` (`createdBy`),
  KEY `group_modifiedBy` (`modifiedBy`),
  CONSTRAINT `group_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `group_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_group`
--

LOCK TABLES `wcm_group` WRITE;
/*!40000 ALTER TABLE `wcm_group` DISABLE KEYS */;
INSERT INTO `wcm_group` VALUES (1,1,0,'2006-03-13 11:50:54','2008-01-01 12:00:00',1,1,'_EVERYONE',''),(2,1,0,'2006-03-13 11:50:54','2008-01-01 12:00:00',1,1,'_JOURNALISTS',''),(3,1,0,'2006-03-13 11:50:54','2008-01-01 12:00:00',1,1,'_ADMINISTRATORS',''),(4,1,0,'2006-03-13 11:50:54','2008-01-01 12:00:00',1,1,'_PHOTOGRAPHERS',''),(5,1,0,'2006-03-13 11:51:05','2008-01-01 12:00:00',1,1,'_WEBMASTERS',''),(6,1,0,'2006-03-13 11:51:05','2008-01-01 12:00:00',1,1,'_MOJO','');
/*!40000 ALTER TABLE `wcm_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_lock`
--

DROP TABLE IF EXISTS `wcm_lock`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_lock` (
  `sessionId` int(10) unsigned NOT NULL,
  `userId` smallint(5) unsigned NOT NULL,
  `objectClass` varchar(255) NOT NULL DEFAULT '',
  `objectId` int(10) unsigned NOT NULL,
  `lockDate` datetime DEFAULT NULL,
  `expirationDate` datetime DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`objectClass`,`objectId`),
  KEY `ix_wcm_lock_objectClass` (`objectClass`),
  KEY `ix_wcm_lock_objectId` (`objectId`),
  KEY `ix_wcm_lock_date` (`lockDate`),
  KEY `ix_wcm_lock_expiration` (`expirationDate`),
  KEY `lock_session` (`sessionId`),
  KEY `lock_user` (`userId`),
  CONSTRAINT `lock_user` FOREIGN KEY (`userId`) REFERENCES `wcm_user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lock_session` FOREIGN KEY (`sessionId`) REFERENCES `wcm_session` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_lock`
--

LOCK TABLES `wcm_lock` WRITE;
/*!40000 ALTER TABLE `wcm_lock` DISABLE KEYS */;
/*!40000 ALTER TABLE `wcm_lock` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_member`
--

DROP TABLE IF EXISTS `wcm_member`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_member` (
  `userId` smallint(5) unsigned NOT NULL,
  `groupId` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`userId`,`groupId`),
  KEY `member_group` (`groupId`),
  CONSTRAINT `member_group` FOREIGN KEY (`groupId`) REFERENCES `wcm_group` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `member_user` FOREIGN KEY (`userId`) REFERENCES `wcm_user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_member`
--

LOCK TABLES `wcm_member` WRITE;
/*!40000 ALTER TABLE `wcm_member` DISABLE KEYS */;
INSERT INTO `wcm_member` VALUES (1,1),(2,1),(3,1),(4,1),(5,1),(6,1),(7,1),(8,1),(9,1),(2,2),(8,2),(1,3),(5,3),(3,4),(6,4),(2,5),(4,5),(7,5),(9,5);
/*!40000 ALTER TABLE `wcm_member` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_menu`
--

DROP TABLE IF EXISTS `wcm_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_menu` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `properties` text,
  `parentId` smallint(5) unsigned DEFAULT NULL,
  `rank` smallint(5) unsigned DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `action` varchar(64) DEFAULT NULL,
  `isDynamic` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `Ix_wcm_menu_menu` (`parentId`),
  KEY `menu_createdBy` (`createdBy`),
  KEY `menu_modifiedBy` (`modifiedBy`),
  CONSTRAINT `menu_parentId` FOREIGN KEY (`parentId`) REFERENCES `wcm_menu` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `menu_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `menu_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=521 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_menu`
--

LOCK TABLES `wcm_menu` WRITE;
/*!40000 ALTER TABLE `wcm_menu` DISABLE KEYS */;
INSERT INTO `wcm_menu` VALUES (1,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_DASHBOARDS','a:0:{}',149,10,'javascript:void(0)','home',1),(7,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_PUBLISH_MANAGE_TEMPLATES','a:0:{}',158,30,'index.php','template',0),(8,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_PUBLISH_MANAGE_GENERATION_RULES','a:0:{}',158,20,'index.php','generationSet',0),(9,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_SYSTEM_ADMINISTRATION','a:0:{}',61,10,'','',0),(13,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_CREATE','a:0:{}',149,20,'javascript:void(0)','',0),(15,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:16:24',1,'_MENU_SYSTEM_CONFIGURATION_DATA_SOURCES','a:0:{}',193,20,'index.php','connector',0),(24,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_SYSTEM_ADMINISTRATION_USERS','a:0:{}',9,20,'index.php','group',0),(35,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:15:44',1,'_MENU_SYSTEM_CONFIGURATION_MENUS','a:0:{}',193,10,'index.php','menu',0),(36,1,0,'2008-01-01 12:00:00',1,'2008-08-08 09:46:26',1,'_MENU_CREATE_ARTICLE','a:0:{}',111,10,'index.php','business/article',0),(39,1,0,'2008-01-01 12:00:00',1,'2008-08-08 09:46:45',1,'_MENU_CREATE_PHOTO','a:0:{}',168,30,'index.php','business/photo',0),(61,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_SYSTEM','a:0:{}',150,10,'javascript:void(0)','',0),(62,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:18:06',1,'_MENU_SYSTEM_MAINTENANCE_REINDEX_CONTENT','a:0:{}',185,40,'index.php','business/indexation',0),(63,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:18:16',1,'_MENU_SYSTEM_MAINTENANCE_PURGE_CONTENT','a:0:{}',185,50,'index.php','business/maintenance',0),(75,1,0,'2008-01-01 12:00:00',1,'2008-08-08 09:57:00',1,'_MENU_CREATE_SLIDESHOW','a:0:{}',153,40,'index.php','business/slideshow',0),(76,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_CREATE_POLL','a:0:{}',128,10,'index.php','business/poll',0),(95,1,0,'2006-11-28 12:41:09',1,'2008-06-18 11:23:07',1,'_MENU_PUBLISH_LAUNCH_GENERATION','a:0:{}',158,10,'javascript:openDialog(\'ajax/controller.php\',\'view=dialogs/generate\',\'600\',\'400\',null,null,\'wcmGeneration\');','',0),(111,1,0,'2008-01-01 12:00:00',1,'2008-08-08 09:46:20',1,'_MENU_CREATE_TEXTUAL','a:0:{}',13,10,'','',0),(113,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:10:57',1,'_MENU_CREATE_ITEM','a:0:{}',510,20,'index.php','business/item',0),(122,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:07:42',1,'_MENU_CREATE_COLLECTION','a:0:{}',153,10,'index.php','business/collection',0),(124,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:07:30',1,'_MENU_CREATE_NEWSITEM','a:0:{}',111,20,'index.php','business/newsitem',0),(125,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:23:50',1,'_MENU_CREATE_FORUM_THREAD','a:0:{}',128,20,'index.php','business/forum',0),(128,1,0,'2008-01-01 12:00:00',1,'2008-08-08 09:47:34',1,'_MENU_CREATE_PARTICIPATIVE_CONTENT','a:0:{}',13,40,'','',0),(135,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_SYSTEM_ADMINISTRATION_BIZCLASS','a:0:{}',9,30,'index.php','bizclass',0),(136,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_HELP','a:0:{}',150,70,'javascript:void(0)','',0),(137,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:21:09',1,'_MENU_HELP_ABOUT','a:0:{}',136,10,'','',0),(144,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_IMPORT_FROM_FILES','a:0:{}',155,20,'index.php','import',0),(145,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:17:56',1,'_MENU_SYSTEM_MAINTENANCE_UNLOCK_CONTENT','a:0:{}',185,20,'index.php','lock',0),(148,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_SYSTEM_ADMINISTRATION_SYSCLASS','a:0:{}',9,40,'index.php','sysclass',0),(149,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'business','',NULL,0,'','',0),(150,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'system','',NULL,10,'','',0),(151,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'user','',NULL,20,'','',0),(152,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:16:34',1,'_MENU_SYSTEM_CONFIGURATION_WORKFLOWS','a:0:{}',193,30,'index.php','workflow',0),(153,1,0,'2008-01-01 12:00:00',1,'2008-08-08 09:47:19',1,'_MENU_CREATE_BUNDLE','a:0:{}',13,30,'','',0),(155,1,0,'2008-01-01 12:00:00',1,'2008-08-07 14:59:39',1,'_MENU_IMPORT','a:0:{}',149,60,'javascript:void(0)','',0),(156,1,0,'2008-01-01 12:00:00',1,'2008-08-07 14:57:59',1,'_MENU_BROWSE','a:0:{}',149,30,'javascript:void(0)','',0),(157,1,0,'2008-01-01 12:00:00',1,'2008-08-07 14:59:25',1,'_MENU_MODERATE','a:0:{}',149,40,'javascript:void(0)','',0),(158,1,0,'2008-01-01 12:00:00',1,'2008-08-07 14:59:46',1,'_MENU_PUBLISH','a:0:{}',149,70,'javascript:void(0)','',0),(161,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:02:09',1,'_MENU_BROWSE_TEXTUAL','a:0:{}',156,10,'','',0),(162,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:25:00',1,'_MENU_BROWSE_ARTICLES','a:0:{}',161,10,'browse/article','',0),(163,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:25:11',1,'_MENU_BROWSE_NEWS_ITEMS','a:0:{}',161,20,'browse/newsitem','',0),(164,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:02:15',1,'_MENU_BROWSE_MEDIA','a:0:{}',156,20,'','',0),(165,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:02:22',1,'_MENU_BROWSE_PARTICIPATIVE_CONTENT','a:0:{}',156,40,'','',0),(166,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:27:11',1,'_MENU_BROWSE_BUNDLES','a:0:{}',156,30,'','',0),(168,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_CREATE_MEDIA','a:0:{}',13,20,'','',0),(171,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:25:19',1,'_MENU_BROWSE_PHOTOS','a:0:{}',164,10,'browse/photo?view=grid','',0),(172,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:26:20',1,'_MENU_BROWSE_POLLS','a:0:{}',165,10,'browse/poll?view=grid','',0),(173,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:26:25',1,'_MENU_BROWSE_FORUM_THREADS','a:0:{}',165,20,'browse/forum?view=grid','',0),(174,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:26:14',1,'_MENU_BROWSE_SLIDESHOWS','a:0:{}',166,30,'browse/slideshow?view=grid','',0),(175,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:24:47',1,'_MENU_BROWSE_COLLECTIONS','a:0:{}',166,10,'browse/collection?view=grid','',0),(176,1,0,'2008-01-01 12:00:00',1,'2008-08-08 10:26:05',1,'_MENU_BROWSE_NEWSLETTERS','a:0:{}',166,20,'browse/newsletter?view=grid','',0),(183,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_MODERATE_USER_COMMENTS','a:0:{}',157,10,'browse/contribution?view=grid','',0),(184,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_MODERATE_FORUM_THREADS','a:0:{}',157,20,'browse/forum?view=grid','',0),(185,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:17:47',1,'_MENU_SYSTEM_MAINTENANCE','a:0:{}',61,30,'','',0),(186,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'_MENU_SYSTEM_ADMINISTRATION_MESSAGE_LOG','a:0:{}',9,10,'index.php','log',0),(187,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:31:59',1,'_MENU_USER_ADVANCED_SEARCH','a:0:{}',151,NULL,'javascript:void(0)','',1),(188,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:21:34',1,'_MENU_HELP_ABOUT_COPYRIGHT_NOTICE','a:0:{}',137,20,'javascript:openDialog(\'ajax/controller.php\',\'view=dialogs/license\',800,550);','',0),(190,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:21:23',1,'_MENU_HELP_ABOUT_WCM4','a:0:{}',137,NULL,'javascript:openDialog(\'ajax/controller.php\',\'view=dialogs/about\',800,550);','',0),(191,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:21:41',1,'_MENU_HELP_RESOURCES','a:0:{}',136,20,'','',0),(192,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:21:58',1,'_MENU_HELP_RESOURCES_DOC_AND_SUPPORT','a:0:{}',191,NULL,'javascript:openDialog(\'ajax/controller.php\',\'view=dialogs/support\',800,550);','',0),(193,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:15:21',1,'_MENU_SYSTEM_CONFIGURATION','a:0:{}',61,20,'','',0),(194,1,0,'2008-01-01 12:00:00',1,'2008-08-08 17:16:42',1,'_MENU_SYSTEM_CONFIGURATION_TME','a:0:{}',193,40,'index.php','tme',0),(361,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_MANAGE','a:0:{}',149,50,'javascript:void(0)','',0),(394,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_MANAGE_WEB','a:0:{}',361,20,'','',0),(395,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_MANAGE_PRINT','a:0:{}',361,30,'','',0),(396,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_MANAGE_WEB_SITES','a:0:{}',394,10,'index.php','business/site',0),(397,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_MANAGE_WEB_USERS','a:0:{}',516,30,'index.php','business/webuser',0),(398,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_MANAGE_SECTIONS','a:0:{}',394,20,'index.php','business/channel',0),(409,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_MANAGE_PRINT_PUBLICATIONS','a:0:{}',395,10,'index.php','business/publication',0),(410,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_MANAGE_PRINT_ISSUES','a:0:{}',395,20,'index.php','business/issue',0),(510,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_CREATE_OTHER','a:0:{}',13,50,'','',0),(512,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_BROWSE_OTHER','a:0:{}',156,50,'','',0),(513,1,0,'0000-00-00 00:00:00',1,'2008-08-08 10:31:00',1,'_MENU_CREATE_NEWSLETTER','a:0:{}',153,20,'index.php','business/newsletter',0),(514,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_BROWSE_ITEMS','a:0:{}',512,10,'browse/item','',0),(516,1,0,'0000-00-00 00:00:00',1,'0000-00-00 00:00:00',1,'_MENU_MANAGE_COMMUNITY','a:0:{}',361,10,'','',0),(517,5,0,'2008-10-29 16:56:04',1,'2008-10-29 17:08:31',1,'_MENU_MANAGE_PREFERENCES','a:0:{}',361,40,'','',0),(518,3,0,'2008-10-29 16:59:09',1,'2008-10-29 17:06:58',1,'_MENU_SAVED_SEARCHES','a:0:{}',517,10,'index.php','savedsearches',0),(519,3,0,'2008-12-05 09:17:47',1,'2008-12-05 09:19:54',1,'_MY_PREFERENCES','a:0:{}',517,0,'index.php','preferences',0),(520,1,0,'2008-12-05 09:17:47',1,'2008-12-05 09:19:54',1,'_MENU_HOME','a:0:{}',149,0,'index.php','home',0);
/*!40000 ALTER TABLE `wcm_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_openid`
--

DROP TABLE IF EXISTS `wcm_openid`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_openid` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `openid` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_openid`
--

LOCK TABLES `wcm_openid` WRITE;
/*!40000 ALTER TABLE `wcm_openid` DISABLE KEYS */;
/*!40000 ALTER TABLE `wcm_openid` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_permission`
--

DROP TABLE IF EXISTS `wcm_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_permission` (
  `groupId` smallint(5) unsigned NOT NULL,
  `target` varchar(64) NOT NULL,
  `permissions` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`groupId`,`target`),
  KEY `action` (`target`),
  CONSTRAINT `perm_group` FOREIGN KEY (`groupId`) REFERENCES `wcm_group` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_permission`
--

LOCK TABLES `wcm_permission` WRITE;
/*!40000 ALTER TABLE `wcm_permission` DISABLE KEYS */;
INSERT INTO `wcm_permission` VALUES (1,'wcmBizclass_1',1),(1,'wcmBizclass_10',1),(1,'wcmBizclass_11',1),(1,'wcmBizclass_12',1),(1,'wcmBizclass_13',1),(1,'wcmBizclass_14',1),(1,'wcmBizclass_15',1),(1,'wcmBizclass_2',1),(1,'wcmBizclass_3',1),(1,'wcmBizclass_4',1),(1,'wcmBizclass_5',1),(1,'wcmBizclass_6',1),(1,'wcmBizclass_7',1),(1,'wcmBizclass_8',1),(1,'wcmBizclass_9',1),(1,'wcmMenu_1',1),(1,'wcmMenu_136',1),(1,'wcmMenu_137',1),(1,'wcmMenu_149',1),(1,'wcmMenu_151',1),(1,'wcmMenu_188',1),(1,'wcmMenu_190',1),(1,'wcmMenu_191',1),(1,'wcmMenu_192',1),(1,'wcmSysclass_1',1),(1,'wcmSysclass_10',1),(1,'wcmSysclass_11',1),(1,'wcmSysclass_12',1),(1,'wcmSysclass_13',1),(1,'wcmSysclass_14',1),(1,'wcmSysclass_2',1),(1,'wcmSysclass_3',1),(1,'wcmSysclass_4',1),(1,'wcmSysclass_5',1),(1,'wcmSysclass_6',1),(1,'wcmSysclass_7',1),(1,'wcmSysclass_8',1),(1,'wcmSysclass_9',1),(2,'wcmMenu_111',1),(2,'wcmMenu_113',1),(2,'wcmMenu_122',1),(2,'wcmMenu_124',1),(2,'wcmMenu_125',1),(2,'wcmMenu_13',1),(2,'wcmMenu_153',1),(2,'wcmMenu_36',1),(2,'wcmMenu_76',1),(2,'wcmMenu_77',1),(3,'wcmBizclass_1',15),(3,'wcmBizclass_10',15),(3,'wcmBizclass_11',15),(3,'wcmBizclass_12',15),(3,'wcmBizclass_13',15),(3,'wcmBizclass_14',15),(3,'wcmBizclass_15',15),(3,'wcmBizclass_2',15),(3,'wcmBizclass_3',15),(3,'wcmBizclass_4',15),(3,'wcmBizclass_5',15),(3,'wcmBizclass_6',15),(3,'wcmBizclass_7',15),(3,'wcmBizclass_8',15),(3,'wcmBizclass_9',15),(3,'wcmGenerationSet_1',20),(3,'wcmGenerationSet_2',20),(3,'wcmMenu_135',1),(3,'wcmMenu_145',1),(3,'wcmMenu_148',1),(3,'wcmMenu_15',1),(3,'wcmMenu_150',1),(3,'wcmMenu_152',1),(3,'wcmMenu_185',1),(3,'wcmMenu_186',1),(3,'wcmMenu_193',1),(3,'wcmMenu_194',1),(3,'wcmMenu_24',1),(3,'wcmMenu_35',1),(3,'wcmMenu_61',1),(3,'wcmMenu_62',1),(3,'wcmMenu_63',1),(3,'wcmMenu_9',1),(3,'wcmSysclass_1',15),(3,'wcmSysclass_10',15),(3,'wcmSysclass_11',15),(3,'wcmSysclass_12',15),(3,'wcmSysclass_13',15),(3,'wcmSysclass_14',15),(3,'wcmSysclass_2',15),(3,'wcmSysclass_3',15),(3,'wcmSysclass_4',15),(3,'wcmSysclass_5',15),(3,'wcmSysclass_6',15),(3,'wcmSysclass_7',15),(3,'wcmSysclass_8',15),(3,'wcmSysclass_9',15),(4,'wcmGenerationSet_1',4),(4,'wcmMenu_111',1),(4,'wcmMenu_113',1),(4,'wcmMenu_122',1),(4,'wcmMenu_13',1),(4,'wcmMenu_153',1),(4,'wcmMenu_39',1),(4,'wcmMenu_75',1),(5,'wcmGenerationSet_1',4),(5,'wcmMenu_100',1),(5,'wcmMenu_111',1),(5,'wcmMenu_112',1),(5,'wcmMenu_113',1),(5,'wcmMenu_122',1),(5,'wcmMenu_125',1),(5,'wcmMenu_128',1),(5,'wcmMenu_13',1),(5,'wcmMenu_153',1),(5,'wcmMenu_38',1),(5,'wcmMenu_51',1),(5,'wcmMenu_53',1),(5,'wcmMenu_75',1),(5,'wcmMenu_76',1),(5,'wcmMenu_77',1);
/*!40000 ALTER TABLE `wcm_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_session`
--

DROP TABLE IF EXISTS `wcm_session`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_session` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userId` smallint(5) unsigned NOT NULL,
  `userName` varchar(255) DEFAULT NULL,
  `startDate` datetime DEFAULT NULL,
  `endDate` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `userId` (`userId`),
  KEY `startDate` (`startDate`),
  CONSTRAINT `session_userId` FOREIGN KEY (`userId`) REFERENCES `wcm_user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_session`
--

LOCK TABLES `wcm_session` WRITE;
/*!40000 ALTER TABLE `wcm_session` DISABLE KEYS */;
INSERT INTO `wcm_session` VALUES (1,1,'Administrator','2010-12-06 21:33:35',NULL);
/*!40000 ALTER TABLE `wcm_session` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_statistics`
--

DROP TABLE IF EXISTS `wcm_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_statistics` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sessionId` int(10) unsigned DEFAULT NULL,
  `userId` smallint(5) unsigned NOT NULL,
  `userName` varchar(255) DEFAULT NULL,
  `kind` int(10) unsigned NOT NULL,
  `dateAndTime` datetime NOT NULL,
  `objectClass` varchar(255) DEFAULT NULL,
  `objectId` int(10) unsigned DEFAULT NULL,
  `info` longtext,
  `linkable` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `objectId,objectClass` (`objectId`,`objectClass`),
  KEY `userId` (`userId`),
  KEY `stat_session` (`sessionId`),
  CONSTRAINT `stat_user` FOREIGN KEY (`userId`) REFERENCES `wcm_user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `stat_session` FOREIGN KEY (`sessionId`) REFERENCES `wcm_session` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_statistics`
--

LOCK TABLES `wcm_statistics` WRITE;
/*!40000 ALTER TABLE `wcm_statistics` DISABLE KEYS */;
INSERT INTO `wcm_statistics` VALUES (1,1,1,'Administrator',1,'2010-12-06 21:33:35',NULL,NULL,NULL,1);
/*!40000 ALTER TABLE `wcm_statistics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_sysclass`
--

DROP TABLE IF EXISTS `wcm_sysclass`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_sysclass` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `className` varchar(255) DEFAULT NULL,
  `connectorId` smallint(5) unsigned DEFAULT NULL,
  `connectorTable` varchar(255) DEFAULT NULL,
  `allowOptimisticLock` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `className` (`className`),
  KEY `sysclass_connectorId` (`connectorId`),
  CONSTRAINT `sysclass_connectorId` FOREIGN KEY (`connectorId`) REFERENCES `wcm_connector` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_sysclass`
--

LOCK TABLES `wcm_sysclass` WRITE;
/*!40000 ALTER TABLE `wcm_sysclass` DISABLE KEYS */;
INSERT INTO `wcm_sysclass` VALUES (1,'_MENU','wcmMenu',1,'wcm_menu',1),(2,'_CONNECTOR','wcmConnector',1,'wcm_connector',1),(3,'_WORKFLOW','wcmWorkflow',1,'wcm_workflow',1),(4,'_WORKFLOW_STATE','wcmWorkflowState',1,'wcm_workflow_state',1),(5,'_WORKFLOW_TRANSITION','wcmWorkflowTransition',1,'wcm_workflow_transition',1),(6,'_GENERATION_SET','wcmGenerationSet',1,'wcm_generation_set',1),(7,'_GENERATION','wcmGeneration',1,'wcm_generation',1),(8,'_GENERATION_CONTENT','wcmGenerationContent',1,'wcm_generation_content',1),(9,'_TEMPLATE','wcmTemplate',1,'wcm_template',1),(10,'_TEMPLATE_CATEGORY','wcmTemplateCategory',1,'wcm_template_category',1),(11,'_USER','wcmUser',1,'wcm_user',1),(12,'_GROUP','wcmGroup',1,'wcm_group',1),(13,'_GENERATION_AUTOGEN','wcmGenerationAutogen',1,'wcm_generation_autogen',1);
/*!40000 ALTER TABLE `wcm_sysclass` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_user`
--

DROP TABLE IF EXISTS `wcm_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_user` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `properties` text,
  `name` varchar(255) DEFAULT NULL,
  `login` varchar(64) DEFAULT NULL,
  `password` char(32) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `isAdministrator` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `defaultLanguage` char(2) DEFAULT NULL,
  `nip` int(10) unsigned DEFAULT NULL,
  `optionalEmails` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `Ix_wcm_user_login` (`login`),
  KEY `user_createdBy` (`createdBy`),
  KEY `user_modifiedBy` (`modifiedBy`),
  CONSTRAINT `user_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `user_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_user`
--

LOCK TABLES `wcm_user` WRITE;
/*!40000 ALTER TABLE `wcm_user` DISABLE KEYS */;
INSERT INTO `wcm_user` VALUES (1,1,0,'2008-01-01 12:00:00',1,'2008-12-04 17:21:46',1,'a:0:{}','_ADMINISTRATOR','admin','21232f297a57a5a743894a0e4a801fc3','support@nstein.com',1,'en',1234,''),(2,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','Eric W.','eric.w','fe01ce2a7fbac8fafaed7c982a04e229','void@nowhere.com',0,'en',1234,''),(3,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','Alex D.','alex.d','fe01ce2a7fbac8fafaed7c982a04e229','void@nowhere.com',0,'en',1234,''),(4,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','David G.','david.g','fe01ce2a7fbac8fafaed7c982a04e229','void@nowhere.com',0,'fr',1234,''),(5,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','Thomas N.','thomas.n','fe01ce2a7fbac8fafaed7c982a04e229','void@nowhere.com',0,'fr',1234,''),(6,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','Agostino D.','agostino.d','fe01ce2a7fbac8fafaed7c982a04e229','void@nowhere.com',0,'fr',1234,''),(7,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','Jean-Francois G.','jf.g','fe01ce2a7fbac8fafaed7c982a04e229','void@nowhere.com',0,'en',1234,''),(8,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','Pierrick C.','pierrick.c','fe01ce2a7fbac8fafaed7c982a04e229','void@nowhere.com',0,'fr',1234,''),(9,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','Bashar A.','bashar.a','fe01ce2a7fbac8fafaed7c982a04e229','void@nowhere.com',0,'fr',1234,'');
/*!40000 ALTER TABLE `wcm_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_user_bin`
--

DROP TABLE IF EXISTS `wcm_user_bin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_user_bin` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userId` smallint(5) unsigned NOT NULL,
  `name` varchar(64) NOT NULL,
  `description` text,
  `content` text,
  `dashboard` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `userId` (`userId`),
  CONSTRAINT `bin_user` FOREIGN KEY (`userId`) REFERENCES `wcm_user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_user_bin`
--

LOCK TABLES `wcm_user_bin` WRITE;
/*!40000 ALTER TABLE `wcm_user_bin` DISABLE KEYS */;
/*!40000 ALTER TABLE `wcm_user_bin` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_user_savedsearch`
--

DROP TABLE IF EXISTS `wcm_user_savedsearch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_user_savedsearch` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userId` smallint(5) unsigned NOT NULL,
  `name` varchar(64) NOT NULL,
  `description` text,
  `queryString` text,
  `url` text,
  `dashboard` tinyint(1) NOT NULL DEFAULT '0',
  `shared` tinyint(1) NOT NULL DEFAULT '0',
  `showui` text,
  PRIMARY KEY (`id`),
  KEY `userId` (`userId`),
  CONSTRAINT `savesearch_user` FOREIGN KEY (`userId`) REFERENCES `wcm_user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_user_savedsearch`
--

LOCK TABLES `wcm_user_savedsearch` WRITE;
/*!40000 ALTER TABLE `wcm_user_savedsearch` DISABLE KEYS */;
/*!40000 ALTER TABLE `wcm_user_savedsearch` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_workflow`
--

DROP TABLE IF EXISTS `wcm_workflow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_workflow` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `properties` text,
  `name` varchar(255) DEFAULT NULL,
  `initialState` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `workflow_createdBy` (`createdBy`),
  KEY `workflow_modifiedBy` (`modifiedBy`),
  KEY `workflow_initialState` (`initialState`),
  CONSTRAINT `workflow_initialState` FOREIGN KEY (`initialState`) REFERENCES `wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `workflow_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `workflow_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_workflow`
--

LOCK TABLES `wcm_workflow` WRITE;
/*!40000 ALTER TABLE `wcm_workflow` DISABLE KEYS */;
INSERT INTO `wcm_workflow` VALUES (1,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_PUBLICATION_WORKFLOW','draft'),(2,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_MODERATION_WORKFLOW','new');
/*!40000 ALTER TABLE `wcm_workflow` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_workflow_state`
--

DROP TABLE IF EXISTS `wcm_workflow_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_workflow_state` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `properties` text,
  `name` varchar(255) DEFAULT NULL,
  `code` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`),
  KEY `wstate_createdBy` (`createdBy`),
  KEY `wstate_modifiedBy` (`modifiedBy`),
  CONSTRAINT `wstate_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `wstate_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_workflow_state`
--

LOCK TABLES `wcm_workflow_state` WRITE;
/*!40000 ALTER TABLE `wcm_workflow_state` DISABLE KEYS */;
INSERT INTO `wcm_workflow_state` VALUES (1,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_DRAFT','draft'),(2,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_APPROVED','approved'),(3,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_PUBLISHED','published'),(4,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_ARCHIVED','archived'),(5,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_REJECTED','rejected'),(6,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_NEW','new'),(7,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_SUSPICIOUS','suspicious'),(8,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_PUBLISHEDMODIFIED','publishedModified');
/*!40000 ALTER TABLE `wcm_workflow_state` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_workflow_transition`
--

DROP TABLE IF EXISTS `wcm_workflow_transition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_workflow_transition` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `properties` text,
  `name` varchar(255) DEFAULT NULL,
  `code` varchar(64) DEFAULT NULL,
  `workflowId` smallint(5) unsigned DEFAULT NULL,
  `fromState` varchar(64) DEFAULT NULL,
  `toState` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `Index_fromState` (`fromState`),
  KEY `Index_toState` (`toState`),
  KEY `wtrans_createdBy` (`createdBy`),
  KEY `wtrans_modifiedBy` (`modifiedBy`),
  KEY `wtrans_workflowId` (`workflowId`),
  CONSTRAINT `wtrans_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `wtrans_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm_user` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `wtrans_workflowId` FOREIGN KEY (`workflowId`) REFERENCES `wcm_workflow` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_workflow_transition`
--

LOCK TABLES `wcm_workflow_transition` WRITE;
/*!40000 ALTER TABLE `wcm_workflow_transition` DISABLE KEYS */;
INSERT INTO `wcm_workflow_transition` VALUES (1,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_WT_PUBLISH','publish',1,'draft','published'),(2,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_WT_UNPUBLISH','unpublish',1,'published','draft'),(3,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_WT_ARCHIVE','archive',1,'published','archived'),(4,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_WT_DEARCHIVE','dearchive',1,'archived','published'),(5,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_WT_REPUBLISH','republish',1,'publishedModified','published'),(6,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_WT_NOTIFY','notify',2,'new','suspicious'),(7,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_WT_APPROVE','approve',2,'suspicious','approved'),(8,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','_WT_REJECT','reject',2,'_ANY_STATE','rejected');
/*!40000 ALTER TABLE `wcm_workflow_transition` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Current Database: `wcm4x_biz`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `wcm4x_biz` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `wcm4x_biz`;

--
-- Table structure for table `biz__relation`
--

DROP TABLE IF EXISTS `biz__relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz__relation` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `semanticData` longtext,
  `title` tinytext,
  `header` varchar(128) DEFAULT NULL,
  `sourceClass` varchar(255) DEFAULT NULL,
  `sourceId` int(10) unsigned DEFAULT NULL,
  `destinationClass` varchar(150) DEFAULT NULL,
  `destinationId` int(10) unsigned DEFAULT NULL,
  `kind` int(10) unsigned DEFAULT NULL,
  `rank` int(10) unsigned DEFAULT NULL,
  `validityDate` date DEFAULT NULL,
  `expirationDate` date DEFAULT NULL,
  `properties` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz__relation`
--

LOCK TABLES `biz__relation` WRITE;
/*!40000 ALTER TABLE `biz__relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz__relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `biz__search`
--

DROP TABLE IF EXISTS `biz__search`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz__search` (
  `classname` varchar(255) NOT NULL,
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  `createdat` datetime DEFAULT NULL,
  `createdby` int(10) unsigned DEFAULT '0',
  `modifiedat` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modifiedby` int(10) unsigned DEFAULT '0',
  `workflowstate` varchar(64) DEFAULT NULL,
  `fulltext` text,
  `fulltext_tokens` text,
  `mustgenerate` tinyint(1) DEFAULT '0',
  `siteid` smallint(6) DEFAULT '0',
  `channelid` int(10) unsigned DEFAULT '0',
  `publicationdate` date DEFAULT NULL,
  `title` tinytext,
  `author` varchar(128) DEFAULT NULL,
  `title_sort` varchar(255) DEFAULT NULL,
  `ratingcount` int(10) unsigned DEFAULT '0',
  `ratingtotal` int(10) unsigned DEFAULT '0',
  `ratingvalue` int(10) unsigned DEFAULT '0',
  `hitcount` int(10) unsigned DEFAULT '0',
  `simpleconcept` text,
  `complexconcept` text,
  `entity_on` text,
  `entity_pn` text,
  `entity_gl` text,
  `list_on` text,
  `list_pn` text,
  `list_gl` text,
  `category` text,
  `list_category` text,
  `concept` text,
  `list_concept` text,
  `tag` text,
  `list_tag` varchar(255) DEFAULT NULL,
  `source` varchar(255) DEFAULT NULL,
  `list_source` varchar(255) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `country` varchar(128) DEFAULT NULL,
  `email` varchar(128) DEFAULT NULL,
  `createdat_time` time DEFAULT NULL,
  PRIMARY KEY (`id`,`classname`,`modifiedat`),
  KEY `mustgenerate` (`mustgenerate`),
  KEY `siteid` (`siteid`),
  KEY `channelid` (`channelid`),
  KEY `createdat` (`createdat`),
  KEY `modifiedat` (`modifiedat`),
  KEY `workflowstate` (`workflowstate`),
  FULLTEXT KEY `fulltext_tokens` (`fulltext_tokens`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz__search`
--

LOCK TABLES `biz__search` WRITE;
/*!40000 ALTER TABLE `biz__search` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz__search` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `biz_article`
--

DROP TABLE IF EXISTS `biz_article`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_article` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `workflowState` varchar(64) DEFAULT NULL,
  `properties` text,
  `xmlTags` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `publicationId` smallint(5) unsigned DEFAULT NULL,
  `issueId` smallint(5) unsigned DEFAULT NULL,
  `pageNumber` int(10) unsigned DEFAULT NULL,
  `ratingCount` int(10) unsigned DEFAULT '0',
  `ratingTotal` int(10) unsigned DEFAULT '0',
  `ratingValue` int(10) unsigned DEFAULT '0',
  `hitCount` int(10) unsigned DEFAULT '0',
  `title` tinytext NOT NULL,
  `suptitle` tinytext,
  `subtitle` tinytext,
  `author` varchar(128) DEFAULT NULL,
  `abstract` text,
  `text` text,
  `url` varchar(255) DEFAULT NULL,
  `keywords` varchar(255) DEFAULT NULL,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `channelId` int(10) unsigned DEFAULT '0',
  `templateId` varchar(255) DEFAULT NULL,
  `publicationDate` date DEFAULT NULL,
  `expirationDate` date DEFAULT NULL,
  `contributionState` varchar(64) DEFAULT '',
  `commentCount` int(10) unsigned DEFAULT '0',
  `moderationKind` varchar(64) DEFAULT '',
  `credits` varchar(255) DEFAULT NULL,
  `permalinks` text,
  PRIMARY KEY (`id`,`createdAt`,`modifiedAt`),
  UNIQUE KEY `article_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `biz_article_createdBy` (`createdBy`),
  KEY `biz_article_modifiedBy` (`modifiedBy`),
  KEY `biz_article_worfkowState` (`workflowState`),
  KEY `biz_article_publicationId` (`publicationId`),
  KEY `biz_article_issueId` (`issueId`),
  KEY `biz_article_siteId` (`siteId`),
  KEY `biz_article_channelId` (`channelId`),
  CONSTRAINT `biz_article_channelId` FOREIGN KEY (`channelId`) REFERENCES `biz_channel` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_article_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_article_issueId` FOREIGN KEY (`issueId`) REFERENCES `biz_issue` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `biz_article_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_article_publicationId` FOREIGN KEY (`publicationId`) REFERENCES `biz_publication` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `biz_article_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_article_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_article`
--

LOCK TABLES `biz_article` WRITE;
/*!40000 ALTER TABLE `biz_article` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_article` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `article_onDelete_trigger` AFTER DELETE ON `biz_article` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='article' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='article' AND `destinationId`=OLD.id) OR (`sourceClass`='article' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='article' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='article' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='article' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('article', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_article_versions`
--

DROP TABLE IF EXISTS `biz_article_versions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_article_versions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `objectId` int(11) DEFAULT NULL,
  `objectContent` text,
  `createdAt` datetime DEFAULT NULL,
  `createdBy` int(11) DEFAULT NULL,
  `versionNumber` int(11) DEFAULT NULL,
  `revisionNumber` int(11) DEFAULT NULL,
  `comment` text,
  PRIMARY KEY (`id`),
  KEY `objectId` (`objectId`),
  KEY `versionNumber` (`versionNumber`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_article_versions`
--

LOCK TABLES `biz_article_versions` WRITE;
/*!40000 ALTER TABLE `biz_article_versions` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_article_versions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `biz_channel`
--

DROP TABLE IF EXISTS `biz_channel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_channel` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `workflowState` varchar(64) DEFAULT NULL,
  `properties` text,
  `xmlTags` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `publicationId` smallint(5) unsigned DEFAULT NULL,
  `parentId` int(10) unsigned DEFAULT NULL,
  `title` tinytext NOT NULL,
  `description` text,
  `keywords` varchar(255) DEFAULT NULL,
  `imagePath` varchar(255) DEFAULT NULL,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `templateId` varchar(255) DEFAULT NULL,
  `rank` int(10) unsigned DEFAULT NULL,
  `managementKind` varchar(255) DEFAULT NULL,
  `request` text,
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `channel_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `biz_channel_createdBy` (`createdBy`),
  KEY `biz_channel_modifiedBy` (`modifiedBy`),
  KEY `biz_channel_worfkowState` (`workflowState`),
  KEY `biz_channel_publicationId` (`publicationId`),
  KEY `biz_channel_siteId` (`siteId`),
  CONSTRAINT `biz_channel_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_channel_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_channel_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_channel_publicationId` FOREIGN KEY (`publicationId`) REFERENCES `biz_publication` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `biz_channel_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_channel`
--

LOCK TABLES `biz_channel` WRITE;
/*!40000 ALTER TABLE `biz_channel` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_channel` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `channel_onDelete_trigger` AFTER DELETE ON `biz_channel` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='channel' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='channel' AND `destinationId`=OLD.id) OR (`sourceClass`='channel' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='channel' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='channel' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='channel' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('channel', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_chapter`
--

DROP TABLE IF EXISTS `biz_chapter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_chapter` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `articleId` int(10) unsigned DEFAULT NULL,
  `rank` int(10) unsigned DEFAULT '1',
  `title` tinytext,
  `text` text,
  PRIMARY KEY (`id`),
  KEY `biz_chapter_articleId` (`articleId`),
  CONSTRAINT `biz_chapter_articleId` FOREIGN KEY (`articleId`) REFERENCES `biz_article` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_chapter`
--

LOCK TABLES `biz_chapter` WRITE;
/*!40000 ALTER TABLE `biz_chapter` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_chapter` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `biz_collection`
--

DROP TABLE IF EXISTS `biz_collection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_collection` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `workflowState` varchar(64) DEFAULT NULL,
  `properties` text,
  `xmlTags` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `title` tinytext NOT NULL,
  `description` text,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `channelId` int(10) unsigned DEFAULT NULL,
  `templateId` varchar(255) DEFAULT NULL,
  `imagePath` varchar(255) DEFAULT NULL,
  `publicationDate` date DEFAULT NULL,
  `expirationDate` date DEFAULT NULL,
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `collection_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `biz_collection_createdBy` (`createdBy`),
  KEY `biz_collection_modifiedBy` (`modifiedBy`),
  KEY `biz_collection_worfkowState` (`workflowState`),
  KEY `biz_collection_siteId` (`siteId`),
  KEY `biz_collection_channelId` (`channelId`),
  CONSTRAINT `biz_collection_channelId` FOREIGN KEY (`channelId`) REFERENCES `biz_channel` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_collection_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_collection_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_collection_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_collection_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_collection`
--

LOCK TABLES `biz_collection` WRITE;
/*!40000 ALTER TABLE `biz_collection` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_collection` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `collection_onDelete_trigger` AFTER DELETE ON `biz_collection` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='collection' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='collection' AND `destinationId`=OLD.id) OR (`sourceClass`='collection' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='collection' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='collection' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='collection' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('collection', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_contribution`
--

DROP TABLE IF EXISTS `biz_contribution`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_contribution` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `workflowState` varchar(64) DEFAULT NULL,
  `properties` text,
  `xmlTags` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `webuserId` int(10) unsigned DEFAULT NULL,
  `nickname` varchar(255) DEFAULT NULL,
  `email` varchar(128) DEFAULT NULL,
  `title` tinytext NOT NULL,
  `text` text,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `channelId` int(10) unsigned DEFAULT '0',
  `referentId` int(10) unsigned DEFAULT '0',
  `referentClass` varchar(64) DEFAULT NULL,
  `parentId` int(10) unsigned DEFAULT '0',
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `contribution_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `workflowState` (`workflowState`),
  KEY `parentId` (`parentId`),
  KEY `webuserId` (`webuserId`),
  KEY `nickname` (`nickname`),
  KEY `referentClass` (`referentClass`),
  KEY `referentId` (`referentId`),
  KEY `biz_contribution_createdBy` (`createdBy`),
  KEY `biz_contribution_modifiedBy` (`modifiedBy`),
  KEY `biz_contribution_siteId` (`siteId`),
  KEY `biz_contribution_channelId` (`channelId`),
  CONSTRAINT `biz_contribution_channelId` FOREIGN KEY (`channelId`) REFERENCES `biz_channel` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_contribution_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_contribution_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_contribution_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_contribution_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_contribution`
--

LOCK TABLES `biz_contribution` WRITE;
/*!40000 ALTER TABLE `biz_contribution` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_contribution` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `contribution_onDelete_trigger` AFTER DELETE ON `biz_contribution` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='contribution' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='contribution' AND `destinationId`=OLD.id) OR (`sourceClass`='contribution' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='contribution' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='contribution' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='contribution' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('contribution', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_forum`
--

DROP TABLE IF EXISTS `biz_forum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_forum` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `workflowState` varchar(64) DEFAULT NULL,
  `properties` text,
  `xmlTags` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `channelId` int(10) unsigned DEFAULT '0',
  `title` tinytext NOT NULL,
  `imagePath` varchar(255) DEFAULT NULL,
  `description` text,
  `kind` varchar(64) DEFAULT NULL,
  `moderationKind` varchar(64) DEFAULT NULL,
  `restrictedTopics` smallint(6) unsigned DEFAULT '0',
  `contributionState` varchar(64) DEFAULT '',
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `forum_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `aGenerer` (`mustGenerate`),
  KEY `statut` (`workflowState`),
  KEY `biz_forum_createdBy` (`createdBy`),
  KEY `biz_forum_modifiedBy` (`modifiedBy`),
  KEY `biz_forum_siteId` (`siteId`),
  KEY `biz_forum_channelId` (`channelId`),
  CONSTRAINT `biz_forum_channelId` FOREIGN KEY (`channelId`) REFERENCES `biz_channel` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_forum_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_forum_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_forum_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_forum_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_forum`
--

LOCK TABLES `biz_forum` WRITE;
/*!40000 ALTER TABLE `biz_forum` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_forum` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `forum_onDelete_trigger` AFTER DELETE ON `biz_forum` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='forum' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='forum' AND `destinationId`=OLD.id) OR (`sourceClass`='forum' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='forum' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='forum' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='forum' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('forum', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_issue`
--

DROP TABLE IF EXISTS `biz_issue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_issue` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `workflowState` varchar(64) DEFAULT NULL,
  `properties` text,
  `xmlTags` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `title` tinytext NOT NULL,
  `description` text,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `publicationId` smallint(5) unsigned DEFAULT NULL,
  `issueNumber` text,
  `issueDate` datetime DEFAULT NULL,
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `issue_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `biz_issue_createdBy` (`createdBy`),
  KEY `biz_issue_modifiedBy` (`modifiedBy`),
  KEY `biz_issue_worfkowState` (`workflowState`),
  KEY `biz_issue_siteId` (`siteId`),
  KEY `biz_issue_publicationId` (`publicationId`),
  CONSTRAINT `biz_issue_publicationId` FOREIGN KEY (`publicationId`) REFERENCES `biz_publication` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `biz_issue_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_issue_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_issue_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_issue_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_issue`
--

LOCK TABLES `biz_issue` WRITE;
/*!40000 ALTER TABLE `biz_issue` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_issue` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `issue_onDelete_trigger` AFTER DELETE ON `biz_issue` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='issue' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='issue' AND `destinationId`=OLD.id) OR (`sourceClass`='issue' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='issue' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='issue' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='issue' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('issue', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_item`
--

DROP TABLE IF EXISTS `biz_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_item` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `workflowState` varchar(64) DEFAULT NULL,
  `properties` text,
  `xmlTags` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `title` tinytext NOT NULL,
  `description` text,
  `text` text,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `channelId` int(10) unsigned DEFAULT '0',
  `type` text,
  `location` text,
  `imagePath` varchar(255) DEFAULT NULL,
  `isURL` tinyint(1) unsigned DEFAULT '0',
  `publicationDate` date DEFAULT NULL,
  `expirationDate` date DEFAULT NULL,
  `access` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `contributionState` varchar(64) DEFAULT '',
  `moderationKind` varchar(64) DEFAULT '',
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `item_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `biz_item_createdBy` (`createdBy`),
  KEY `biz_item_modifiedBy` (`modifiedBy`),
  KEY `biz_item_worfkowState` (`workflowState`),
  KEY `biz_item_siteId` (`siteId`),
  KEY `biz_item_channelId` (`channelId`),
  CONSTRAINT `biz_item_channelId` FOREIGN KEY (`channelId`) REFERENCES `biz_channel` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_item_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_item_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_item_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_item_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_item`
--

LOCK TABLES `biz_item` WRITE;
/*!40000 ALTER TABLE `biz_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_item` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `item_onDelete_trigger` AFTER DELETE ON `biz_item` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='item' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='item' AND `destinationId`=OLD.id) OR (`sourceClass`='item' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='item' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='item' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='item' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('item', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_item_downloads`
--

DROP TABLE IF EXISTS `biz_item_downloads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_item_downloads` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `itemId` int(10) unsigned DEFAULT NULL,
  `webuserId` int(10) unsigned DEFAULT NULL,
  `downloadDate` datetime NOT NULL,
  `ipAddress` varchar(15) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `biz_item_downloads_item` (`itemId`),
  CONSTRAINT `biz_item_downloads_item` FOREIGN KEY (`itemId`) REFERENCES `biz_item` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_item_downloads`
--

LOCK TABLES `biz_item_downloads` WRITE;
/*!40000 ALTER TABLE `biz_item_downloads` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_item_downloads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `biz_newsitem`
--

DROP TABLE IF EXISTS `biz_newsitem`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_newsitem` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `workflowState` varchar(64) DEFAULT NULL,
  `properties` text,
  `xmlTags` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `title` tinytext NOT NULL,
  `text` text,
  `releaseDateTime` datetime DEFAULT NULL,
  `keywords` varchar(255) DEFAULT NULL,
  `priority` int(10) unsigned DEFAULT '0',
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `channelId` int(10) unsigned DEFAULT '0',
  `templateId` varchar(255) DEFAULT NULL,
  `contributionState` varchar(64) DEFAULT '',
  `moderationKind` varchar(64) DEFAULT '',
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `newsitem_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `mustGenerate` (`mustGenerate`),
  KEY `releaseDateTime` (`releaseDateTime`),
  KEY `priority` (`priority`),
  KEY `workflowState` (`workflowState`),
  KEY `biz_newsitem_createdBy` (`createdBy`),
  KEY `biz_newsitem_modifiedBy` (`modifiedBy`),
  KEY `biz_newsitem_siteId` (`siteId`),
  KEY `biz_newsitem_channelId` (`channelId`),
  CONSTRAINT `biz_newsitem_channelId` FOREIGN KEY (`channelId`) REFERENCES `biz_channel` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_newsitem_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_newsitem_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_newsitem_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_newsitem_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_newsitem`
--

LOCK TABLES `biz_newsitem` WRITE;
/*!40000 ALTER TABLE `biz_newsitem` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_newsitem` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `newsitem_onDelete_trigger` AFTER DELETE ON `biz_newsitem` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='newsitem' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='newsitem' AND `destinationId`=OLD.id) OR (`sourceClass`='newsitem' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='newsitem' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='newsitem' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='newsitem' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('newsitem', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_newsletter`
--

DROP TABLE IF EXISTS `biz_newsletter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_newsletter` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `workflowState` varchar(64) DEFAULT NULL,
  `properties` text,
  `xmlTags` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `permalinks` text,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `code` varchar(255) DEFAULT NULL,
  `title` tinytext NOT NULL,
  `description` text,
  `sender` varchar(128) DEFAULT NULL,
  `from` varchar(128) DEFAULT NULL,
  `replyTo` varchar(128) DEFAULT NULL,
  `htmlTemplate` varchar(255) DEFAULT NULL,
  `textTemplate` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `newsletter_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `code` (`code`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `mustGenerate` (`mustGenerate`),
  KEY `workflowState` (`workflowState`),
  KEY `biz_newsletter_createdBy` (`createdBy`),
  KEY `biz_newsletter_modifiedBy` (`modifiedBy`),
  KEY `biz_newsletter_siteId` (`siteId`),
  CONSTRAINT `biz_newsletter_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_newsletter_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_newsletter_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_newsletter_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_newsletter`
--

LOCK TABLES `biz_newsletter` WRITE;
/*!40000 ALTER TABLE `biz_newsletter` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_newsletter` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `newsletter_onDelete_trigger` AFTER DELETE ON `biz_newsletter` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='newsletter' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='newsletter' AND `destinationId`=OLD.id) OR (`sourceClass`='newsletter' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='newsletter' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='newsletter' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='newsletter' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('newsletter', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_object_url_alias`
--

DROP TABLE IF EXISTS `biz_object_url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_object_url_alias` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `objectClass` varchar(255) DEFAULT NULL,
  `objectId` int(10) unsigned DEFAULT NULL,
  `alias` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `biz_object_url_alias_alias` (`siteId`,`alias`),
  KEY `biz_object_url_alias_objectClass` (`objectClass`),
  KEY `biz_object_url_alias_objectId` (`objectId`),
  CONSTRAINT `biz_object_url_alias_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_object_url_alias`
--

LOCK TABLES `biz_object_url_alias` WRITE;
/*!40000 ALTER TABLE `biz_object_url_alias` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_object_url_alias` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `biz_photo`
--

DROP TABLE IF EXISTS `biz_photo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_photo` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `workflowState` varchar(64) DEFAULT NULL,
  `properties` text,
  `xmlTags` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `title` tinytext NOT NULL,
  `caption` text,
  `credits` varchar(255) DEFAULT NULL,
  `keywords` varchar(255) DEFAULT NULL,
  `height` int(10) unsigned DEFAULT '0',
  `width` int(10) unsigned DEFAULT '0',
  `original` varchar(255) DEFAULT NULL,
  `kind` varchar(64) DEFAULT NULL,
  `thumbWidth` int(10) unsigned DEFAULT '0',
  `thumbHeight` int(10) unsigned DEFAULT '0',
  `thumbnail` varchar(255) DEFAULT NULL,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `channelId` int(10) unsigned DEFAULT '0',
  `publicationDate` date DEFAULT NULL,
  `expirationDate` date DEFAULT NULL,
  `contributionState` varchar(64) DEFAULT '',
  `commentCount` int(10) unsigned DEFAULT '0',
  `moderationKind` varchar(64) DEFAULT '',
  `publicationId` smallint(5) unsigned DEFAULT NULL,
  `issueId` smallint(5) unsigned DEFAULT NULL,
  `pageNumber` int(10) unsigned DEFAULT NULL,
  `ratios` text,
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `photo_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `source` (`source`),
  KEY `mustGenerate` (`mustGenerate`),
  KEY `workflowState` (`workflowState`),
  KEY `biz_photo_createdBy` (`createdBy`),
  KEY `biz_photo_modifiedBy` (`modifiedBy`),
  KEY `biz_photo_siteId` (`siteId`),
  KEY `biz_photo_channelId` (`channelId`),
  KEY `biz_photo_publicationId` (`publicationId`),
  KEY `biz_photo_issueId` (`issueId`),
  CONSTRAINT `biz_photo_issueId` FOREIGN KEY (`issueId`) REFERENCES `biz_issue` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `biz_photo_channelId` FOREIGN KEY (`channelId`) REFERENCES `biz_channel` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_photo_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_photo_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_photo_publicationId` FOREIGN KEY (`publicationId`) REFERENCES `biz_publication` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `biz_photo_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_photo_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_photo`
--

LOCK TABLES `biz_photo` WRITE;
/*!40000 ALTER TABLE `biz_photo` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_photo` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `photo_onDelete_trigger` AFTER DELETE ON `biz_photo` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='photo' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='photo' AND `destinationId`=OLD.id) OR (`sourceClass`='photo' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='photo' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='photo' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='photo' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('photo', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_poll`
--

DROP TABLE IF EXISTS `biz_poll`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_poll` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `xmlTags` text,
  `properties` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '0',
  `workflowState` varchar(64) DEFAULT NULL,
  `title` tinytext NOT NULL,
  `text` text,
  `kind` varchar(64) DEFAULT NULL,
  `imagePath` varchar(255) DEFAULT NULL,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `channelId` int(10) unsigned DEFAULT NULL,
  `publicationDate` date DEFAULT NULL,
  `expirationDate` date DEFAULT NULL,
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `poll_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `source` (`source`),
  KEY `mustGenerate` (`mustGenerate`),
  KEY `workflowState` (`workflowState`),
  KEY `biz_poll_createdBy` (`createdBy`),
  KEY `biz_poll_modifiedBy` (`modifiedBy`),
  KEY `biz_poll_siteId` (`siteId`),
  KEY `biz_poll_channelId` (`channelId`),
  CONSTRAINT `biz_poll_channelId` FOREIGN KEY (`channelId`) REFERENCES `biz_channel` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_poll_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_poll_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_poll_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_poll_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_poll`
--

LOCK TABLES `biz_poll` WRITE;
/*!40000 ALTER TABLE `biz_poll` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_poll` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `poll_onDelete_trigger` AFTER DELETE ON `biz_poll` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='poll' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='poll' AND `destinationId`=OLD.id) OR (`sourceClass`='poll' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='poll' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='poll' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='poll' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('poll', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_poll_choice`
--

DROP TABLE IF EXISTS `biz_poll_choice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_poll_choice` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pollId` int(10) unsigned DEFAULT NULL,
  `text` text,
  `rank` int(10) unsigned DEFAULT NULL,
  `voteCount` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pollId` (`pollId`),
  KEY `rank` (`rank`),
  CONSTRAINT `biz_poll_choice_pollId` FOREIGN KEY (`pollId`) REFERENCES `biz_poll` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_poll_choice`
--

LOCK TABLES `biz_poll_choice` WRITE;
/*!40000 ALTER TABLE `biz_poll_choice` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_poll_choice` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `biz_publication`
--

DROP TABLE IF EXISTS `biz_publication`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_publication` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `xmlTags` text,
  `properties` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '0',
  `workflowState` varchar(64) DEFAULT NULL,
  `permalinks` text,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `title` tinytext NOT NULL,
  `description` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `publication_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `source` (`source`),
  KEY `mustGenerate` (`mustGenerate`),
  KEY `workflowState` (`workflowState`),
  KEY `biz_publication_createdBy` (`createdBy`),
  KEY `biz_publication_modifiedBy` (`modifiedBy`),
  KEY `biz_publication_siteId` (`siteId`),
  CONSTRAINT `biz_publication_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_publication_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_publication_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_publication_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_publication`
--

LOCK TABLES `biz_publication` WRITE;
/*!40000 ALTER TABLE `biz_publication` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_publication` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `publication_onDelete_trigger` AFTER DELETE ON `biz_publication` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='publication' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='publication' AND `destinationId`=OLD.id) OR (`sourceClass`='publication' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='publication' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='publication' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='publication' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('publication', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_site`
--

DROP TABLE IF EXISTS `biz_site`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_site` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `xmlTags` text,
  `properties` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '0',
  `workflowState` varchar(64) DEFAULT NULL,
  `title` tinytext NOT NULL,
  `description` text,
  `language` varchar(64) DEFAULT NULL,
  `code` varchar(16) NOT NULL,
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `biz_site_code` (`code`),
  UNIQUE KEY `site_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `source` (`source`),
  KEY `mustGenerate` (`mustGenerate`),
  KEY `workflowState` (`workflowState`),
  KEY `biz_site_createdBy` (`createdBy`),
  KEY `biz_site_modifiedBy` (`modifiedBy`),
  CONSTRAINT `biz_site_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_site_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_site_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_site`
--

LOCK TABLES `biz_site` WRITE;
/*!40000 ALTER TABLE `biz_site` DISABLE KEYS */;
INSERT INTO `biz_site` VALUES (3,1,0,'2008-01-01 12:00:00',1,'2008-01-01 12:00:00',1,'','','','','','',1,NULL,'WCM Sample site','','','wcmSampleSite','');
/*!40000 ALTER TABLE `biz_site` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `site_onDelete_trigger` AFTER DELETE ON `biz_site` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='site' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='site' AND `destinationId`=OLD.id) OR (`sourceClass`='site' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='site' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='site' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='site' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('site', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_slideshow`
--

DROP TABLE IF EXISTS `biz_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_slideshow` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `xmlTags` text,
  `properties` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '0',
  `workflowState` varchar(64) DEFAULT NULL,
  `title` tinytext NOT NULL,
  `text` text,
  `description` text,
  `siteId` smallint(5) unsigned DEFAULT NULL,
  `channelId` int(10) unsigned DEFAULT '0',
  `templateId` varchar(255) DEFAULT NULL,
  `publicationDate` date DEFAULT NULL,
  `expirationDate` date DEFAULT NULL,
  `contributionState` varchar(64) DEFAULT '',
  `moderationKind` varchar(64) DEFAULT '',
  `keywords` varchar(255) DEFAULT NULL,
  `permalinks` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `slideshow_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `source` (`source`),
  KEY `mustGenerate` (`mustGenerate`),
  KEY `workflowState` (`workflowState`),
  KEY `biz_slideshow_createdBy` (`createdBy`),
  KEY `biz_slideshow_modifiedBy` (`modifiedBy`),
  KEY `biz_slideshow_siteId` (`siteId`),
  KEY `biz_slideshow_channelId` (`channelId`),
  CONSTRAINT `biz_slideshow_channelId` FOREIGN KEY (`channelId`) REFERENCES `biz_channel` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_slideshow_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_slideshow_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_slideshow_siteId` FOREIGN KEY (`siteId`) REFERENCES `biz_site` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_slideshow_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_slideshow`
--

LOCK TABLES `biz_slideshow` WRITE;
/*!40000 ALTER TABLE `biz_slideshow` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `slideshow_onDelete_trigger` AFTER DELETE ON `biz_slideshow` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='slideshow' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='slideshow' AND `destinationId`=OLD.id) OR (`sourceClass`='slideshow' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='slideshow' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='slideshow' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='slideshow' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('slideshow', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `biz_subscription`
--

DROP TABLE IF EXISTS `biz_subscription`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_subscription` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `webuserId` int(10) unsigned DEFAULT NULL,
  `subscriptionStart` datetime DEFAULT NULL,
  `subscriptionEnd` datetime DEFAULT NULL,
  `subscribedClass` varchar(255) DEFAULT NULL,
  `subscribedId` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `webuserId` (`webuserId`),
  KEY `subscribedId` (`subscribedId`),
  KEY `subscribedClass` (`subscribedClass`),
  CONSTRAINT `biz_subscription_webuserId` FOREIGN KEY (`webuserId`) REFERENCES `biz_webuser` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_subscription`
--

LOCK TABLES `biz_subscription` WRITE;
/*!40000 ALTER TABLE `biz_subscription` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_subscription` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `biz_webuser`
--

DROP TABLE IF EXISTS `biz_webuser`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `biz_webuser` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `createdAt` datetime DEFAULT NULL,
  `createdBy` smallint(5) unsigned DEFAULT NULL,
  `modifiedAt` datetime DEFAULT NULL,
  `modifiedBy` smallint(5) unsigned DEFAULT NULL,
  `source` varchar(255) DEFAULT NULL,
  `sourceId` varchar(255) DEFAULT NULL,
  `sourceVersion` varchar(255) DEFAULT NULL,
  `revisionNumber` smallint(5) unsigned NOT NULL DEFAULT '1',
  `versionNumber` smallint(5) unsigned NOT NULL DEFAULT '0',
  `permalinks` text,
  `xmlTags` text,
  `properties` text,
  `semanticData` longtext,
  `mustGenerate` tinyint(1) DEFAULT '0',
  `workflowState` varchar(64) DEFAULT NULL,
  `email` varchar(128) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `password` varchar(128) DEFAULT NULL,
  `firstname` varchar(128) DEFAULT NULL,
  `lastname` varchar(128) DEFAULT NULL,
  `address` text,
  `postalCode` varchar(6) DEFAULT NULL,
  `city` varchar(64) DEFAULT NULL,
  `country` varchar(64) DEFAULT NULL,
  `state` varchar(64) DEFAULT NULL,
  `phone` varchar(16) DEFAULT NULL,
  `imagePath` varchar(255) DEFAULT NULL,
  `lastLogin` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `webuser_source` (`source`,`sourceId`,`sourceVersion`),
  KEY `email` (`email`),
  KEY `username` (`username`),
  KEY `createdAt` (`createdAt`),
  KEY `modifiedAt` (`modifiedAt`),
  KEY `source` (`source`),
  KEY `mustGenerate` (`mustGenerate`),
  KEY `workflowState` (`workflowState`),
  KEY `biz_webuser_createdBy` (`createdBy`),
  KEY `biz_webuser_modifiedBy` (`modifiedBy`),
  CONSTRAINT `biz_webuser_worfkowState` FOREIGN KEY (`workflowState`) REFERENCES `wcm4x_sys`.`wcm_workflow_state` (`code`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_webuser_createdBy` FOREIGN KEY (`createdBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `biz_webuser_modifiedBy` FOREIGN KEY (`modifiedBy`) REFERENCES `wcm4x_sys`.`wcm_user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biz_webuser`
--

LOCK TABLES `biz_webuser` WRITE;
/*!40000 ALTER TABLE `biz_webuser` DISABLE KEYS */;
/*!40000 ALTER TABLE `biz_webuser` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `webuser_onDelete_trigger` AFTER DELETE ON `biz_webuser` FOR EACH ROW BEGIN DELETE FROM biz__search WHERE `className`='webuser' AND `id`=OLD.id; DELETE FROM biz__relation WHERE (`destinationClass`='webuser' AND `destinationId`=OLD.id) OR (`sourceClass`='webuser' AND `sourceId`=OLD.id); DELETE FROM `wcm4x_sys`.`wcm_statistics` WHERE `objectClass`='webuser' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_lock` WHERE `objectClass`='webuser' AND `objectId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_design_zone` WHERE `sourceClass`='webuser' AND `sourceId`=OLD.id; DELETE FROM `wcm4x_sys`.`wcm_permission` WHERE `target`=CONCAT('webuser', OLD.id); END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Current Database: `wcm4x_mm`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `wcm4x_mm` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `wcm4x_mm`;

--
-- Table structure for table `cmf_images`
--

DROP TABLE IF EXISTS `cmf_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cmf_images` (
  `id` int(11) NOT NULL,
  `formats` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cmf_images`
--

LOCK TABLES `cmf_images` WRITE;
/*!40000 ALTER TABLE `cmf_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `cmf_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wcm_images`
--

DROP TABLE IF EXISTS `wcm_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wcm_images` (
  `id` int(11) NOT NULL,
  `formats` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wcm_images`
--

LOCK TABLES `wcm_images` WRITE;
/*!40000 ALTER TABLE `wcm_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `wcm_images` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-12-06 21:40:35
