<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.wcmPhotoFormatUrlProvider.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-mediaManager-api
 * @version     4.x
 */

/**
 * A basic implementation of the WCM photo format
 * provider that retrieves photo formats via
 * a URL.
 */
class cmfWcmPhotoFormatUrlProvider implements cmfWcmPhotoFormatProvider
{
    /**
     * The URL of the photo format file.
     * @var string
     */
    private $url;

    /**
     * Public constructor.
     * @param string $url The URL of the photo format file.
     */
    public function __construct($url)
    {
        $this->url = $url;
    }

    /**
     * (non-PHPdoc)
     * @see image/wcmPhotoFormats/cmfWcmPhotoFormatProvider#getPhotoFormats()
     */
    public function getPhotoFormats()
    {
        $xml = file_get_contents($this->url);

        $document = new DOMDocument();
        $document->loadXML($xml);
        return $document;
    }
}