<?php
/**
 * Project:     WCM
 * File:        $Id: initApi.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * This file initializes the CMF API.
 */

/**
 * Transform PHP errors into ErrorExceptions.
 * @param int $level The PHP error level.
 * @param string $message The error message.
 * @param string $file The path of the PHP file 
 * where the error occured.
 * @param int $line The line number the error was
 * raised at.
 * @return void
 * @exception ErrorException
 */
function cmfHandlePhpError($level, $message, $file, $line)
{
    throw new ErrorException($message, 0, $level, $file, $line);
}

// Setup CMF default error handler.
set_error_handler('cmfHandlePhpError');


// Define various CMF paths.
define('CMF_DIR', dirname(__FILE__) . '/');
define('CMF_INCLUDES_DIR', CMF_DIR . '../includes/');

/*
 * Setup the Zend framework.
 * Must be done BEFORE registering the autoload manager
 * into the SPL; otherwise the autoload manager will
 * parse its folders each time a Zend class is loaded.
 */
set_include_path(get_include_path() . PATH_SEPARATOR . CMF_INCLUDES_DIR);
require_once('Zend/Loader/Autoloader.php');
$autoLoader = Zend_Loader_Autoloader::getInstance();
$autoLoader->registerNamespace('Nstein_');

// Require the autoload manager class file.
require_once(CMF_INCLUDES_DIR . 'autoloadManager/autoloadManager.php');

// Partial setup of autoload manager.
autoloadManager::addFolder(CMF_DIR);
autoloadManager::addFolder(CMF_INCLUDES_DIR . 'debugBar');

// Register the autoload manager to the SPL.
spl_autoload_register('autoloadManager::loadClass');
