<?php
/**
 * Project:     WCM
 * File:        $Id: sampleSearchConfig.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * A sample configuration for the search engine.
 * @var array
 */
$configuration = array(

    // The search plugin information (class and arguments).
    'searchPlugin' => array(
        'class' => 'cmfSolrSearchPlugin',
        'arguments' => array(
            'solrWebService' => 'http://localhost:8983/solr',
            'cache' => array(
                'class' => 'cmfSessionCache'))),

    // The facet definitions.
    'facets' => array(
        'section' => array(
            'caption' => 'Sections',
            'index' => 'channeldata',
            'searchIndex' => 'channelid',
            'sort' => true,
            'type' => cmfFacetDefinition::FACET_TYPE_SINGLE_VALUE,
            'max' => 5,
            'processor' => array(
                'class' => 'cmfSectionFacetProcessor',
                'arguments' => array(
                    'separator' => '::'))),
        'content' => array(
            'caption' => 'Content Type',
            'index' => 'classname',
            'sort' => true,
            'type' => cmfFacetDefinition::FACET_TYPE_SINGLE_VALUE,
            'max' => 5,
            'processor' => array(
                'class' => 'cmfClassFacetProcessor')),
        'modifiedat' => array(
            'caption' => 'Modified',
            'index' => 'modifiedat',
            'sort' => false,
            'type' => cmfFacetDefinition::FACET_TYPE_SINGLE_VALUE,
            'max' => 5,
            'provider' => array(
                'class' => 'cmfModifiedAtFacetProvider'))),
    
    // The index definitions.
    'indexes' => array(
        'id' => array(
            'type' => cmfIndexDefinition::NUMBER),
        'classname' => array(
            'type' => cmfIndexDefinition::STRING,
            'aliases' => array('type'))));
