<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.wcmGenerationServiceClient.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-system-api
 * @version     4.x
 */

/**
 * The interface for WCM generation service client.
 */
interface cmfWcmGenerationServiceClient extends cmfWcmServiceClient
{
    /**
     * Execute a generation content, specified by its code.
     * @param string $code The generation content code.
     * @param array $context The generation context (optional).
     * @param boolean $previewMode Indicate if generation should be done in 
     * preview mode (default: false).
     * @param boolean $returnResult Indicate if the result of the generation 
     * should be returned by the function (default: false).
     * @return array The result of the generation (if $returnOutput is true) or null.
     * The result of the generation is an array containing content of generated files,
     * indexed by generated file names.
     * @exception Exception If an error is returned by the WCM service.
     */
    public function executeGenerationContentByCode($code, array $context = array(), $previewMode = false, $returnOutput = false);
    
    /**
     * Generate a single widget.
     * @param string $widgetName The name of the widget.
     * @param string $guid The GUID.
     * @param int $widgetMode The widget mode (default: 4).
     * @param array $context The context (optional).
     * @param boolean $previewMode Indicate if generation should be done in 
     * preview mode (default: false).
     * @return string The result of the generation.
     * @exception Exception If an error occurs while generating the widget.
     */
    //public function generateWidget($widgetName, $guid, $widgetMode = 4, array $context = array(), $previewMode = false);
}