<?php
/**
 * Project:     WCM
 * File:        $Id: cmf.updateController.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     cmf-www-mediaManager-testapp
 * @version     4.x
 */

/**
 * This controller handles requests to update
 * image formats to the media manager.
 */
class cmfUpdateController extends cmfBaseController
{
    /**
     * Handle the UPDATE action.
     * @return void
     */
    public function onUpdate()
    {
        if (!$this->validate())
        {
            return;
        }
        
        try
        {
            $formats = json_decode($this['formats'], true);
            $this->client->updateFormats(
                $this['id'], 
                $formats
            );
            $this['message'] = 'Image #' . $this['id'] . ' was successfully updated.';
            unset($this['id']);
            unset($this['formats']);
        }
        catch (Exception $e)
        {
            $this['message'] = 'Error: ' . $e->getMessage();
        }
    }
    
    /**
     * Validate the request arguments.
     * @return boolean True if the request is valid,
     * false otherwise.
     */
    private function validate()
    {
        $request = $this->getRequest();
        $this['id'] = cmfToolbox::getArrayParameter($request, 'id');
        $this['formats'] = cmfToolbox::getArrayParameter($request, 'formats');
        
        if (!$this['id'])
        {
            $this['message'] = 'ID is required.';
            return false;
        }
        if (!is_numeric($this['id']))
        {
            $this['message'] = 'ID must be numeric.';
            return false;
        }
        if (!$this['formats'])
        {
            $this['message'] = 'Format is required.';
            return false;
        }
        
        return true;
    }
}
