<?php

class cmsDebugBlocks {

    public static $blocks = array();

    public static function add($block, $infos = array())
    {
        self::$blocks[] = array(
                'name' => $block, 
                'infos' => $infos,
                );
    }

    public static function getTitle() {
        $c = count(self::$blocks);
        return '<span class="purple">'.$c.' block'.(($c>1)?'s':'').'</span><br />Loaded';
    }

    public static function display()
    {
        $totalTime = 0;

        foreach(self::$blocks as $block)
            $totalTime += $block['infos']['time'];

        echo '<table style="min-width: 100%;"><thead><tr><td class="bgblue">Name</td><td class="bgorange">Time</td><td class="bgpurple">%</td><td class="bgred">TTL</td><td class="bggreen">Regen</td></tr></thead>';
        foreach(self::$blocks as $block)
        {
            $time = round($block['infos']['time'], 6) . 's';
            $cached = $block['infos']['cached'] ? $block['infos']['cached'] . 's':'No';
            $regen = $block['infos']['regen'] ? '<span class="green">Yes</span>':'<span class="red">No</span>';
            echo '<tr><td>';
            if (isset($block['infos']['url']))
            {
                echo '<a target="_wcm_ws" href="' . $block['infos']['url'] . '"> ' . $block['name'].'</a>';
            } else {
                echo $block['name'];
            }
            echo '</td><td style="text-align:right;" ';
            if($block['infos']['time'] > 1)
                    echo ' class="red"';
            elseif($block['infos']['time'] > 0.5)
                echo ' class="orange"';

            echo '>' . $time . '</td>';
            echo '<td style="text-align: right">' . round((($block['infos']['time'] / $totalTime) * 100), 2) . ' %</td>';
            echo '<td style="text-align: center">' . $cached . '</td>';
            echo '<td  style="text-align: center">' . $regen . '</td>';
            echo '</tr>';
        }
        echo '</table>';
    }
}


