<?php

require_once(dirname(__FILE__) . '/includes/WcmTest.php');

class PublishTest extends WcmTest
{

    function testLaunchGeneration()
    {
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[8]//span[contains(@class, 'launch generation...')]");
        $this->waitForPopUp('wcmGeneration');
        $this->selectPopUp();

        $this->select('rule', 'value=1');
        $this->waitForWcmToLoad();
        $this->click('link=Start');
        $this->waitForWcmToLoad();

        $complete = false;
        for ($i = 0; $i < 10; ++$i)
        {
            // TODO: Investigate why this isn't working on the QA server?
            if ($this->isTextPresent('Generation completed'))
            {
                $complete = true;
                break;
            }
            sleep(5);
            $this->click('link=Refresh');
        }
        if (!$complete)
        {
            $this->fail();
        }

        $this->close();
        $this->deselectPopUp();

    }

    function testCreateModifyDeleteGenerationSet()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[8]//a[contains(@href,'/generationSet')]");
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Save
        $uniq = md5(time() . uniqid());
        $this->type('name', 'content');
        $this->type('code', $uniq);
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('content');

        // Modify
        $this->type('name', 'content modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('content modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

   function testCreateModifyDeleteGeneration()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[8]//a[contains(@href,'/generationSet')]");
        $this->waitForWcmToLoad();
        $this->click('link=New generation');
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Save
        $uniq = md5(time() . uniqid());
        $this->type('name', 'content');
        $this->type('code', $uniq);
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('content');

        // Modify
        $this->type('name', 'content modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('content modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

   function testCreateModifyDeleteGenerationContent()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[8]//a[contains(@href,'/generationSet')]");
        $this->waitForWcmToLoad();
        $this->click("//a[@title='WCM Sample Site']");
        $this->waitForWcmToLoad();
        $this->click("//a[@title='Article']");
        $this->waitForWcmToLoad();
        $this->click('link=New generation content');
        $this->waitForWcmToLoad();

        // Empty values
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForCondition('
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage")!=null &&
            selenium.browserbot.getCurrentWindow().document.getElementById("sysmessage").visible()==true
            '); // Prototype
        $this->waitForTextPresent('regexp:Invalid|Error');
        $this->click('id=sysmessage');

        // Save
        $uniq = md5(time() . uniqid());
        $this->type('name', 'content');
        $this->type('code', $uniq);
        $this->type('templateId', 'test/test.tpl');
        $this->type('namingRule', 'test/test_{$context.id}.php');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('content');

        // Modify
        $this->type('name', 'content modified');
        $this->click("//div[@id='assetbar']//a[@class='save']");
        $this->waitForWcmToLoad();
        $this->assertTextPresent('content modified');

        // Delete
        $this->click("//div[@id='assetbar']//a[@class='delete']");
        $this->waitForCondition('selenium.browserbot.getCurrentWindow().document.getElementById("modalWindow")!=null');
        $this->assertTextPresent('Delete');
        $this->click('link=Yes');
        $this->waitForWcmToLoad();
        $this->assertTextPresent('<New>');

    }

    function testCreateModifyDeleteTemplate()
    {
        // Goto form
        $this->login();
        $this->click("//div[@id='navMenu']/ul[@class='business']/li[8]//a[contains(@href,'/template')]");
        $this->waitForWcmToLoad();

        // TODO
        // Saving has been disabled, rewrite test.
    }


}
