<?php
/**
 * Project:     WCM
 * File:        $Id: biz.issue.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
 * This class represents a publication issue
 */
class issue extends bizobject
{
    /**
    * site id
    * @var int
    */
    public $siteId;

    /**
    * publication Id
    * @var int
    */
    public $publicationId;

    /**
    * Title
    * @var string
    */
    public $title;

    /**
    * Description
    * @var string
    */
    public $description;

    /**
    * Issue Date
    * @var string
    */
    public $issueDate;

    /**
    * Issue Number
    * @var string
    */
    public $issueNumber;

    /**
     * Set all initial values of an object
     * This method is invoked by the constructor
     */
    protected function setDefaultValues()
    {
        parent::setDefaultValues();

        $this->issueDate = date('Y-m-d');
    }

    /**
     * Returns an array containing all the bizchannel related to the issue
     *
     * @return array Array of channels
     */
    public function getChannels()
    {
        return bizobject::getObjects('channel', 'siteId = "' . $this->id . '"', null);
    }

    /**
     * Check validity of object
     *
     * A generic method which can (should ?) be overloaded by the child class
     *
     * @return bool true when object is valid
     *
     */
    public function checkValidity()
    {
        if (!parent::checkValidity())
        {
            return false;
        }

        if ('' == trim($this->title))
        {
            $this->lastErrorMsg = _BIZ_ERROR_TITLE_IS_MANDATORY;
            return false;
        }

        if ('' == trim($this->publicationId))
        {
            $this->lastErrorMsg = _BIZ_ERROR_PUBLICATIONNAME_IS_MANDATORY;
            return false;
        }

        if (1 > $this->issueNumber)
        {
            $this->lastErrorMsg = _BIZ_ERROR_ISSUENUMBER_NUM;
            return false;
        }

        if (255 < strlen($this->title))
        {
            $this->lastErrorMsg = _BIZ_ERROR_TITLE_TOO_LONG;
            return false;
        }

        return true;
    }
}
