<?php
/**
 * Project:     WCM
 * File:        $Id: biz.photoManagerFactory.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
 * A factory class for photoManager.
 */
class photoManagerFactory
{
    /**
     * Create a default instance of the photoManager class,
     * using WCM configuration values.
     * @return photoManager A default photoManager setup.
     */
    public function createDefaultPhotoManager()
    {
        $config = wcmConfig::getInstance();
        return new photoManager(
            new Nstein_Cmf_Mediamanager_Client(
                $config['wcm.default.media-manager.url'],
                $config['wcm.default.media-manager.login'],
                $config['wcm.default.media-manager.password']
            ),
            $config['wcm.default.media-manager.file-send-method']
        );
    }
}
