<?php
/**
 * Project:     WCM
 * File:        $Id: biz.objectUrlGenerator.php 9388 2010-04-06 19:50:22Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-business-api
 * @version     4.x
 */

/**
 * Sample class used to generate front-end URLs for bizobjects.
 */
class objectUrlGenerator implements wcmObjectUrlGenerator
{
    /**
     * (non-PHPdoc)
     * @see url/wcmObjectUrlGenerator#generateUrl($object, $site, $preview)
     */
    public function generateUrl(bizobject $object, site $site = null, $preview = false)
    {
        if (null === $site)
        {
            $site = $object->getSite();
            if(null === $site)
            {
                throw new InvalidArgumentException('Invalid siteId for ' . get_class($object) . ':' . $object->id);
            }
        }

        $domain = $preview ? $site->getConfig('previewURL') : $site->getConfig('url');
        return sprintf(
            '%s%s/%d',
            $domain,
            $object->getClass(),
            $object->id
        );
    }
}
