<?php

require_once(dirname(__FILE__) . '/base/wcmBaseWorkflowScript.php');

class videoWorkflow extends wcmBaseWorkflowScript
{

    /**
     * Publication Helper that we want to use this one
     * could be for example a magnetMail helper for newsletter
     */
    protected $helper = null;

    public function __construct($wcmObject)
    {
        parent::__construct($wcmObject);
        $this->helper = new publicationHelper($this->wcmObject);
    }


    public function onVPublish()
    {
        // Nothing yet
        return true;
    }

    public function afterVPublish()
    {
        $this->wcmObject->generate();
    }

    public function onVUnpublish()
    {
        $this->helper->removeGeneratedBlocks();
        return true;
    }

    public function onVRepublish()
    {
        return $this->onVPublish();
    }

    public function afterVRepublish()
    {
        $this->afterVPublish();
    }

    public function beforeUpdate()
    {
        if ('published' === $this->wcmObject->workflowState)
        {
            $this->wcmObject->workflowState = 'publishedModified';
        }
        return true;
    }

}
