<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.ICachePlugin.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

interface wcmICachePlugin
{

    /**
     * Store a variable in cache
     *
     * @param string $key Unique key used to retrieve (fetch) variable
     * @param mixed $var Variable to cache
     * @param int $ttl Optional time to live (default is configuration ttl)
     *
     * @return bool FALSE on failure, TRUE on success
     */
    function store($key, $var, $ttl = 0);

    /**
     * Fetch a cached variable
     *
     * @param string $key Unique key used to retrieve (fetch) variable
     *
     * @return mixed Variable value or else FALSE on failure
     */
    function fetch($key);

    /**
     * Delete a cached variable
     *
     * @param string $key Unique key representing the variable to delete
     *
     * @return bool FALSE on failure, TRUE on success
     */
    function delete($key);

    /**
     * Clear the entire cache
     * @return bool TRUE on success
     */
    function clear();
}
