<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.cacheRegistry.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

class wcmCacheRegistry
{
    /**
     * Static caches
     * @var array
     */
    private static $caches = array();

    /**
     * get a cache
     *
     * @param string $cache Cache key
     * @return wcmCache
     */
    public static function get($cache = null)
    {
        if (null === $cache)
        {
            $config = wcmConfig::getInstance();
            $cache = $config['wcm.plugins.cache.default'];
        }

        if (!array_key_exists($cache, self::$caches))
        {
            self::$caches[$cache] = self::create($cache);
        }

        return self::$caches[$cache];
    }

    /**
     * create a wcmCache
     *
     * @param string $cache Cache key
     * @return wcmCache
     */
    public static function create($cache)
    {
        $className = 'wcmCachePlugin' . ucfirst($cache);

        if (!class_exists($className))
        {
            throw new Exception('This \'' . $cache . '\' cache plugin doesn\'t exists');
        }
        else
        {
            $config = wcmConfig::getInstance();
            return new wcmCache(new $className(), $config['wcm.project.guid']);
        }
    }
}
