<?php
/**
 * Project:     WCM
 * File:        $Id: constants.php 9342 2010-03-26 19:52:45Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

/*
 * The following constants are used by the WCM API and Web
 * application.
 *
 * To override the default value for a given constant, simply change
 * its value appropriately.
 */

/**
 * The WCM version number
 */
define('WCM_VERSION', '4.1.5');

/**
 * The owner of the licence (name of the company)
 */
define('WCM_LICENSEE', 'evaluation');

/**
 * The development TEAM and others who had contributed
 * (in alphabetic order)
 */
define(
    'DEVELOPMENT_TEAM', '
    Oliver Cromm,
    Agostino Deligia,
    Alex Dowgailenko,
    Bashar Al Fallouji,
    Chantal Ide,
    David Giamporcaro,
    Eric Williams,
    Jean-François Garneau,
    Jean-Michel Texier,
    Nizar Samaha,
    Pierrick Charron,
    Radu Mirea,
    Thomas Nivot,
    Wendy MacKenzie,
    Francis Lacroix,
    Paula Ferreira,
    Zaher Zaraket'
);

/**
 * The absolute path of the Apache Solr PHP Client library files.
 */
define('APACHE_SOLR_DIR', WCM_INCLUDES_DIR . '/SolrPhpClient');

/**
 * The absolute path of the Stomp PHP client library files.
 */
define('STOMP_DIR', WCM_INCLUDES_DIR . '/stomp');

/**
 * The absolute path of the Smarty library files.
 *
 * Note the trailing slash (/).
 */
define('SMARTY_DIR', WCM_INCLUDES_DIR . '/Smarty/');

/**
 * The amount of time in micro-seconds the generation script will pause
 * between each generation
 *
 */
define('GENERATION_DELAY_INTERVAL', 10);


// Ensure include_path is well set!
if (!strpos(STOMP_DIR, ini_get('include_path')))
{
    // Update the include_path settings
    ini_set(
        'include_path', ini_get('include_path') . PATH_SEPARATOR
        . APACHE_SOLR_DIR . PATH_SEPARATOR
        . STOMP_DIR . PATH_SEPARATOR
        . WCM_INCLUDES_DIR
    );
}

// Encryption constants (key, initialization vector)
define('ENCRYPTION_KEY', 'ICM.Is.S0.Good!!');
define('ENCRYPTION_IV', '1/07/05?');
