<?php
/**
 * Project:     WCM
 * File:        $Id: main.php 9389 2010-04-06 19:57:40Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

/**
 * Tells WCM which language is currently defined in this constant list
  */
DEFINE('_WCM_LANGUAGE', 'en');

DEFINE('_LOGIN_DEFAULT', 'WCM Default Login');
DEFINE('_LOGIN_LDAP', 'LDAP Login');
DEFINE('_LOGIN_OPENID', 'OpenID Login');

// Common
DEFINE('_LICENSE', 'License');
DEFINE('_ALLOW_OPTIMISTIC', 'Optimistic lock mode');
DEFINE('_PRODUCT', 'Web Content Management (WCM)');
DEFINE('_LANGUAGE', 'Language');
DEFINE('_BASELINE', 'Web design and publication software');
DEFINE('_CLASS_NAME_EXIST', 'This class name already exists');
DEFINE('_CLOSE', 'Close');
DEFINE('_COPYRIGHT', '&copy;2010 Nstein Technologies Inc');
DEFINE('_LOGOUT', 'Sign out');
DEFINE('_HELP', 'Help');
DEFINE('_FIND', 'Find');
DEFINE('_KEYWORDS', 'Keywords...');
DEFINE('_EXECUTE', 'Execute');
DEFINE('_UNEXPECTED_ERROR', 'Unexpected error');
DEFINE('_VALIDATE', 'Validate');
DEFINE('_CANCEL', 'Cancel');
DEFINE('_SORT', 'Sort');
DEFINE('_INDENT', '  >>');
DEFINE('_REMOVE', 'Remove');
DEFINE('_REMOVED', 'Removed');
DEFINE('_SIGNED_IN_AS', 'Signed in as:');
DEFINE('_SITES', 'Sites');
DEFINE('_TITLE', 'Title');
DEFINE('_NONE', 'none');
DEFINE('_OK', 'OK');
DEFINE('_TOP', 'Top');
DEFINE('_BOTTOM', 'Bottom');
DEFINE('_TOGGLE', 'Toggle');
DEFINE('_UPDATE', 'Update');
DEFINE('_UPDATE_SUCCESSFUL', 'Update successful');
DEFINE('_LEFT', 'Left');
DEFINE('_RIGHT', 'Right');
DEFINE('_WORKING_IN', 'Working in:');
DEFINE('_CHANGE', 'Change');
DEFINE('_SELECT', 'Select');
DEFINE('_RELOAD', 'Reload');
DEFINE('_DEFAULT', 'Default');
DEFINE('_TAGS', 'Tags');
DEFINE('_REVISION_NUMBER', 'Revision');
DEFINE('_LOADING', 'Loading...');
DEFINE('_OPEN', 'Open');
DEFINE('_FORBIDDEN', 'You do not have sufficient credentials to access this asset. Please contact your administrator');
DEFINE('_NOT_FOUND', 'The requested page does not exist.');
DEFINE('_NO_SITE_ALLOWED', 'No default site. Please contact your administrator');
DEFINE('_FILENOTFOUND_EXCEPTION', 'Source file not found');
DEFINE('_NOT_SUPPORTED_TYPE', 'Image format not supported');
DEFINE('_INVALID_OBJECT_XML', 'Invalid XML representation for %s object %s');
DEFINE('_CONFIGURATION_ERROR', 'Configuration error');
DEFINE('_CONFIG', 'Configuration');
DEFINE('_FILENAME', 'Filename');

// errors
DEFINE('_ERROR_UNIQUE_CODE', 'Code must be unique');
DEFINE('_EXCEPTION', 'A fatal exception has occurred. Please report the content below to your system administrator:');

// setup
DEFINE('_SETUP', 'Setup');
DEFINE('_STEP', 'Step');
DEFINE('_OF', 'of');

// login page
DEFINE('_LOGIN_METHOD', 'Login method');
DEFINE('_INVALID_ACTION', 'Invalid action');
DEFINE('_PROJECT', 'Project');
DEFINE('_USERNAME', 'Username');
DEFINE('_LOG_IN', 'Sign in');
DEFINE('_LOGIN_FAILED', 'The authentication provider denied the supplied credentials.');
DEFINE('_CHOOSE_LOGIN_METHOD', 'Choose an Alternative Login Method');
DEFINE('_LOGGED_OUT', 'You were successfully signed out');
DEFINE('_SIGN_IN', 'Sign in');
DEFINE('_CLIENT_LICENSE', 'This Nstein WCM license is reserved for the strict usage of ');
DEFINE('_NSTEIN_SUPPORT', '<strong>Nstein support</strong> <a href="mailto:support@nstein.com">support@nstein.com</a>');
DEFINE('_NSTEIN_SUPPORT_NETWORK', '<strong>Support network</strong> <a href="https://support.nstein.com/" target="_top">https://support.nstein.com/</a>');

// generic actions
DEFINE('_REFRESH', 'Refresh');
DEFINE('_START', 'Start');
DEFINE('_STOP', 'Stop');
DEFINE('_ABORT', 'Abort');
DEFINE('_SEARCH', 'Search');
DEFINE('_CREATE', 'Create');
DEFINE('_PREVIEW', 'Preview');
DEFINE('_PUBLISH', 'Publish');
DEFINE('_CHECKOUT', 'Check-out');
DEFINE('_CHECKIN', 'Check-in');
DEFINE('_CLONE', 'Clone');
DEFINE('_DELETE', 'Delete');
DEFINE('_EDIT', 'Edit');
DEFINE('_QUICK_EDIT', 'Quick Edit');
DEFINE('_WCM_SEARCH', 'WCM search');
DEFINE('_UPLOAD_MEDIA', 'Upload Media');
DEFINE('_UPDATED', 'Updated successfully');
DEFINE('_SHARE', 'Share');
DEFINE('_SHARED_SAVED_SEARCHES', 'Shared saved searches');

// icons
DEFINE('_SELECTION', 'Selection');

// search
DEFINE('_ADVANCED_SEARCH', 'Advanced search');
DEFINE('_FULLTEXT', 'Full-text');
DEFINE('_ALL_DATES', '(any date)');
DEFINE('_TODAY', 'Today');
DEFINE('_YESTERDAY', 'Yesterday');
DEFINE('_SINCE_7DAYS', 'Since 7 days ago');
DEFINE('_SINCE_1MONTH', 'Since 1 month ago');
DEFINE('_SINCE_3MONTHES', 'Since 3 months ago');
DEFINE('_SINCE_1YEAR', 'Since 1 year ago');
DEFINE('_SEARCH_RESULT', 'Search result');
DEFINE('_RESULT_N_ITEMS_FOUND', '%s item%s found');
DEFINE('_RESULT_NO_ITEM_FOUND', 'No items found');
DEFINE('_INVALID_SEARCH_CONFIG', 'Invalid search configuration "%s"');
DEFINE('_MISSING_SEARCH_ID', 'Missing or empty search ID');
DEFINE('_INVALID_SEARCH_ID', 'Invalid search ID "%s"');
DEFINE('_INVALID_SEARCH_PLUGIN', 'Invalid search plugin "%s"');
DEFINE('_INVALID_SEARCH_PLUGIN_CLASS', 'Invalid search plugin class "%s"');
DEFINE('_INVALID_SEARCH_PLUGIN_CONFIG', 'Invalid search plugins configuration "%s"');
DEFINE('_SEARCH_SERVICE_NOT_RESPONDING', 'Search service "%s" not responding');
DEFINE('_EMPTY_RESULTSET', 'Empty result set');

// TME
DEFINE('_BIZ_MERGE_SEMANTIC_DATA', 'merge semantic data');

// history
DEFINE('_HISTORY', 'History');
DEFINE('_LAST_VIEWED_ITEMS', 'Last viewed items');
DEFINE('_MORE', 'More');
DEFINE('_PREVIOUS', 'Previous');
DEFINE('_NEXT', 'Next');

// sysobjet
DEFINE('_ID', 'Id');
DEFINE('_CODE', 'Code');
DEFINE('_NAME', 'Name');
DEFINE('_NIP', 'PIN');
DEFINE('_PROPERTIES', 'Properties');
DEFINE('_PARAMETERS', 'Parameters');
DEFINE('_CREATION_DATE', 'Creation date');
DEFINE('_MODIFICATION_DATE', 'Modification date');
DEFINE('_MODIFIED_ON', 'Modified on');
DEFINE('_BY', 'by');
DEFINE('_AT', 'at');
DEFINE('_RIGHTS', 'Rights');
DEFINE('_PERMISSIONS', 'Permissions');
DEFINE('_PERMISSIONS_ACCESS', 'Access permissions');
DEFINE('_PERMISSIONS_BIZCLASS', 'Content types permissions');
DEFINE('_PERMISSIONS_SYSCLASS', 'System types permissions');
DEFINE('_SYSCLASS', 'Sysclass');
DEFINE('_SYSCLASSES', 'System classes');

// datalayer : connector
DEFINE('_CONNECTORS', 'Connectors');
DEFINE('_CONNECTOR', 'Connector');
DEFINE('_KIND', 'Kind');
DEFINE('_CONNECTION_STRING', 'Connection string');
DEFINE('_REFERENCE', 'Code');
DEFINE('_TABLE_PREFIX', 'Table prefix');
DEFINE('_NO_TABLE_MATCH', 'No table matches this connector');
DEFINE('_CONNECTOR_WARNING', 'Warning : Connectors needs to be changed/deleted with caution. This might prevent the application from working.');
DEFINE('_ERROR_CONNECTOR_CODE_INVALID', 'Code is already in use by another connector');

// layout : menu
DEFINE('_MENUS', 'Menus');
DEFINE('_MENU', 'Menu');
DEFINE('_NEW_SUBMENU', 'New sub-menu');
DEFINE('_PARENT_MENU', 'Parent menu');
DEFINE('_AT_ROOT_LEVEL', 'at root level');
DEFINE('_RANK', 'Rank');
DEFINE('_ACTION', 'Action');
DEFINE('_URL', 'Url');
DEFINE('_DYNAMIC', 'Dynamic');
DEFINE('_ICON', 'Icon');

// layout : site template
DEFINE('_ENABLED', 'Enabled');
DEFINE('_CANNOT_DELETE_TEMPLATE_CATEGORY', 'Cannot delete this category: it is not empty');
DEFINE('_TEMPLATE_EXPORT', 'Template export');
DEFINE('_LAUNCH_EXPORT', 'Launch export');
DEFINE('_BACKED_UP_DATE', 'Backed-up on');
DEFINE('_FILE_LOCATION', 'File location');

// generator : category
DEFINE('_CATEGORIES', 'Categories');
DEFINE('_CATEGORY', 'Category');

// generator : template
DEFINE('_TEMPLATES', 'Templates');
DEFINE('_TEMPLATE', 'Template');
DEFINE('_TEMPLATE_CATEGORY', 'Template category');
DEFINE('_CONFIRM_LOAD_TEMPLATE', 'Are you sure you wish to replace this template?\n\r(All previous content will be erased)');
DEFINE('_CONTENT', 'Content');
DEFINE('_DESIGN', 'Design');

// generator : generation
DEFINE('_GENERATIONS', 'Generations');
DEFINE('_GENERATION', 'Generation');
DEFINE('_GENERATION_SET', 'Generation Set');
DEFINE('_CONTEXT', 'Context');
DEFINE('_LOCATION', 'Location');
DEFINE('_NEW_GENERATION', 'New generation');

// generator : generation content
DEFINE('_GENERATION_CONTENT', 'Generation Content');
DEFINE('_LOOP', 'Loop');
DEFINE('_NAMING_RULE', 'Naming rule');
DEFINE('_NEW_GENERATION_CONTENT', 'New generation content');
DEFINE('_GENERATION_RESULT', 'Generation result');
DEFINE('_GENERATION_NOTHING', 'Nothing to generate');

// generator : generation autogen
DEFINE('_GENERATION_AUTOGEN', 'Generation Autogen');
DEFINE('_AUTOGEN', 'Autogen');
DEFINE('_AUTOGEN_PARAMS', 'This generation will be triggered when you will generate the objects. the priority is the order in which the generationContent will be triggered per object');
DEFINE('_AUTOGEN_OBJECT_CLASS', 'Object class');
DEFINE('_AUTOGEN_PRIORITY', 'Priority');
DEFINE('_ADD_AUTOGEN', 'Add');

// generator : general
DEFINE('_SELECT_GENERATION_RULE', 'Select generation rule');
DEFINE('_INVALID_GENERATION_RULE', 'Invalid generation rule');
DEFINE('_EXECUTING_GENERATION', 'Executing generation');
DEFINE('_EXECUTING_GENERATION_CONTENT', 'Executing generation content');
DEFINE('_EXECUTING_GENERATION_SET', 'Executing generation set');
DEFINE('_GENERATION_COMPLETED_IN_X_SECONDS', 'Generation completed in %0.2f seconds');

// membership
DEFINE('_MEMBERSHIP', 'Membership');
DEFINE('_MEMBERS', 'Members');
DEFINE('_MEMBER', 'Member');

// membership : group
DEFINE('_GROUPS', 'Groups');
DEFINE('_GROUP', 'Group');
DEFINE('_EVERYONE', 'Everyone');
DEFINE('_ADMINISTRATORS', 'Administrators');
DEFINE('_JOURNALISTS', 'Journalists');
DEFINE('_PHOTOGRAPHERS', 'Photographers');
DEFINE('_WEBMASTERS', 'Webmasters');
DEFINE('_MOJO', 'Mojo users');

// membership : user
DEFINE('_USERS', 'Users');
DEFINE('_USER', 'User');
DEFINE('_ADMINISTRATOR', 'Administrator');
DEFINE('_LOGIN', 'Login');
DEFINE('_PASSWORD', 'Password');
DEFINE('_NEW_PASSWORD', 'New password');
DEFINE('_VALIDATE_NEW_PASSWORD', 'Please re-enter your new password');
DEFINE('_OLD_PASSWORD', 'Old password');
DEFINE('_EMAIL', 'EMail');
DEFINE('_IS_ADMINISTRATOR', 'Is Superuser');
DEFINE('_NEW_USER', 'New user');
DEFINE('_LOGIN_EXIST', 'This login exists');
DEFINE('_UNKNOWN_USER', 'Unknown user');
DEFINE('_ERROR_OLD_PASSWORD', 'Sorry, the old password is incorrect');
DEFINE('_OPENID_IN_USE', 'OpenID is already in use by another user');

// Preferences
DEFINE('_MY_PREFERENCES', 'My preferences');
DEFINE('_ADDITIONAL_EMAILS', 'Additional emails');

// Errors associated to checkValidity() method
DEFINE('_ERROR_USER_LOGIN_IS_MANDATORY', 'User login is mandatory');
DEFINE('_ERROR_USER_LOGIN_TOO_LONG', 'User login is too long');
DEFINE('_ERROR_EMAIL_TOO_LONG', 'Email is too long');
DEFINE('_ERROR_EMAIL_IS_MANDATORY', 'Email is mandatory');
DEFINE('_ERROR_OPTIONAL_EMAILS', 'One or more optional email is incorrect');
DEFINE('_ERROR_DEFAULT_LANGUAGE_TOO_LONG', 'Default language is too long');
DEFINE('_ERROR_NAME_TOO_LONG', 'Name is too long');
DEFINE('_ERROR_NAME_IS_MANDATORY', 'Name is mandatory');
DEFINE('_ERROR_NIP_TOO_LONG', 'The NIP is incorrect. It may only contain 4 digits.');
DEFINE('_ERROR_CODE_TOO_LONG', 'Code is too long');
DEFINE('_ERROR_CODE_IS_MANDATORY', 'Code is mandatory');
DEFINE('_ERROR_INITIALSTATE_TOO_LONG', 'Initial state is too long');
DEFINE('_ERROR_SCRIPT_TOO_LONG', 'Script is too long');
DEFINE('_ERROR_CLASSNAME_TOO_LONG', 'Class name is too long');
DEFINE('_ERROR_CONNECTORTABLE_TOO_LONG', 'Connector table is too long');
DEFINE('_ERROR_URL_TOO_LONG', 'Url is too long');
DEFINE('_ERROR_ACTION_TOO_LONG', 'Action is too long');
DEFINE('_ERROR_REFERENCE_IS_MANDATORY', 'Code is mandatory');
DEFINE('_ERROR_REFERENCE_TOO_LONG', 'Code is too long');
DEFINE('_ERROR_CONNECTIONSTRING_IS_MANDATORY', 'Connection string is mandatory');
DEFINE('_ERROR_TABLEPREFIX_IS_MANDATORY', 'Table prefix is mandatory');
DEFINE('_ERROR_TABLEPREFIX_TOO_LONG', 'Table prefix is too long');
DEFINE('_ERROR_TEMPLATE_TOO_LONG', 'Template name is too long');
DEFINE('_ERROR_TEMPLATE_IS_MANDATORY', 'Template name is mandatory');
DEFINE('_ERROR_NAMINGRULE_TOO_LONG', 'The naming rule is too long');
DEFINE('_ERROR_NAMINGRULE_IS_MANDATORY', 'The naming rule is mandatory');
DEFINE('_ERROR_LOCATION_TOO_LONG', 'The location is too long');
DEFINE('_ERROR_CONTEXT_TOO_LONG', 'The context is too long');
DEFINE('_ERROR_LOOP_TOO_LONG', 'The loop is too long');
DEFINE('_ERROR_CONNECTION_STRING', 'Malformed connection string');
DEFINE('_ERROR_CONNECTOR_USED', 'Connector is used by the system. Can not be deleted');

// membership : role, right, permission
DEFINE('_ROLES', 'Roles');
DEFINE('_ROLE', 'Role');
DEFINE('_DENIED', 'Denied');
DEFINE('_OBJECT', 'Object');
DEFINE('_READ', 'Read');
DEFINE('_WRITE', 'Write');
DEFINE('_PERMISSIONS_SITES', 'Sites Permissions');
DEFINE('_PERMISSIONS_GENERATION_SET', 'Generation Permissions');
DEFINE('_INSUFFICIENT_PRIVILEGES', 'Insufficient privileges');
DEFINE('_ACCESS_DENIED', 'Access denied');

// bizclass
DEFINE('_WCMBIZCLASS', 'Content type');
DEFINE('_WCMSYSCLASS', 'System type');
DEFINE('_BIZCLASS', 'Properties');
DEFINE('_BIZCLASSES', 'Content types');
DEFINE('_CLASSNAME', 'Class name');
DEFINE('_CONNECTOR_TABLE', 'Table name');
DEFINE('_BIZCLASS_WARNING', 'Warning : Content types needs to be changed/deleted with caution. This might prevent the application from working.');
DEFINE('_CREATE_VERSION_TABLE', 'Create Version Table');

// designer
DEFINE('_DESIGNER', 'Designer');

// Log
DEFINE('_MESSAGE_LOG', 'Message log');
DEFINE('_TRACE_LOG', 'Trace log');
DEFINE('_CLEAR_TRACE_LOG', 'Clear trace log');
DEFINE('_TRACE_LOG_ERASED', 'Trace log has been erased');

// Locks
DEFINE('_LOCKED_BY', 'Locked by ');
DEFINE('_LOCKED_AT', 'Locked at ');
DEFINE('_LOCKED_BY_ME', 'Locked by you');
DEFINE('_EXPIRES_AT', 'Expires at ');
DEFINE('_SINCE', 'since');
DEFINE('_LOCK_DATE', 'Lock date');
DEFINE('_LOCK', 'Lock');
DEFINE('_UNLOCK', 'Unlock');
DEFINE('_SAVE', 'Save');
DEFINE('_IS_LOCKED', 'locked');
DEFINE('_LOCK_BY_CLASS', 'Lock by class');
DEFINE('_LOCK_MANAGEMENT', 'Lock management');
DEFINE('_ENRICH', 'Enrich');

// Workflows
DEFINE('_NEW_WORKFLOW', 'New workflow');
DEFINE('_NEW_WORKFLOW_SCRIPT', 'New script');
DEFINE('_NEW_WORKFLOW_TRANSITION', 'New transition');
DEFINE('_WORKFLOW', 'Workflow');
DEFINE('_WORKFLOWS', 'Workflows');
DEFINE('_INITIAL_STATE', 'Initial state');
DEFINE('_WORKFLOW_SCRIPT', 'Workflow script');
DEFINE('_WORKFLOW_STATE', 'Workflow state');
DEFINE('_WORKFLOW_TRANSITION', 'Workflow transition');
DEFINE('_WORKFLOW_STATES', 'Workflow states');
DEFINE('_TRANSITIONS', 'Transitions');
DEFINE('_TRANSITION_FAILED', 'Transition failed');
DEFINE('_FROM_STATE', 'From state');
DEFINE('_TO_STATE', 'To state');
DEFINE('_FILE', 'File');
DEFINE('_FILE_SIZE', 'File size');
DEFINE('_BROWSE', 'Browse');
DEFINE('_UPLOAD', 'Upload');
DEFINE('_SUBMIT', 'Submit');
DEFINE('_OBJECT_DELETED', 'Object deleted');
DEFINE('_CHANGE_SITE', 'Change Site');
DEFINE('_WKF_STATE_IN_TRANSITION', 'This state is used in a transition and cannot be deleted.');
DEFINE('_WKF_STATE_INITIAL_STATE', 'This state is used as a workflow\'s initial state and cannot be deleted');

// modules
DEFINE('_ADD_POLL_CHOICE', 'Add poll choice');
DEFINE('_COMMENTING', 'Commenting');
DEFINE('_COMMUNITY_PARTICIPATION', 'Community participation');
DEFINE('_DELETE_POLL_CHOICE', 'Delete poll choice');
DEFINE('_EDITORIAL', 'Editorial');
DEFINE('_GENERAL', 'General');
DEFINE('_LIFETIME', 'Lifetime');
DEFINE('_META_CONTENT', 'Meta-content');
DEFINE('_DELETE_PAGE', 'Delete page');
DEFINE('_PICK_DATE', 'Pick');
DEFINE('_POLL_CHOICE', 'Poll choice');
DEFINE('_POLL_CHOICES', 'Poll choices');
DEFINE('_PRINT_PUBLICATION', 'Print publication');
DEFINE('_PUBLICATION_GENERATION', 'Publication and generation');
DEFINE('_RATING', 'Rating');
DEFINE('_SOURCE_INFORMATION', 'Source information');

// widget
DEFINE('_WIDGET', 'Widget');

/*
MENUS
 */

// business/home
DEFINE('_MENU_HOME', 'Home');

// business/dashboards
DEFINE('_MENU_DASHBOARDS', 'Dashboards');
DEFINE('_DASHBOARD_ARTICLES_WAITING_FOR_APPROVAL', 'Articles waiting for approval');
DEFINE('_DASHBOARD_EDITORIAL_JOBS', 'Editorial jobs');
DEFINE('_DASHBOARD_EDITORIAL_STATISTICS', 'Editorial statistics');
DEFINE('_DASHBOARD_MODULE_READY_TO_PUBLISH', 'Ready to publish');
DEFINE('_DASHBOARD_POLLS_WAITING_FOR_APPROVAL', 'Polls waiting for approval');
DEFINE('_DASHBOARD_SLIDESHOWS_WAITING_FOR_APPROVAL', 'Slideshows waiting for approval');
DEFINE('_DASHBOARD_UGC_JOBS', 'UGC jobs');
DEFINE('_DASHBOARD_UGC_STATISTICS', 'UGC statistics');
DEFINE('_DASHBOARD_UNDERSTAND_CONTENT', 'Content analytics');
DEFINE('_DASHBOARD_UNDERSTAND_WEB', 'Web analytics');
DEFINE('_DASHBOARD_ZONE_UGC', 'User generated content (UGC)');

//dashboard/understand
DEFINE('_DASHBOARD_HOT_TOPICS', 'Hot topics');
DEFINE('_DASHBOARD_MOST_POPULAR_ON', 'Most popular organizations');
DEFINE('_DASHBOARD_MOST_POPULAR_PN', 'Most popular peoples');
DEFINE('_DASHBOARD_MOST_POPULAR_PL', 'Most popular places');
DEFINE('_DASHBOARD_MOST_POPULAR_SUBJECTS', 'Most popular subjects');
DEFINE('_DASHBOARD_TOP_CATEGORIES', 'Top categories');
DEFINE('_DASHBOARD_DISTRIBUTION_TONE', 'Distribution of tone');

// business/create
DEFINE('_MENU_CREATE', 'Create');
DEFINE('_MENU_CREATE_TEXTUAL', 'Textual');
DEFINE('_MENU_CREATE_ARTICLE', 'Article');
DEFINE('_MENU_CREATE_NEWSITEM', 'News item');
DEFINE('_MENU_CREATE_MEDIA', 'Media');
DEFINE('_MENU_CREATE_PHOTO', 'Photo');
DEFINE('_MENU_BROWSE_AUDIO', 'Audio');
DEFINE('_MENU_BROWSE_VIDEO', 'Video');
DEFINE('_MENU_CREATE_BUNDLE', 'Bundle');
DEFINE('_MENU_CREATE_COLLECTION', 'Collection');
DEFINE('_MENU_CREATE_NEWSLETTER', 'Newsletter');
DEFINE('_MENU_CREATE_SLIDESHOW', 'Slideshow');
DEFINE('_MENU_CREATE_PARTICIPATIVE_CONTENT', 'Participative content');
DEFINE('_MENU_CREATE_POLL', 'Poll');
DEFINE('_MENU_CREATE_FORUM_THREAD', 'Forum thread');
DEFINE('_MENU_CREATE_OTHER', 'Other types');
DEFINE('_MENU_CREATE_ITEM', 'Item');

// business/browse
DEFINE('_MENU_BROWSE', 'Browse');
DEFINE('_MENU_BROWSE_TEXTUAL', 'Textual');
DEFINE('_MENU_BROWSE_ARTICLES', 'Articles');
DEFINE('_MENU_BROWSE_NEWS_ITEMS', 'News items');
DEFINE('_MENU_BROWSE_MEDIA', 'Media');
DEFINE('_MENU_BROWSE_PHOTOS', 'Photos');
DEFINE('_MENU_BROWSE_AUDIO_FILES', 'Photos');
DEFINE('_MENU_BROWSE_VIDEO_FILES', 'Videos');
DEFINE('_MENU_BROWSE_BUNDLES', 'Bundles');
DEFINE('_MENU_BROWSE_COLLECTIONS', 'Collections');
DEFINE('_MENU_BROWSE_NEWSLETTERS', 'Newsletters');
DEFINE('_MENU_BROWSE_SLIDESHOWS', 'Slideshows');
DEFINE('_MENU_BROWSE_PARTICIPATIVE_CONTENT', 'Participative content');
DEFINE('_MENU_BROWSE_POLLS', 'Polls');
DEFINE('_MENU_BROWSE_FORUM_THREADS', 'Forum threads');
DEFINE('_MENU_BROWSE_OTHER', 'Other types');
DEFINE('_MENU_BROWSE_ITEMS', 'Items');

// business/moderate
DEFINE('_MENU_MODERATE', 'Moderate');
DEFINE('_MENU_MODERATE_USER_COMMENTS', 'User comments');
DEFINE('_MENU_MODERATE_FORUM_THREADS', 'Forum threads');

// business/manage
DEFINE('_MENU_MANAGE', 'Manage');
DEFINE('_MENU_MANAGE_COMMUNITY', 'Community');
DEFINE('_MENU_MANAGE_WEB_USERS', 'Web users');
DEFINE('_MENU_MANAGE_WEB', 'Web properties');
DEFINE('_MENU_MANAGE_WEB_SITES', 'Web sites');
DEFINE('_MENU_MANAGE_SECTIONS', 'Site sections');
DEFINE('_MENU_MANAGE_PRINT', 'Print publications');
DEFINE('_MENU_MANAGE_PRINT_PUBLICATIONS', 'Publications');
DEFINE('_MENU_MANAGE_PRINT_ISSUES', 'Issues');
DEFINE('_MENU_MANAGE_PREFERENCES', 'Preferences');

// business/import
DEFINE('_MENU_IMPORT', 'Import');
DEFINE('_MENU_IMPORT_FROM_FILES', 'Import from files');
DEFINE('_MENU_IMPORT_DAM', 'Import from DAM');

// business/publish
DEFINE('_MENU_PUBLISH', 'Publish');
DEFINE('_MENU_PUBLISH_LAUNCH_GENERATION', 'Launch generation...');
DEFINE('_MENU_PUBLISH_MANAGE_GENERATION_RULES', 'Manage generation rules');
DEFINE('_MENU_PUBLISH_MANAGE_TEMPLATES', 'Manage templates');
DEFINE('_MENU_PUBLISH_TEMPLATE_BACKUP', 'Template backup');

// system/system
DEFINE('_MENU_SYSTEM', 'System');
DEFINE('_MENU_SYSTEM_ADMINISTRATION', 'Administration');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_MESSAGE_LOG', 'Message log');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_USERS', 'Manage users and groups');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_BIZCLASS', 'Manage content types');
DEFINE('_MENU_SYSTEM_ADMINISTRATION_SYSCLASS', 'Manage system types');
DEFINE('_MENU_SYSTEM_CONFIGURATION', 'Configuration');
DEFINE('_MENU_SYSTEM_CONFIGURATION_MENUS', 'Configure menus');
DEFINE('_MENU_SYSTEM_CONFIGURATION_DATA_SOURCES', 'Configure data sources');
DEFINE('_MENU_SYSTEM_CONFIGURATION_WORKFLOWS', 'Configure workflows');
DEFINE('_MENU_SYSTEM_CONFIGURATION_TME', 'Nstein Text-Mining Engine');
DEFINE('_MENU_SYSTEM_MAINTENANCE', 'Maintenance');
DEFINE('_MENU_SYSTEM_MAINTENANCE_UNLOCK_CONTENT', 'Unlock content');
DEFINE('_MENU_SYSTEM_MAINTENANCE_REINDEX_CONTENT', 'Re-index content');
DEFINE('_MENU_SYSTEM_MAINTENANCE_PURGE_CONTENT', 'Purge content');

// system/help
DEFINE('_MENU_HELP', 'Help');
DEFINE('_MENU_HELP_ABOUT', 'About');
DEFINE('_MENU_HELP_ABOUT_WCM4', 'About this version...');
DEFINE('_MENU_HELP_ABOUT_COPYRIGHT_NOTICE', 'Copyright notice...');
DEFINE('_MENU_HELP_RESOURCES', 'Resources');
DEFINE('_MENU_HELP_RESOURCES_DOC_AND_SUPPORT', 'Documentation and support');

// user
DEFINE('_MENU_USER_ADVANCED_SEARCH', 'Advanced searches');
DEFINE('_MENU_USER_ADVANCED_SEARCH_DEFAULT', 'Editorial');
DEFINE('_MENU_USER_SAVED_SEARCHES', 'My saved searches');
DEFINE('_MENU_SAVED_SEARCHES', 'Saved searches');

/*
DASHBOARD
 */

DEFINE('_DASHBOARD_MY_DASHBOARD', 'My dashboard');
DEFINE('_DASHBOARD_EDITORIAL', 'Editorial content');
DEFINE('_DASHBOARD_STATISTICS', 'Statistics');

// zone/Mywidgets
DEFINE('_DASHBOARD_MY_WIDGETS', 'My widgets');

// zone/Statistics
DEFINE('_DASHBOARD_ZONE_STATISTICS', 'Statistics');
DEFINE('_DASHBOARD_MODULE_MOST_VISITED', 'Most visited');
DEFINE('_DASHBOARD_MODULE_MAIN_SECTIONS', 'Main sections');
DEFINE('_DASHBOARD_MODULE_MOST_COMMENTED', 'Most commented');
DEFINE('_DASHBOARD_MODULE_HIGHEST_RATINGS', 'Highest ratings');
DEFINE('_DASHBOARD_MODULE_MOST_RATED', 'Most rated');

// zone/Editorial activity
DEFINE('_DASHBOARD_ZONE_EDITORIAL_ACTIVITY', 'Editorial activity');
DEFINE('_DASHBOARD_MODULE_RECENTLY_PUBLISHED', 'Recently published');
DEFINE('_DASHBOARD_MODULE_MODIFIED_TODAY', 'Modified today');
DEFINE('_DASHBOARD_MODULE_RECENTLY_CREATED', 'Recently created');
DEFINE('_DASHBOARD_MODULE_RECENTLY_IMPORTED', 'Recently imported');

// zone/Required attention
DEFINE('_DASHBOARD_ZONE_REQUIRING_ATTENTION', 'Requiring attention');
DEFINE('_DASHBOARD_MODULE_AWAITING_MODERATION', 'Awaiting moderation');
DEFINE('_DASHBOARD_MODULE_AWAITING_EDITORIAL_APPROVAL', 'Awaiting editorial approval');

// zone/My work
DEFINE('_DASHBOARD_ZONE_MY_WORK', 'My Work');
DEFINE('_DASHBOARD_MODULE_MY_CURRENT_WORK', 'Content I am working on');
DEFINE('_DASHBOARD_MODULE_SAVED_SEARCHES', 'My saved searches');

// zone/History
DEFINE('_DASHBOARD_ZONE_HISTORY', 'History');
DEFINE('_DASHBOARD_MODULE_RECENT_ACTIONS', 'Recent actions');

// module/commenting
DEFINE('_AWAITING_APPROVAL', 'Awaiting approval');

// modules/Header titles
DEFINE('_DASHBOARD_MODULE_HEADER_TITLE', 'Title');
DEFINE('_DASHBOARD_MODULE_HEADER_VIEWS', 'Visits');
DEFINE('_DASHBOARD_MODULE_HEADER_AVERAGE', 'Average');
DEFINE('_DASHBOARD_MODULE_HEADER_COUNT', 'Count');
DEFINE('_DASHBOARD_MODULE_HEADER_SOURCE', 'Source');
DEFINE('_DASHBOARD_MODULE_HEADER_AUTHOR', 'Author');
DEFINE('_DASHBOARD_MODULE_HEADER_SUMMARY', 'Summary');
DEFINE('_DASHBOARD_MODULE_HEADER_COMMENT', 'Comment');
DEFINE('_DASHBOARD_MODULE_HEADER_TRANSITIONS', 'Actions');
DEFINE('_DASHBOARD_MODULE_HEADER_TRANSITION_ON', 'On');
DEFINE('_DASHBOARD_MODULE_HEADER_CREATION_DATE', 'Created on');
DEFINE('_DASHBOARD_MODULE_HEADER_MODIFICATION_DATE', 'Modified on');
DEFINE('_DASHBOARD_MODULE_HEADER_PUBLICATION_DATE', 'Published on');
DEFINE('_DASHBOARD_MODULE_HEADER_IMPORTATION_DATE', 'Imported on');
DEFINE('_DASHBOARD_MODULE_HEADER_BYLINE', 'By');

// import
DEFINE('_MISSING_PLUGIN_PARAMETER', 'Missing plug-in parameter!');
DEFINE('_INVALID_PLUGIN_PARAMETER', 'Invalid plug-in parameter: ');
DEFINE('_START_IMPORT', 'Start import');
DEFINE('_IMPORT_STARTING', 'Import starting...');
DEFINE('_IMPORT_COMPLETED_IN_X_SECONDS', 'Importation completed in %0.2f seconds');
DEFINE('_DATA_SOURCE', 'Data source');
DEFINE('_SAME_AS_SOURCE_FOLDER', 'Same as Source Folder');
DEFINE('_DIFFERENT_DIRECTORY', 'Different Directory');
DEFINE('_DIRECTORY_NOT_EXIST', 'Directory does not exist');
DEFINE('_BACKUP_TEMPLATE_DIRECTORY_NOT_EXIST', 'Template backup directory does not exist, please modify your configuration file [wcm.templates.backupPath].');
DEFINE('_XML_DOCUMENTS', 'XML documents');
DEFINE('_JPEG_IPTC', 'JPEG IPTC');

// messaging
DEFINE('_EMPTY_MESSAGE_SOURCE_EVENT', 'Empty message source event');
DEFINE('_EMPTY_OR_INVALID_MESSAGE_TYPE', 'Empty or invalid message type');
DEFINE('_INVALID_MESSAGE_DATA', 'Invalid message data');
DEFINE('_INVALID_MESSAGE_HEADERS', 'Invalid message headers');

// REST common messages
DEFINE('_REST_INVALID_CONTROLLER', 'The controller is invalid');
DEFINE('_REST_INVALID_RESOURCE', 'The resource is invalid');
DEFINE('_REST_MISSING_PARAMETER', 'Missing parameter');
DEFINE('_REST_INVALID_PARAMETER', 'Invalid parameter');
DEFINE('_REST_CONFLICTING_PARAMETERS', 'Two or more parameters conflict');
DEFINE('_REST_MISSING_EXCLUSIVE_PARAMETERS', 'Missing mutually exclusive parameters');

// REST session controller
DEFINE('_REST_MISSING_CREDENTIALS', 'The username and password are required');
DEFINE('_REST_INVALID_CREDENTIALS', 'The username or password is invalid');
DEFINE('_REST_MISSING_SESSION_ID', 'The session ID is required');
DEFINE('_REST_CORRUPT_SESSION_ID', 'The session ID is corrupt');
DEFINE('_REST_INVALID_SESSION_ID', 'The session ID is invalid');
DEFINE('_REST_EXPIRED_SESSION_ID', 'The session ID is expired');
DEFINE('_REST_MISMATCHED_SESSION_IDS', 'The session IDs in the URL and header do not match');

// REST content controller
DEFINE('_REST_INVALID_OBJECT_CLASS', 'The object class name is invalid');
DEFINE('_REST_INVALID_OBJECT_ID', 'The object ID is invalid');
DEFINE('_REST_INVALID_OBJECT_CODE', 'The object code is invalid');
DEFINE('_REST_INVALID_OBJECT_CRITERIA', 'The object selection criteria are invalid');
DEFINE('_REST_INVALID_OBJECT_CONTENT', 'The object content is invalid');
DEFINE('_REST_INVALID_OBJECT_CONTENT_TYPE', 'The object content type is invalid');

// REST generation controller
DEFINE('_REST_EXECUTE_GENERATION_FAILED', 'Execution of the generation failed');
DEFINE('_REST_EXECUTE_GENERATION_TEMPLATE_NOT_FOUND', 'Unable to open the template file');

// REST photo controller
DEFINE('_REST_INVALID_PHOTO_NAME', 'The photo image name is invalid');
DEFINE('_REST_INVALID_PHOTO_RATIO', 'The photo image ratio code is invalid');
DEFINE('_REST_INVALID_PHOTO_TYPE', 'The photo image type is invalid');
DEFINE('_REST_MISSING_PHOTO_ID', 'The id of the photo object is missing');

// REST search controller
DEFINE('_REST_INVALID_SEARCH_FACET', 'The search facet is invalid');
DEFINE('_REST_MISSING_SEARCH_QUERY', 'The search query is missing');

// REST workflow controller
DEFINE('_REST_INVALID_WORKFLOW_ID', 'The workflow ID is invalid');
DEFINE('_REST_INVALID_WORKFLOW_TRANSITION_ID', 'The workflow transition ID is invalid');
DEFINE('_REST_INVALID_WORKFLOW_TRANSITION_CODE', 'The workflow transition code is invalid');
DEFINE('_REST_INVALID_WORKFLOW_STATE_CODE', 'The workflow state code is invalid');
DEFINE('_REST_EXECUTE_TRANSITION_FAILED', 'Execution of the transition failed');

// tasks
DEFINE('_TASK', 'Task');
DEFINE('_TASK_STATUS', 'Status');
DEFINE('_TASK_STATUS_READY', 'Ready');
DEFINE('_TASK_STATUS_STARTING', 'Starting...');
DEFINE('_TASK_STATUS_STARTED', 'Started');
DEFINE('_TASK_STATUS_ENDED', 'Ended');
DEFINE('_TASK_STATUS_ABORTED', 'Aborted');
DEFINE('_TASK_STATUS_FAILED', 'Failed');
DEFINE('_TASK_CURRENT_STATUS', 'Current status: ');
DEFINE('_TASK_IS_STARTING', 'Task is starting...');
DEFINE('_TASK_HAS_ENDED', 'Task has ended');
DEFINE('_TASK_HAS_ENDED_WITH_ERROR', 'Task has ended with error');
DEFINE('_TASK_HAS_BEEN_ABORTED', 'Task has been aborted');

/*
DIALOGS
 */

// About
DEFINE('_DIALOG_ABOUT', 'About WCM');
DEFINE('_DIALOG_ABOUT_DEVELOPMENT_TEAM', '<b>Development team</b> ');
DEFINE('_DIALOG_ABOUT_PRINT', 'Print');
DEFINE('_DIALOG_ABOUT_RELEASE_NOTES', '<a href="https://support.nstein.com/wiki/WCM/4.1.5/ReleaseNotes" class="url" target="_blank">Release notes</a>');

// Copyright notice

// Documentation and support
DEFINE('_DIALOG_SUPPORT', 'Documentation and support');
DEFINE('_DIALOG_SUPPORT_ONLINE', 'Nstein support network');
DEFINE('_DIALOG_SUPPORT_ONLINE_DESCRIPTION', 'Nstein Support Network is a self service site for the Nstein community comprised of Nstein personnel, customers and partners. The Support Network was introduced with a vision to establish a bi-directional communication channel, get feedback, exchange ideas and experiences as well as empower customers and partners in their deployment of Nstein solutions by providing the latest documentation, knowledge bases and information.</p><p>Although basic access is public, you will require credentials to start interacting with the support community or to access the documentation & support sections. Those can be obtained simply by <a href="mailto:support@nstein.com?Subject=Req%3A%20Nstein%20Support%20Network%20Credentials" target="blank">sending an email to the Nstein support team</a> who will provide you login information.');
DEFINE('_DIALOG_SUPPORT_URL', '<a href="https://support.nstein.com/wiki/WCM/4.1.5" class="url" target="_blank">Visit Nstein Online Support Network</a> &nbsp;(https://support.nstein.com/wiki/WCM/4.1.5)');
DEFINE('_DIALOG_SUPPORT_DOC', 'Online documentation');
DEFINE('_DIALOG_SUPPORT_DOC_DESCRIPTION', '');

// Open ID
DEFINE('_OPENID_HEADER', 'OpenID Resources');
DEFINE('_OPENID_RESOURCE_URI', 'Resource URI');

// Solr
DEFINE('_SOLR_ERROR', 'An error occurred in Solr, please review the wcm system log for more information');
DEFINE('_SOLR_QUERY_ERROR', 'There was an error processing the query: ');


// LIVE HELP
DEFINE('_LV_WCM', 'WCM');
DEFINE('_LV_SYSTEM', 'System');
DEFINE('_LV_BUSINESS', 'Business');
DEFINE('_LV_HOME', constant('_MENU_HOME'));
DEFINE('_LV_ARTICLE', constant('_MENU_CREATE_ARTICLE'));
DEFINE('_LV_TREE', 'Tree');
DEFINE('_LV_BROWSE', constant('_BROWSE'));
DEFINE('_LV_HISTORY', constant('_HISTORY'));
DEFINE('_LV_OVERVIEW', 'Overview');
DEFINE('_LV_PROPERTIES', constant('_PROPERTIES'));
DEFINE('_LV_CONTENT', constant('_CONTENT'));
DEFINE('_LV_UPLOADMEDIA', constant('_UPLOAD_MEDIA'));
DEFINE('_LV_MEDIA', constant('_MENU_CREATE_MEDIA'));
DEFINE('_LV_WCMSEARCH', constant('_WCM_SEARCH'));
DEFINE('_LV_REFERENCING', 'Referencing');
DEFINE('_LV_CATEGORIZATION', 'Categorization');
DEFINE('_LV_FOOTPRINT', 'FootPrint');
DEFINE('_LV_PRESENTATION', 'Presentation');
DEFINE('_LV_VERSIONING', 'Versioning');
DEFINE('_LV_CONTRIBUTIONS', 'Contributions');
DEFINE('_LV_NEWSITEM', constant('_MENU_CREATE_NEWSITEM'));
DEFINE('_LV_PHOTO', constant('_MENU_CREATE_PHOTO'));
DEFINE('_LV_COLLECTION', constant('_MENU_CREATE_COLLECTION'));
DEFINE('_LV_DESIGN', constant('_DESIGN'));
DEFINE('_LV_NEWSLETTER', constant('_MENU_CREATE_NEWSLETTER'));
DEFINE('_LV_SUBSCRIBERS', 'Subscribers');
DEFINE('_LV_SLIDESHOW', constant('_MENU_CREATE_SLIDESHOW'));
DEFINE('_LV_POLL', constant('_MENU_CREATE_POLL'));
DEFINE('_LV_FORUM', constant('_MENU_CREATE_FORUM_THREAD'));
DEFINE('_LV_ITEM', constant('_MENU_CREATE_ITEM'));
DEFINE('_LV_SEARCH', constant('_SEARCH'));
DEFINE('_LV_WEBUSER', constant('_MENU_MANAGE_WEB_USERS'));
DEFINE('_LV_SITE', constant('_MENU_MANAGE_WEB_SITES'));
DEFINE('_LV_PERMISSIONS', constant('_PERMISSIONS'));
DEFINE('_LV_CHANNEL', 'Channels');
DEFINE('_LV_PUBLICATION', constant('_MENU_MANAGE_PRINT_PUBLICATIONS'));
DEFINE('_LV_ISSUE', constant('_MENU_MANAGE_PRINT_ISSUES'));
DEFINE('_LV_PREFERENCES', constant('_MENU_MANAGE_PREFERENCES'));
DEFINE('_LV_MYPREFERENCES', constant('_MY_PREFERENCES'));
DEFINE('_LV_SAVEDSEARCHES', 'Saved Search');
DEFINE('_LV_IMPORT', constant('_MENU_IMPORT_FROM_FILES'));
DEFINE('_LV_GENERATIONSET', 'Generation set');
DEFINE('_LV_TEMPLATE', constant('_TEMPLATE'));
DEFINE('_LV_TEMPLATEBACKUP', 'Templates backup');
DEFINE('_LV_LOG', 'Log');
DEFINE('_LV_MESSAGELOG', constant('_MESSAGE_LOG'));
DEFINE('_LV_TRACELOG', constant('_TRACE_LOG'));
DEFINE('_LV_GROUP', constant('_GROUPS'));
DEFINE('_LV_ACCESSPERMISSIONS', constant('_PERMISSIONS_ACCESS'));
DEFINE('_LV_SITESPERMISSIONS', constant('_PERMISSIONS_SITES'));
DEFINE('_LV_GENERATIONPERMISSIONS', constant('_PERMISSIONS_GENERATION_SET'));
DEFINE('_LV_CONTENTTYPESPERMISSIONS', constant('_PERMISSIONS_BIZCLASS'));
DEFINE('_LV_SYSTEMTYPESPERMISSIONS', constant('_PERMISSIONS_SYSCLASS'));
DEFINE('_LV_USER', constant('_USER'));
DEFINE('_LV_BIZCLASS', constant('_BIZCLASS'));
DEFINE('_LV_SYSCLASS', constant('_SYSCLASS'));
DEFINE('_LV_MENU', constant('_MENU'));
DEFINE('_LV_CONNECTOR', constant('_CONNECTORS'));
DEFINE('_LV_WORKFLOW', constant('_WORKFLOWS'));
DEFINE('_LV_TME', constant('_MENU_SYSTEM_CONFIGURATION_TME'));
DEFINE('_LV_LOCK', constant('_LOCK_MANAGEMENT'));
DEFINE('_LV_INDEXATION', constant('_MENU_SYSTEM_MAINTENANCE_REINDEX_CONTENT'));
DEFINE('_LV_MAINTENANCE', constant('_MENU_SYSTEM_MAINTENANCE_PURGE_CONTENT'));
DEFINE('_LV_ASK_FOR_OTHER_HELP', 'Where you looking for ');
