<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.roleCategory.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

/*
 * The wcmRoleCategory class represents a role category.
 * Each category can contains one or many wcmRole objects
 */
class wcmRoleCategory extends wcmSysobject
{
    /**
     * Category name
     * @var string
     */
    public $name;

    /*
     * Check if there is role in this category
     *
     * @return bool true if there is no roles in this category
     */
    public function isEmpty()
    {
        return (1 >= $this->getProject()->database->executeScalar('SELECT COUNT(*) FROM #__role WHERE id=' . $this->id, $params));
    }

    /**
     * Returns an array of roles belonging to current category
     *
     * @return array An associative array of wcmRoles (keys are roles ids) or null on error
     */
    function getRoles()
    {
        $where = 'categoryId=' . $this->id;
        $result = array();

        $enum = new wcmEnumeration('wcmRole', $where, 'name');
        foreach ($enum as $role)
        {
            $result[$role->id] = $role;
        }

        return $result;
    }
}
