<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.objectUrlGenerator.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-system-api
 * @version     4.x
 */

/**
 * The interface for bizobjects URLs generators.
 */
interface wcmObjectUrlGenerator
{
    /**
     * Generate the front-end URL for a given bizobject,
     * on a given site. If no site is specified, the
     * object's site is used by default.
     * @param bizobject $object The bizobject.
     * @param site $site The site (optional).
     * @param boolean $preview Indicate if URL is
     * generated for preview mode (default: false).
     * @return string The front-end URL for the bizobject.
     */
    public function generateUrl(bizobject $object, site $site = null, $preview = false);
}
