<?php
/**
 * Multi thread indexation script for WCM4 & SolR
 * This script can be launched via the command line
 * or it can be called via the WCM Backoffice (Indexation page)
 */

DEFINE(CURRENT_DIR, dirname(__FILE__));

// This file requires WCM initApi
if(file_exists(CURRENT_DIR . '/../../initApi.php'))
	require_once(CURRENT_DIR . '/../../initApi.php');
else    
	die(wcmCli::COLOR_RED . 'This script need to be in the WCM root folder to work' . wcmCli::COLOR_NORMAL . PHP_EOL);

// Default value for number of document to add before doing a commit
$commitEvery = 2;

// Retrieve default solr Service 
$cfg = wcmConfig::getInstance();
$solrService = $cfg['wcm.solr.service'];

session_start();

if($_SERVER['argc'] <= 1)
	die($HELP);

// Parsing parameter passed to the script
for($i = 1 ; $i < $_SERVER['argc'] ; $i++)
{
	switch($_SERVER['argv'][$i])
	{
	case '--commitEvery':
		$commitEvery = $_SERVER['argv'][$i+1];
		++$i;
		break;

	case '--solrService':
		$solrService = $_SERVER['argv'][$i+1];
		++$i;
		break;
	}
}

$search = new wcmBizsearchPluginSolr($solrService);  

$begin = microtime(true);

// Performing a last commit 
while(true)
{
	if(microtime(true) - $begin >= ($commitEvery))
	{
		$search->commit();
		echo 'Committing...' . PHP_EOL;
		$begin = microtime(true);
	}
}
