<?php
/**
 * Project:     WCM
 * File:        $Id: biz.contributionviews.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

header('Content-Type: text/xml;charset=UTF-8');

$state          = getArrayParameter($_REQUEST, 'state', null);
$className      = getArrayParameter($_REQUEST, 'className', null);
$objectId       = getArrayParameter($_REQUEST, 'objectId', null);
$from           = getArrayParameter($_REQUEST, 'from', 0);
$limit          = getArrayParameter($_REQUEST, 'limit', 25);

$bizobject = wcmObjectFactory::create($className, $objectId);

$params = array();
$params['where'] = 'referentClass="' . $bizobject->getType() . '" AND referentId="' . $bizobject->id . '"';
$params['from'] = $from;
$params['limit'] = $limit;
$params['state'] = $state;

$params['fields'] = array('title', 'nickname', 'createdAt', 'workflowState');
$params['fieldtitles'] = array(_DASHBOARD_MODULE_HEADER_TITLE, _DASHBOARD_MODULE_HEADER_BYLINE, _DASHBOARD_MODULE_HEADER_MODIFICATION_DATE, _WORKFLOW_STATE);

$params['source'] = 'contribution';
$params['orderby'] = 'createdAt DESC';


switch ($state)
{
    case 'awaiting':
        $params['where'] .= ' AND workflowState!="approved" AND workflowState!="rejected"';
        break;
    case 'all':
        $params['where'] .= '';
        break;
    case 'approved':
        $params['where'] .= ' AND workflowState = "approved"';
        break;
    case 'rejected':
        $params['where'] .= ' AND workflowState = "rejected"';
        break;
}

$parameters['params'] = $params;
$generator = new wcmTemplateGenerator();
$template = new wcmTemplate();
$template->refresh('dashboard/db.contributiontab.tpl');
echo $generator->executeTemplate($template, $parameters);
