<?php
/**
 * Project:     WCM
 * File:        $Id: biz.delsubscription.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This page is called by an Ajax call, It returns a the update content for the channel select
 *
 */

// Init system
require_once dirname(__FILE__) . '/../../../../system/private/initWebApp.php';

// Get current project
$project = wcmProject::getInstance();

// Retrieve (some) parameters
$newsletter_id = getArrayParameter($_REQUEST, 'newsletter_id', null);
$subscription_id = getArrayParameter($_REQUEST, 'subscription_id', null);

// No browser cache
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

$subscription = wcmObjectFactory::create('subscription', $subscription_id);
$subscription->refresh($subscription_id);
$webuserId = $subscription->webuserId;

if (!$subscription->delete())
{
    // Error deleting the subscription: return a 500 status, with the error message.
    header($_SERVER['SERVER_PROTOCOL'] . ' 500 Internal Server Error');
    header('Content-Type: text/plain');
    echo $subscription->getErrorMsg();
    
    return;
}

// Return the new subscription list.
header('Content-Type: text/html');
wcmModule(
    'business/ugc/webuser/subscriptionList',
    array(
        'webuserId' => $webuserId
    )
);