<?php
/**
 * Project:     WCM
 * File:        $Id: photo.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This class implements the action controller for the photo
 */
class photoAction extends mvcAction
{
    /**
     * beforeSave - process information before saving object
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function beforeSave($session, $project)
    {
        parent::beforeSave($session, $project);

        if (getArrayParameter($_REQUEST, 'sourcePath'))
        {
            // A new file was uploaded; make the file path 
            // absolute so the photo::save() method can
            // find the new image file. 
            $_REQUEST['sourcePath'] = WCM_WWW_BACKOFFICE_DIR . '/system/public/' . $_REQUEST['sourcePath'];
        }
    }
    
    /**
     * afterSave - process information after saving object
     *
     * @param wcmSession $session Current session
     * @param wcmProject $project Current project
     */
    protected function afterSave($session, $project)
    {
        if (getArrayParameter($_REQUEST, 'sourcePath'))
        {
            // A new file was uploaded; delete the temporary
            // uploaded file (and its thumbnail) after the 
            // image file was saved to the photo manager.
            unlink($_REQUEST['sourcePath']);
            unlink($_REQUEST['sourcePath'] . 'thumb');
        }
    }
}
