<?php
/**
 * Project:     WCM
 * File:        $Id: content.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();
$config  = wcmConfig::getInstance();

$factory = new photoManagerFactory();
$photoManager = $factory->createDefaultPhotoManager();
?>
<?php
echo '<div class="zone">';

wcmModule('business/shared/metacontent');
wcmGUI::openCollapsablePane(_BIZ_IMAGE);
wcmGUI::openFieldset(_BIZ_ORIGINAL);

// upload photo section
wcmGUI::renderHiddenField('actionPhoto', '');
echo '<li id="contPhoto"><span id="imgPhoto">';
if ($bizobject->original)
{
    echo '<img src="' . $photoManager->getResizedImageUrl($bizobject, 100, 75) . '" />';
}
echo '</span><span id="inputPhoto">';

// onchange action, call _autoUploadPhoto() and  submit the form in the hidden iframe
wcmGUI::renderFileField('photo', null, array('onchange' => '_autoUploadPhoto(this);', 'id' => 'photo'));
echo '</span></li>';

// hidden iframe
echo '<li><iframe id="uploadSubForm" name="uploadSubForm" src="' . $config['wcm.backOffice.url'] . 'ajax/controller.php?module=business/modalbox/uploadPhoto" class="iFrameUploadPhoto"></iframe></li>';


echo '<li><label>' . _BIZ_FILE . '</label><span id="lblPhotoTitle">' . $bizobject->original . '</span></li>';
echo '<li><label>' . _BIZ_DIMENSIONS . '</label>';
echo '<span id="originalWidth"> ' . $bizobject->width . '</span> x ';
echo '<span id="originalHeight">' . $bizobject->height , '</span> pixels</li>';
wcmGUI::renderHiddenField('original', $bizobject->original, array('id' => 'original'));
wcmGUI::renderHiddenField('sourcePath', null, array('id' => 'sourcePath'));
wcmGUI::renderHiddenField('width', $bizobject->width, array('id' => 'width'));
wcmGUI::renderHiddenField('height', $bizobject->height, array('id' => 'height'));
wcmGUI::renderHiddenField('thumbWidth', WCM_THUMB_WIDTH, array('id' => 'thumbWidth'));
wcmGUI::renderHiddenField('thumbHeight', WCM_THUMB_HEIGHT, array('id' => 'thumbHeight'));
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();

if (!$bizobject->original)
{
    $imagePath = 'img/empty.gif';
    $hide = true;
}
else
{
    $imagePath = $photoManager->getImageUrl($bizobject);
    $hide = false;
}

if ($hide)
{
    echo '<div style="display: none" id="cropHider">';
}

wcmGUI::openCollapsablePane(_BIZ_MANAGE_CROPPING);
$cmanager = new croppingManager($bizobject, WCM_BACKOFFICE_CONF_DIR . '/photosratios/default.xml');

?>
<script type="text/javascript">

CropImageManager.init('<?php echo $imagePath; ?>');
CropImageManager.setImage('<?php echo $imagePath; ?>');

</script>
<div id="cropping">
<ul id="cropping_ratios">
    <?php
foreach ($cmanager->ratios as $key => $value)
{
    echo '<li>';
    echo '<a class="ratio" href="#" alt="' . $key . '"';
    echo ' onclick="CropImageManager.select(this, \'ratio' . $value['rx'] . 'x' . $value['ry'] . '\'); return false;"/>';
    echo getConst($key) . '</a>';
    echo '</li>';
}
?>
</ul>
<div id="cropped_infos">
<span id="cropped_coords"></span>
<img class="clear" onclick="CropImageManager.clear();"/>
<img class="save" onclick="CropImageManager.set();"/>
<img class="undo" onclick="CropImageManager.undo();"/>
</div>
<div id="cropped_image"></div>
<div id="cropping_ratios"><?php $cmanager->generateHiddenFields(); ?></div>
</div>
<?php
wcmGUI::closeCollapsablePane();
if ($hide)
{
    echo '</div>';
}
