<?php
/**
 * Project:     WCM
 * File:        $Id: main.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();
$config = wcmConfig::getInstance();
$session = wcmSession::getInstance();

/*
Setup our parameters
array(
    'prefix' => '_wcm_rel_', // a prefix to avoid ID collision when using two instances
    'kind' => bizrelation::IS_COMPOSED_OF,
    'destinationClass' => 'photo',
    'classFilter' => 'photo',
    'resultStyle' => 'grid',
    'resultSetDiv' => 'relation_resultset',
    'searchEngine' => $config['wcm.plugins.search.default'],
    'createTab' => true,
    'createModule' => 'business/subForms/uploadPhoto')
*/
$prefix         = getArrayParameter($params, 'prefix', '_wcm_rel_');
$searchEngine   = getArrayParameter($params, 'searchEngine', $config['wcm.plugins.search.default']);
$resultStyle    = getArrayParameter($params, 'resultStyle', 'grid');
$kind           = getArrayParameter($params, 'kind', bizrelation::IS_RELATED_TO);
$pk = '_br_' . $kind;
?>
<div class="relation-builder">
<?php
wcmGUI::renderHiddenField('_list[]', $pk);
$relations = bizrelation::getBizobjectRelations($bizobject, $kind, $params['destinationClass'], null, false);

$tpl = new wcmTemplateGenerator();
$tpl->assign('prefix', $prefix);
$tpl->assign('relations', $relations);
$tpl->assign('pk', $pk);
$tplFile = $config['wcm.templates.path'] . '/relations/main.tpl';
$html = $tpl->fetch($tplFile);

echo $html;

$photo = wcmObjectFactory::create('photo');
// verify write permission before add the photo module
if ($session->isAllowed($photo, wcmPermission::P_WRITE))
{
    // display search placeholder
    echo '<div class="search">';
    if (getArrayParameter($params, 'createTab', false))
    {
        $params['guid']= uniqid() . 'relationship';
        $tabs = new wcmAjaxTabs($params['guid'], true);
        $tabs->addTab(
            /*SR 20100201 JIRA-2374: 'searchMediawcmSearch'*/ 'tabs.wcmsearch',
            _WCM_SEARCH,
            true,
            null,
            wcmModuleURL('business/relationship/wcmSearch', $params)
        );
        $tabs->addTab(
            /*SR 20100201 JIRA-2374: 'uploadMedia'*/ 'tabs.uploadmedia',
            _UPLOAD_MEDIA,
            true,
            null,
            wcmModuleURL('business/shared/uploadedList', $params)
        );
        $tabs->render();
    }
    else
    {
        wcmModule('business/relationship/wcmSearch', $params);
    }
    echo '</div>';
}
?>
</div>
<script type="text/javascript">
wcmActionController.registerCallback('save', function() {

    $$('#<?php echo $prefix; ?>relations li').each(function(s)
    {
        if (s.id.endsWith('IMPORT'))
        {

            var boid = s.id.split('-').pop();
            alert(boid);


            box = new Element('div');
            box.id = s.id + '_IMPORTcover';
            box.setOpacity(0.7);
            box.setStyle({
                backgroundColor: '#f00',
                height: $(s.id).offsetHeight + 'px',
                width: $(s.id).offsetWidth + 'px',
                top: $(s.id).offsetTop + 'px',
                left: $(s.id).offsetLeft + 'px',
                position: 'absolute'
            });
            box.update('IMPORTING...');
            $('relations').appendChild(box);

            // TODO I never got this to work with POST for some reason (Alex Dowgailenko)
            new Ajax.Request(wcmBaseURL+'business/ajax/controller.php', {
                method: 'get',
                parameters: {
                    ajaxHandler: 'biz.import',
                    command: 'jit',
                    id: boid
                },
                onComplete: function(transport)
                {
                    if (transport.responseText != 0)
                    {

                        alert('Imported!');
                    } else {
                        return "Not imported successfully";
                    }
                }
            });
        }

    });
});
</script>
