<?php
/**
 * Project:     WCM
 * File:        $Id: referencing.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
$bizobject = wcmMVC_Action::getContext();
$config = wcmConfig::getInstance();

$_SESSION['wcm']['footprint']['context'] = $bizobject;

echo '<div class="zone">';

wcmGUI::openCollapsablePane(_BIZ_PERMALINKS);

// get default permalink
if ($bizobject->id)
{
	$urlGeneratorFactory = new wcmObjectUrlGeneratorFactory($config);
    $urlGenerator = $urlGeneratorFactory->getDefaultGenerator();
    $defaultPermalink = $urlGenerator->generateUrl($bizobject);
}
else
{
	$defaultPermalink = _BIZ_NO_PERMALINK;
}
wcmGUI::openFieldset(_BIZ_DEFAULT_PERMALINK);
echo '<p>' . $defaultPermalink . '</p>';
wcmGUI::closeFieldset();

$aliases = array();
if ($bizobject->id)
{
	foreach (objectUrlAlias::getAll($bizobject) as $alias)
	{
		$aliases[] = $alias->alias;
	}
}
wcmGUI::openFieldset(_BIZ_URL_ALIASES);
wcmGUI::renderListField('_urlAliases', $aliases);
wcmGUI::closeFieldset();

wcmGUI::closeCollapsablePane();

wcmGUI::openCollapsablePane(_BIZ_OUTBOUND_LINKS);

wcmModule(
    'business/relationship/main',
    array(
        'kind' => bizrelation::IS_RELATED_TO,
        'destinationClass' => '',
        'classFilter' => '',
        'resultStyle' => 'grid',
        'prefix' => '_wcm_ref_',
        'searchEngine' => $config['wcm.plugins.search.default'],
        'uid' => 'reference',
        'createTab' => false,
        'createModule' => 'business/subForms/uploadPhoto'
    )
);

/**
 * @todo
 * similar to permalinks - show list of outgoing links (eg related)
 * needs URL and title
 * add a ping button to check if link is !404
 */

echo '<div style="clear:both;" >&nbsp;</div>';

wcmGUI::closeCollapsablePane();


wcmGUI::openCollapsablePane(_BIZ_INBOUND_LINKS);

wcmModule('business/shared/inboundLinks');
wcmGUI::closeCollapsablePane();

echo '</div>';
