<?php
/**
 * Project:     WCM
 * File:        $Id: content.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * Channel Content
 *
 * Display all the content of the channel (forced or by date AND result of the request)
 *
 */
$bizobject = wcmMVC_Action::getContext();

//save channel in the session for ajax calls

$prefix = '_wcm_channelRel_';

$config = wcmConfig::getInstance();

?>
<script>
var forcedcontents = new Object();
var today = new Date();
var prev_selected_date = today.getFullYear()+"-"+(today.getMonth()+1)+"-"+today.getDate();
var selected_date = today.getFullYear()+"-"+(today.getMonth()+1)+"-"+today.getDate();

//declare this here, since content.js is loaded after this file and wcmHtmlCalendar::render needs to access this callback
//when we select a day, we take the forced content of the day that was selected before it and put it in
//forcedcontents[date]
selectday = function (cal)
{
    date = cal.currentDateEl;
    selected_date = date.caldate.getFullYear()+"-"+(date.caldate.getMonth()+1)+"-"+date.caldate.getDate();
    var reg = new RegExp('^_list[^[]+\\[([^\\]]+)\\]\\[\\]$');

    rank = 0;
    forcedcontent = "[";
    elem = $('<?php echo $prefix;?>list').down();
    do {
        rank++;
        if (elem.id != 'rel-phantome' && elem.down('.remove'))
        {
            ser = '{"rank": "'+rank+'", "value":"'+elem.id+'"';
            var input = elem.down('input');
            do {
                var r = reg.exec(input.name);
                if (r) ser += ', "' + r[1] + '": "' + input.value + '"';
            } while(input = input.next());
            ser += '}';
            forcedcontent += ((forcedcontent=='[')?'':',') + ser;
        }
    } while(elem = elem.next())
    forcedcontent += "]";

    forcedcontents[prev_selected_date] = forcedcontent;
    prev_selected_date = selected_date;

    new Ajax.Request('<?php echo $config['wcm.backOffice.url'];?>/ajax/controller.php?ajaxHandler=business/biz.getdatecontent',
            {   method: 'get',
parameters:  { channel_id: <?php echo $bizobject->id;?> , prefix: '<?php echo $prefix;?>',
query: $('newquery').value, orderBy: $('orderBy').value, limit: $('limit').value,
forcedcontent: forcedcontents[selected_date],
selected_date: selected_date
},
onSuccess: function(transport) {
$('<?php echo $prefix;?>relations').innerHTML = transport.responseText;
lmng = relationSearch.linkMgr.get('channelRelations');
lmng.initSortableRelations();
}

});

}
//javascript method called on save
forcedcontenthandling = function()
{
    var reg = new RegExp('^_list[^[]+\\[([^\\]]+)\\]\\[\\]$');
    rank = 0;
    forcedcontent = "[";
    elem = $('<?php echo $prefix;?>list').down();
    do {
        rank++;
        if (elem.id != 'rel-phantome')
        {
            ser = '{"rank": "'+rank+'", "value":"'+elem.id+'"';
            var input = elem.down('input');
            do {
                var r = reg.exec(input.name);
                if (r) ser += ', "' + r[1] + '": "' + input.value + '"';
            } while(input = input.next());
            ser += '}';
            forcedcontent += ((forcedcontent=='[')?'':',') + ser;
        }
    } while(elem = elem.next())
    forcedcontent += "]";

    forcedcontents[selected_date] = forcedcontent;

    serialized_forcedcontents = "[";
    //create a json array/object ((date1) => json relations, (date2) => json relations, (date3) => json relations etc...
    //[{"date" : date1 , "value" : json repr of relations}, {"date" : date2 , "value" : json repr of relations}, etc... ]
    //where json repr of relations looks like: [{"rank": "1", "value":"rel-newsletter-1", "title":"Weekly newsletter"}]

    first = 0;
    for(date in forcedcontents)
    {
        if(first != 0)
        {
            serialized_forcedcontents += ", ";
        }
        first = 1;

        serialized_forcedcontents += "{";
        serialized_forcedcontents += '"date" : "' + date+'"';
        serialized_forcedcontents += " , ";
        serialized_forcedcontents += '"value" : ' + forcedcontents[date];
        serialized_forcedcontents += "}";
    }
    serialized_forcedcontents += "]";

    $('forcedcontents').value = serialized_forcedcontents;
}


wcmActionController.registerCallback('save', forcedcontenthandling);
wcmActionController.registerCallback('checkin', forcedcontenthandling);

</script>
<?php

echo '<div class="zone">';
wcmGUI::openCollapsablePane(_BIZ_SECTION_PROMO_PANEL);
// @todo :: Relation picker that controls what is displayed in the promotional panel
// Promotional panel can be a dynamic flash rotating panel, dynamic HTML panel, tabbed panel, etc.
wcmGUI::closeCollapsablePane();

/*
// @todo :: Overide position with any BizObjects by pick-and-choose
// Functionnality already implemented in 3.2
wcmGUI::openCollapsablePane(_BIZ_SECTION_CONTENT_RULES);
wcmGUI::openCollapsableFieldset(_BIZ_SECTION_CONTENT_RULES_MANAGEMENT);
// @todo :: Content filing rules (query builder?)
// Functionnality already implemented in 3.2
$specifyAttributes = array('onchange' => 'toggleQueryBuilder(this, \'queryBuilder\')');
wcmGUI::renderBooleanField('specifyQuery', false, _BIZ_SPECIFY_QUERY, $specifyAttributes);
wcmGUI::renderBooleanField('fixedContent', false, _BIZ_FORCED_CHANNEL);
$dateAttributes = array('style' => 'margin-left: 30px;', 'onchange' => 'toggleQueryBuilder(this, \'queryCalendar\')');
wcmGUI::renderBooleanField('dateManagement', false, _BIZ_MANAGEMENT_BY_DATE, $dateAttributes);
wcmGUI::closeFieldset();

 */

wcmGUI::openFieldset(_BIZ_QUERY, array('class' => 'queryBuilder'));
$savedSearchControl = new savedSearchControl();
$savedSearches = array();
$savedSearches[] = '(' . _BIZ_CHOOSE_QUERY . ')';
foreach ($savedSearchControl->getSavedSearches() as $search)
{
    $savedSearches[$search['queryString']] = $search['name'];
}

//hidden field will help to hold the bizrelations to date array onsave
wcmGUI::renderHiddenField('forcedcontents');

wcmGUI::renderDropdownField('savedQuery', $savedSearches, _BIZ_CHOOSE_QUERY, _BIZ_MY_SAVED_SEARCHES, array('onchange' => 'javascript:savedSearchload();'));

$search_query = $bizobject->request;
wcmGUI::renderTextField('newquery', isset($search_query['query']) ? $search_query['query'] : null, _BIZ_NEW_QUERY);
wcmGUI::renderTextField('orderBy', isset($search_query['orderBy']) ? $search_query['orderBy'] : null, _BIZ_ORDER_BY);
wcmGUI::renderTextField('limit', isset($search_query['limit']) ? $search_query['limit'] : null, _BIZ_LIMIT);

echo '<ul><li>';
echo '<a href="javascript://" onclick="buildQuery()" class="list-builder">' . _BIZ_BUILD_QUERY . '</a>';
echo '<span id="sectionsablier" class="wait" style="display:none;margin-left:5px;">&nbsp;</span></li></ul>';
wcmGUI::closeFieldset();

wcmGUI::openFieldset(_BIZ_DATE, array('class' => 'queryCalendar', 'style' => ''));
$calendar = new wcmHtmlCalendar();
echo $calendar->render('cal', null, 'date', 'selectday', false, 'en', 'calendar-mos', 'Y-m-d', 'H:i', true);
wcmGUI::closeFieldset();

wcmGUI::openFieldset(_BIZ_CONTENT);
wcmModule(
    'business/relationship/mainchannel',
    array(
        'kind' => bizrelation::IS_COMPOSED_OF,
        'destinationClass' => '',
        'classFilter' => '',
        'resultStyle' => 'grid',
        'prefix' => $prefix,
        'limit' => $search_query['limit'],
        'searchEngine' => $config['wcm.plugins.search.default'],
        'uid' => 'channelRelations',
        'createTab' => false,
        'createModule' => 'business/subForms/uploadPhoto'
    )
);

wcmGUI::closeFieldset();

/*
   @todo :: options
   wcmGUI::openCollapsableFieldset(_BIZ_SECTION_CONTENT_RULES_OPTIONS);
   select :: Number of documents display on the section page: 10, 20, 30
   select :: Number of documents per archive page: 10, 20, 30, 40, 50
   wcmGUI::closeFieldset();
 */
wcmGUI::closeCollapsablePane();

echo '</div>';
