<?php
/**
 * Project:     WCM
 * File:        $Id: issue.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/issue', array('class' => 'issue'));
$bizobject = wcmMVC_Action::getContext();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navissue', true);
    $tabs->addTab('tabs.tree.issue', _BIZ_ISSUES, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType(), 'quickSearch', 10, 'quickSearch', 1));
    $tabs->addTab('tabs.browse.issue', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.issue', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';


echo '<div id="content">';
wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('issue', true);
    $tabs->addTab('tabs.overview.issue', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.issue', _PROPERTIES, true, null, wcmModuleURL('business/editorial/issue/properties', array('publicationId' => isset($_REQUEST['publicationId']) ? $_REQUEST['publicationId'] : null)));
    /*
       if ($bizobject->id)
       {
       $tabs->addTab('t2', _BIZ_CHANNELS, true, null, wcmModuleURL('business/show_channels'));
       }
     */
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
