<?php
/**
 * Project:     WCM
 * File:        $Id: photo.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/photo', array('class' => 'photo'));
$bizobject = wcmMVC_Action::getContext();
$config = wcmConfig::getInstance();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navphoto', true);
    $tabs->addTab('tabs.tree.photo', _BIZ_PHOTOS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType()));
    $tabs->addTab('tabs.browse.photo', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.photo', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render($bizobject->id === 0);
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<script type="text/javascript" src="' . $config['wcm.backOffice.url'] . '/includes/cropper/cropper.js"></script>';
echo '<script type="text/javascript" src="' . $config['wcm.backOffice.url'] . '/includes/cropper/cropper_wcm.js"></script>';

echo '<div id="content">';
wcmGUI::openObjectForm($bizobject, array('enctype' => 'multipart/form-data'));

$tabs = new wcmAjaxTabs('photo', true);
try
{
    $tabs->addTab('tabs.overview.photo', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.photo', _BIZ_PROPERTIES, false, null, wcmModuleURL('business/editorial/photo/properties'));
    $tabs->addTab('tabs.content.photo', _BIZ_CONTENT, true, null, wcmModuleURL('business/editorial/photo/content'));
    $tabs->addTab('tabs.referencing.photo', _BIZ_REFERENCING, false, null, wcmModuleURL('business/shared/referencing'));
    $tabs->addTab('tabs.categorization.photo', _BIZ_CATEGORIZATION, false, null, wcmModuleURL('business/shared/categorization'));
    $tabs->addTab('tabs.footprint.photo', _BIZ_TME, false, null, wcmModuleURL('business/tme/footprint'));
    $tabs->render($bizobject->id === 0, array('tabs.content.photo', 'tabs.categorization.photo', 'tabs.footprint.photo'));
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
