<?php
/**
 * Project:     WCM
 * File:        $Id: publication.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('business/publication', array('class' => 'publication'));
$bizobject = wcmMVC_Action::getContext();

// Include header and menu
include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navpublication', true);
    $tabs->addTab('tabs.tree.publication', _BIZ_PUBLICATIONS, true, wcmGUI::renderQuickSearchBox('className:' . $bizobject->getType(), 'quickSearch', 10, 'quickSearch', 1));
    $tabs->addTab('tabs.browse.publication', _BROWSE, false, wcmGUI::renderBrowsePanel());
    $tabs->addTab('tabs.history.publication', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';


echo '<div id="content">';

wcmGUI::openObjectForm($bizobject);
try
{
    $tabs = new wcmAjaxTabs('publication', true);
    $tabs->addTab('tabs.overview.publication', _BIZ_OVERVIEW, false, null, wcmModuleURL('business/shared/overview'));
    $tabs->addTab('tabs.properties.publication', _PROPERTIES, true, null, wcmModuleURL('business/editorial/publication/properties'));
    $tabs->render($bizobject->id === 0);
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include(WCM_WWW_BACKOFFICE_DIR . '/system/private/views/pages/includes/footer.php');
