<?php
/**
 * Project:     WCM
 * File:        $Id: index.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * Autoload
 * @param string $argClassName Class name
 */
function _install_autoload($argClassName)
{
    $parts = explode('_', $argClassName);
    $ns = array_shift($parts);

    $cn = $parts[0];
    preg_match_all('/([A-Z][a-z0-9]+)/', $ns, $matches);
    array_shift($matches[0]);
    $path = strtolower(implode('/', $matches[0]));

    $filename = $cn . '.class.php';
    $full = dirname(__FILE__) . '/' . $path . '/' . $filename;

    include_once($full);
}

spl_autoload_register('_install_autoload');


// Load third party libraries here if necessary
require_once('../../initWcmApi.php');
require_once('SQLStatementExtractor.php');


// So we can say php 5.2.0 or higher and not 5.2.1
if (!function_exists('sys_get_temp_dir'))
{
    /**
     * Get temporary directory
     * @return string Temp directory
     */
    function sys_get_temp_dir()
    {
        // Try to get from environment variable
        if (!empty($_ENV['TMP']))
        {
            return realpath($_ENV['TMP']);
        }
        elseif (!empty($_ENV['TMPDIR']))
        {
            return realpath($_ENV['TMPDIR']);
        }
        elseif (!empty($_ENV['TEMP']))
        {
            return realpath($_ENV['TEMP']);
        }
        else
        {
            // Try to use system's temporary directory
            // as random name shouldn't exist
            $temp_file = tempnam(md5(uniqid(rand(), true)), '');
            if ($temp_file)
            {
                $temp_dir = realpath(dirname($temp_file));
                unlink($temp_file);
                return $temp_dir;
            }
            else
            {
                return false;
            }
        }
    }
}

error_reporting(E_ALL);

session_start();
$session = wcmInstall_session::getInstance();
try
{
    $step = isset($_GET['step']) ? $_GET['step'] : 'welcome';
    $session->step($step);
}
catch (Exception $e)
{
    $session->error($e);
}
