<?php
/**
 * Project:     WCM
 * File:        $Id: configFile.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

class wcmInstallInstructions_configFile extends wcmInstall_instruction
{
    /**
     * Constructor
     */
    public function __construct()
    {
        $this->description = 'Creating configuration file';
    }

    /**
     * Process the instruction.
     * @return bool True on success.
     */
    public function processInstruction()
    {
        $session = wcmInstall_session::getInstance();

        // CHECK if APC is installed
        if (extension_loaded('apc'))
        {
            $session->addWcmConfigVar('config_wcm_plugins_cache_default', 'APC');
        }

        // FETCH ALL EDITABLE ITEMS
        $dom = new DOMDocument();
        $dom->preserveWhitespace = false;
        $dom->load('./templates/configuration.xml');
        $xq = new DOMXpath($dom);

        $wcmConfig = $session->getWcmConfig();
        foreach ($wcmConfig as $confItem)
        {
            if (!empty($confItem['path']))
            {
                $xpath = '//' . str_replace('_', '/', $confItem['path']);
                $text = $confItem['value'];
                $el = $xq->query($xpath)->item(0);
                $el->nodeValue = $text;

                $session->log('Updating node: ' . $el->nodeName . ' - xpath: ' . $xpath . ' - with value: ' . $el->nodeValue);
            }
        }

        $dom->formatOutput = true;
        $xml = $dom->saveXML();
        $xml = str_replace('#WCMPATH#', rtrim($session->getWcmConfigValue('config_wcm_path'), '/'), $xml);
        $session->log($xml);

        $fp = fopen('../../conf/backoffice/configuration.xml', 'w');
        if (!$fp)
        {
            $this->output = 0;
            $session->log('Configuration file not written properly');
            return false;
        }

        fwrite($fp, $xml);
        fclose($fp);
        $this->output = 1;
        $session->log('Configuration file written succesfully');

        return true;
    }
}
