<?php
/**
 * Project:     WCM
 * File:        $Id: demoPage.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

class wcmInstallInstructions_demoPage extends wcmInstall_instruction
{
    /**
     * Constructor
     */
    public function __construct()
    {
        $this->description = 'Installing demo pages';
    }

    /**
     * Process the instruction.
     * @return boolean True on success.
     */
    public function processInstruction()
    {
        $session = wcmInstall_session::getInstance();
        $insConf = $session->getConfig();

        try
        {
            $dsn = $session->getWcmConfigValue('config_wcm_systemDB_connectionString');
            $session->log('Connecting to: ' . $dsn);

            $dsnParts = parse_url($dsn);

            $host = empty($dsnParts['port']) ? $dsnParts['host'] : $dsnParts['host'] . ':' . $dsnParts['port'];

            $conn = mysql_connect($host, $dsnParts['user'], $dsnParts['pass']);
            if (!$conn)
            {
                throw new Exception(mysql_error($conn));
            }

            if (!mysql_select_db(str_replace('/', '', $dsnParts['path']), $conn))
            {
                throw new Exception(mysql_error($conn));
            }

            $sql = SQLStatementExtractor::extractFile('./sql/mysql/demoSysInstall.sql');
            $session->log('Installing demo pages');
            foreach ($sql as $query)
            {
                if (!mysql_query($query, $conn))
                {
                    throw new Exception(mysql_error($conn));
                }
            }

            mysql_close($conn);
            unset($conn);

            $dsn = str_replace('_sys', '_biz', $dsn);
            $session->log('Connecting to: ' . $dsn);

            $dsnParts = parse_url($dsn);

            $host = empty($dsnParts['port']) ? $dsnParts['host'] : $dsnParts['host'] . ':' . $dsnParts['port'];

            $conn = mysql_connect($host, $dsnParts['user'], $dsnParts['pass']);
            if (!$conn)
            {
                throw new Exception(mysql_error($conn));
            }

            if (!mysql_select_db(str_replace('/', '', $dsnParts['path']), $conn))
            {
                throw new Exception(mysql_error($conn));
            };

            $sql = SQLStatementExtractor::extractFile('./sql/mysql/demoBizInstall.sql');
            $session->log('Installing sample content');
            foreach ($sql as $query)
            {
                if (!mysql_query($query, $conn))
                {
                    throw new Exception(mysql_error($conn));
                }
            }

            mysql_close($conn);
            unset($conn);

            $this->copyr('./sample/templates/', '../business/templates');

            return true;
        }
        catch (Exception $e)
        {
            $session->log('Error creating tables: ' . $e->getMessage());
            return false;
        }
    }

    /**
     * Copy a file/directory recursively.
     * @param string $argSource Source path.
     * @param string $argDest Destination path.
     * @return bool True on success.
     */
    private function copyr($argSource, $argDest)
    {
        // Simple copy for a file
        if (is_file($argSource))
        {
            return copy($argSource, $argDest);
        }

        // Make destination directory
        if (!is_dir($argDest))
        {
            mkdir($argDest);
        }

        // If the source is a symlink
        if (is_link($argSource))
        {
            $link_dest = readlink($argSource);
            return symlink($link_dest, $argDest);
        }

        // Loop through the folder
        $dir = dir($argSource);
        while (false !== ($entry = $dir->read()))
        {
            // Skip pointers
            if ('.' == $entry || '..' == $entry)
            {
                continue;
            }

            if ('.svn' == $entry)
            {
                continue;
            }

            // Deep copy directories
            if ($argSource . '/' . $entry !== $argDest)
            {
                if (!$this->copyr($argSource . '/' . $entry, $argDest . '/' . $entry))
                {
                    return false;
                }
            }
        }

        // Clean up
        $dir->close();
        return true;
    }
}