<?php
/**
 * Project:     WCM
 * File:        $Id: welcome.class.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * Installer : welcome page
 */
class wcmInstallSteps_welcome extends wcmInstall_step
{
    /**
     * Constructor
     */
    public function __construct()
    {
        if (isset($_GET['process']))
        {
            $this->process();
        }

        $this->title = 'Welcome to Nstein Web Content Management (WCM) installation wizard!';
        $this->loadTemplate('templates/welcome.php');
    }

    /**
     * Process the step
     */
    protected function process()
    {
        $session = wcmInstall_session::getInstance();
        try
        {
            // First make sure the directory is writable!!
            if (!@touch('install.log'))
            {
                $this->error('The installation directory is not writable!');
                return;
            }

            $session->init('install.conf.php');
            $this->redirect = 'index.php?step=license';
        }
        catch (Exception $e)
        {
            $this->error($e->getMessage());
        }
    }
}