<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.templatelist.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Initialize the system
$config = wcmConfig::getInstance();
$templatesPath = $config['wcm.templates.path'];
$prefix = $_REQUEST['prefix'];

//$folders = getFolders($templatesPath, $prefix);
$folders = getFolders($prefix);
sort($folders);
echo '<ul>';
foreach ($folders as $folder)
{
    echo '<li>';
    echo $folder;
    echo '</li>';
}
echo '</ul>';

/**
 * Get folders list
 * @param string $prefix Prefix to match with
 * @return array Array of folders
 */
function getFolders($prefix)
{
    $config = wcmConfig::getInstance();
    $templatesPath = $config['wcm.templates.path'];
    $folders = array();
    $fileName = '';

    $prefixes = explode('/', $prefix);
    $match = $prefixes[count($prefixes)-1];
    $path = implode('/', $prefixes);
    $path = str_replace($match, '', $path);

    $dr = new DirectoryIterator($templatesPath . $path);
    $match = '^' . $match;
    foreach ($dr as $drcontent)
    {
        if ((ereg($match, $drcontent->getFilename()) || $match == '') && $drcontent->getFilename() != '.' && $drcontent->getFilename() != '..' && $drcontent->getFilename() != '.svn')
        {
            if ($drcontent->isDir() || ($path != '' && $path != '/'))
            {
                $folders[] = $path . $drcontent->getFilename();
            }
            elseif ($path == '/')
            {
                $folders[] = $drcontent->getFilename();
            }
        }
    }

    return $folders;

}
