<?php
/**
 * Project:     WCM
 * File:        $Id: managelist.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * This page is called by an Ajax call, It processes modifications to saved searches and bins (later)
 *
 */

// Get current project
$project = wcmProject::getInstance();

// Retrieve (some) parameters
$object_id      = getArrayParameter($_REQUEST, 'object_id', null);
$object_class   = getArrayParameter($_REQUEST, 'object_class', null);
$action         = getArrayParameter($_REQUEST, 'action', null);
$params         = getArrayParameter($_REQUEST, 'params', null);
$value          = getArrayParameter($_REQUEST, 'value', null);

// No browser cache
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

$object = wcmObjectFactory::create($object_class, $object_id);

if ($value == 'true')
{
    $value = 1;
}
elseif ($value == 'false')
{
    $value = 0;
}

switch ($action)
{
    case 'delete':
        echo $object->delete();
        break;

    case 'updateshared':		
        $object->shared = (bool)$value;
        echo $object->save();
        break;
    case 'updateshowui':
        $session = wcmSession::getInstance();	

        $show = (bool)$value;
        $userId = $session->userId;

        $showui = ($object->showui == null) ? array() : $object->showui;
        if ($show == 1)
        {
            $showui[] = $userId;
            $object->showui = $showui;
        }
        else
        {
            unset($showui[array_search($userId, $showui)]);
            $object->showui = $showui;
        }
        echo $object->save();
        break;
}
