<?php
/**
 * Project:     WCM
 * File:        $Id: quickSearch.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Retrieve parameters
$uid = getArrayParameter($_REQUEST, 'uid', 'quickSearch');
$filter = getArrayParameter($_REQUEST, 'filter', null);
$query = getArrayParameter($_REQUEST, 'query', null);
$offset = getArrayParameter($_REQUEST, 'offset', 0);
$pageSize = getArrayParameter($_REQUEST, 'pageSize', 10);
$simpleMode = getArrayParameter($_REQUEST, 'simpleMode', null);
$tplFile = getArrayParameter($_REQUEST, 'tpl', 'quickSearch');
$engine = getArrayParameter($_REQUEST, 'engine', $config['wcm.plugins.search.default']);
$style = getArrayParameter($_REQUEST, 'style', 'grid');
$idPrefix = getArrayParameter($_REQUEST, 'idPrefix', null);
$resultSet = getArrayParameter($_REQUEST, 'resultSet', $idPrefix . 'resultset');
$orderBy = getArrayParameter($_REQUEST, 'orderBy', 'createdAt asc');
$currentPage = getArrayParameter($_REQUEST, 'currentPage', 1);
$maxRange = getArrayParameter($_REQUEST, 'maxRange', 9);
$t0 = microtime(true);
$buildQuery = null;
if ($filter && $query)
{
    $buildQuery = $filter . ' AND (' . $query . ')';
}
elseif ($query)
{
$buildQuery = $query;
}
elseif ($filter)
{
$buildQuery = $filter;
}
$search = wcmSearch::getInstance($engine);
$total = $search->search($uid, $buildQuery, $orderBy);
$html = null;
if ($total)
{
if ($simpleMode == null)
{
$html .= '<div class="resultBar">';
$html .= sprintf(_RESULT_N_ITEMS_FOUND, $total, ($total > 1) ? 's' : '', ($total > 1) ? 's' : '');
$html .= sprintf(' (%0.2fs)', microtime(true)-$t0);
$html .= '</div>';
}

// Display first page
$offset = ($currentPage - 1) * $pageSize;
$result = $search->getSearchResults($offset, $offset+$pageSize-1, false);

if (!defined('SMARTY_DIR'))
{
    /**
     * Smarty include directory
     */
    define('SMARTY_DIR', dirname(__FILE__) . '/../includes/Smarty/');
}
require_once(SMARTY_DIR . 'Smarty.class.php');
require_once(SMARTY_DIR . 'Smarty_Compiler.class.php');

$totalPages = (int)ceil($total / $pageSize);

$maxRangeOffset = $maxRange-1;
$startRange =  $currentPage - floor(($maxRangeOffset)/2);
$startRange = ($startRange < 1) ? 1 : $startRange;
$endRange = (($startRange + $maxRangeOffset)>$totalPages) ? $totalPages : $startRange + $maxRangeOffset;

$pages = range($startRange, $endRange);

$previousPage = ($currentPage == 1) ? 1 : $currentPage - 1;
$nextPage = ($currentPage == $totalPages) ? $currentPage : $currentPage + 1;

$tpl = new wcmTemplateGenerator();
$tpl->assign('resultSet', $result);
$tpl->assign('idPrefix', $idPrefix);
$tpl->assign('totalResults', $total);
$tpl->assign('pages', $pages);
$tpl->assign('currentPage', $currentPage);
$tpl->assign('nextPage', $nextPage);
$tpl->assign('previousPage', $previousPage);
$tpl->assign('pageSize', $pageSize);
$tpl->assign('query', $buildQuery);
$tpl->assign('engine', $engine);
$tpl->assign('uid', $uid);

$tplFile = $config['wcm.templates.path'] . 'results/' . $style . '/bo.tpl';

$html = $tpl->fetch($tplFile);



}
else
{
    $html .= '<div class="resultBar">';
    $html .= _RESULT_NO_ITEM_FOUND;
    $html .= '</div>';
    $html .= '<div class="navBar"></div>';
}

// Save the query in the session only for the quickSearch style
if (isset($filter)&& $style=='quickSearch'){
    $_SESSION['lastQuickSearch'][$filter]['query'] = $query;
    $_SESSION['lastQuickSearch'][$filter]['orderBy'] = $orderBy;
    $_SESSION['lastQuickSearch'][$filter]['pageSize'] = $pageSize;
    $_SESSION['lastQuickSearch'][$filter]['html'] = $html;
}

echo $html;
