<?php
/**
 * Project:     WCM
 * File:        $Id: wcm.ajaxTable.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Get current project
$project = wcmProject::getInstance();

// Open current session
$session = wcmSession::getInstance();

// Retrieve query parameters
$tableId = getArrayParameter($_REQUEST, 'tableId', null);
$command = getArrayParameter($_REQUEST, 'command', null);

// Prepare ajax result
$html = null;

// Search table by id
try
{
    $table = $project->datalayer->getTableById($tableId);
    if (!$table)
    {
        $html = '<span class="error">Invalid table id ' . $tableId . '</span>';
    }
    else
    {
        // Execute specific command
        switch ($command)
        {
            case 'create_db':
                $failed = $table->createDB();
                if ($failed)
                {
                    $html = '<span class="error">Erreur lors de la cr&eacute;ation de la table : ' . $failed . '<br/>';
                }
                else
                {
                    $html = '<span class="success">Table ' . $table->reference . ' cr&eacute;ee</span>';
                }
                break;

            case 'create_api':
                $failed = $table->createAPI($session);
                if ($failed)
                {
                    $html = '<span class="error">Erreur lors de la cr&eacute;ation de l\'api : ' . $failed . '<br/>';
                }
                else
                {
                    $html = '<span class="success">Classe biz.' . strtolower($table->name) . '.php cr&eacute;ee</span>';
                }
                break;
                break;

            case 'create_bo':
                $failed = $table->createBO($session);
                if ($failed)
                {
                    $html = '<span class="error">Erreur lors de la cr&eacute;ation de l\'interface : ' . $failed . '<br/>';
                }
                else
                {
                    $html = '<span class="success">Interface cr&eacute;e</span>';
                }
                break;

            default:
                $html = '<span class="error">Unexpected command ' . $command . '</span>';
                break;
        }
    }
}
catch (Exception $e)
{
    $html = 'Error : ' . $e->getMessage();
}

// No browser cache
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

// Xml output
header('Content-Type: text/xml');
echo '<?xml version=\"1.0\" encoding=\"UTF-8\"?>' . PHP_EOL;

// Write ajax response
echo '<ajax-response>' . PHP_EOL;
echo '<response type="item" id="tableCommandResult">';
echo '<![CDATA[';

// Return command result
echo $html;
echo ']]>';
echo '</response>' . PHP_EOL;
echo '</ajax-response>' . PHP_EOL;
