<?php
/**
 * Project:     WCM
 * File:        $Id: sharedHelp.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

/**
 * The variable $help contains the instance of wcmContextHelp
 */
$config = wcmConfig::getInstance();
$lang = wcmSession::getInstance()->getLanguage();
$baseUrl = $config['wcm.backOffice.url'] . '/ajax/controller.php?view=help/context/' . $lang . '/';

/**
 * This part displays the TAB BAR navigation
 */
$helpGibs = $help->getHelpParts();
?>
<ul class="help-tabs">

    <li>
        <a href="<?php echo $baseUrl; ?>wcm.html" target="helpIframe">WCM</a>
    </li>

<?php
$n = count($helpGibs);
for ($i = 2; $i <= $n; ++$i)
{
    $helpFile = $help->getResourceFile(array_slice($helpGibs, 0, $i));
    if ($helpFile)
    {
        ?>
        <li>
          <a href="<?php echo $baseUrl . $helpFile; ?>" target="helpIframe"><?php
          $tmp = '_LV_'.strtoupper($helpGibs[$i - 1]);
          if (defined($tmp))
          {
              echo constant($tmp);
          }
          ?></a>
        </li>
        <?php
    }
}
?>
</ul>
<?php

/**
 * Debug Code
 *
 * If Debug is enabled, this will display.
 */
if ($config['wcm.logging.debug'])
{
    $gibs = $help->getHelpParts();

    echo '<div class="help-debug">';
    echo '<p class="notice">Please Note: This information was generated when the help system was first initialized. It is not updated.</p>';
    if (count($gibs) == 4)
    {
        $gibs2 = $gibs;
        $gibs2[2] = 'shared';
        ?>
        <p>The help system was searching for the following file(s): <b><?php echo implode('.', $help->getHelpParts()); ?>.html</b> OR <b><?php echo implode('.', $gibs2); ?>.html</b></p>
        <p>The help system found this file: <b><?php echo basename($help->getResource()); ?></b></p>
        <?php
    }
    else
    {
        ?>
        <p>The help system was searching f#or the following file(s): <b><?php echo implode('.', $help->getHelpParts()); ?>.html</b></p>
        <p>The help system found this file: <b><?php echo basename($help->getResource()); ?></b></p>
        <?php
    }

    echo '</div>';
}

/**
 * Ok, this code may seem ass backwards in its implementation. Why even bother with the
 * jsonTabs javascript hash?
 *
 * Well, don't ask me. I haven't a clue. When I tried to insert json directly into the onclick event,
 * everything broke in firefox and the json would come out as looking like {' and that's it.
 *
 * This strangeness happens when I tried to update innerHTML. The responseText from the ajax request looked
 * fine. Very strange. In anycase, after hacking around I came up with this ass backwards solution that doesn't
 * break.
 */
$tabs = $help->getTabs();
if (count($tabs) > 1)
{
    if ('window' == $help->getMode())
    {
        $cmdPrefix = 'window.opener.$WCM';
    }
    else
    {
        $cmdPrefix = '$WCM';
    }
    ?>
    <script type="text/javascript">
       jsonTabs = {};
    </script>
    <div class="help-alternative" >
    <?php
    foreach ($tabs as $tab)
    {
        if (empty($tab->id))
        {
            continue;
        }
        if (empty($help->getCurrentTab()->id))
        {
            continue;
        }

        if ($tab->id != $help->getCurrentTab()->id)
        {
            // Ok, but we need to make sure this file exists first
            // This involves checking shared and non shared alike

            $sharedGibs = $nonSharedGibs = $helpGibs;
            $sharedGibs[2] = 'shared';
            $sharedGibs[3] = $tab->id;

            $nonSharedGibs[3] = $tab->id;

            $nonSharedFile = WCM_WWW_BACKOFFICE_DIR . '/system/private/views/help/context/' . $lang . '/' . implode('.', $nonSharedGibs) . '.html';
            $sharedFile = WCM_WWW_BACKOFFICE_DIR . '/system/private/views/help/context/' . $lang . '/' . implode('.', $sharedGibs) . '.html';


            $json = addslashes(json_encode($tab));
            $title = $tab->title;
            ?>
            <script type="text/javascript">
            jsonTabs['<?php echo $tab->id; ?>'] = '<?php echo $json; ?>';
            </script>
                <p id="helpAlternative-<?php echo $tab->id; ?>"><?php echo constant("_LV_ASK_FOR_OTHER_HELP") ?> <a href="javascript:<?php echo $cmdPrefix; ?>.getHelp().panel.refresh(<?php echo $cmdPrefix; ?>.getCurrentAction(),<?php echo $cmdPrefix; ?>.getActiveTabs(),jsonTabs['<?php echo $tab->id; ?>'].evalJSON());"><?php echo $title; ?></a>?</p>
            <?php
        }
    }
    ?>
    </div>
    <?php
}
?>
<iframe id="helpIframe" name="helpIframe" class="help-iframe"></iframe>

<script type="text/javascript">
$('helpIframe').observe('load',function(event)
{
    // Clear "Loading..." from the title
    $('toolBarTitle').update('');

});
$('helpIframe').src = '<?php echo $config['wcm.backOffice.url']; ?>/ajax/controller.php?view=help/context/<?php echo $lang . '/' . $help->getResourceFile(); ?>';
</script>
