<?php
/**
 * Project:     WCM
 * File:        $Id: properties.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$project = wcmProject::getInstance();
$config  = wcmConfig::getInstance();
$sysobject = wcmMVC_Action::getContext();

echo '<div class="zone">';
wcmGUI::openCollapsablePane(_PROPERTIES);
wcmGUI::openFieldset(_GENERAL);
wcmGUI::renderTextField('name', $sysobject->name, _NAME . ' *', array('class' => 'type-req'));
wcmGUI::renderTextField('login', $sysobject->login, _LOGIN . ' *', array('class' => 'type-req'));
wcmGUI::renderPasswordField('password', $sysobject->password, _PASSWORD . ' *', array('class' => 'type-req'));
wcmGUI::renderTextField('email', $sysobject->email, _EMAIL . ' *', array('class' => 'type-email-req'));
wcmGUI::renderBooleanField('isAdministrator', $sysobject->isAdministrator, _IS_ADMINISTRATOR);
wcmGUI::renderTextField('nip', $sysobject->nip, _NIP, array('class' => 'type-nip'));
wcmGUI::closeFieldset();
wcmGUI::openFieldset(_ADDITIONAL_EMAILS);
wcmGUI::renderListField('optionalEmails', $sysobject->optionalEmails);
wcmGUI::closeFieldset();

// Render member list
wcmGUI::openFieldset(_GROUPS);

foreach ($project->membership->getGroups() as $group)
{

    // Ignore everyone group
    if ($group->id != wcmMembership::EVERYONE_GROUP_ID)
    {
        $selected = ($sysobject->isMemberOf((int)$group->id) || (isset($params['groupId']) && ($params['groupId'] == $group->id)));
        wcmGUI::renderBooleanField('_groups[' . $group->id . ']', $selected, getConst($group->name));
    }
}
wcmGUI::closeFieldset();
wcmGUI::closeCollapsablePane();
echo '</div>';
