<?php
/**
 * Project:     WCM
 * File:        $Id: group.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('group', array('class' => 'wcmGroup', 'tree' => 'membership'));
$sysobject = wcmMVC_Action::getContext();

// Include header and menu
include('includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', false);
    $tabs->addTab('tabs.tree.group', _BROWSE, true, wcmMVC_Action::getTree()->renderHTML());
    $tabs->addTab('tabs.history.group', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($sysobject);
try
{   /* SR 20100201 JIRA-2374 : tabs' names must match tabs\.{~helpFileName~}\..* pattern, else the help file is not recognized and not reachable */
    $tabs = new wcmAjaxTabs('group', true);
    $tabs->addTab('tabs.properties.group', _PROPERTIES, true, null, wcmModuleURL('system/membership/group/properties'));
    $tabs->addTab('tabs.accesspermissions.group', _PERMISSIONS_ACCESS, false, null, wcmModuleURL('system/permissions/properties', array('targetKind' => 'wcmMenu')));
    $tabs->addTab('tabs.sitespermissions.group', _PERMISSIONS_SITES, false, null, wcmModuleURL('system/permissions/properties', array('targetKind' => 'site')));
    $tabs->addTab('tabs.generationpermissions.group', _PERMISSIONS_GENERATION_SET, false, null, wcmModuleURL('system/permissions/properties', array('targetKind' => 'wcmGenerationSet')));
    $tabs->addTab('tabs.contenttypespermissions.group', _PERMISSIONS_BIZCLASS, false, false, wcmModuleURL('system/permissions/properties', array('targetKind' => 'wcmBizclass')));
    $tabs->addTab('tabs.systemtypespermissions.group', _PERMISSIONS_SYSCLASS, false, false, wcmModuleURL('system/permissions/properties', array('targetKind' => 'wcmSysclass')));

    $tabs->render($sysobject->id === 0);
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include('includes/footer.php');
