<?php
/**
 * Project:     WCM
 * File:        $Id: log.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('log');

// Include header
include('includes/header.php');

// Render command bar
$actions = array(
        array('code' => 'refresh', 'name' => _REFRESH, 'url' => wcmMVC_Action::computeURL($session->getCurrentAction())),
        array('code' => 'refresh', 'name' => _CLEAR_TRACE_LOG, 'url' => wcmMVC_Action::computeURL($session->getCurrentAction(), 'clearTrace'))
        );
wcmGUI::renderAssetBar(_MENU_SYSTEM_ADMINISTRATION, _MENU_SYSTEM_ADMINISTRATION_MESSAGE_LOG, $actions);

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', true);
    $tabs->addTab('tabs.history.log', _HISTORY, true, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
try
{
    $tabs = new wcmAjaxTabs('group', true);
    $tabs->addTab('tabs.messagelog.log', _MESSAGE_LOG, true, null, wcmModuleURL('system/log/message'));
    $tabs->addTab('tabs.tracelog.log', _TRACE_LOG, true, null, wcmModuleURL('system/log/trace'));
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

include('includes/footer.php');
