<?php
/**
 * Project:     WCM
 * File:        $Id: menu.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('menu', array('class' => 'wcmMenu'));
$sysobject = wcmMVC_Action::getContext();

// Include header and menu
include('includes/header.php');

// Root menu cannot be updated nor deleted
if ($sysobject->parentId == 0 && $sysobject->id != 0)
{
    $disabledButtons = array('delete', 'save');
}
else
{
    $disabledButtons = array();
}

wcmGUI::renderObjectMenu(true, $disabledButtons);

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', false);
    $tabs->addTab('tabs.tree.menu', _BROWSE, true, wcmMVC_Action::getTree()->renderHTML());
    $tabs->addTab('tabs.history.menu', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($sysobject);
try
{
    $tabs = new wcmAjaxTabs('menu', true);
    $tabs->addTab('tabs.properties.menu', _PROPERTIES, true, null, wcmModuleURL('system/menu/properties'));
    /**
     * @todo : manage permissions
     $tabs->addTab('t2', _PERMISSIONS, false, null, wcmModuleURL('system/permissions/groups', wcmPermission::P_EXECUTE));
     */
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();

include('includes/footer.php');
