<?php
/**
 * Project:     WCM
 * File:        $Id: sysclass.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('sysclass', array('class' => 'wcmSysclass'));
$sysobject = wcmMVC_Action::getContext();

// Include header and menu
include('includes/header.php');

$disabledButtons = array('delete');
if ($sysobject->id == 0)
{
    $disabledButtons[] = 'save';
}

wcmGUI::renderObjectMenu(true, $disabledButtons);

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', false);
    $tabs->addTab('tabs.tree.sysclass', _BROWSE, true, wcmMVC_Action::getTree()->renderHTML());
    $tabs->addTab('tabs.history.sysclass', _HISTORY, false, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($sysobject);
try
{
    $tabs = new wcmAjaxTabs('sysclass', true);
    $tabs->addTab('tabs.properties.sysclass', _SYSCLASS, true, null, wcmModuleURL('system/bizlogic/sysclass/properties'));
    $tabs->addTab('tabs.permissions.sysclass', _PERMISSIONS, false, null, wcmModuleURL('system/permissions/properties', array('targetKind'=>'wcmGroup')));

    $tabs->render($sysobject->id === 0);
}
catch (Exception $e)
{		
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include('includes/footer.php');
