<?php
/**
 * Project:     WCM
 * File:        $Id: tme.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
    set_time_limit(7200);

    include('includes/header.php');

?>
<script>
    function test()
    {
        if($('_wcmBoxmerge').checked)
            $('actionbutton').href = "?todo=mine&merge=1";
        else
            $('actionbutton').href = "?todo=mine";
    }
</script>

    <div id="assetbar">
        <h3><?php echo _BIZ_SEMANTIC_DATA;?></h3>
    </div>
    <div id="sysinfo">
    </div>
    <div class="genericForm">
    <form>

<?php
    // check if TME module is enabled
    $config = wcmConfig::getInstance();
    if (!$config['tme.enabled'])
    {
        echo _BIZ_TME_NOT_ENABLED;
        exit();
    }

    if (getArrayParameter($_REQUEST, 'todo') == 'mine')
    {
        $t0 = microtime(true);
        foreach(getClassList() as $className => $label)
        {
            mineObjects($className);
        }

        echo '<h4>' . _BIZ_TOTAL_COMPUT_TIME . sprintf('%0.2f sec', microtime(true) - $t0) . '</h4>';
    }
    else
    {
        echo '<fieldset>';
        echo '<legend>' . _BIZ_UPDATE_SEMANTIC_DATA . '</legend>';
        echo '<ul>';
        echo '<li>' . _BIZ_UPDATE_SEMANTIC_DATA_ALERT . '</li>';
        echo '<li class="boolean" style="text-align: right;">';
        echo '<input type="checkbox" style="display:inline;float:none;" id="_wcmBoxmerge" name="_wcmBoxmerge" onclick="test();" style=""/>';
        echo '<label for="_wcmBoxmerge" style="float: none; display: inline;">' . _BIZ_MERGE_SEMANTIC_DATA . '</label>';
        echo '</li>';
        echo '<li><a href="?todo=mine" id="actionbutton" class="action">' . _BIZ_EXECUTE_PROCESS . '</a></li>';
        echo '</ul>';
        echo '</fieldset>';
    }

    /**
     * Print mine objects
     * @param string $className Class name
     * @param array $methods Array of methods
     */
    function mineObjects($className, $methods = null)
    {
        $merge = getArrayParameter($_REQUEST, 'merge', null);

        $bo = wcmObjectFactory::create($className);

        if (!property_exists($bo, 'siteId'))
        {
            return;
        }

        $config = wcmConfig::getInstance();
        $site = new site(null, wcmSession::getInstance()->getSiteId());
        $tme = new wcmSemanticServer($config['tme.server'], $config['tme.port']);


        $bo->beginEnum();
        echo '<h2>' . _BIZ_UPDATING_SEMANTIC_DATA_FOR . $className . '</h2>';
        echo '<ul>';

        $sites = array();
        while ($bo->nextEnum())
        {
            if (property_exists($bo, 'siteId'))
            {
                if (isset($sites[$bo->siteId]))
                {
                    $index = $sites[$bo->siteId];
                }
                else
                {
                    $site = new site(null, $bo->siteId);
                    $index = parse_url($site->getConfig('tme.connectionString'), PHP_URL_PATH);
                    $index = $sites[$bo->siteId] = substr($index, 1);
                }
            }
            
            try
            {
                echo '<li>' . $bo->title;

                $mo = $tme->mineObject($bo, $methods, $index);

                if (null === $mo)
                {
                    echo ' : error => ' . $tme->getErrorMessage() . '</li>';
                    break;
                }

                if ($merge && is_object($bo->semanticData))
                {
                    $bo->semanticData = $bo->semanticData->merge($mo);
                }
                else
                {
                    $bo->semanticData  = $mo; 
                }
                $bo->save();

                echo '</li>';
            }
            catch (Exception $e)
            {
                echo ' : error => ' . $e->getMessage() . '</li>';
                break;
            }

            // Flush the output to the browser
            // Please leave the @ symbols, they are necessary
            echo str_repeat(' ', 256);
            if (ob_get_length())
            {
                @ob_flush();
                @flush();
                @ob_end_flush();
            }
            @ob_start();

        }
        $bo->endEnum();
        echo '</ul>';
        echo '<br/>';
    }
    ?>
    </form>
    </div>
    <?php
    include('includes/footer.php');
