<?php
/**
 * Project:     WCM
 * File:        $Id: tmeObject.php 7493 2010-01-25 19:39:28Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

$id = getArrayParameter($_REQUEST, 'id', null);
$className = getArrayParameter($_REQUEST, 'className', 'article');

// Include header and menu
include('includes/header.php');

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', false);
    $tabs->addTab('tabs.history.user', _HISTORY, true, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
?>
	<style>
		em{
			font-size:1.0em;
		}

		p{
			font-size:0.8em;
		}
		textarea{
			width:100%;
			height:200px;		
			font-size:0.9em;	
		}
        table{ 
            border-collapse: collapse;
        }
	</style>

	<div style="margin:0px auto;width:700px;margin-top:15px;padding:20px;background:#FAFAFA;border:thin solid #DEDEDE;">
	<form name="frm" action="?_wcmAction=tmeObject">
		<input type="text" name="id" id="id" value="<?php echo $id; ?>" />
	    <select name="className" id="className">
            <option value="article">Article</option>
        </select>
        <input type="submit" value="Display it!" />
	</form>
    <?php
        if(null == $id)
	            die("You need to pass an id (e.g. ?id=907)");

        $bizobject = new $className();
        $bizobject->refresh($id);

        // Mine it
        $config = wcmConfig::getInstance();
        $site = new site(null, wcmSession::getInstance()->getSiteId());
        $tme = new wcmSemanticServer($config['tme.server'], $config['tme.port']);
        $semanticData = $tme->mineObject($bizobject);

        switch($className)
        {
            case 'article':
                $title = $bizobject->title;
                $abstract = $bizobject->abstract;
                $keywords = $bizobject->keywords;
                $chapters = $bizobject->getChapters();

                $body = '';
                foreach($chapters as $chapter)
                        $body .= $chapter->text;
            break;

            default:
                $title = $bizobject->title;
                $abstract = '';
                $keywords = '';
                if(property_exists($bizobject, 'text'))
                    $body = $bizobject->text;
                else
                    $body = '';
            break;
        }
    ?>

    <hr size="1" style="margin-top:15px;color:#FFF;" />
	<h1 style="margin-top:20px;margin-bottom:10px;">Title : <?php echo $title; ?></h1>
	<p style="margin-top:5px;"><em><strong>Abstract : </strong><?php echo $abstract; ?></em></p>
    <p style="margin-top:5px;"><strong>Keywords : <?php echo $keywords; ?></strong></p>
    <p style="margin-top:10px;"><strong>Body :</strong><br/><?php echo $body; ?></p>
    </div>

    <div style="margin:0px auto;width:700px;margin-bottom:100px;margin-top:15px;padding:20px;background:#FAFAFA;border:thin solid #DEDEDE;">
		<h3>TME Infos</h3>
		<strong>XML sent to the TME</strong><br/>
		<textarea name="tmeCall"><?php echo $tme->getLastCommand(); ?></textarea>
		<br/>	
		<br/>	
		<br/>	

		<strong>XML received by the TME</strong><br/>
		<textarea name="tmeCall"><?php echo $tme->getLastResult(); ?></textarea>
		<br/>	
		<br/>	
		<br/>	

		<strong>Text used for TME call (getSemanticText method)</strong><br/>
		<textarea name="tmeCall"><?php echo $bizobject->getSemanticText(); ?></textarea>
		<br/>	
		<br/>	
		<br/>	

        <?php
        function displayTMEData($title, $tags, $type)
        {
            $html = ''; 
            $cpt = 0;
            foreach($tags as $tag => $infos)
            {
                $html .= '<tr';
                if($cpt % 2 == 0)
                        $html .= ' style="background:#DDD;"';
                
                ++$cpt;
                      
                $html .= '><td><a href=\'?_wcmAction=tmeSearch&q=tout&filtersFacet[]=' . $type . ':' . $tag . '\'>' . $tag . '</a></td>';
                foreach($infos as $key => $value)
                {
                    $html .= '<td width="100px">' . $key . ': ' . $value . '</td>';
                }
                $html .= '</tr>';
            }
        
            foreach($tags as $tag => $infos)
            {
                $nbCols = sizeof($infos) + 1;
                break;
            }
            if(sizeof($tags))
            {
                echo '<table style="margin-top:10px;font-size:0.8em;" borderColor="#CCCCCC" border="1"';
                echo ' width="100%">';
                echo '<tr style="background:#000;font-weight:bold;font-size:1.4em;color:white;">';
                echo '<td colspan="' . $nbCols . '">';
                echo $title;
                echo '</td></tr>';
            }

            if($html)
                echo $html;
            
            echo '</table>';
        }
        ?>

        <strong>Semantic Data (What get stored in WCM basically)</strong><br/>
		<div name="tmeCall">
		<?php
  
        if($semanticData)
        {      
            displayTMEData('Concepts', $semanticData->concepts, 'concept');
            displayTMEData('IPTC Categories', $semanticData->categories, 'category');
            displayTMEData('PN', $semanticData->PN, 'pn');
            displayTMEData('GL', $semanticData->GL, 'gl');
            displayTMEData('ON', $semanticData->ON, 'on');
        }
		?>
		</div>
		<br/>	
		<br/>	

<?php
echo '</div>';
include('includes/footer.php');
