<?php
/**
 * Project:     WCM
 * File:        $Id: tmeSearch.php 7493 2010-01-25 19:39:28Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
$session = wcmSession::getInstance();
$config = wcmConfig::getInstance();

// Include header and menu
include('includes/header.php');
include(WCM_DIR . '/wcm-tools/tme/tmeSearchController.php');
include(WCM_DIR . '/includes/SimpleSolr/simpleSolr.php');

$search = new tmeSearchController($config['solr.service'], $_REQUEST);
$search->always();
$search->doSearch();

function displayFacets($facets, $qry, $filtersFacetQuery, $type)
{
    $html = '';
    foreach($facets as $entity => $value)
    {
        $html .= '<a href="?' . $qry;
        $html .= $filtersFacetQuery . '&filtersFacet[]=' . $type . ':' . $entity . '">';
        $html .= $entity . ' (' . $value . ')</a><br/>';
    }
    $html .= '<br/><br/><br/><br/><br/><br/><br/>';
    return $html;
}

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', true);
    $tabs->addTab('t1', 'NFinder GL', true, displayFacets($search->facetsGL, $search->keywordQuery, $search->filtersFacetQuery, 'gl'));
    $tabs->addTab('t2', 'NFinder PN', false, displayFacets($search->facetsPN, $search->keywordQuery, $search->filtersFacetQuery, 'pn'));
    $tabs->addTab('t3', 'NFinder ON', false, displayFacets($search->facetsON, $search->keywordQuery, $search->filtersFacetQuery, 'on'));
    $tabs->addTab('t4', 'Concepts', false, displayFacets($search->facetsConcepts, $search->keywordQuery, $search->filtersFacetQuery, 'concept'));
    $tabs->addTab('t5', 'Categories', false, displayFacets($search->facetsCategories, $search->keywordQuery, $search->filtersFacetQuery, 'category'));
    $tabs->render();
}
catch (Exception $e)
{
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

$facetLimit = getArrayParameter($_REQUEST, 'facetLimit', 100);
$q = getArrayParameter($_REQUEST, 'q', 'tout');
$rows = getArrayParameter($_REQUEST, 'rows', 20);
$paginationOffset = getArrayParameter($_REQUEST, 'paginationOffset', '5');
$page = getArrayParameter($_REQUEST, 'page', '1');
?>
<style>
    .label{
        width:150px;
    }
</style>

<div id="content">
<div style="margin:0px auto;width:700px;margin-top:15px;margin-bottom:100px;padding:20px;background:#FAFAFA;border:thin solid #DEDEDE;">

<form action="?" method="post">
<table cellspacing="5">
<tr>
    <td class="label">Query</td>
    <td><input style="width:400px;" type="text" id="q" name="q" value="<?php echo $q; ?>" />
        <input type="button" onClick="location.href='?_wcmAction=tmeSearch&q=tout&rows=<?php echo $rows; ?>&facetLimit=<?php echo $facetLimit; ?>'" value="Search All" />
    </td>
</tr>
<tr>
    <td class="label">Rows per page</td>
    <td><input style="width:50px;" type="text" id="rows" name="rows" value="<?php echo $rows; ?>" /></td>
<tr>
    <td class="label">Nb facet values</td>
    <td><input style="width:50px;" type="text" id="facetLimit" name="facetLimit" value="<?php echo $facetLimit; ?>" /></td>
</tr>
<tr>
    <td colspan="2"><input type="submit" /></td>
</tr>
</table>

<input type="hidden" name="paginationOffset" id="paginationOffset" value="<?php echo $paginationOffset; ?>" />
</form>

<hr size="1" color="#EAEAEA" style="margin-bottom:20px;margin-top:10px;" />

<?php

if($search->filtersFacetQuery)
{
    echo '<div class="searchMiniBox"><strong><a href="?' . $search->keywordQuery . '">Remove all filters</a></strong><br/>';
}

$concepts = $categories = $locations = $people = $organizations = array();
foreach($search->filtersFacet as $filterFacet)
{
    $tmp = explode(':', $filterFacet);
    $index = $tmp[0];
    $value = $tmp[1];

    switch($index)
    {
        case "gl":
            $locations[] = $value;
            break;

        case "on":
            $organizations[] = $value;
            break;

        case "pn":
            $people[] = $value;
            break;
        
        case "concept":
            $concepts[] = $value;
            break;

        case "category":
            $categories[] = $value;
            break;
    }   
}

if(!empty($people) || !empty($organizations) || !empty($locations) || !empty($categories) || !empty($concepts))
{
    echo "<br/><strong>Current filter(s)</strong>";
}

if(!empty($people))
{
    echo "<br/>People: " . implode(', ', $people);
}

if(!empty($organizations))
{
    echo "<br/>Organizations: " . implode(', ', $organizations);
}

if(!empty($locations))
{
    echo "<br/>Locations: " . implode(', ', $locations);
}

if(!empty($concepts))
{
    echo "<br/>Concept: " . implode(', ', $concepts);
}

if(!empty($categories))
{
    echo "<br/>Categories: " . implode(', ', $categories);
}

if(sizeof($search->results))
{
    echo '<div style="text-align:right;">There are ' . $search->resultsCount . ' result(s).</div>';

    foreach($search->getPagination() as $p => $nb)
    {
        if($page == $p)
                echo '<strong>' . $nb . '</strong> | ';
        else
        {
            echo '<a href="?' . $search->keywordQuery .'&page=' . $p . '&facetLimit=' . $facetLimit;
            echo '&rows='. $rows . '&paginationOffset=' . $paginationOffset .'">' . $nb . '</a> | ';
        }
    }

    echo '<table background="#DDDDDD" width="100%" border="0" cellspacing="0" cellpadding="5">';

    $cpt = 0;
    foreach($search->results as $result)
    {
        $xml = simplexml_load_string($result['objectXml']);
        echo '<tr style="height:30px;';
        if($cpt % 2 == 0)
                echo 'background:#EDEDED;';
        ++$cpt;

        echo '"><td style="width:100px;">' . $xml->className . '</td><td style="width:55px;">(' . $xml->id . ')</td>';
        echo '<td>' . $xml->title . '</td>';
        echo '<td style="text-align:center;" width="100px;"><a href="?_wcmAction=tmeObject&className=' . $xml->className;
        echo '&id=' . $xml->id . '">';
        echo '<strong>Call TME</strong></a></td>';
        echo '<td style="text-align:center;" width="100px;"><a href="?_wcmAction=business/' . $xml->className;
        echo '&id=' . $xml->id . '">';
        echo '<strong>View in WCM</strong></a></td>';
        echo '</tr>';
    }
    echo '</table>';
}

echo '</div>';
echo '</div>';

include('includes/footer.php');
