<?php
/**
 * Project:     WCM
 * File:        $Id: workflowTransition.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */

// Execute action
wcmMVC_Action::execute('workflowTransition', array('class' => 'wcmWorkflowTransition', 'tree' => 'workflow'));
$sysobject = wcmMVC_Action::getContext();

// Include header and menu
include('includes/header.php');
wcmGUI::renderObjectMenu();

echo '<div id="treeview">';
try
{
    $tabs = new wcmAjaxTabs('navigation', true);
    $tabs->addTab('tabs.tree.workflowtransition', _BROWSE, true, wcmMVC_Action::getTree()->renderHTML());
    $tabs->addTab('tabs.history.workflowtransition', _HISTORY, true, wcmGUI::renderObjectHistory());
    $tabs->render();
}
catch (Exception $e)
{
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
echo '</div>';

echo '<div id="content">';
wcmGUI::openObjectForm($sysobject);
try
{
    // Retrieve workflowId
    $params['workflowId'] = getArrayParameter($_GET, 'workflowId', null);

    $tabs = new wcmAjaxTabs('workflowTransition', true);
    $tabs->addTab('tabs.properties.workflowtransition', _PROPERTIES, true, null, wcmModuleURL('system/workflow/transition/properties', $params));
    $tabs->addTab('tabs.permissions.workflowtransition', _PERMISSIONS, false, null, wcmModuleURL('system/permissions/properties', array('targetKind' => 'wcmWorkflowTransition')));
    $tabs->render();
}
catch (Exception $e)
{
    echo '<script type="text/javascript">if(wcmMessage) wcmMessage.error("' . $e->getMessage() . '")</script>';
}
wcmGUI::closeForm();
echo '</div>';

include('includes/footer.php');
