<?php
/**
 * Project:     WCM
 * File:        $Id: controller.php 9341 2010-03-26 19:47:48Z charronp $
 *
 * @copyright   (c)2010 Nstein Technologies
 * @package     wcm-www-backoffice
 * @version     4.x
 */
define('DEFAULT_BOUNDARY_PATH', 'system/');

// Initialize system
require_once dirname(__FILE__) . '/../../private/initWebApp.php';

// Retrieve relative path of PHP Ajax handler
$ajaxHandler = getArrayParameter($_REQUEST, 'ajaxHandler', null);
$module = getArrayParameter($_REQUEST, 'module', null);
$view = getArrayParameter($_REQUEST, 'view', null);
$class = getArrayParameter($_REQUEST, '_wcmClass', null);
$id = getArrayParameter($_REQUEST, '_wcmId', null);
$popup = getArrayParameter($_REQUEST, 'popup', false);
// if popup display the no-cache header
if ($popup)
{
      // No browser cache
     header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
     header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
     header('Cache-Control: no-store, no-cache, must-revalidate');
     header('Cache-Control: post-check=0, pre-check=0', false);
     header('Pragma: no-cache');
}

// update context
if (isset($class) && isset($id))
{
    wcmMVC_Action::updateAjaxContext($id, $class);
}

// get the path of the module
if ($module)
{
    $params = array();
    if (isset($_REQUEST['params']))
    {
        $params = unserialize(urldecode($_REQUEST['params']));
    }
    wcmModule($module, $params);
}
else
{
    // get the path of the view
    if ($view)
    {
        $pathBoundary  = substringPathBoundary($view);
        $path = WCM_WWW_BACKOFFICE_DIR . '/' . $pathBoundary . 'private/views/' . $view;
    }
    // get the path of the ajaxhandler
    elseif ($ajaxHandler)
    {
        $pathBoundary  = substringPathBoundary($ajaxHandler);
        // Delegate to the handler
        $path = WCM_WWW_BACKOFFICE_DIR . '/' . $pathBoundary . 'private/controllers/ajax/' . $ajaxHandler;
    }
    
    if ('.html' == substr($view, -5))
    {
        if (file_exists($path))
        {
            echo file_get_contents($path);
        }
    }
    else
    {
        if (file_exists($path . '.php'))
        {
            include($path . '.php');
        }
        else
        {
            echo '<div class="error"> _BIZ_INVALID_FILE : ' . $path . '.php</div>';
        }
    }
}

/**
 * Get the boundary path (business or system)
 * @param string $request request value of ajaxHandler or module or view
 */
function substringPathBoundary(&$request)
{
    $pathBoundary = substr($request, 0, 9);
    if ($pathBoundary === 'business/')
    {
        $request = substr($request, 9);
    }
    else
    {
        $pathBoundary = substr($request, 0, 7);
        if ($pathBoundary === 'system/')
        {
            $request = substr($request, 7);
        }
        elseif ($pathBoundary === 'export/')
        {
            $pathBoundary = 'business/';
        }
        else
        {
            $pathBoundary = DEFAULT_BOUNDARY_PATH;
        }
    }
    
    return $pathBoundary;
}
