/******************************************************************
* WebCollapsablePane
* the management of the collapsable panel in the cookie
******************************************************************/


/******************************************************************
 * The constructor for WebCollapsablePane
 * elementId : The id of the collapsable panel
 * cookieName: the name of the cookie
******************************************************************/
function WebCollapsablePane(elementId,cookieName) {
    if (elementId == null || cookieName == null)
    	return;
 
    this.element = $(elementId);
    this.cookieName = cookieName;
    this.elementCookies = WebCollapsablePane.getCookie(this.cookieName);
}

/******************************************************************
 * Collapse the panel and save in the cookie
******************************************************************/
WebCollapsablePane.prototype.setCollapsable = function () {
	if ( this.element != null) {    
		if (this.element.className == 'collapsed'){
			this.element.up().siblings().shift().toggle();
			this.element.removeClassName('collapsed');
			this.elementCookies = WebCollapsablePane.getCookie(this.cookieName);
			if(this.elementCookies.indexOf(this.element.id) != -1) {
				this.elementCookies = this.elementCookies.without(this.element.id);
				if (this.elementCookies.size() > 0) 
					WebCollapsablePane.setCookie(this.cookieName,this.elementCookies);
				else WebCollapsablePane.removeCookie(this.cookieName);
			}
		} 	
		else{
			this.element.up().siblings().shift().toggle();
			this.element.addClassName('collapsed');
			this.elementCookies = WebCollapsablePane.getCookie(this.cookieName);
			if(this.elementCookies.indexOf(this.element.id) == -1) {
				this.elementCookies.push(this.element.id);
				WebCollapsablePane.setCookie(this.cookieName,this.elementCookies);
			}
		} 
    }
};

// Cookie handling
WebCollapsablePane.setCookie = function ( sName, sValue, nDays ) {
    var expires = "";
    if ( nDays ) {
        var d = new Date();
        d.setTime( d.getTime() + nDays * 24 * 60 * 60 * 1000 );
        expires = "; expires=" + d.toGMTString();
    }

    document.cookie = sName + "=" + sValue.toJSON() + expires + "; path=/";
};

WebCollapsablePane.getCookie = function (sName) {
    var re = new RegExp( "(\;|^)[^;]*(" + sName + ")\=([^;]*)(;|$)" );
    var res = re.exec( document.cookie );
    return res != null ? res[3].evalJSON() : new Array();
};

WebCollapsablePane.removeCookie = function ( name ) {
    WebCollapsablePane.setCookie( name, "", -1 );
};



